#include <math.h>
#include <stdio.h>
#include <float.h>
#define exponentiale M_E
#define pi M_PI
double max(double a, double b){
return a > b ? a : b;}
double min(double a, double b){
return a < b ? a : b;}
double root(double n,double x);

double root_0(double n,double x);

double root_1(double n,double x);

double cot(double x);

double cot_0(double x);

double arccot(double x);

double arccot_0(double x);

double coth(double x);

double coth_0(double x);

double csc(double x);

double csc_0(double x);

double arccsc(double x);

double arccsc_0(double x);

double csch(double x);

double csch_0(double x);

double sec(double x);

double sec_0(double x);

double arcsec(double x);

double arcsec_0(double x);

double sech(double x);

double sech_0(double x);

void var_types( int *types);
void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants);
void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants);
void ic_function(double *dynamicVars, double *constants);
                  
double root(double n,double x){

return pow(x, 1.0/n);

}

double root_0(double n,double x){

return -(log(x)*pow(x, 1.0/n)*1.0/pow(n, 2.0));

}

double root_1(double n,double x){

return pow(x, 1.0/n - 1.0)/n;

}

double cot(double x){

return 1.0/tan(x);

}

double cot_0(double x){

return -(1.0/(pow(cos(x), 2.0)*pow(tan(x), 2.0)));

}

double arccot(double x){

return atan(1.0/x);

}

double arccot_0(double x){

return -(1.0/pow(x, 2.0)/(pow(1.0/x, 2.0) + 1.0));

}

double coth(double x){

return 1.0/tanh(x);

}

double coth_0(double x){

return -(1.0/(pow(cosh(x), 2.0)*pow(tanh(x), 2.0)));

}

double csc(double x){

return 1.0/sin(x);

}

double csc_0(double x){

return -(cos(x)/pow(sin(x), 2.0));

}

double arccsc(double x){

return asin(1.0/x);

}

double arccsc_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double csch(double x){

return 1.0/sinh(x);

}

double csch_0(double x){

return -(cosh(x)/pow(sinh(x), 2.0));

}

double sec(double x){

return 1.0/cos(x);

}

double sec_0(double x){

return sin(x)/pow(cos(x), 2.0);

}

double arcsec(double x){

return acos(1.0/x);

}

double arcsec_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double sech(double x){

return 1.0/cosh(x);

}

double sech_0(double x){

return -(sinh(x)/pow(cosh(x), 2.0));

}


void var_types(int *types) {
types[0] = 1;
types[1] = 1;
types[2] = 1;
types[3] = 1;
types[4] = 1;
types[5] = 1;
types[6] = 1;
types[7] = 1;
types[8] = 1;
types[9] = 1;
types[10] = 1;
types[11] = 1;
types[12] = 1;
types[13] = 1;
types[14] = 1;
types[15] = 1;
types[16] = 1;
types[17] = 1;
types[18] = 1;
types[19] = 1;
types[20] = 1;
types[21] = 1;
types[22] = 1;
types[23] = 1;
types[24] = 1;
types[25] = 1;
types[26] = 1;
types[27] = 1;
types[28] = 1;
types[29] = 1;
types[30] = 1;
types[31] = 1;
types[32] = 1;
types[33] = 1;
types[34] = 1;
types[35] = 1;
types[36] = 1;
types[37] = 1;
types[38] = 1;
types[39] = 1;
types[40] = 1;
types[41] = 1;
types[42] = 1;
types[43] = 1;
types[44] = 1;
types[45] = 1;
types[46] = 1;
types[47] = 1;
types[48] = 1;
types[49] = 1;
types[50] = 1;
types[51] = 1;
types[52] = 1;
types[53] = 1;
types[54] = 1;
types[55] = 1;
types[56] = 1;
types[57] = 1;
types[58] = 1;
types[59] = 1;
types[60] = 1;
types[61] = 1;
types[62] = 1;
types[63] = 1;
types[64] = 1;
types[65] = 1;
types[66] = 1;
types[67] = 1;
types[68] = 1;
types[69] = 1;
types[70] = 1;
types[71] = 1;
types[72] = 1;
types[73] = 1;
types[74] = 1;
types[75] = 1;
types[76] = 1;
types[77] = 1;
types[78] = 1;
types[79] = 1;
types[80] = 1;
types[81] = 1;
types[82] = 1;
types[83] = 1;
types[84] = 1;
types[85] = 1;
types[86] = 1;
types[87] = 1;
types[88] = 1;
types[89] = 1;
types[90] = 1;
types[91] = 1;
types[92] = 1;
types[93] = 1;
types[94] = 1;
types[95] = 1;
types[96] = 1;
types[97] = 1;
types[98] = 1;
types[99] = 1;
types[100] = 1;
types[101] = 1;
types[102] = 1;
types[103] = 1;
types[104] = 1;
types[105] = 1;
types[106] = 1;
types[107] = 1;
}

void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double dcell = constants[91];
double dRasGapTotal = constants[92];
double dRapGapTotal = constants[93];
double dPP2ATotal = constants[94];
double dRaf1PPtaseTotal = constants[95];
double dEGF_IC = constants[96];
double dNGF_IC = constants[97];
double dTotal_EGFReceptor = constants[98];
double dTotal_NGFReceptor = constants[99];
double dTotal_Sos = constants[100];
double dTotal_P90Rsk = constants[101];
double dTotal_Ras = constants[102];
double dTotal_Raf1 = constants[103];
double dTotal_BRaf = constants[104];
double dTotal_Mek = constants[105];
double dTotal_Erk = constants[106];
double dTotal_PI3K = constants[107];
double dTotal_Akt = constants[108];
double dTotal_C3G = constants[109];
double dTotal_Rap1 = constants[110];
double dZero = constants[111];
double dk00f = constants[112];
double dk00b = constants[113];
double dk01f = constants[114];
double dk01b = constants[115];
double dk02f = constants[116];
double dk02b = constants[117];
double dk03f = constants[118];
double dk04f = constants[119];
double dk04b = constants[120];
double dk05f = constants[121];
double dk06f = constants[122];
double dk06b = constants[123];
double dk07f = constants[124];
double dk08f = constants[125];
double dk08b = constants[126];
double dk09f = constants[127];
double dk10f = constants[128];
double dk10b = constants[129];
double dk11f = constants[130];
double dk12f = constants[131];
double dk12b = constants[132];
double dk13f = constants[133];
double dk14f = constants[134];
double dk14b = constants[135];
double dk15f = constants[136];
double dk16f = constants[137];
double dk16b = constants[138];
double dk17f = constants[139];
double dk18f = constants[140];
double dk18b = constants[141];
double dk19f = constants[142];
double dk20f = constants[143];
double dk20b = constants[144];
double dk21f = constants[145];
double dk22f = constants[146];
double dk22b = constants[147];
double dk23f = constants[148];
double dk24f = constants[149];
double dk24b = constants[150];
double dk25f = constants[151];
double dk26f = constants[152];
double dk26b = constants[153];
double dk27f = constants[154];
double dk28f = constants[155];
double dk28b = constants[156];
double dk29f = constants[157];
double dk30f = constants[158];
double dk30b = constants[159];
double dk31f = constants[160];
double dk32f = constants[161];
double dk32b = constants[162];
double dk33f = constants[163];
double dk34f = constants[164];
double dk34b = constants[165];
double dk35f = constants[166];
double dk36f = constants[167];
double dk36b = constants[168];
double dk37f = constants[169];
double dk38f = constants[170];
double dk38b = constants[171];
double dk39f = constants[172];
double dk40f = constants[173];
double dk40b = constants[174];
double dk41f = constants[175];
double dk42f = constants[176];
double dk42b = constants[177];
double dk43f = constants[178];
double dk44f = constants[179];
double dk44b = constants[180];
double dk45f = constants[181];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double freeEGFReceptor = dynamicVars[15];
double freeNGFReceptor = dynamicVars[16];
double SosInactive = dynamicVars[17];
double P90RskInactive = dynamicVars[18];
double RasInactive = dynamicVars[19];
double Raf1Inactive = dynamicVars[20];
double BRafInactive = dynamicVars[21];
double MekInactive = dynamicVars[22];
double ErkInactive = dynamicVars[23];
double PI3KInactive = dynamicVars[24];
double AktInactive = dynamicVars[25];
double C3GInactive = dynamicVars[26];
double Rap1Inactive = dynamicVars[27];
double RasPI3K = dynamicVars[28];
double Raf1PPtaseRaf1 = dynamicVars[29];
double BRafMek = dynamicVars[30];
double boundNGFReceptorC3G = dynamicVars[31];
double P90RskSos = dynamicVars[32];
double Raf1PPtaseBRaf = dynamicVars[33];
double PP2AActive = dynamicVars[34];
double RasGapRas = dynamicVars[35];
double ErkP90Rsk = dynamicVars[36];
double RasRaf1 = dynamicVars[37];
double MekErk = dynamicVars[38];
double RapGapRap1 = dynamicVars[39];
double RapGapActive = dynamicVars[40];
double AktRaf1 = dynamicVars[41];
double Raf1PPtase = dynamicVars[42];
double C3GRap1 = dynamicVars[43];
double Raf1Mek = dynamicVars[44];
double SosRas = dynamicVars[45];
double boundEGFReceptorPI3K = dynamicVars[46];
double RasGapActive = dynamicVars[47];
double boundEGFReceptorSos = dynamicVars[48];
double boundNGFReceptorSos = dynamicVars[49];
double Rap1BRaf = dynamicVars[50];
double PP2AMek = dynamicVars[51];
double PP2AErk = dynamicVars[52];
double PI3KAkt = dynamicVars[53];
double dEGF = dynamicVars[54];
double dNGF = dynamicVars[55];
double dboundEGFReceptor = dynamicVars[56];
double dboundNGFReceptor = dynamicVars[57];
double dSosActive = dynamicVars[58];
double dP90RskActive = dynamicVars[59];
double dRasActive = dynamicVars[60];
double dRaf1Active = dynamicVars[61];
double dBRafActive = dynamicVars[62];
double dMekActive = dynamicVars[63];
double dErkActive = dynamicVars[64];
double dPI3KActive = dynamicVars[65];
double dAktActive = dynamicVars[66];
double dC3GActive = dynamicVars[67];
double dRap1Active = dynamicVars[68];
double dfreeEGFReceptor = dynamicVars[69];
double dfreeNGFReceptor = dynamicVars[70];
double dSosInactive = dynamicVars[71];
double dP90RskInactive = dynamicVars[72];
double dRasInactive = dynamicVars[73];
double dRaf1Inactive = dynamicVars[74];
double dBRafInactive = dynamicVars[75];
double dMekInactive = dynamicVars[76];
double dErkInactive = dynamicVars[77];
double dPI3KInactive = dynamicVars[78];
double dAktInactive = dynamicVars[79];
double dC3GInactive = dynamicVars[80];
double dRap1Inactive = dynamicVars[81];
double dRasPI3K = dynamicVars[82];
double dRaf1PPtaseRaf1 = dynamicVars[83];
double dBRafMek = dynamicVars[84];
double dboundNGFReceptorC3G = dynamicVars[85];
double dP90RskSos = dynamicVars[86];
double dRaf1PPtaseBRaf = dynamicVars[87];
double dPP2AActive = dynamicVars[88];
double dRasGapRas = dynamicVars[89];
double dErkP90Rsk = dynamicVars[90];
double dRasRaf1 = dynamicVars[91];
double dMekErk = dynamicVars[92];
double dRapGapRap1 = dynamicVars[93];
double dRapGapActive = dynamicVars[94];
double dAktRaf1 = dynamicVars[95];
double dRaf1PPtase = dynamicVars[96];
double dC3GRap1 = dynamicVars[97];
double dRaf1Mek = dynamicVars[98];
double dSosRas = dynamicVars[99];
double dboundEGFReceptorPI3K = dynamicVars[100];
double dRasGapActive = dynamicVars[101];
double dboundEGFReceptorSos = dynamicVars[102];
double dboundNGFReceptorSos = dynamicVars[103];
double dRap1BRaf = dynamicVars[104];
double dPP2AMek = dynamicVars[105];
double dPP2AErk = dynamicVars[106];
double dPI3KAkt = dynamicVars[107];
double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double freeEGFReceptor_prime = yprime[15];
double freeNGFReceptor_prime = yprime[16];
double SosInactive_prime = yprime[17];
double P90RskInactive_prime = yprime[18];
double RasInactive_prime = yprime[19];
double Raf1Inactive_prime = yprime[20];
double BRafInactive_prime = yprime[21];
double MekInactive_prime = yprime[22];
double ErkInactive_prime = yprime[23];
double PI3KInactive_prime = yprime[24];
double AktInactive_prime = yprime[25];
double C3GInactive_prime = yprime[26];
double Rap1Inactive_prime = yprime[27];
double RasPI3K_prime = yprime[28];
double Raf1PPtaseRaf1_prime = yprime[29];
double BRafMek_prime = yprime[30];
double boundNGFReceptorC3G_prime = yprime[31];
double P90RskSos_prime = yprime[32];
double Raf1PPtaseBRaf_prime = yprime[33];
double PP2AActive_prime = yprime[34];
double RasGapRas_prime = yprime[35];
double ErkP90Rsk_prime = yprime[36];
double RasRaf1_prime = yprime[37];
double MekErk_prime = yprime[38];
double RapGapRap1_prime = yprime[39];
double RapGapActive_prime = yprime[40];
double AktRaf1_prime = yprime[41];
double Raf1PPtase_prime = yprime[42];
double C3GRap1_prime = yprime[43];
double Raf1Mek_prime = yprime[44];
double SosRas_prime = yprime[45];
double boundEGFReceptorPI3K_prime = yprime[46];
double RasGapActive_prime = yprime[47];
double boundEGFReceptorSos_prime = yprime[48];
double boundNGFReceptorSos_prime = yprime[49];
double Rap1BRaf_prime = yprime[50];
double PP2AMek_prime = yprime[51];
double PP2AErk_prime = yprime[52];
double PI3KAkt_prime = yprime[53];
double dEGF_prime = yprime[54];
double dNGF_prime = yprime[55];
double dboundEGFReceptor_prime = yprime[56];
double dboundNGFReceptor_prime = yprime[57];
double dSosActive_prime = yprime[58];
double dP90RskActive_prime = yprime[59];
double dRasActive_prime = yprime[60];
double dRaf1Active_prime = yprime[61];
double dBRafActive_prime = yprime[62];
double dMekActive_prime = yprime[63];
double dErkActive_prime = yprime[64];
double dPI3KActive_prime = yprime[65];
double dAktActive_prime = yprime[66];
double dC3GActive_prime = yprime[67];
double dRap1Active_prime = yprime[68];
double dfreeEGFReceptor_prime = yprime[69];
double dfreeNGFReceptor_prime = yprime[70];
double dSosInactive_prime = yprime[71];
double dP90RskInactive_prime = yprime[72];
double dRasInactive_prime = yprime[73];
double dRaf1Inactive_prime = yprime[74];
double dBRafInactive_prime = yprime[75];
double dMekInactive_prime = yprime[76];
double dErkInactive_prime = yprime[77];
double dPI3KInactive_prime = yprime[78];
double dAktInactive_prime = yprime[79];
double dC3GInactive_prime = yprime[80];
double dRap1Inactive_prime = yprime[81];
double dRasPI3K_prime = yprime[82];
double dRaf1PPtaseRaf1_prime = yprime[83];
double dBRafMek_prime = yprime[84];
double dboundNGFReceptorC3G_prime = yprime[85];
double dP90RskSos_prime = yprime[86];
double dRaf1PPtaseBRaf_prime = yprime[87];
double dPP2AActive_prime = yprime[88];
double dRasGapRas_prime = yprime[89];
double dErkP90Rsk_prime = yprime[90];
double dRasRaf1_prime = yprime[91];
double dMekErk_prime = yprime[92];
double dRapGapRap1_prime = yprime[93];
double dRapGapActive_prime = yprime[94];
double dAktRaf1_prime = yprime[95];
double dRaf1PPtase_prime = yprime[96];
double dC3GRap1_prime = yprime[97];
double dRaf1Mek_prime = yprime[98];
double dSosRas_prime = yprime[99];
double dboundEGFReceptorPI3K_prime = yprime[100];
double dRasGapActive_prime = yprime[101];
double dboundEGFReceptorSos_prime = yprime[102];
double dboundNGFReceptorSos_prime = yprime[103];
double dRap1BRaf_prime = yprime[104];
double dPP2AMek_prime = yprime[105];
double dPP2AErk_prime = yprime[106];
double dPI3KAkt_prime = yprime[107];

errors[0] = -C3GInactive*boundNGFReceptor*k40f + NGF*freeNGFReceptor*k01f - SosInactive*boundNGFReceptor*k04f - boundNGFReceptor*k01b + boundNGFReceptorC3G*k40b + boundNGFReceptorC3G*k41f + boundNGFReceptorSos*k04b + boundNGFReceptorSos*k05f - boundNGFReceptor_prime;
errors[1] = -NGF*freeNGFReceptor*k01f - NGF_prime + boundNGFReceptor*k01b;
errors[2] = PI3KInactive*RasActive*k36f - RasPI3K*k36b - RasPI3K*k37f - RasPI3K_prime;
errors[3] = -ErkInactive*MekActive*k30f - ErkInactive_prime + MekErk*k30b + PP2AErk*k33f;
errors[4] = BRafMek*k27f - ErkInactive*MekActive*k30f - MekActive*PP2AActive*k28f - MekActive_prime + MekErk*k30b + MekErk*k31f + PP2AMek*k28b + Raf1Mek*k25f;
errors[5] = SosInactive*boundNGFReceptor*k04f - boundNGFReceptorSos*k04b - boundNGFReceptorSos*k05f - boundNGFReceptorSos_prime;
errors[6] = Raf1Active*Raf1PPtase*k16f - Raf1PPtaseRaf1*k16b - Raf1PPtaseRaf1*k17f - Raf1PPtaseRaf1_prime;
errors[7] = BRafActive*MekInactive*k26f - BRafMek*k26b - BRafMek*k27f - BRafMek_prime;
errors[8] = C3GInactive*boundNGFReceptor*k40f - boundNGFReceptorC3G*k40b - boundNGFReceptorC3G*k41f - boundNGFReceptorC3G_prime;
errors[9] = P90RskActive*SosActive*k06f - P90RskSos*k06b - P90RskSos*k07f - P90RskSos_prime;
errors[10] = -ErkActive*P90RskInactive*k08f + ErkP90Rsk*k08b - P90RskInactive_prime;
errors[11] = -EGF*freeEGFReceptor*k00f - EGF_prime + boundEGFReceptor*k00b;
errors[12] = BRafActive*Raf1PPtase*k22f - Raf1PPtaseBRaf*k22b - Raf1PPtaseBRaf*k23f - Raf1PPtaseBRaf_prime;
errors[13] = -ErkActive*PP2AActive*k32f - MekActive*PP2AActive*k28f - PP2AActive_prime + PP2AErk*k32b + PP2AErk*k33f + PP2AMek*k28b + PP2AMek*k29f;
errors[14] = -AktInactive*PI3KActive*k38f - AktInactive_prime + PI3KAkt*k38b;
errors[15] = -AktActive*Raf1Active*k18f - AktActive_prime + AktRaf1*k18b + AktRaf1*k19f + PI3KAkt*k39f;
errors[16] = RasActive*RasGapActive*k12f - RasGapRas*k12b - RasGapRas*k13f - RasGapRas_prime;
errors[17] = -P90RskActive*SosActive*k06f + P90RskSos*k06b - RasInactive*SosActive*k10f - SosActive_prime + SosRas*k10b + SosRas*k11f + boundEGFReceptorSos*k03f + boundNGFReceptorSos*k05f;
errors[18] = ErkActive*P90RskInactive*k08f - ErkP90Rsk*k08b - ErkP90Rsk*k09f - ErkP90Rsk_prime;
errors[19] = Raf1Inactive*RasActive*k14f - RasRaf1*k14b - RasRaf1*k15f - RasRaf1_prime;
errors[20] = EGF*freeEGFReceptor*k00f - PI3KInactive*boundEGFReceptor*k34f - SosInactive*boundEGFReceptor*k02f - boundEGFReceptor*k00b + boundEGFReceptorPI3K*k34b + boundEGFReceptorPI3K*k35f + boundEGFReceptorSos*k02b + boundEGFReceptorSos*k03f - boundEGFReceptor_prime;
errors[21] = -AktActive*Raf1Active*k18f + AktRaf1*k18b - MekInactive*Raf1Active*k24f - Raf1Active*Raf1PPtase*k16f - Raf1Active_prime + Raf1Mek*k24b + Raf1Mek*k25f + Raf1PPtaseRaf1*k16b + RasRaf1*k15f;
errors[22] = ErkInactive*MekActive*k30f - MekErk*k30b - MekErk*k31f - MekErk_prime;
errors[23] = Rap1Active*RapGapActive*k44f - RapGapRap1*k44b - RapGapRap1*k45f - RapGapRap1_prime;
errors[24] = P90RskSos*k07f - SosInactive*boundEGFReceptor*k02f - SosInactive*boundNGFReceptor*k04f - SosInactive_prime + boundEGFReceptorSos*k02b + boundNGFReceptorSos*k04b;
errors[25] = -Rap1Active*RapGapActive*k44f - RapGapActive_prime + RapGapRap1*k44b + RapGapRap1*k45f;
errors[26] = AktActive*Raf1Active*k18f - AktRaf1*k18b - AktRaf1*k19f - AktRaf1_prime;
errors[27] = -EGF*freeEGFReceptor*k00f + boundEGFReceptor*k00b - freeEGFReceptor_prime;
errors[28] = -BRafActive*Raf1PPtase*k22f - Raf1Active*Raf1PPtase*k16f + Raf1PPtaseBRaf*k22b + Raf1PPtaseBRaf*k23f + Raf1PPtaseRaf1*k16b + Raf1PPtaseRaf1*k17f - Raf1PPtase_prime;
errors[29] = C3GActive*Rap1Inactive*k42f - C3GRap1*k42b - C3GRap1*k43f - C3GRap1_prime;
errors[30] = -BRafInactive*Rap1Active*k20f + C3GRap1*k43f - Rap1Active*RapGapActive*k44f - Rap1Active_prime + Rap1BRaf*k20b + Rap1BRaf*k21f + RapGapRap1*k44b;
errors[31] = -BRafActive*MekInactive*k26f + BRafMek*k26b - MekInactive*Raf1Active*k24f - MekInactive_prime + PP2AMek*k29f + Raf1Mek*k24b;
errors[32] = MekInactive*Raf1Active*k24f - Raf1Mek*k24b - Raf1Mek*k25f - Raf1Mek_prime;
errors[33] = RasInactive*SosActive*k10f - SosRas*k10b - SosRas*k11f - SosRas_prime;
errors[34] = ErkP90Rsk*k09f - P90RskActive*SosActive*k06f - P90RskActive_prime + P90RskSos*k06b + P90RskSos*k07f;
errors[35] = ErkActive*PP2AActive*k32f - PP2AErk*k32b - PP2AErk*k33f - PP2AErk_prime;
errors[36] = PI3KInactive*boundEGFReceptor*k34f - boundEGFReceptorPI3K*k34b - boundEGFReceptorPI3K*k35f - boundEGFReceptorPI3K_prime;
errors[37] = -AktInactive*PI3KActive*k38f - PI3KActive_prime + PI3KAkt*k38b + PI3KAkt*k39f + RasPI3K*k37f + boundEGFReceptorPI3K*k35f;
errors[38] = -RasActive*RasGapActive*k12f - RasGapActive_prime + RasGapRas*k12b + RasGapRas*k13f;
errors[39] = -BRafActive*MekInactive*k26f - BRafActive*Raf1PPtase*k22f - BRafActive_prime + BRafMek*k26b + BRafMek*k27f + Raf1PPtaseBRaf*k22b + Rap1BRaf*k21f;
errors[40] = SosInactive*boundEGFReceptor*k02f - boundEGFReceptorSos*k02b - boundEGFReceptorSos*k03f - boundEGFReceptorSos_prime;
errors[41] = -C3GActive*Rap1Inactive*k42f + C3GRap1*k42b - Rap1Inactive_prime + RapGapRap1*k45f;
errors[42] = -ErkActive*P90RskInactive*k08f - ErkActive*PP2AActive*k32f - ErkActive_prime + ErkP90Rsk*k08b + ErkP90Rsk*k09f + MekErk*k31f + PP2AErk*k32b;
errors[43] = -NGF*freeNGFReceptor*k01f + boundNGFReceptor*k01b - freeNGFReceptor_prime;
errors[44] = -C3GInactive*boundNGFReceptor*k40f - C3GInactive_prime + boundNGFReceptorC3G*k40b;
errors[45] = AktRaf1*k19f - Raf1Inactive*RasActive*k14f - Raf1Inactive_prime + Raf1PPtaseRaf1*k17f + RasRaf1*k14b;
errors[46] = -PI3KInactive*RasActive*k36f - PI3KInactive*boundEGFReceptor*k34f - PI3KInactive_prime + RasPI3K*k36b + boundEGFReceptorPI3K*k34b;
errors[47] = -BRafInactive*Rap1Active*k20f - BRafInactive_prime + Raf1PPtaseBRaf*k23f + Rap1BRaf*k20b;
errors[48] = BRafInactive*Rap1Active*k20f - Rap1BRaf*k20b - Rap1BRaf*k21f - Rap1BRaf_prime;
errors[49] = -PI3KInactive*RasActive*k36f - Raf1Inactive*RasActive*k14f - RasActive*RasGapActive*k12f - RasActive_prime + RasGapRas*k12b + RasPI3K*k36b + RasPI3K*k37f + RasRaf1*k14b + RasRaf1*k15f + SosRas*k11f;
errors[50] = RasGapRas*k13f - RasInactive*SosActive*k10f - RasInactive_prime + SosRas*k10b;
errors[51] = MekActive*PP2AActive*k28f - PP2AMek*k28b - PP2AMek*k29f - PP2AMek_prime;
errors[52] = AktInactive*PI3KActive*k38f - PI3KAkt*k38b - PI3KAkt*k39f - PI3KAkt_prime;
errors[53] = -C3GActive*Rap1Inactive*k42f - C3GActive_prime + C3GRap1*k42b + C3GRap1*k43f + boundNGFReceptorC3G*k41f;
errors[54] = -C3GInactive*boundNGFReceptor*dk40f - C3GInactive*dboundNGFReceptor*k40f + NGF*dfreeNGFReceptor*k01f + NGF*dk01f*freeNGFReceptor - SosInactive*boundNGFReceptor*dk04f - SosInactive*dboundNGFReceptor*k04f - boundNGFReceptor*dC3GInactive*k40f - boundNGFReceptor*dSosInactive*k04f - boundNGFReceptor*dk01b + boundNGFReceptorC3G*dk40b + boundNGFReceptorC3G*dk41f + boundNGFReceptorSos*dk04b + boundNGFReceptorSos*dk05f + dNGF*freeNGFReceptor*k01f - dboundNGFReceptor*k01b + dboundNGFReceptorC3G*k40b + dboundNGFReceptorC3G*k41f + dboundNGFReceptorSos*k04b + dboundNGFReceptorSos*k05f - dboundNGFReceptor_prime;
errors[55] = -NGF*dfreeNGFReceptor*k01f - NGF*dk01f*freeNGFReceptor + boundNGFReceptor*dk01b - dNGF*freeNGFReceptor*k01f - dNGF_prime + dboundNGFReceptor*k01b;
errors[56] = PI3KInactive*RasActive*dk36f + PI3KInactive*dRasActive*k36f + RasActive*dPI3KInactive*k36f - RasPI3K*dk36b - RasPI3K*dk37f - dRasPI3K*k36b - dRasPI3K*k37f - dRasPI3K_prime;
errors[57] = -ErkInactive*MekActive*dk30f - ErkInactive*dMekActive*k30f - MekActive*dErkInactive*k30f + MekErk*dk30b + PP2AErk*dk33f - dErkInactive_prime + dMekErk*k30b + dPP2AErk*k33f;
errors[58] = BRafMek*dk27f - ErkInactive*MekActive*dk30f - ErkInactive*dMekActive*k30f - MekActive*PP2AActive*dk28f - MekActive*dErkInactive*k30f - MekActive*dPP2AActive*k28f + MekErk*dk30b + MekErk*dk31f - PP2AActive*dMekActive*k28f + PP2AMek*dk28b + Raf1Mek*dk25f + dBRafMek*k27f - dMekActive_prime + dMekErk*k30b + dMekErk*k31f + dPP2AMek*k28b + dRaf1Mek*k25f;
errors[59] = SosInactive*boundNGFReceptor*dk04f + SosInactive*dboundNGFReceptor*k04f + boundNGFReceptor*dSosInactive*k04f - boundNGFReceptorSos*dk04b - boundNGFReceptorSos*dk05f - dboundNGFReceptorSos*k04b - dboundNGFReceptorSos*k05f - dboundNGFReceptorSos_prime;
errors[60] = Raf1Active*Raf1PPtase*dk16f + Raf1Active*dRaf1PPtase*k16f + Raf1PPtase*dRaf1Active*k16f - Raf1PPtaseRaf1*dk16b - Raf1PPtaseRaf1*dk17f - dRaf1PPtaseRaf1*k16b - dRaf1PPtaseRaf1*k17f - dRaf1PPtaseRaf1_prime;
errors[61] = BRafActive*MekInactive*dk26f + BRafActive*dMekInactive*k26f - BRafMek*dk26b - BRafMek*dk27f + MekInactive*dBRafActive*k26f - dBRafMek*k26b - dBRafMek*k27f - dBRafMek_prime;
errors[62] = C3GInactive*boundNGFReceptor*dk40f + C3GInactive*dboundNGFReceptor*k40f + boundNGFReceptor*dC3GInactive*k40f - boundNGFReceptorC3G*dk40b - boundNGFReceptorC3G*dk41f - dboundNGFReceptorC3G*k40b - dboundNGFReceptorC3G*k41f - dboundNGFReceptorC3G_prime;
errors[63] = P90RskActive*SosActive*dk06f + P90RskActive*dSosActive*k06f - P90RskSos*dk06b - P90RskSos*dk07f + SosActive*dP90RskActive*k06f - dP90RskSos*k06b - dP90RskSos*k07f - dP90RskSos_prime;
errors[64] = -ErkActive*P90RskInactive*dk08f - ErkActive*dP90RskInactive*k08f + ErkP90Rsk*dk08b - P90RskInactive*dErkActive*k08f + dErkP90Rsk*k08b - dP90RskInactive_prime;
errors[65] = -EGF*dfreeEGFReceptor*k00f - EGF*dk00f*freeEGFReceptor + boundEGFReceptor*dk00b - dEGF*freeEGFReceptor*k00f - dEGF_prime + dboundEGFReceptor*k00b;
errors[66] = BRafActive*Raf1PPtase*dk22f + BRafActive*dRaf1PPtase*k22f + Raf1PPtase*dBRafActive*k22f - Raf1PPtaseBRaf*dk22b - Raf1PPtaseBRaf*dk23f - dRaf1PPtaseBRaf*k22b - dRaf1PPtaseBRaf*k23f - dRaf1PPtaseBRaf_prime;
errors[67] = -ErkActive*PP2AActive*dk32f - ErkActive*dPP2AActive*k32f - MekActive*PP2AActive*dk28f - MekActive*dPP2AActive*k28f - PP2AActive*dErkActive*k32f - PP2AActive*dMekActive*k28f + PP2AErk*dk32b + PP2AErk*dk33f + PP2AMek*dk28b + PP2AMek*dk29f - dPP2AActive_prime + dPP2AErk*k32b + dPP2AErk*k33f + dPP2AMek*k28b + dPP2AMek*k29f;
errors[68] = -AktInactive*PI3KActive*dk38f - AktInactive*dPI3KActive*k38f - PI3KActive*dAktInactive*k38f + PI3KAkt*dk38b - dAktInactive_prime + dPI3KAkt*k38b;
errors[69] = -AktActive*Raf1Active*dk18f - AktActive*dRaf1Active*k18f + AktRaf1*dk18b + AktRaf1*dk19f + PI3KAkt*dk39f - Raf1Active*dAktActive*k18f - dAktActive_prime + dAktRaf1*k18b + dAktRaf1*k19f + dPI3KAkt*k39f;
errors[70] = RasActive*RasGapActive*dk12f + RasActive*dRasGapActive*k12f + RasGapActive*dRasActive*k12f - RasGapRas*dk12b - RasGapRas*dk13f - dRasGapRas*k12b - dRasGapRas*k13f - dRasGapRas_prime;
errors[71] = -P90RskActive*SosActive*dk06f - P90RskActive*dSosActive*k06f + P90RskSos*dk06b - RasInactive*SosActive*dk10f - RasInactive*dSosActive*k10f - SosActive*dP90RskActive*k06f - SosActive*dRasInactive*k10f + SosRas*dk10b + SosRas*dk11f + boundEGFReceptorSos*dk03f + boundNGFReceptorSos*dk05f + dP90RskSos*k06b - dSosActive_prime + dSosRas*k10b + dSosRas*k11f + dboundEGFReceptorSos*k03f + dboundNGFReceptorSos*k05f;
errors[72] = ErkActive*P90RskInactive*dk08f + ErkActive*dP90RskInactive*k08f - ErkP90Rsk*dk08b - ErkP90Rsk*dk09f + P90RskInactive*dErkActive*k08f - dErkP90Rsk*k08b - dErkP90Rsk*k09f - dErkP90Rsk_prime;
errors[73] = Raf1Inactive*RasActive*dk14f + Raf1Inactive*dRasActive*k14f + RasActive*dRaf1Inactive*k14f - RasRaf1*dk14b - RasRaf1*dk15f - dRasRaf1*k14b - dRasRaf1*k15f - dRasRaf1_prime;
errors[74] = EGF*dfreeEGFReceptor*k00f + EGF*dk00f*freeEGFReceptor - PI3KInactive*boundEGFReceptor*dk34f - PI3KInactive*dboundEGFReceptor*k34f - SosInactive*boundEGFReceptor*dk02f - SosInactive*dboundEGFReceptor*k02f - boundEGFReceptor*dPI3KInactive*k34f - boundEGFReceptor*dSosInactive*k02f - boundEGFReceptor*dk00b + boundEGFReceptorPI3K*dk34b + boundEGFReceptorPI3K*dk35f + boundEGFReceptorSos*dk02b + boundEGFReceptorSos*dk03f + dEGF*freeEGFReceptor*k00f - dboundEGFReceptor*k00b + dboundEGFReceptorPI3K*k34b + dboundEGFReceptorPI3K*k35f + dboundEGFReceptorSos*k02b + dboundEGFReceptorSos*k03f - dboundEGFReceptor_prime;
errors[75] = -AktActive*Raf1Active*dk18f - AktActive*dRaf1Active*k18f + AktRaf1*dk18b - MekInactive*Raf1Active*dk24f - MekInactive*dRaf1Active*k24f - Raf1Active*Raf1PPtase*dk16f - Raf1Active*dAktActive*k18f - Raf1Active*dMekInactive*k24f - Raf1Active*dRaf1PPtase*k16f + Raf1Mek*dk24b + Raf1Mek*dk25f - Raf1PPtase*dRaf1Active*k16f + Raf1PPtaseRaf1*dk16b + RasRaf1*dk15f + dAktRaf1*k18b - dRaf1Active_prime + dRaf1Mek*k24b + dRaf1Mek*k25f + dRaf1PPtaseRaf1*k16b + dRasRaf1*k15f;
errors[76] = ErkInactive*MekActive*dk30f + ErkInactive*dMekActive*k30f + MekActive*dErkInactive*k30f - MekErk*dk30b - MekErk*dk31f - dMekErk*k30b - dMekErk*k31f - dMekErk_prime;
errors[77] = Rap1Active*RapGapActive*dk44f + Rap1Active*dRapGapActive*k44f + RapGapActive*dRap1Active*k44f - RapGapRap1*dk44b - RapGapRap1*dk45f - dRapGapRap1*k44b - dRapGapRap1*k45f - dRapGapRap1_prime;
errors[78] = P90RskSos*dk07f - SosInactive*boundEGFReceptor*dk02f - SosInactive*boundNGFReceptor*dk04f - SosInactive*dboundEGFReceptor*k02f - SosInactive*dboundNGFReceptor*k04f - boundEGFReceptor*dSosInactive*k02f + boundEGFReceptorSos*dk02b - boundNGFReceptor*dSosInactive*k04f + boundNGFReceptorSos*dk04b + dP90RskSos*k07f - dSosInactive_prime + dboundEGFReceptorSos*k02b + dboundNGFReceptorSos*k04b;
errors[79] = -Rap1Active*RapGapActive*dk44f - Rap1Active*dRapGapActive*k44f - RapGapActive*dRap1Active*k44f + RapGapRap1*dk44b + RapGapRap1*dk45f - dRapGapActive_prime + dRapGapRap1*k44b + dRapGapRap1*k45f;
errors[80] = AktActive*Raf1Active*dk18f + AktActive*dRaf1Active*k18f - AktRaf1*dk18b - AktRaf1*dk19f + Raf1Active*dAktActive*k18f - dAktRaf1*k18b - dAktRaf1*k19f - dAktRaf1_prime;
errors[81] = -EGF*dfreeEGFReceptor*k00f - EGF*dk00f*freeEGFReceptor + boundEGFReceptor*dk00b - dEGF*freeEGFReceptor*k00f + dboundEGFReceptor*k00b - dfreeEGFReceptor_prime;
errors[82] = -BRafActive*Raf1PPtase*dk22f - BRafActive*dRaf1PPtase*k22f - Raf1Active*Raf1PPtase*dk16f - Raf1Active*dRaf1PPtase*k16f - Raf1PPtase*dBRafActive*k22f - Raf1PPtase*dRaf1Active*k16f + Raf1PPtaseBRaf*dk22b + Raf1PPtaseBRaf*dk23f + Raf1PPtaseRaf1*dk16b + Raf1PPtaseRaf1*dk17f + dRaf1PPtaseBRaf*k22b + dRaf1PPtaseBRaf*k23f + dRaf1PPtaseRaf1*k16b + dRaf1PPtaseRaf1*k17f - dRaf1PPtase_prime;
errors[83] = C3GActive*Rap1Inactive*dk42f + C3GActive*dRap1Inactive*k42f - C3GRap1*dk42b - C3GRap1*dk43f + Rap1Inactive*dC3GActive*k42f - dC3GRap1*k42b - dC3GRap1*k43f - dC3GRap1_prime;
errors[84] = -BRafInactive*Rap1Active*dk20f - BRafInactive*dRap1Active*k20f + C3GRap1*dk43f - Rap1Active*RapGapActive*dk44f - Rap1Active*dBRafInactive*k20f - Rap1Active*dRapGapActive*k44f + Rap1BRaf*dk20b + Rap1BRaf*dk21f - RapGapActive*dRap1Active*k44f + RapGapRap1*dk44b + dC3GRap1*k43f - dRap1Active_prime + dRap1BRaf*k20b + dRap1BRaf*k21f + dRapGapRap1*k44b;
errors[85] = -BRafActive*MekInactive*dk26f - BRafActive*dMekInactive*k26f + BRafMek*dk26b - MekInactive*Raf1Active*dk24f - MekInactive*dBRafActive*k26f - MekInactive*dRaf1Active*k24f + PP2AMek*dk29f - Raf1Active*dMekInactive*k24f + Raf1Mek*dk24b + dBRafMek*k26b - dMekInactive_prime + dPP2AMek*k29f + dRaf1Mek*k24b;
errors[86] = MekInactive*Raf1Active*dk24f + MekInactive*dRaf1Active*k24f + Raf1Active*dMekInactive*k24f - Raf1Mek*dk24b - Raf1Mek*dk25f - dRaf1Mek*k24b - dRaf1Mek*k25f - dRaf1Mek_prime;
errors[87] = RasInactive*SosActive*dk10f + RasInactive*dSosActive*k10f + SosActive*dRasInactive*k10f - SosRas*dk10b - SosRas*dk11f - dSosRas*k10b - dSosRas*k11f - dSosRas_prime;
errors[88] = ErkP90Rsk*dk09f - P90RskActive*SosActive*dk06f - P90RskActive*dSosActive*k06f + P90RskSos*dk06b + P90RskSos*dk07f - SosActive*dP90RskActive*k06f + dErkP90Rsk*k09f - dP90RskActive_prime + dP90RskSos*k06b + dP90RskSos*k07f;
errors[89] = ErkActive*PP2AActive*dk32f + ErkActive*dPP2AActive*k32f + PP2AActive*dErkActive*k32f - PP2AErk*dk32b - PP2AErk*dk33f - dPP2AErk*k32b - dPP2AErk*k33f - dPP2AErk_prime;
errors[90] = PI3KInactive*boundEGFReceptor*dk34f + PI3KInactive*dboundEGFReceptor*k34f + boundEGFReceptor*dPI3KInactive*k34f - boundEGFReceptorPI3K*dk34b - boundEGFReceptorPI3K*dk35f - dboundEGFReceptorPI3K*k34b - dboundEGFReceptorPI3K*k35f - dboundEGFReceptorPI3K_prime;
errors[91] = -AktInactive*PI3KActive*dk38f - AktInactive*dPI3KActive*k38f - PI3KActive*dAktInactive*k38f + PI3KAkt*dk38b + PI3KAkt*dk39f + RasPI3K*dk37f + boundEGFReceptorPI3K*dk35f - dPI3KActive_prime + dPI3KAkt*k38b + dPI3KAkt*k39f + dRasPI3K*k37f + dboundEGFReceptorPI3K*k35f;
errors[92] = -RasActive*RasGapActive*dk12f - RasActive*dRasGapActive*k12f - RasGapActive*dRasActive*k12f + RasGapRas*dk12b + RasGapRas*dk13f - dRasGapActive_prime + dRasGapRas*k12b + dRasGapRas*k13f;
errors[93] = -BRafActive*MekInactive*dk26f - BRafActive*Raf1PPtase*dk22f - BRafActive*dMekInactive*k26f - BRafActive*dRaf1PPtase*k22f + BRafMek*dk26b + BRafMek*dk27f - MekInactive*dBRafActive*k26f - Raf1PPtase*dBRafActive*k22f + Raf1PPtaseBRaf*dk22b + Rap1BRaf*dk21f - dBRafActive_prime + dBRafMek*k26b + dBRafMek*k27f + dRaf1PPtaseBRaf*k22b + dRap1BRaf*k21f;
errors[94] = SosInactive*boundEGFReceptor*dk02f + SosInactive*dboundEGFReceptor*k02f + boundEGFReceptor*dSosInactive*k02f - boundEGFReceptorSos*dk02b - boundEGFReceptorSos*dk03f - dboundEGFReceptorSos*k02b - dboundEGFReceptorSos*k03f - dboundEGFReceptorSos_prime;
errors[95] = -C3GActive*Rap1Inactive*dk42f - C3GActive*dRap1Inactive*k42f + C3GRap1*dk42b - Rap1Inactive*dC3GActive*k42f + RapGapRap1*dk45f + dC3GRap1*k42b - dRap1Inactive_prime + dRapGapRap1*k45f;
errors[96] = -ErkActive*P90RskInactive*dk08f - ErkActive*PP2AActive*dk32f - ErkActive*dP90RskInactive*k08f - ErkActive*dPP2AActive*k32f + ErkP90Rsk*dk08b + ErkP90Rsk*dk09f + MekErk*dk31f - P90RskInactive*dErkActive*k08f - PP2AActive*dErkActive*k32f + PP2AErk*dk32b - dErkActive_prime + dErkP90Rsk*k08b + dErkP90Rsk*k09f + dMekErk*k31f + dPP2AErk*k32b;
errors[97] = -NGF*dfreeNGFReceptor*k01f - NGF*dk01f*freeNGFReceptor + boundNGFReceptor*dk01b - dNGF*freeNGFReceptor*k01f + dboundNGFReceptor*k01b - dfreeNGFReceptor_prime;
errors[98] = -C3GInactive*boundNGFReceptor*dk40f - C3GInactive*dboundNGFReceptor*k40f - boundNGFReceptor*dC3GInactive*k40f + boundNGFReceptorC3G*dk40b - dC3GInactive_prime + dboundNGFReceptorC3G*k40b;
errors[99] = AktRaf1*dk19f - Raf1Inactive*RasActive*dk14f - Raf1Inactive*dRasActive*k14f + Raf1PPtaseRaf1*dk17f - RasActive*dRaf1Inactive*k14f + RasRaf1*dk14b + dAktRaf1*k19f - dRaf1Inactive_prime + dRaf1PPtaseRaf1*k17f + dRasRaf1*k14b;
errors[100] = -PI3KInactive*RasActive*dk36f - PI3KInactive*boundEGFReceptor*dk34f - PI3KInactive*dRasActive*k36f - PI3KInactive*dboundEGFReceptor*k34f - RasActive*dPI3KInactive*k36f + RasPI3K*dk36b - boundEGFReceptor*dPI3KInactive*k34f + boundEGFReceptorPI3K*dk34b - dPI3KInactive_prime + dRasPI3K*k36b + dboundEGFReceptorPI3K*k34b;
errors[101] = -BRafInactive*Rap1Active*dk20f - BRafInactive*dRap1Active*k20f + Raf1PPtaseBRaf*dk23f - Rap1Active*dBRafInactive*k20f + Rap1BRaf*dk20b - dBRafInactive_prime + dRaf1PPtaseBRaf*k23f + dRap1BRaf*k20b;
errors[102] = BRafInactive*Rap1Active*dk20f + BRafInactive*dRap1Active*k20f + Rap1Active*dBRafInactive*k20f - Rap1BRaf*dk20b - Rap1BRaf*dk21f - dRap1BRaf*k20b - dRap1BRaf*k21f - dRap1BRaf_prime;
errors[103] = -PI3KInactive*RasActive*dk36f - PI3KInactive*dRasActive*k36f - Raf1Inactive*RasActive*dk14f - Raf1Inactive*dRasActive*k14f - RasActive*RasGapActive*dk12f - RasActive*dPI3KInactive*k36f - RasActive*dRaf1Inactive*k14f - RasActive*dRasGapActive*k12f - RasGapActive*dRasActive*k12f + RasGapRas*dk12b + RasPI3K*dk36b + RasPI3K*dk37f + RasRaf1*dk14b + RasRaf1*dk15f + SosRas*dk11f - dRasActive_prime + dRasGapRas*k12b + dRasPI3K*k36b + dRasPI3K*k37f + dRasRaf1*k14b + dRasRaf1*k15f + dSosRas*k11f;
errors[104] = RasGapRas*dk13f - RasInactive*SosActive*dk10f - RasInactive*dSosActive*k10f - SosActive*dRasInactive*k10f + SosRas*dk10b + dRasGapRas*k13f - dRasInactive_prime + dSosRas*k10b;
errors[105] = MekActive*PP2AActive*dk28f + MekActive*dPP2AActive*k28f + PP2AActive*dMekActive*k28f - PP2AMek*dk28b - PP2AMek*dk29f - dPP2AMek*k28b - dPP2AMek*k29f - dPP2AMek_prime;
errors[106] = AktInactive*PI3KActive*dk38f + AktInactive*dPI3KActive*k38f + PI3KActive*dAktInactive*k38f - PI3KAkt*dk38b - PI3KAkt*dk39f - dPI3KAkt*k38b - dPI3KAkt*k39f - dPI3KAkt_prime;
errors[107] = -C3GActive*Rap1Inactive*dk42f - C3GActive*dRap1Inactive*k42f + C3GRap1*dk42b + C3GRap1*dk43f - Rap1Inactive*dC3GActive*k42f + boundNGFReceptorC3G*dk41f - dC3GActive_prime + dC3GRap1*k42b + dC3GRap1*k43f + dboundNGFReceptorC3G*k41f;
}

void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double dcell = constants[91];
double dRasGapTotal = constants[92];
double dRapGapTotal = constants[93];
double dPP2ATotal = constants[94];
double dRaf1PPtaseTotal = constants[95];
double dEGF_IC = constants[96];
double dNGF_IC = constants[97];
double dTotal_EGFReceptor = constants[98];
double dTotal_NGFReceptor = constants[99];
double dTotal_Sos = constants[100];
double dTotal_P90Rsk = constants[101];
double dTotal_Ras = constants[102];
double dTotal_Raf1 = constants[103];
double dTotal_BRaf = constants[104];
double dTotal_Mek = constants[105];
double dTotal_Erk = constants[106];
double dTotal_PI3K = constants[107];
double dTotal_Akt = constants[108];
double dTotal_C3G = constants[109];
double dTotal_Rap1 = constants[110];
double dZero = constants[111];
double dk00f = constants[112];
double dk00b = constants[113];
double dk01f = constants[114];
double dk01b = constants[115];
double dk02f = constants[116];
double dk02b = constants[117];
double dk03f = constants[118];
double dk04f = constants[119];
double dk04b = constants[120];
double dk05f = constants[121];
double dk06f = constants[122];
double dk06b = constants[123];
double dk07f = constants[124];
double dk08f = constants[125];
double dk08b = constants[126];
double dk09f = constants[127];
double dk10f = constants[128];
double dk10b = constants[129];
double dk11f = constants[130];
double dk12f = constants[131];
double dk12b = constants[132];
double dk13f = constants[133];
double dk14f = constants[134];
double dk14b = constants[135];
double dk15f = constants[136];
double dk16f = constants[137];
double dk16b = constants[138];
double dk17f = constants[139];
double dk18f = constants[140];
double dk18b = constants[141];
double dk19f = constants[142];
double dk20f = constants[143];
double dk20b = constants[144];
double dk21f = constants[145];
double dk22f = constants[146];
double dk22b = constants[147];
double dk23f = constants[148];
double dk24f = constants[149];
double dk24b = constants[150];
double dk25f = constants[151];
double dk26f = constants[152];
double dk26b = constants[153];
double dk27f = constants[154];
double dk28f = constants[155];
double dk28b = constants[156];
double dk29f = constants[157];
double dk30f = constants[158];
double dk30b = constants[159];
double dk31f = constants[160];
double dk32f = constants[161];
double dk32b = constants[162];
double dk33f = constants[163];
double dk34f = constants[164];
double dk34b = constants[165];
double dk35f = constants[166];
double dk36f = constants[167];
double dk36b = constants[168];
double dk37f = constants[169];
double dk38f = constants[170];
double dk38b = constants[171];
double dk39f = constants[172];
double dk40f = constants[173];
double dk40b = constants[174];
double dk41f = constants[175];
double dk42f = constants[176];
double dk42b = constants[177];
double dk43f = constants[178];
double dk44f = constants[179];
double dk44b = constants[180];
double dk45f = constants[181];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double freeEGFReceptor = dynamicVars[15];
double freeNGFReceptor = dynamicVars[16];
double SosInactive = dynamicVars[17];
double P90RskInactive = dynamicVars[18];
double RasInactive = dynamicVars[19];
double Raf1Inactive = dynamicVars[20];
double BRafInactive = dynamicVars[21];
double MekInactive = dynamicVars[22];
double ErkInactive = dynamicVars[23];
double PI3KInactive = dynamicVars[24];
double AktInactive = dynamicVars[25];
double C3GInactive = dynamicVars[26];
double Rap1Inactive = dynamicVars[27];
double RasPI3K = dynamicVars[28];
double Raf1PPtaseRaf1 = dynamicVars[29];
double BRafMek = dynamicVars[30];
double boundNGFReceptorC3G = dynamicVars[31];
double P90RskSos = dynamicVars[32];
double Raf1PPtaseBRaf = dynamicVars[33];
double PP2AActive = dynamicVars[34];
double RasGapRas = dynamicVars[35];
double ErkP90Rsk = dynamicVars[36];
double RasRaf1 = dynamicVars[37];
double MekErk = dynamicVars[38];
double RapGapRap1 = dynamicVars[39];
double RapGapActive = dynamicVars[40];
double AktRaf1 = dynamicVars[41];
double Raf1PPtase = dynamicVars[42];
double C3GRap1 = dynamicVars[43];
double Raf1Mek = dynamicVars[44];
double SosRas = dynamicVars[45];
double boundEGFReceptorPI3K = dynamicVars[46];
double RasGapActive = dynamicVars[47];
double boundEGFReceptorSos = dynamicVars[48];
double boundNGFReceptorSos = dynamicVars[49];
double Rap1BRaf = dynamicVars[50];
double PP2AMek = dynamicVars[51];
double PP2AErk = dynamicVars[52];
double PI3KAkt = dynamicVars[53];
double dEGF = dynamicVars[54];
double dNGF = dynamicVars[55];
double dboundEGFReceptor = dynamicVars[56];
double dboundNGFReceptor = dynamicVars[57];
double dSosActive = dynamicVars[58];
double dP90RskActive = dynamicVars[59];
double dRasActive = dynamicVars[60];
double dRaf1Active = dynamicVars[61];
double dBRafActive = dynamicVars[62];
double dMekActive = dynamicVars[63];
double dErkActive = dynamicVars[64];
double dPI3KActive = dynamicVars[65];
double dAktActive = dynamicVars[66];
double dC3GActive = dynamicVars[67];
double dRap1Active = dynamicVars[68];
double dfreeEGFReceptor = dynamicVars[69];
double dfreeNGFReceptor = dynamicVars[70];
double dSosInactive = dynamicVars[71];
double dP90RskInactive = dynamicVars[72];
double dRasInactive = dynamicVars[73];
double dRaf1Inactive = dynamicVars[74];
double dBRafInactive = dynamicVars[75];
double dMekInactive = dynamicVars[76];
double dErkInactive = dynamicVars[77];
double dPI3KInactive = dynamicVars[78];
double dAktInactive = dynamicVars[79];
double dC3GInactive = dynamicVars[80];
double dRap1Inactive = dynamicVars[81];
double dRasPI3K = dynamicVars[82];
double dRaf1PPtaseRaf1 = dynamicVars[83];
double dBRafMek = dynamicVars[84];
double dboundNGFReceptorC3G = dynamicVars[85];
double dP90RskSos = dynamicVars[86];
double dRaf1PPtaseBRaf = dynamicVars[87];
double dPP2AActive = dynamicVars[88];
double dRasGapRas = dynamicVars[89];
double dErkP90Rsk = dynamicVars[90];
double dRasRaf1 = dynamicVars[91];
double dMekErk = dynamicVars[92];
double dRapGapRap1 = dynamicVars[93];
double dRapGapActive = dynamicVars[94];
double dAktRaf1 = dynamicVars[95];
double dRaf1PPtase = dynamicVars[96];
double dC3GRap1 = dynamicVars[97];
double dRaf1Mek = dynamicVars[98];
double dSosRas = dynamicVars[99];
double dboundEGFReceptorPI3K = dynamicVars[100];
double dRasGapActive = dynamicVars[101];
double dboundEGFReceptorSos = dynamicVars[102];
double dboundNGFReceptorSos = dynamicVars[103];
double dRap1BRaf = dynamicVars[104];
double dPP2AMek = dynamicVars[105];
double dPP2AErk = dynamicVars[106];
double dPI3KAkt = dynamicVars[107];

double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double freeEGFReceptor_prime = yprime[15];
double freeNGFReceptor_prime = yprime[16];
double SosInactive_prime = yprime[17];
double P90RskInactive_prime = yprime[18];
double RasInactive_prime = yprime[19];
double Raf1Inactive_prime = yprime[20];
double BRafInactive_prime = yprime[21];
double MekInactive_prime = yprime[22];
double ErkInactive_prime = yprime[23];
double PI3KInactive_prime = yprime[24];
double AktInactive_prime = yprime[25];
double C3GInactive_prime = yprime[26];
double Rap1Inactive_prime = yprime[27];
double RasPI3K_prime = yprime[28];
double Raf1PPtaseRaf1_prime = yprime[29];
double BRafMek_prime = yprime[30];
double boundNGFReceptorC3G_prime = yprime[31];
double P90RskSos_prime = yprime[32];
double Raf1PPtaseBRaf_prime = yprime[33];
double PP2AActive_prime = yprime[34];
double RasGapRas_prime = yprime[35];
double ErkP90Rsk_prime = yprime[36];
double RasRaf1_prime = yprime[37];
double MekErk_prime = yprime[38];
double RapGapRap1_prime = yprime[39];
double RapGapActive_prime = yprime[40];
double AktRaf1_prime = yprime[41];
double Raf1PPtase_prime = yprime[42];
double C3GRap1_prime = yprime[43];
double Raf1Mek_prime = yprime[44];
double SosRas_prime = yprime[45];
double boundEGFReceptorPI3K_prime = yprime[46];
double RasGapActive_prime = yprime[47];
double boundEGFReceptorSos_prime = yprime[48];
double boundNGFReceptorSos_prime = yprime[49];
double Rap1BRaf_prime = yprime[50];
double PP2AMek_prime = yprime[51];
double PP2AErk_prime = yprime[52];
double PI3KAkt_prime = yprime[53];
double dEGF_prime = yprime[54];
double dNGF_prime = yprime[55];
double dboundEGFReceptor_prime = yprime[56];
double dboundNGFReceptor_prime = yprime[57];
double dSosActive_prime = yprime[58];
double dP90RskActive_prime = yprime[59];
double dRasActive_prime = yprime[60];
double dRaf1Active_prime = yprime[61];
double dBRafActive_prime = yprime[62];
double dMekActive_prime = yprime[63];
double dErkActive_prime = yprime[64];
double dPI3KActive_prime = yprime[65];
double dAktActive_prime = yprime[66];
double dC3GActive_prime = yprime[67];
double dRap1Active_prime = yprime[68];
double dfreeEGFReceptor_prime = yprime[69];
double dfreeNGFReceptor_prime = yprime[70];
double dSosInactive_prime = yprime[71];
double dP90RskInactive_prime = yprime[72];
double dRasInactive_prime = yprime[73];
double dRaf1Inactive_prime = yprime[74];
double dBRafInactive_prime = yprime[75];
double dMekInactive_prime = yprime[76];
double dErkInactive_prime = yprime[77];
double dPI3KInactive_prime = yprime[78];
double dAktInactive_prime = yprime[79];
double dC3GInactive_prime = yprime[80];
double dRap1Inactive_prime = yprime[81];
double dRasPI3K_prime = yprime[82];
double dRaf1PPtaseRaf1_prime = yprime[83];
double dBRafMek_prime = yprime[84];
double dboundNGFReceptorC3G_prime = yprime[85];
double dP90RskSos_prime = yprime[86];
double dRaf1PPtaseBRaf_prime = yprime[87];
double dPP2AActive_prime = yprime[88];
double dRasGapRas_prime = yprime[89];
double dErkP90Rsk_prime = yprime[90];
double dRasRaf1_prime = yprime[91];
double dMekErk_prime = yprime[92];
double dRapGapRap1_prime = yprime[93];
double dRapGapActive_prime = yprime[94];
double dAktRaf1_prime = yprime[95];
double dRaf1PPtase_prime = yprime[96];
double dC3GRap1_prime = yprime[97];
double dRaf1Mek_prime = yprime[98];
double dSosRas_prime = yprime[99];
double dboundEGFReceptorPI3K_prime = yprime[100];
double dRasGapActive_prime = yprime[101];
double dboundEGFReceptorSos_prime = yprime[102];
double dboundNGFReceptorSos_prime = yprime[103];
double dRap1BRaf_prime = yprime[104];
double dPP2AMek_prime = yprime[105];
double dPP2AErk_prime = yprime[106];
double dPI3KAkt_prime = yprime[107];

memset(pd, 0, sizeof(pd)*11664);
pd[1] = freeNGFReceptor*k01f;
pd[3] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[16] = NGF*k01f;
pd[17] = -boundNGFReceptor*k04f;
pd[26] = -boundNGFReceptor*k40f;
pd[31] = k40b + k41f;
pd[49] = k04b + k05f;
pd[109] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[111] = k01b;
pd[124] = -NGF*k01f;
pd[222] = PI3KInactive*k36f;
pd[240] = RasActive*k36f;
pd[244] = (-k36b - k37f) + cj*(-1);
pd[333] = -ErkInactive*k30f;
pd[347] = (-MekActive*k30f) + cj*(-1);
pd[362] = k30b;
pd[376] = k33f;
pd[441] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[455] = -MekActive*k30f;
pd[462] = k27f;
pd[466] = -MekActive*k28f;
pd[470] = k30b + k31f;
pd[476] = k25f;
pd[483] = k28b;
pd[543] = SosInactive*k04f;
pd[557] = boundNGFReceptor*k04f;
pd[589] = (-k04b - k05f) + cj*(-1);
pd[655] = Raf1PPtase*k16f;
pd[677] = (-k16b - k17f) + cj*(-1);
pd[690] = Raf1Active*k16f;
pd[764] = MekInactive*k26f;
pd[778] = BRafActive*k26f;
pd[786] = (-k26b - k27f) + cj*(-1);
pd[867] = C3GInactive*k40f;
pd[890] = boundNGFReceptor*k40f;
pd[895] = (-k40b - k41f) + cj*(-1);
pd[976] = P90RskActive*k06f;
pd[977] = SosActive*k06f;
pd[1004] = (-k06b - k07f) + cj*(-1);
pd[1090] = -P90RskInactive*k08f;
pd[1098] = (-ErkActive*k08f) + cj*(-1);
pd[1116] = k08b;
pd[1188] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[1190] = k00b;
pd[1203] = -EGF*k00f;
pd[1304] = Raf1PPtase*k22f;
pd[1329] = (-k22b - k23f) + cj*(-1);
pd[1338] = BRafActive*k22f;
pd[1413] = -PP2AActive*k28f;
pd[1414] = -PP2AActive*k32f;
pd[1438] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[1455] = k28b + k29f;
pd[1456] = k32b + k33f;
pd[1523] = -AktInactive*k38f;
pd[1537] = (-PI3KActive*k38f) + cj*(-1);
pd[1565] = k38b;
pd[1627] = -AktActive*k18f;
pd[1632] = (-Raf1Active*k18f) + cj*(-1);
pd[1661] = k18b + k19f;
pd[1673] = k39f;
pd[1734] = RasGapActive*k12f;
pd[1763] = (-k12b - k13f) + cj*(-1);
pd[1775] = RasActive*k12f;
pd[1840] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[1841] = -SosActive*k06f;
pd[1855] = -SosActive*k10f;
pd[1868] = k06b;
pd[1881] = k10b + k11f;
pd[1884] = k03f;
pd[1885] = k05f;
pd[1954] = P90RskInactive*k08f;
pd[1962] = ErkActive*k08f;
pd[1980] = (-k08b - k09f) + cj*(-1);
pd[2058] = Raf1Inactive*k14f;
pd[2072] = RasActive*k14f;
pd[2089] = (-k14b - k15f) + cj*(-1);
pd[2160] = freeEGFReceptor*k00f;
pd[2162] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[2175] = EGF*k00f;
pd[2177] = -boundEGFReceptor*k02f;
pd[2184] = -boundEGFReceptor*k34f;
pd[2206] = k34b + k35f;
pd[2208] = k02b + k03f;
pd[2275] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[2280] = -Raf1Active*k18f;
pd[2290] = -Raf1Active*k24f;
pd[2297] = k16b;
pd[2305] = k15f;
pd[2309] = k18b;
pd[2310] = -Raf1Active*k16f;
pd[2312] = k24b + k25f;
pd[2385] = ErkInactive*k30f;
pd[2399] = MekActive*k30f;
pd[2414] = (-k30b - k31f) + cj*(-1);
pd[2498] = RapGapActive*k44f;
pd[2523] = (-k44b - k45f) + cj*(-1);
pd[2524] = Rap1Active*k44f;
pd[2594] = -SosInactive*k02f;
pd[2595] = -SosInactive*k04f;
pd[2609] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[2624] = k07f;
pd[2640] = k02b;
pd[2641] = k04b;
pd[2714] = -RapGapActive*k44f;
pd[2739] = k44b + k45f;
pd[2740] = (-Rap1Active*k44f) + cj*(-1);
pd[2815] = AktActive*k18f;
pd[2820] = Raf1Active*k18f;
pd[2849] = (-k18b - k19f) + cj*(-1);
pd[2916] = -freeEGFReceptor*k00f;
pd[2918] = k00b;
pd[2931] = (-EGF*k00f) + cj*(-1);
pd[3031] = -Raf1PPtase*k16f;
pd[3032] = -Raf1PPtase*k22f;
pd[3053] = k16b + k17f;
pd[3057] = k22b + k23f;
pd[3066] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[3145] = Rap1Inactive*k42f;
pd[3159] = C3GActive*k42f;
pd[3175] = (-k42b - k43f) + cj*(-1);
pd[3254] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[3261] = -Rap1Active*k20f;
pd[3279] = k44b;
pd[3280] = -Rap1Active*k44f;
pd[3283] = k43f;
pd[3290] = k20b + k21f;
pd[3355] = -MekInactive*k24f;
pd[3356] = -MekInactive*k26f;
pd[3370] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[3378] = k26b;
pd[3392] = k24b;
pd[3399] = k29f;
pd[3463] = MekInactive*k24f;
pd[3478] = Raf1Active*k24f;
pd[3500] = (-k24b - k25f) + cj*(-1);
pd[3568] = RasInactive*k10f;
pd[3583] = SosActive*k10f;
pd[3609] = (-k10b - k11f) + cj*(-1);
pd[3676] = -P90RskActive*k06f;
pd[3677] = (-SosActive*k06f) + cj*(-1);
pd[3704] = k06b + k07f;
pd[3708] = k09f;
pd[3790] = PP2AActive*k32f;
pd[3814] = ErkActive*k32f;
pd[3832] = (-k32b - k33f) + cj*(-1);
pd[3890] = PI3KInactive*k34f;
pd[3912] = boundEGFReceptor*k34f;
pd[3934] = (-k34b - k35f) + cj*(-1);
pd[4007] = (-AktInactive*k38f) + cj*(-1);
pd[4021] = -PI3KActive*k38f;
pd[4024] = k37f;
pd[4042] = k35f;
pd[4049] = k38b + k39f;
pd[4110] = -RasGapActive*k12f;
pd[4139] = k12b + k13f;
pd[4151] = (-RasActive*k12f) + cj*(-1);
pd[4220] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[4234] = -BRafActive*k26f;
pd[4242] = k26b + k27f;
pd[4245] = k22b;
pd[4254] = -BRafActive*k22f;
pd[4262] = k21f;
pd[4322] = SosInactive*k02f;
pd[4337] = boundEGFReceptor*k02f;
pd[4368] = (-k02b - k03f) + cj*(-1);
pd[4441] = -Rap1Inactive*k42f;
pd[4455] = (-C3GActive*k42f) + cj*(-1);
pd[4467] = k45f;
pd[4471] = k42b;
pd[4546] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[4554] = -ErkActive*k08f;
pd[4570] = -ErkActive*k32f;
pd[4572] = k08b + k09f;
pd[4574] = k31f;
pd[4588] = k32b;
pd[4645] = -freeNGFReceptor*k01f;
pd[4647] = k01b;
pd[4660] = (-NGF*k01f) + cj*(-1);
pd[4755] = -C3GInactive*k40f;
pd[4778] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[4783] = k40b;
pd[4866] = -Raf1Inactive*k14f;
pd[4880] = (-RasActive*k14f) + cj*(-1);
pd[4889] = k17f;
pd[4897] = k14b;
pd[4901] = k19f;
pd[4970] = -PI3KInactive*k34f;
pd[4974] = -PI3KInactive*k36f;
pd[4992] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[4996] = k36b;
pd[5014] = k34b;
pd[5090] = -BRafInactive*k20f;
pd[5097] = (-Rap1Active*k20f) + cj*(-1);
pd[5109] = k23f;
pd[5126] = k20b;
pd[5198] = BRafInactive*k20f;
pd[5205] = Rap1Active*k20f;
pd[5234] = (-k20b - k21f) + cj*(-1);
pd[5298] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[5312] = -RasActive*k14f;
pd[5316] = -RasActive*k36f;
pd[5320] = k36b + k37f;
pd[5327] = k12b;
pd[5329] = k14b + k15f;
pd[5337] = k11f;
pd[5339] = -RasActive*k12f;
pd[5404] = -RasInactive*k10f;
pd[5419] = (-SosActive*k10f) + cj*(-1);
pd[5435] = k13f;
pd[5445] = k10b;
pd[5517] = PP2AActive*k28f;
pd[5542] = MekActive*k28f;
pd[5559] = (-k28b - k29f) + cj*(-1);
pd[5627] = AktInactive*k38f;
pd[5641] = PI3KActive*k38f;
pd[5669] = (-k38b - k39f) + cj*(-1);
pd[5737] = (-Rap1Inactive*k42f) + cj*(-1);
pd[5751] = -C3GActive*k42f;
pd[5755] = k41f;
pd[5767] = k42b + k43f;
pd[5833] = dfreeNGFReceptor*k01f + dk01f*freeNGFReceptor;
pd[5835] = -C3GInactive*dk40f - SosInactive*dk04f - dC3GInactive*k40f - dSosInactive*k04f - dk01b;
pd[5848] = NGF*dk01f + dNGF*k01f;
pd[5849] = -boundNGFReceptor*dk04f - dboundNGFReceptor*k04f;
pd[5858] = -boundNGFReceptor*dk40f - dboundNGFReceptor*k40f;
pd[5863] = dk40b + dk41f;
pd[5881] = dk04b + dk05f;
pd[5887] = freeNGFReceptor*k01f;
pd[5889] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[5902] = NGF*k01f;
pd[5903] = -boundNGFReceptor*k04f;
pd[5912] = -boundNGFReceptor*k40f;
pd[5917] = k40b + k41f;
pd[5935] = k04b + k05f;
pd[5941] = -dfreeNGFReceptor*k01f - dk01f*freeNGFReceptor;
pd[5943] = dk01b;
pd[5956] = -NGF*dk01f - dNGF*k01f;
pd[5995] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[5997] = k01b;
pd[6010] = -NGF*k01f;
pd[6054] = PI3KInactive*dk36f + dPI3KInactive*k36f;
pd[6072] = RasActive*dk36f + dRasActive*k36f;
pd[6076] = -dk36b - dk37f;
pd[6108] = PI3KInactive*k36f;
pd[6126] = RasActive*k36f;
pd[6130] = (-k36b - k37f) + cj*(-1);
pd[6165] = -ErkInactive*dk30f - dErkInactive*k30f;
pd[6179] = -MekActive*dk30f - dMekActive*k30f;
pd[6194] = dk30b;
pd[6208] = dk33f;
pd[6219] = -ErkInactive*k30f;
pd[6233] = (-MekActive*k30f) + cj*(-1);
pd[6248] = k30b;
pd[6262] = k33f;
pd[6273] = -ErkInactive*dk30f - PP2AActive*dk28f - dErkInactive*k30f - dPP2AActive*k28f;
pd[6287] = -MekActive*dk30f - dMekActive*k30f;
pd[6294] = dk27f;
pd[6298] = -MekActive*dk28f - dMekActive*k28f;
pd[6302] = dk30b + dk31f;
pd[6308] = dk25f;
pd[6315] = dk28b;
pd[6327] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[6341] = -MekActive*k30f;
pd[6348] = k27f;
pd[6352] = -MekActive*k28f;
pd[6356] = k30b + k31f;
pd[6362] = k25f;
pd[6369] = k28b;
pd[6375] = SosInactive*dk04f + dSosInactive*k04f;
pd[6389] = boundNGFReceptor*dk04f + dboundNGFReceptor*k04f;
pd[6421] = -dk04b - dk05f;
pd[6429] = SosInactive*k04f;
pd[6443] = boundNGFReceptor*k04f;
pd[6475] = (-k04b - k05f) + cj*(-1);
pd[6487] = Raf1PPtase*dk16f + dRaf1PPtase*k16f;
pd[6509] = -dk16b - dk17f;
pd[6522] = Raf1Active*dk16f + dRaf1Active*k16f;
pd[6541] = Raf1PPtase*k16f;
pd[6563] = (-k16b - k17f) + cj*(-1);
pd[6576] = Raf1Active*k16f;
pd[6596] = MekInactive*dk26f + dMekInactive*k26f;
pd[6610] = BRafActive*dk26f + dBRafActive*k26f;
pd[6618] = -dk26b - dk27f;
pd[6650] = MekInactive*k26f;
pd[6664] = BRafActive*k26f;
pd[6672] = (-k26b - k27f) + cj*(-1);
pd[6699] = C3GInactive*dk40f + dC3GInactive*k40f;
pd[6722] = boundNGFReceptor*dk40f + dboundNGFReceptor*k40f;
pd[6727] = -dk40b - dk41f;
pd[6753] = C3GInactive*k40f;
pd[6776] = boundNGFReceptor*k40f;
pd[6781] = (-k40b - k41f) + cj*(-1);
pd[6808] = P90RskActive*dk06f + dP90RskActive*k06f;
pd[6809] = SosActive*dk06f + dSosActive*k06f;
pd[6836] = -dk06b - dk07f;
pd[6862] = P90RskActive*k06f;
pd[6863] = SosActive*k06f;
pd[6890] = (-k06b - k07f) + cj*(-1);
pd[6922] = -P90RskInactive*dk08f - dP90RskInactive*k08f;
pd[6930] = -ErkActive*dk08f - dErkActive*k08f;
pd[6948] = dk08b;
pd[6976] = -P90RskInactive*k08f;
pd[6984] = (-ErkActive*k08f) + cj*(-1);
pd[7002] = k08b;
pd[7020] = -dfreeEGFReceptor*k00f - dk00f*freeEGFReceptor;
pd[7022] = dk00b;
pd[7035] = -EGF*dk00f - dEGF*k00f;
pd[7074] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[7076] = k00b;
pd[7089] = -EGF*k00f;
pd[7136] = Raf1PPtase*dk22f + dRaf1PPtase*k22f;
pd[7161] = -dk22b - dk23f;
pd[7170] = BRafActive*dk22f + dBRafActive*k22f;
pd[7190] = Raf1PPtase*k22f;
pd[7215] = (-k22b - k23f) + cj*(-1);
pd[7224] = BRafActive*k22f;
pd[7245] = -PP2AActive*dk28f - dPP2AActive*k28f;
pd[7246] = -PP2AActive*dk32f - dPP2AActive*k32f;
pd[7270] = -ErkActive*dk32f - MekActive*dk28f - dErkActive*k32f - dMekActive*k28f;
pd[7287] = dk28b + dk29f;
pd[7288] = dk32b + dk33f;
pd[7299] = -PP2AActive*k28f;
pd[7300] = -PP2AActive*k32f;
pd[7324] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[7341] = k28b + k29f;
pd[7342] = k32b + k33f;
pd[7355] = -AktInactive*dk38f - dAktInactive*k38f;
pd[7369] = -PI3KActive*dk38f - dPI3KActive*k38f;
pd[7397] = dk38b;
pd[7409] = -AktInactive*k38f;
pd[7423] = (-PI3KActive*k38f) + cj*(-1);
pd[7451] = k38b;
pd[7459] = -AktActive*dk18f - dAktActive*k18f;
pd[7464] = -Raf1Active*dk18f - dRaf1Active*k18f;
pd[7493] = dk18b + dk19f;
pd[7505] = dk39f;
pd[7513] = -AktActive*k18f;
pd[7518] = (-Raf1Active*k18f) + cj*(-1);
pd[7547] = k18b + k19f;
pd[7559] = k39f;
pd[7566] = RasGapActive*dk12f + dRasGapActive*k12f;
pd[7595] = -dk12b - dk13f;
pd[7607] = RasActive*dk12f + dRasActive*k12f;
pd[7620] = RasGapActive*k12f;
pd[7649] = (-k12b - k13f) + cj*(-1);
pd[7661] = RasActive*k12f;
pd[7672] = -P90RskActive*dk06f - RasInactive*dk10f - dP90RskActive*k06f - dRasInactive*k10f;
pd[7673] = -SosActive*dk06f - dSosActive*k06f;
pd[7687] = -SosActive*dk10f - dSosActive*k10f;
pd[7700] = dk06b;
pd[7713] = dk10b + dk11f;
pd[7716] = dk03f;
pd[7717] = dk05f;
pd[7726] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[7727] = -SosActive*k06f;
pd[7741] = -SosActive*k10f;
pd[7754] = k06b;
pd[7767] = k10b + k11f;
pd[7770] = k03f;
pd[7771] = k05f;
pd[7786] = P90RskInactive*dk08f + dP90RskInactive*k08f;
pd[7794] = ErkActive*dk08f + dErkActive*k08f;
pd[7812] = -dk08b - dk09f;
pd[7840] = P90RskInactive*k08f;
pd[7848] = ErkActive*k08f;
pd[7866] = (-k08b - k09f) + cj*(-1);
pd[7890] = Raf1Inactive*dk14f + dRaf1Inactive*k14f;
pd[7904] = RasActive*dk14f + dRasActive*k14f;
pd[7921] = -dk14b - dk15f;
pd[7944] = Raf1Inactive*k14f;
pd[7958] = RasActive*k14f;
pd[7975] = (-k14b - k15f) + cj*(-1);
pd[7992] = dfreeEGFReceptor*k00f + dk00f*freeEGFReceptor;
pd[7994] = -PI3KInactive*dk34f - SosInactive*dk02f - dPI3KInactive*k34f - dSosInactive*k02f - dk00b;
pd[8007] = EGF*dk00f + dEGF*k00f;
pd[8009] = -boundEGFReceptor*dk02f - dboundEGFReceptor*k02f;
pd[8016] = -boundEGFReceptor*dk34f - dboundEGFReceptor*k34f;
pd[8038] = dk34b + dk35f;
pd[8040] = dk02b + dk03f;
pd[8046] = freeEGFReceptor*k00f;
pd[8048] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[8061] = EGF*k00f;
pd[8063] = -boundEGFReceptor*k02f;
pd[8070] = -boundEGFReceptor*k34f;
pd[8092] = k34b + k35f;
pd[8094] = k02b + k03f;
pd[8107] = -AktActive*dk18f - MekInactive*dk24f - Raf1PPtase*dk16f - dAktActive*k18f - dMekInactive*k24f - dRaf1PPtase*k16f;
pd[8112] = -Raf1Active*dk18f - dRaf1Active*k18f;
pd[8122] = -Raf1Active*dk24f - dRaf1Active*k24f;
pd[8129] = dk16b;
pd[8137] = dk15f;
pd[8141] = dk18b;
pd[8142] = -Raf1Active*dk16f - dRaf1Active*k16f;
pd[8144] = dk24b + dk25f;
pd[8161] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[8166] = -Raf1Active*k18f;
pd[8176] = -Raf1Active*k24f;
pd[8183] = k16b;
pd[8191] = k15f;
pd[8195] = k18b;
pd[8196] = -Raf1Active*k16f;
pd[8198] = k24b + k25f;
pd[8217] = ErkInactive*dk30f + dErkInactive*k30f;
pd[8231] = MekActive*dk30f + dMekActive*k30f;
pd[8246] = -dk30b - dk31f;
pd[8271] = ErkInactive*k30f;
pd[8285] = MekActive*k30f;
pd[8300] = (-k30b - k31f) + cj*(-1);
pd[8330] = RapGapActive*dk44f + dRapGapActive*k44f;
pd[8355] = -dk44b - dk45f;
pd[8356] = Rap1Active*dk44f + dRap1Active*k44f;
pd[8384] = RapGapActive*k44f;
pd[8409] = (-k44b - k45f) + cj*(-1);
pd[8410] = Rap1Active*k44f;
pd[8426] = -SosInactive*dk02f - dSosInactive*k02f;
pd[8427] = -SosInactive*dk04f - dSosInactive*k04f;
pd[8441] = -boundEGFReceptor*dk02f - boundNGFReceptor*dk04f - dboundEGFReceptor*k02f - dboundNGFReceptor*k04f;
pd[8456] = dk07f;
pd[8472] = dk02b;
pd[8473] = dk04b;
pd[8480] = -SosInactive*k02f;
pd[8481] = -SosInactive*k04f;
pd[8495] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[8510] = k07f;
pd[8526] = k02b;
pd[8527] = k04b;
pd[8546] = -RapGapActive*dk44f - dRapGapActive*k44f;
pd[8571] = dk44b + dk45f;
pd[8572] = -Rap1Active*dk44f - dRap1Active*k44f;
pd[8600] = -RapGapActive*k44f;
pd[8625] = k44b + k45f;
pd[8626] = (-Rap1Active*k44f) + cj*(-1);
pd[8647] = AktActive*dk18f + dAktActive*k18f;
pd[8652] = Raf1Active*dk18f + dRaf1Active*k18f;
pd[8681] = -dk18b - dk19f;
pd[8701] = AktActive*k18f;
pd[8706] = Raf1Active*k18f;
pd[8735] = (-k18b - k19f) + cj*(-1);
pd[8748] = -dfreeEGFReceptor*k00f - dk00f*freeEGFReceptor;
pd[8750] = dk00b;
pd[8763] = -EGF*dk00f - dEGF*k00f;
pd[8802] = -freeEGFReceptor*k00f;
pd[8804] = k00b;
pd[8817] = (-EGF*k00f) + cj*(-1);
pd[8863] = -Raf1PPtase*dk16f - dRaf1PPtase*k16f;
pd[8864] = -Raf1PPtase*dk22f - dRaf1PPtase*k22f;
pd[8885] = dk16b + dk17f;
pd[8889] = dk22b + dk23f;
pd[8898] = -BRafActive*dk22f - Raf1Active*dk16f - dBRafActive*k22f - dRaf1Active*k16f;
pd[8917] = -Raf1PPtase*k16f;
pd[8918] = -Raf1PPtase*k22f;
pd[8939] = k16b + k17f;
pd[8943] = k22b + k23f;
pd[8952] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[8977] = Rap1Inactive*dk42f + dRap1Inactive*k42f;
pd[8991] = C3GActive*dk42f + dC3GActive*k42f;
pd[9007] = -dk42b - dk43f;
pd[9031] = Rap1Inactive*k42f;
pd[9045] = C3GActive*k42f;
pd[9061] = (-k42b - k43f) + cj*(-1);
pd[9086] = -BRafInactive*dk20f - RapGapActive*dk44f - dBRafInactive*k20f - dRapGapActive*k44f;
pd[9093] = -Rap1Active*dk20f - dRap1Active*k20f;
pd[9111] = dk44b;
pd[9112] = -Rap1Active*dk44f - dRap1Active*k44f;
pd[9115] = dk43f;
pd[9122] = dk20b + dk21f;
pd[9140] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[9147] = -Rap1Active*k20f;
pd[9165] = k44b;
pd[9166] = -Rap1Active*k44f;
pd[9169] = k43f;
pd[9176] = k20b + k21f;
pd[9187] = -MekInactive*dk24f - dMekInactive*k24f;
pd[9188] = -MekInactive*dk26f - dMekInactive*k26f;
pd[9202] = -BRafActive*dk26f - Raf1Active*dk24f - dBRafActive*k26f - dRaf1Active*k24f;
pd[9210] = dk26b;
pd[9224] = dk24b;
pd[9231] = dk29f;
pd[9241] = -MekInactive*k24f;
pd[9242] = -MekInactive*k26f;
pd[9256] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[9264] = k26b;
pd[9278] = k24b;
pd[9285] = k29f;
pd[9295] = MekInactive*dk24f + dMekInactive*k24f;
pd[9310] = Raf1Active*dk24f + dRaf1Active*k24f;
pd[9332] = -dk24b - dk25f;
pd[9349] = MekInactive*k24f;
pd[9364] = Raf1Active*k24f;
pd[9386] = (-k24b - k25f) + cj*(-1);
pd[9400] = RasInactive*dk10f + dRasInactive*k10f;
pd[9415] = SosActive*dk10f + dSosActive*k10f;
pd[9441] = -dk10b - dk11f;
pd[9454] = RasInactive*k10f;
pd[9469] = SosActive*k10f;
pd[9495] = (-k10b - k11f) + cj*(-1);
pd[9508] = -P90RskActive*dk06f - dP90RskActive*k06f;
pd[9509] = -SosActive*dk06f - dSosActive*k06f;
pd[9536] = dk06b + dk07f;
pd[9540] = dk09f;
pd[9562] = -P90RskActive*k06f;
pd[9563] = (-SosActive*k06f) + cj*(-1);
pd[9590] = k06b + k07f;
pd[9594] = k09f;
pd[9622] = PP2AActive*dk32f + dPP2AActive*k32f;
pd[9646] = ErkActive*dk32f + dErkActive*k32f;
pd[9664] = -dk32b - dk33f;
pd[9676] = PP2AActive*k32f;
pd[9700] = ErkActive*k32f;
pd[9718] = (-k32b - k33f) + cj*(-1);
pd[9722] = PI3KInactive*dk34f + dPI3KInactive*k34f;
pd[9744] = boundEGFReceptor*dk34f + dboundEGFReceptor*k34f;
pd[9766] = -dk34b - dk35f;
pd[9776] = PI3KInactive*k34f;
pd[9798] = boundEGFReceptor*k34f;
pd[9820] = (-k34b - k35f) + cj*(-1);
pd[9839] = -AktInactive*dk38f - dAktInactive*k38f;
pd[9853] = -PI3KActive*dk38f - dPI3KActive*k38f;
pd[9856] = dk37f;
pd[9874] = dk35f;
pd[9881] = dk38b + dk39f;
pd[9893] = (-AktInactive*k38f) + cj*(-1);
pd[9907] = -PI3KActive*k38f;
pd[9910] = k37f;
pd[9928] = k35f;
pd[9935] = k38b + k39f;
pd[9942] = -RasGapActive*dk12f - dRasGapActive*k12f;
pd[9971] = dk12b + dk13f;
pd[9983] = -RasActive*dk12f - dRasActive*k12f;
pd[9996] = -RasGapActive*k12f;
pd[10025] = k12b + k13f;
pd[10037] = (-RasActive*k12f) + cj*(-1);
pd[10052] = -MekInactive*dk26f - Raf1PPtase*dk22f - dMekInactive*k26f - dRaf1PPtase*k22f;
pd[10066] = -BRafActive*dk26f - dBRafActive*k26f;
pd[10074] = dk26b + dk27f;
pd[10077] = dk22b;
pd[10086] = -BRafActive*dk22f - dBRafActive*k22f;
pd[10094] = dk21f;
pd[10106] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[10120] = -BRafActive*k26f;
pd[10128] = k26b + k27f;
pd[10131] = k22b;
pd[10140] = -BRafActive*k22f;
pd[10148] = k21f;
pd[10154] = SosInactive*dk02f + dSosInactive*k02f;
pd[10169] = boundEGFReceptor*dk02f + dboundEGFReceptor*k02f;
pd[10200] = -dk02b - dk03f;
pd[10208] = SosInactive*k02f;
pd[10223] = boundEGFReceptor*k02f;
pd[10254] = (-k02b - k03f) + cj*(-1);
pd[10273] = -Rap1Inactive*dk42f - dRap1Inactive*k42f;
pd[10287] = -C3GActive*dk42f - dC3GActive*k42f;
pd[10299] = dk45f;
pd[10303] = dk42b;
pd[10327] = -Rap1Inactive*k42f;
pd[10341] = (-C3GActive*k42f) + cj*(-1);
pd[10353] = k45f;
pd[10357] = k42b;
pd[10378] = -P90RskInactive*dk08f - PP2AActive*dk32f - dP90RskInactive*k08f - dPP2AActive*k32f;
pd[10386] = -ErkActive*dk08f - dErkActive*k08f;
pd[10402] = -ErkActive*dk32f - dErkActive*k32f;
pd[10404] = dk08b + dk09f;
pd[10406] = dk31f;
pd[10420] = dk32b;
pd[10432] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[10440] = -ErkActive*k08f;
pd[10456] = -ErkActive*k32f;
pd[10458] = k08b + k09f;
pd[10460] = k31f;
pd[10474] = k32b;
pd[10477] = -dfreeNGFReceptor*k01f - dk01f*freeNGFReceptor;
pd[10479] = dk01b;
pd[10492] = -NGF*dk01f - dNGF*k01f;
pd[10531] = -freeNGFReceptor*k01f;
pd[10533] = k01b;
pd[10546] = (-NGF*k01f) + cj*(-1);
pd[10587] = -C3GInactive*dk40f - dC3GInactive*k40f;
pd[10610] = -boundNGFReceptor*dk40f - dboundNGFReceptor*k40f;
pd[10615] = dk40b;
pd[10641] = -C3GInactive*k40f;
pd[10664] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[10669] = k40b;
pd[10698] = -Raf1Inactive*dk14f - dRaf1Inactive*k14f;
pd[10712] = -RasActive*dk14f - dRasActive*k14f;
pd[10721] = dk17f;
pd[10729] = dk14b;
pd[10733] = dk19f;
pd[10752] = -Raf1Inactive*k14f;
pd[10766] = (-RasActive*k14f) + cj*(-1);
pd[10775] = k17f;
pd[10783] = k14b;
pd[10787] = k19f;
pd[10802] = -PI3KInactive*dk34f - dPI3KInactive*k34f;
pd[10806] = -PI3KInactive*dk36f - dPI3KInactive*k36f;
pd[10824] = -RasActive*dk36f - boundEGFReceptor*dk34f - dRasActive*k36f - dboundEGFReceptor*k34f;
pd[10828] = dk36b;
pd[10846] = dk34b;
pd[10856] = -PI3KInactive*k34f;
pd[10860] = -PI3KInactive*k36f;
pd[10878] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[10882] = k36b;
pd[10900] = k34b;
pd[10922] = -BRafInactive*dk20f - dBRafInactive*k20f;
pd[10929] = -Rap1Active*dk20f - dRap1Active*k20f;
pd[10941] = dk23f;
pd[10958] = dk20b;
pd[10976] = -BRafInactive*k20f;
pd[10983] = (-Rap1Active*k20f) + cj*(-1);
pd[10995] = k23f;
pd[11012] = k20b;
pd[11030] = BRafInactive*dk20f + dBRafInactive*k20f;
pd[11037] = Rap1Active*dk20f + dRap1Active*k20f;
pd[11066] = -dk20b - dk21f;
pd[11084] = BRafInactive*k20f;
pd[11091] = Rap1Active*k20f;
pd[11120] = (-k20b - k21f) + cj*(-1);
pd[11130] = -PI3KInactive*dk36f - Raf1Inactive*dk14f - RasGapActive*dk12f - dPI3KInactive*k36f - dRaf1Inactive*k14f - dRasGapActive*k12f;
pd[11144] = -RasActive*dk14f - dRasActive*k14f;
pd[11148] = -RasActive*dk36f - dRasActive*k36f;
pd[11152] = dk36b + dk37f;
pd[11159] = dk12b;
pd[11161] = dk14b + dk15f;
pd[11169] = dk11f;
pd[11171] = -RasActive*dk12f - dRasActive*k12f;
pd[11184] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[11198] = -RasActive*k14f;
pd[11202] = -RasActive*k36f;
pd[11206] = k36b + k37f;
pd[11213] = k12b;
pd[11215] = k14b + k15f;
pd[11223] = k11f;
pd[11225] = -RasActive*k12f;
pd[11236] = -RasInactive*dk10f - dRasInactive*k10f;
pd[11251] = -SosActive*dk10f - dSosActive*k10f;
pd[11267] = dk13f;
pd[11277] = dk10b;
pd[11290] = -RasInactive*k10f;
pd[11305] = (-SosActive*k10f) + cj*(-1);
pd[11321] = k13f;
pd[11331] = k10b;
pd[11349] = PP2AActive*dk28f + dPP2AActive*k28f;
pd[11374] = MekActive*dk28f + dMekActive*k28f;
pd[11391] = -dk28b - dk29f;
pd[11403] = PP2AActive*k28f;
pd[11428] = MekActive*k28f;
pd[11445] = (-k28b - k29f) + cj*(-1);
pd[11459] = AktInactive*dk38f + dAktInactive*k38f;
pd[11473] = PI3KActive*dk38f + dPI3KActive*k38f;
pd[11501] = -dk38b - dk39f;
pd[11513] = AktInactive*k38f;
pd[11527] = PI3KActive*k38f;
pd[11555] = (-k38b - k39f) + cj*(-1);
pd[11569] = -Rap1Inactive*dk42f - dRap1Inactive*k42f;
pd[11583] = -C3GActive*dk42f - dC3GActive*k42f;
pd[11587] = dk41f;
pd[11599] = dk42b + dk43f;
pd[11623] = (-Rap1Inactive*k42f) + cj*(-1);
pd[11637] = -C3GActive*k42f;
pd[11641] = k41f;
pd[11653] = k42b + k43f;
}
void ic_function(double *dynamicVars, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double dcell = constants[91];
double dRasGapTotal = constants[92];
double dRapGapTotal = constants[93];
double dPP2ATotal = constants[94];
double dRaf1PPtaseTotal = constants[95];
double dEGF_IC = constants[96];
double dNGF_IC = constants[97];
double dTotal_EGFReceptor = constants[98];
double dTotal_NGFReceptor = constants[99];
double dTotal_Sos = constants[100];
double dTotal_P90Rsk = constants[101];
double dTotal_Ras = constants[102];
double dTotal_Raf1 = constants[103];
double dTotal_BRaf = constants[104];
double dTotal_Mek = constants[105];
double dTotal_Erk = constants[106];
double dTotal_PI3K = constants[107];
double dTotal_Akt = constants[108];
double dTotal_C3G = constants[109];
double dTotal_Rap1 = constants[110];
double dZero = constants[111];
double dk00f = constants[112];
double dk00b = constants[113];
double dk01f = constants[114];
double dk01b = constants[115];
double dk02f = constants[116];
double dk02b = constants[117];
double dk03f = constants[118];
double dk04f = constants[119];
double dk04b = constants[120];
double dk05f = constants[121];
double dk06f = constants[122];
double dk06b = constants[123];
double dk07f = constants[124];
double dk08f = constants[125];
double dk08b = constants[126];
double dk09f = constants[127];
double dk10f = constants[128];
double dk10b = constants[129];
double dk11f = constants[130];
double dk12f = constants[131];
double dk12b = constants[132];
double dk13f = constants[133];
double dk14f = constants[134];
double dk14b = constants[135];
double dk15f = constants[136];
double dk16f = constants[137];
double dk16b = constants[138];
double dk17f = constants[139];
double dk18f = constants[140];
double dk18b = constants[141];
double dk19f = constants[142];
double dk20f = constants[143];
double dk20b = constants[144];
double dk21f = constants[145];
double dk22f = constants[146];
double dk22b = constants[147];
double dk23f = constants[148];
double dk24f = constants[149];
double dk24b = constants[150];
double dk25f = constants[151];
double dk26f = constants[152];
double dk26b = constants[153];
double dk27f = constants[154];
double dk28f = constants[155];
double dk28b = constants[156];
double dk29f = constants[157];
double dk30f = constants[158];
double dk30b = constants[159];
double dk31f = constants[160];
double dk32f = constants[161];
double dk32b = constants[162];
double dk33f = constants[163];
double dk34f = constants[164];
double dk34b = constants[165];
double dk35f = constants[166];
double dk36f = constants[167];
double dk36b = constants[168];
double dk37f = constants[169];
double dk38f = constants[170];
double dk38b = constants[171];
double dk39f = constants[172];
double dk40f = constants[173];
double dk40b = constants[174];
double dk41f = constants[175];
double dk42f = constants[176];
double dk42b = constants[177];
double dk43f = constants[178];
double dk44f = constants[179];
double dk44b = constants[180];
double dk45f = constants[181];

dynamicVars[0] = EGF_IC;
dynamicVars[1] = NGF_IC;
dynamicVars[2] = Zero;
dynamicVars[3] = Zero;
dynamicVars[4] = Zero;
dynamicVars[5] = Zero;
dynamicVars[6] = Zero;
dynamicVars[7] = Zero;
dynamicVars[8] = Zero;
dynamicVars[9] = Zero;
dynamicVars[10] = Zero;
dynamicVars[11] = Zero;
dynamicVars[12] = Zero;
dynamicVars[13] = Zero;
dynamicVars[14] = Zero;
dynamicVars[15] = Total_EGFReceptor;
dynamicVars[16] = Total_NGFReceptor;
dynamicVars[17] = Total_Sos;
dynamicVars[18] = Total_P90Rsk;
dynamicVars[19] = Total_Ras;
dynamicVars[20] = Total_Raf1;
dynamicVars[21] = Total_BRaf;
dynamicVars[22] = Total_Mek;
dynamicVars[23] = Total_Erk;
dynamicVars[24] = Total_PI3K;
dynamicVars[25] = Total_Akt;
dynamicVars[26] = Total_C3G;
dynamicVars[27] = Total_Rap1;
dynamicVars[28] = Zero;
dynamicVars[29] = Zero;
dynamicVars[30] = Zero;
dynamicVars[31] = Zero;
dynamicVars[32] = Zero;
dynamicVars[33] = Zero;
dynamicVars[34] = PP2ATotal;
dynamicVars[35] = Zero;
dynamicVars[36] = Zero;
dynamicVars[37] = Zero;
dynamicVars[38] = Zero;
dynamicVars[39] = Zero;
dynamicVars[40] = RapGapTotal;
dynamicVars[41] = Zero;
dynamicVars[42] = Raf1PPtaseTotal;
dynamicVars[43] = Zero;
dynamicVars[44] = Zero;
dynamicVars[45] = Zero;
dynamicVars[46] = Zero;
dynamicVars[47] = RasGapTotal;
dynamicVars[48] = Zero;
dynamicVars[49] = Zero;
dynamicVars[50] = Zero;
dynamicVars[51] = Zero;
dynamicVars[52] = Zero;
dynamicVars[53] = Zero;
dynamicVars[54] = dEGF_IC;
dynamicVars[55] = dNGF_IC;
dynamicVars[56] = dZero;
dynamicVars[57] = dZero;
dynamicVars[58] = dZero;
dynamicVars[59] = dZero;
dynamicVars[60] = dZero;
dynamicVars[61] = dZero;
dynamicVars[62] = dZero;
dynamicVars[63] = dZero;
dynamicVars[64] = dZero;
dynamicVars[65] = dZero;
dynamicVars[66] = dZero;
dynamicVars[67] = dZero;
dynamicVars[68] = dZero;
dynamicVars[69] = dTotal_EGFReceptor;
dynamicVars[70] = dTotal_NGFReceptor;
dynamicVars[71] = dTotal_Sos;
dynamicVars[72] = dTotal_P90Rsk;
dynamicVars[73] = dTotal_Ras;
dynamicVars[74] = dTotal_Raf1;
dynamicVars[75] = dTotal_BRaf;
dynamicVars[76] = dTotal_Mek;
dynamicVars[77] = dTotal_Erk;
dynamicVars[78] = dTotal_PI3K;
dynamicVars[79] = dTotal_Akt;
dynamicVars[80] = dTotal_C3G;
dynamicVars[81] = dTotal_Rap1;
dynamicVars[82] = dZero;
dynamicVars[83] = dZero;
dynamicVars[84] = dZero;
dynamicVars[85] = dZero;
dynamicVars[86] = dZero;
dynamicVars[87] = dZero;
dynamicVars[88] = dPP2ATotal;
dynamicVars[89] = dZero;
dynamicVars[90] = dZero;
dynamicVars[91] = dZero;
dynamicVars[92] = dZero;
dynamicVars[93] = dZero;
dynamicVars[94] = dRapGapTotal;
dynamicVars[95] = dZero;
dynamicVars[96] = dRaf1PPtaseTotal;
dynamicVars[97] = dZero;
dynamicVars[98] = dZero;
dynamicVars[99] = dZero;
dynamicVars[100] = dZero;
dynamicVars[101] = dRasGapTotal;
dynamicVars[102] = dZero;
dynamicVars[103] = dZero;
dynamicVars[104] = dZero;
dynamicVars[105] = dZero;
dynamicVars[106] = dZero;
dynamicVars[107] = dZero;
}
