#include <math.h>
#include <stdio.h>
#include <float.h>
#define exponentiale M_E
#define pi M_PI
double max(double a, double b){
return a > b ? a : b;}
double min(double a, double b){
return a < b ? a : b;}
double root(double n,double x);

double root_0(double n,double x);

double root_1(double n,double x);

double cot(double x);

double cot_0(double x);

double arccot(double x);

double arccot_0(double x);

double coth(double x);

double coth_0(double x);

double csc(double x);

double csc_0(double x);

double arccsc(double x);

double arccsc_0(double x);

double csch(double x);

double csch_0(double x);

double sec(double x);

double sec_0(double x);

double arcsec(double x);

double arcsec_0(double x);

double sech(double x);

double sech_0(double x);

void var_types( int *types);
void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants);
void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants);
void ic_function(double *dynamicVars, double *constants);
                  
double root(double n,double x){

return pow(x, 1.0/n);

}

double root_0(double n,double x){

return -(log(x)*pow(x, 1.0/n)*1.0/pow(n, 2.0));

}

double root_1(double n,double x){

return pow(x, 1.0/n - 1.0)/n;

}

double cot(double x){

return 1.0/tan(x);

}

double cot_0(double x){

return -(1.0/(pow(cos(x), 2.0)*pow(tan(x), 2.0)));

}

double arccot(double x){

return atan(1.0/x);

}

double arccot_0(double x){

return -(1.0/pow(x, 2.0)/(pow(1.0/x, 2.0) + 1.0));

}

double coth(double x){

return 1.0/tanh(x);

}

double coth_0(double x){

return -(1.0/(pow(cosh(x), 2.0)*pow(tanh(x), 2.0)));

}

double csc(double x){

return 1.0/sin(x);

}

double csc_0(double x){

return -(cos(x)/pow(sin(x), 2.0));

}

double arccsc(double x){

return asin(1.0/x);

}

double arccsc_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double csch(double x){

return 1.0/sinh(x);

}

double csch_0(double x){

return -(cosh(x)/pow(sinh(x), 2.0));

}

double sec(double x){

return 1.0/cos(x);

}

double sec_0(double x){

return sin(x)/pow(cos(x), 2.0);

}

double arcsec(double x){

return acos(1.0/x);

}

double arcsec_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double sech(double x){

return 1.0/cosh(x);

}

double sech_0(double x){

return -(sinh(x)/pow(cosh(x), 2.0));

}


void var_types(int *types) {
types[0] = 1;
types[1] = 1;
types[2] = 1;
types[3] = 1;
types[4] = 1;
types[5] = 1;
types[6] = 1;
types[7] = 1;
types[8] = 1;
types[9] = 1;
types[10] = 1;
types[11] = 1;
types[12] = 1;
types[13] = 1;
types[14] = 1;
types[15] = 1;
types[16] = 1;
types[17] = 1;
types[18] = 1;
types[19] = 1;
types[20] = 1;
types[21] = 1;
types[22] = 1;
types[23] = 1;
types[24] = 1;
types[25] = 1;
types[26] = 1;
types[27] = 1;
types[28] = 1;
types[29] = 1;
types[30] = 1;
types[31] = 1;
types[32] = 1;
types[33] = 1;
types[34] = 1;
types[35] = 1;
types[36] = 1;
types[37] = 1;
types[38] = 1;
types[39] = 1;
types[40] = 1;
types[41] = 1;
types[42] = 1;
types[43] = 1;
types[44] = 1;
types[45] = 1;
types[46] = 1;
types[47] = 1;
types[48] = 1;
types[49] = 1;
types[50] = 1;
types[51] = 1;
types[52] = 1;
types[53] = 1;
types[54] = 1;
types[55] = 1;
types[56] = 1;
types[57] = 1;
types[58] = 1;
types[59] = 1;
}

void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants) {
double cell = constants[0];
double RasGapActive = constants[1];
double RapGapActive = constants[2];
double PP2AActive = constants[3];
double Raf1PPtase = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double krbEGF = constants[21];
double kruEGF = constants[22];
double krbNGF = constants[23];
double kruNGF = constants[24];
double kEGF = constants[25];
double KmEGF = constants[26];
double kNGF = constants[27];
double KmNGF = constants[28];
double kdSos = constants[29];
double KmdSos = constants[30];
double kSos = constants[31];
double KmSos = constants[32];
double kRasGap = constants[33];
double KmRasGap = constants[34];
double kRasToRaf1 = constants[35];
double KmRasToRaf1 = constants[36];
double kpRaf1 = constants[37];
double KmpRaf1 = constants[38];
double kpBRaf = constants[39];
double KmpBRaf = constants[40];
double kdMek = constants[41];
double KmdMek = constants[42];
double kpMekCytoplasmic = constants[43];
double KmpMekCytoplasmic = constants[44];
double kdErk = constants[45];
double KmdErk = constants[46];
double kpP90Rsk = constants[47];
double KmpP90Rsk = constants[48];
double kPI3K = constants[49];
double KmPI3K = constants[50];
double kPI3KRas = constants[51];
double KmPI3KRas = constants[52];
double kAkt = constants[53];
double KmAkt = constants[54];
double kdRaf1ByAkt = constants[55];
double KmRaf1ByAkt = constants[56];
double kC3GNGF = constants[57];
double KmC3GNGF = constants[58];
double kC3G = constants[59];
double KmC3G = constants[60];
double kRapGap = constants[61];
double KmRapGap = constants[62];
double kRap1ToBRaf = constants[63];
double KmRap1ToBRaf = constants[64];
double kdRaf1 = constants[65];
double KmdRaf1 = constants[66];
double kdBRaf = constants[67];
double KmdBRaf = constants[68];
double du_cell = constants[69];
double du_RasGapActive = constants[70];
double du_RapGapActive = constants[71];
double du_PP2AActive = constants[72];
double du_Raf1PPtase = constants[73];
double du_EGF_IC = constants[74];
double du_NGF_IC = constants[75];
double du_Total_EGFReceptor = constants[76];
double du_Total_NGFReceptor = constants[77];
double du_Total_Sos = constants[78];
double du_Total_P90Rsk = constants[79];
double du_Total_Ras = constants[80];
double du_Total_Raf1 = constants[81];
double du_Total_BRaf = constants[82];
double du_Total_Mek = constants[83];
double du_Total_Erk = constants[84];
double du_Total_PI3K = constants[85];
double du_Total_Akt = constants[86];
double du_Total_C3G = constants[87];
double du_Total_Rap1 = constants[88];
double du_Zero = constants[89];
double du_krbEGF = constants[90];
double du_kruEGF = constants[91];
double du_krbNGF = constants[92];
double du_kruNGF = constants[93];
double du_kEGF = constants[94];
double du_KmEGF = constants[95];
double du_kNGF = constants[96];
double du_KmNGF = constants[97];
double du_kdSos = constants[98];
double du_KmdSos = constants[99];
double du_kSos = constants[100];
double du_KmSos = constants[101];
double du_kRasGap = constants[102];
double du_KmRasGap = constants[103];
double du_kRasToRaf1 = constants[104];
double du_KmRasToRaf1 = constants[105];
double du_kpRaf1 = constants[106];
double du_KmpRaf1 = constants[107];
double du_kpBRaf = constants[108];
double du_KmpBRaf = constants[109];
double du_kdMek = constants[110];
double du_KmdMek = constants[111];
double du_kpMekCytoplasmic = constants[112];
double du_KmpMekCytoplasmic = constants[113];
double du_kdErk = constants[114];
double du_KmdErk = constants[115];
double du_kpP90Rsk = constants[116];
double du_KmpP90Rsk = constants[117];
double du_kPI3K = constants[118];
double du_KmPI3K = constants[119];
double du_kPI3KRas = constants[120];
double du_KmPI3KRas = constants[121];
double du_kAkt = constants[122];
double du_KmAkt = constants[123];
double du_kdRaf1ByAkt = constants[124];
double du_KmRaf1ByAkt = constants[125];
double du_kC3GNGF = constants[126];
double du_KmC3GNGF = constants[127];
double du_kC3G = constants[128];
double du_KmC3G = constants[129];
double du_kRapGap = constants[130];
double du_KmRapGap = constants[131];
double du_kRap1ToBRaf = constants[132];
double du_KmRap1ToBRaf = constants[133];
double du_kdRaf1 = constants[134];
double du_KmdRaf1 = constants[135];
double du_kdBRaf = constants[136];
double du_KmdBRaf = constants[137];
double dv_cell = constants[138];
double dv_RasGapActive = constants[139];
double dv_RapGapActive = constants[140];
double dv_PP2AActive = constants[141];
double dv_Raf1PPtase = constants[142];
double dv_EGF_IC = constants[143];
double dv_NGF_IC = constants[144];
double dv_Total_EGFReceptor = constants[145];
double dv_Total_NGFReceptor = constants[146];
double dv_Total_Sos = constants[147];
double dv_Total_P90Rsk = constants[148];
double dv_Total_Ras = constants[149];
double dv_Total_Raf1 = constants[150];
double dv_Total_BRaf = constants[151];
double dv_Total_Mek = constants[152];
double dv_Total_Erk = constants[153];
double dv_Total_PI3K = constants[154];
double dv_Total_Akt = constants[155];
double dv_Total_C3G = constants[156];
double dv_Total_Rap1 = constants[157];
double dv_Zero = constants[158];
double dv_krbEGF = constants[159];
double dv_kruEGF = constants[160];
double dv_krbNGF = constants[161];
double dv_kruNGF = constants[162];
double dv_kEGF = constants[163];
double dv_KmEGF = constants[164];
double dv_kNGF = constants[165];
double dv_KmNGF = constants[166];
double dv_kdSos = constants[167];
double dv_KmdSos = constants[168];
double dv_kSos = constants[169];
double dv_KmSos = constants[170];
double dv_kRasGap = constants[171];
double dv_KmRasGap = constants[172];
double dv_kRasToRaf1 = constants[173];
double dv_KmRasToRaf1 = constants[174];
double dv_kpRaf1 = constants[175];
double dv_KmpRaf1 = constants[176];
double dv_kpBRaf = constants[177];
double dv_KmpBRaf = constants[178];
double dv_kdMek = constants[179];
double dv_KmdMek = constants[180];
double dv_kpMekCytoplasmic = constants[181];
double dv_KmpMekCytoplasmic = constants[182];
double dv_kdErk = constants[183];
double dv_KmdErk = constants[184];
double dv_kpP90Rsk = constants[185];
double dv_KmpP90Rsk = constants[186];
double dv_kPI3K = constants[187];
double dv_KmPI3K = constants[188];
double dv_kPI3KRas = constants[189];
double dv_KmPI3KRas = constants[190];
double dv_kAkt = constants[191];
double dv_KmAkt = constants[192];
double dv_kdRaf1ByAkt = constants[193];
double dv_KmRaf1ByAkt = constants[194];
double dv_kC3GNGF = constants[195];
double dv_KmC3GNGF = constants[196];
double dv_kC3G = constants[197];
double dv_KmC3G = constants[198];
double dv_kRapGap = constants[199];
double dv_KmRapGap = constants[200];
double dv_kRap1ToBRaf = constants[201];
double dv_KmRap1ToBRaf = constants[202];
double dv_kdRaf1 = constants[203];
double dv_KmdRaf1 = constants[204];
double dv_kdBRaf = constants[205];
double dv_KmdBRaf = constants[206];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double du_EGF = dynamicVars[15];
double du_NGF = dynamicVars[16];
double du_boundEGFReceptor = dynamicVars[17];
double du_boundNGFReceptor = dynamicVars[18];
double du_SosActive = dynamicVars[19];
double du_P90RskActive = dynamicVars[20];
double du_RasActive = dynamicVars[21];
double du_Raf1Active = dynamicVars[22];
double du_BRafActive = dynamicVars[23];
double du_MekActive = dynamicVars[24];
double du_ErkActive = dynamicVars[25];
double du_PI3KActive = dynamicVars[26];
double du_AktActive = dynamicVars[27];
double du_C3GActive = dynamicVars[28];
double du_Rap1Active = dynamicVars[29];
double dv_EGF = dynamicVars[30];
double dv_NGF = dynamicVars[31];
double dv_boundEGFReceptor = dynamicVars[32];
double dv_boundNGFReceptor = dynamicVars[33];
double dv_SosActive = dynamicVars[34];
double dv_P90RskActive = dynamicVars[35];
double dv_RasActive = dynamicVars[36];
double dv_Raf1Active = dynamicVars[37];
double dv_BRafActive = dynamicVars[38];
double dv_MekActive = dynamicVars[39];
double dv_ErkActive = dynamicVars[40];
double dv_PI3KActive = dynamicVars[41];
double dv_AktActive = dynamicVars[42];
double dv_C3GActive = dynamicVars[43];
double dv_Rap1Active = dynamicVars[44];
double duv_EGF = dynamicVars[45];
double duv_NGF = dynamicVars[46];
double duv_boundEGFReceptor = dynamicVars[47];
double duv_boundNGFReceptor = dynamicVars[48];
double duv_SosActive = dynamicVars[49];
double duv_P90RskActive = dynamicVars[50];
double duv_RasActive = dynamicVars[51];
double duv_Raf1Active = dynamicVars[52];
double duv_BRafActive = dynamicVars[53];
double duv_MekActive = dynamicVars[54];
double duv_ErkActive = dynamicVars[55];
double duv_PI3KActive = dynamicVars[56];
double duv_AktActive = dynamicVars[57];
double duv_C3GActive = dynamicVars[58];
double duv_Rap1Active = dynamicVars[59];
double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double du_EGF_prime = yprime[15];
double du_NGF_prime = yprime[16];
double du_boundEGFReceptor_prime = yprime[17];
double du_boundNGFReceptor_prime = yprime[18];
double du_SosActive_prime = yprime[19];
double du_P90RskActive_prime = yprime[20];
double du_RasActive_prime = yprime[21];
double du_Raf1Active_prime = yprime[22];
double du_BRafActive_prime = yprime[23];
double du_MekActive_prime = yprime[24];
double du_ErkActive_prime = yprime[25];
double du_PI3KActive_prime = yprime[26];
double du_AktActive_prime = yprime[27];
double du_C3GActive_prime = yprime[28];
double du_Rap1Active_prime = yprime[29];
double dv_EGF_prime = yprime[30];
double dv_NGF_prime = yprime[31];
double dv_boundEGFReceptor_prime = yprime[32];
double dv_boundNGFReceptor_prime = yprime[33];
double dv_SosActive_prime = yprime[34];
double dv_P90RskActive_prime = yprime[35];
double dv_RasActive_prime = yprime[36];
double dv_Raf1Active_prime = yprime[37];
double dv_BRafActive_prime = yprime[38];
double dv_MekActive_prime = yprime[39];
double dv_ErkActive_prime = yprime[40];
double dv_PI3KActive_prime = yprime[41];
double dv_AktActive_prime = yprime[42];
double dv_C3GActive_prime = yprime[43];
double dv_Rap1Active_prime = yprime[44];
double duv_EGF_prime = yprime[45];
double duv_NGF_prime = yprime[46];
double duv_boundEGFReceptor_prime = yprime[47];
double duv_boundNGFReceptor_prime = yprime[48];
double duv_SosActive_prime = yprime[49];
double duv_P90RskActive_prime = yprime[50];
double duv_RasActive_prime = yprime[51];
double duv_Raf1Active_prime = yprime[52];
double duv_BRafActive_prime = yprime[53];
double duv_MekActive_prime = yprime[54];
double duv_ErkActive_prime = yprime[55];
double duv_PI3KActive_prime = yprime[56];
double duv_AktActive_prime = yprime[57];
double duv_C3GActive_prime = yprime[58];
double duv_Rap1Active_prime = yprime[59];

errors[0] = -EGF*cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - EGF_prime + boundEGFReceptor*cell*kruEGF;
errors[1] = -NGF*cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - NGF_prime + boundNGFReceptor*cell*kruNGF;
errors[2] = EGF*cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - boundEGFReceptor*cell*kruEGF - boundEGFReceptor_prime;
errors[3] = NGF*cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - boundNGFReceptor*cell*kruNGF - boundNGFReceptor_prime;
errors[4] = -P90RskActive*SosActive*cell*kdSos/(KmdSos + SosActive) - SosActive_prime + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
errors[5] = ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - P90RskActive_prime;
errors[6] = -RasActive*RasGapActive*cell*kRasGap/(KmRasGap + RasActive) - RasActive_prime + SosActive*cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
errors[7] = -AktActive*Raf1Active*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*Raf1PPtase*cell*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active_prime + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
errors[8] = -BRafActive*Raf1PPtase*cell*kdBRaf/(BRafActive + KmdBRaf) - BRafActive_prime + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
errors[9] = BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - MekActive*PP2AActive*cell*kdMek/(KmdMek + MekActive) - MekActive_prime + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
errors[10] = -ErkActive*PP2AActive*cell*kdErk/(ErkActive + KmdErk) - ErkActive_prime + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
errors[11] = -PI3KActive_prime + RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
errors[12] = -AktActive_prime + PI3KActive*cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
errors[13] = -C3GActive_prime + boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
errors[14] = C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - Rap1Active*RapGapActive*cell*kRapGap/(KmRapGap + Rap1Active) - Rap1Active_prime;
errors[15] = -EGF*cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - EGF*cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - EGF*du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + boundEGFReceptor*cell*du_kruEGF + boundEGFReceptor*du_cell*kruEGF - cell*du_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*du_boundEGFReceptor*kruEGF - du_EGF_prime;
errors[16] = -NGF*cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - NGF*cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - NGF*du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + boundNGFReceptor*cell*du_kruNGF + boundNGFReceptor*du_cell*kruNGF - cell*du_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*du_boundNGFReceptor*kruNGF - du_NGF_prime;
errors[17] = EGF*cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + EGF*cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + EGF*du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - boundEGFReceptor*cell*du_kruEGF - boundEGFReceptor*du_cell*kruEGF + cell*du_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*du_boundEGFReceptor*kruEGF - du_boundEGFReceptor_prime;
errors[18] = NGF*cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + NGF*cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + NGF*du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - boundNGFReceptor*cell*du_kruNGF - boundNGFReceptor*du_cell*kruNGF + cell*du_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*du_boundNGFReceptor*kruNGF - du_boundNGFReceptor_prime;
errors[19] = -P90RskActive*SosActive*cell*du_kdSos/(KmdSos + SosActive) - P90RskActive*SosActive*cell*kdSos*(-du_KmdSos - du_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*SosActive*du_cell*kdSos/(KmdSos + SosActive) - P90RskActive*cell*du_SosActive*kdSos/(KmdSos + SosActive) - SosActive*cell*du_P90RskActive*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*du_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)*(-du_KmEGF + du_SosActive - du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*du_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*du_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)*(-du_KmNGF + du_SosActive - du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*du_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*du_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*du_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - du_SosActive_prime;
errors[20] = ErkActive*cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-du_KmpP90Rsk + du_P90RskActive - du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*du_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - du_P90RskActive_prime;
errors[21] = -RasActive*RasGapActive*cell*du_kRasGap/(KmRasGap + RasActive) - RasActive*RasGapActive*cell*kRasGap*(-du_KmRasGap - du_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*RasGapActive*du_cell*kRasGap/(KmRasGap + RasActive) - RasActive*cell*du_RasGapActive*kRasGap/(KmRasGap + RasActive) - RasGapActive*cell*du_RasActive*kRasGap/(KmRasGap + RasActive) + SosActive*cell*du_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*cell*kSos*(-RasActive + Total_Ras)*(-du_KmSos + du_RasActive - du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*du_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*du_SosActive*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - du_RasActive_prime;
errors[22] = -AktActive*Raf1Active*cell*du_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*Raf1Active*cell*kdRaf1ByAkt*(-du_KmRaf1ByAkt - du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*Raf1Active*du_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*cell*du_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*Raf1PPtase*cell*du_kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active*Raf1PPtase*cell*kdRaf1*(-du_KmdRaf1 - du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*Raf1PPtase*du_cell*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active*cell*du_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*cell*du_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*du_Raf1Active*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-du_KmRasToRaf1 + du_Raf1Active - du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*du_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - du_Raf1Active_prime;
errors[23] = -BRafActive*Raf1PPtase*cell*du_kdBRaf/(BRafActive + KmdBRaf) - BRafActive*Raf1PPtase*cell*kdBRaf*(-du_BRafActive - du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*Raf1PPtase*du_cell*kdBRaf/(BRafActive + KmdBRaf) - BRafActive*cell*du_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*cell*du_BRafActive*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(du_BRafActive - du_KmRap1ToBRaf - du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*du_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - du_BRafActive_prime;
errors[24] = BRafActive*cell*du_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(-du_KmpBRaf + du_MekActive - du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*du_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - MekActive*PP2AActive*cell*du_kdMek/(KmdMek + MekActive) - MekActive*PP2AActive*cell*kdMek*(-du_KmdMek - du_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*PP2AActive*du_cell*kdMek/(KmdMek + MekActive) - MekActive*cell*du_PP2AActive*kdMek/(KmdMek + MekActive) - PP2AActive*cell*du_MekActive*kdMek/(KmdMek + MekActive) + Raf1Active*cell*du_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)*(-du_KmpRaf1 + du_MekActive - du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*du_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*du_BRafActive*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*du_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - du_MekActive_prime;
errors[25] = -ErkActive*PP2AActive*cell*du_kdErk/(ErkActive + KmdErk) - ErkActive*PP2AActive*cell*kdErk*(-du_ErkActive - du_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*PP2AActive*du_cell*kdErk/(ErkActive + KmdErk) - ErkActive*cell*du_PP2AActive*kdErk/(ErkActive + KmdErk) + MekActive*cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(du_ErkActive - du_KmpMekCytoplasmic - du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*du_ErkActive*kdErk/(ErkActive + KmdErk) + cell*du_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - du_ErkActive_prime;
errors[26] = RasActive*cell*du_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-du_KmPI3KRas + du_PI3KActive - du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*du_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)*(-du_KmPI3K + du_PI3KActive - du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*du_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*du_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - du_PI3KActive_prime;
errors[27] = PI3KActive*cell*du_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*cell*kAkt*(-AktActive + Total_Akt)*(du_AktActive - du_KmAkt - du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*du_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*du_PI3KActive*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - du_AktActive_prime;
errors[28] = boundNGFReceptor*cell*du_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)*(du_C3GActive - du_KmC3GNGF - du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*du_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*du_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - du_C3GActive_prime;
errors[29] = C3GActive*cell*du_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(-du_KmC3G + du_Rap1Active - du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*du_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - Rap1Active*RapGapActive*cell*du_kRapGap/(KmRapGap + Rap1Active) - Rap1Active*RapGapActive*cell*kRapGap*(-du_KmRapGap - du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*RapGapActive*du_cell*kRapGap/(KmRapGap + Rap1Active) - Rap1Active*cell*du_RapGapActive*kRapGap/(KmRapGap + Rap1Active) - RapGapActive*cell*du_Rap1Active*kRapGap/(KmRapGap + Rap1Active) + cell*du_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - du_Rap1Active_prime;
errors[30] = -EGF*cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - EGF*cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - EGF*dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + boundEGFReceptor*cell*dv_kruEGF + boundEGFReceptor*dv_cell*kruEGF - cell*dv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*dv_boundEGFReceptor*kruEGF - dv_EGF_prime;
errors[31] = -NGF*cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - NGF*cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - NGF*dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + boundNGFReceptor*cell*dv_kruNGF + boundNGFReceptor*dv_cell*kruNGF - cell*dv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*dv_boundNGFReceptor*kruNGF - dv_NGF_prime;
errors[32] = EGF*cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + EGF*cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + EGF*dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - boundEGFReceptor*cell*dv_kruEGF - boundEGFReceptor*dv_cell*kruEGF + cell*dv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*dv_boundEGFReceptor*kruEGF - dv_boundEGFReceptor_prime;
errors[33] = NGF*cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + NGF*cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + NGF*dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - boundNGFReceptor*cell*dv_kruNGF - boundNGFReceptor*dv_cell*kruNGF + cell*dv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*dv_boundNGFReceptor*kruNGF - dv_boundNGFReceptor_prime;
errors[34] = -P90RskActive*SosActive*cell*dv_kdSos/(KmdSos + SosActive) - P90RskActive*SosActive*cell*kdSos*(-dv_KmdSos - dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*SosActive*dv_cell*kdSos/(KmdSos + SosActive) - P90RskActive*cell*dv_SosActive*kdSos/(KmdSos + SosActive) - SosActive*cell*dv_P90RskActive*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)*(-dv_KmEGF + dv_SosActive - dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)*(-dv_KmNGF + dv_SosActive - dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - dv_SosActive_prime;
errors[35] = ErkActive*cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-dv_KmpP90Rsk + dv_P90RskActive - dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - dv_P90RskActive_prime;
errors[36] = -RasActive*RasGapActive*cell*dv_kRasGap/(KmRasGap + RasActive) - RasActive*RasGapActive*cell*kRasGap*(-dv_KmRasGap - dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*RasGapActive*dv_cell*kRasGap/(KmRasGap + RasActive) - RasActive*cell*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) - RasGapActive*cell*dv_RasActive*kRasGap/(KmRasGap + RasActive) + SosActive*cell*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*cell*kSos*(-RasActive + Total_Ras)*(-dv_KmSos + dv_RasActive - dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*dv_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*dv_SosActive*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - dv_RasActive_prime;
errors[37] = -AktActive*Raf1Active*cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*Raf1Active*cell*kdRaf1ByAkt*(-dv_KmRaf1ByAkt - dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*Raf1Active*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*cell*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*Raf1PPtase*cell*dv_kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active*Raf1PPtase*cell*kdRaf1*(-dv_KmdRaf1 - dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*Raf1PPtase*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active*cell*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*cell*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*dv_Raf1Active*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-dv_KmRasToRaf1 + dv_Raf1Active - dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - dv_Raf1Active_prime;
errors[38] = -BRafActive*Raf1PPtase*cell*dv_kdBRaf/(BRafActive + KmdBRaf) - BRafActive*Raf1PPtase*cell*kdBRaf*(-dv_BRafActive - dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*Raf1PPtase*dv_cell*kdBRaf/(BRafActive + KmdBRaf) - BRafActive*cell*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*cell*dv_BRafActive*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(dv_BRafActive - dv_KmRap1ToBRaf - dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - dv_BRafActive_prime;
errors[39] = BRafActive*cell*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(-dv_KmpBRaf + dv_MekActive - dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - MekActive*PP2AActive*cell*dv_kdMek/(KmdMek + MekActive) - MekActive*PP2AActive*cell*kdMek*(-dv_KmdMek - dv_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*PP2AActive*dv_cell*kdMek/(KmdMek + MekActive) - MekActive*cell*dv_PP2AActive*kdMek/(KmdMek + MekActive) - PP2AActive*cell*dv_MekActive*kdMek/(KmdMek + MekActive) + Raf1Active*cell*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)*(-dv_KmpRaf1 + dv_MekActive - dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - dv_MekActive_prime;
errors[40] = -ErkActive*PP2AActive*cell*dv_kdErk/(ErkActive + KmdErk) - ErkActive*PP2AActive*cell*kdErk*(-dv_ErkActive - dv_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*PP2AActive*dv_cell*kdErk/(ErkActive + KmdErk) - ErkActive*cell*dv_PP2AActive*kdErk/(ErkActive + KmdErk) + MekActive*cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(dv_ErkActive - dv_KmpMekCytoplasmic - dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*dv_ErkActive*kdErk/(ErkActive + KmdErk) + cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - dv_ErkActive_prime;
errors[41] = RasActive*cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-dv_KmPI3KRas + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)*(-dv_KmPI3K + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - dv_PI3KActive_prime;
errors[42] = PI3KActive*cell*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*cell*kAkt*(-AktActive + Total_Akt)*(dv_AktActive - dv_KmAkt - dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - dv_AktActive_prime;
errors[43] = boundNGFReceptor*cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)*(dv_C3GActive - dv_KmC3GNGF - dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - dv_C3GActive_prime;
errors[44] = C3GActive*cell*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(-dv_KmC3G + dv_Rap1Active - dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - Rap1Active*RapGapActive*cell*dv_kRapGap/(KmRapGap + Rap1Active) - Rap1Active*RapGapActive*cell*kRapGap*(-dv_KmRapGap - dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*RapGapActive*dv_cell*kRapGap/(KmRapGap + Rap1Active) - Rap1Active*cell*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active) - RapGapActive*cell*dv_Rap1Active*kRapGap/(KmRapGap + Rap1Active) + cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - dv_Rap1Active_prime;
errors[45] = -EGF*cell*du_krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + EGF*cell*duv_boundEGFReceptor*krbEGF - EGF*cell*dv_krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - EGF*du_cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - EGF*du_cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - EGF*du_krbEGF*dv_cell*(Total_EGFReceptor - boundEGFReceptor) - EGF*dv_cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + boundEGFReceptor*du_cell*dv_kruEGF + boundEGFReceptor*du_kruEGF*dv_cell - cell*du_EGF*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*du_EGF*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + cell*du_boundEGFReceptor*dv_kruEGF - cell*du_krbEGF*dv_EGF*(Total_EGFReceptor - boundEGFReceptor) + cell*du_kruEGF*dv_boundEGFReceptor - cell*duv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*duv_boundEGFReceptor*kruEGF - cell*dv_EGF*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - du_EGF*dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + du_boundEGFReceptor*dv_cell*kruEGF - du_cell*dv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) + du_cell*dv_boundEGFReceptor*kruEGF - duv_EGF_prime;
errors[46] = -NGF*cell*du_krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + NGF*cell*duv_boundNGFReceptor*krbNGF - NGF*cell*dv_krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - NGF*du_cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - NGF*du_cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - NGF*du_krbNGF*dv_cell*(Total_NGFReceptor - boundNGFReceptor) - NGF*dv_cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + boundNGFReceptor*du_cell*dv_kruNGF + boundNGFReceptor*du_kruNGF*dv_cell - cell*du_NGF*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*du_NGF*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + cell*du_boundNGFReceptor*dv_kruNGF - cell*du_krbNGF*dv_NGF*(Total_NGFReceptor - boundNGFReceptor) + cell*du_kruNGF*dv_boundNGFReceptor - cell*duv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*duv_boundNGFReceptor*kruNGF - cell*dv_NGF*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - du_NGF*dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + du_boundNGFReceptor*dv_cell*kruNGF - du_cell*dv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) + du_cell*dv_boundNGFReceptor*kruNGF - duv_NGF_prime;
errors[47] = EGF*cell*du_krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - EGF*cell*duv_boundEGFReceptor*krbEGF + EGF*cell*dv_krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + EGF*du_cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + EGF*du_cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + EGF*du_krbEGF*dv_cell*(Total_EGFReceptor - boundEGFReceptor) + EGF*dv_cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - boundEGFReceptor*du_cell*dv_kruEGF - boundEGFReceptor*du_kruEGF*dv_cell + cell*du_EGF*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*du_EGF*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - cell*du_boundEGFReceptor*dv_kruEGF + cell*du_krbEGF*dv_EGF*(Total_EGFReceptor - boundEGFReceptor) - cell*du_kruEGF*dv_boundEGFReceptor + cell*duv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*duv_boundEGFReceptor*kruEGF + cell*dv_EGF*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + du_EGF*dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - du_boundEGFReceptor*dv_cell*kruEGF + du_cell*dv_EGF*krbEGF*(Total_EGFReceptor - boundEGFReceptor) - du_cell*dv_boundEGFReceptor*kruEGF - duv_boundEGFReceptor_prime;
errors[48] = NGF*cell*du_krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - NGF*cell*duv_boundNGFReceptor*krbNGF + NGF*cell*dv_krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + NGF*du_cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + NGF*du_cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + NGF*du_krbNGF*dv_cell*(Total_NGFReceptor - boundNGFReceptor) + NGF*dv_cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - boundNGFReceptor*du_cell*dv_kruNGF - boundNGFReceptor*du_kruNGF*dv_cell + cell*du_NGF*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*du_NGF*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - cell*du_boundNGFReceptor*dv_kruNGF + cell*du_krbNGF*dv_NGF*(Total_NGFReceptor - boundNGFReceptor) - cell*du_kruNGF*dv_boundNGFReceptor + cell*duv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*duv_boundNGFReceptor*kruNGF + cell*dv_NGF*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + du_NGF*dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - du_boundNGFReceptor*dv_cell*kruNGF + du_cell*dv_NGF*krbNGF*(Total_NGFReceptor - boundNGFReceptor) - du_cell*dv_boundNGFReceptor*kruNGF - duv_boundNGFReceptor_prime;
errors[49] = P90RskActive*SosActive*cell*du_kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) + P90RskActive*SosActive*cell*duv_SosActive*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*SosActive*cell*dv_kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - 2*P90RskActive*SosActive*cell*kdSos*(du_KmdSos + du_SosActive)*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) - P90RskActive*SosActive*du_cell*dv_kdSos/(KmdSos + SosActive) + P90RskActive*SosActive*du_cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*SosActive*du_kdSos*dv_cell/(KmdSos + SosActive) + P90RskActive*SosActive*dv_cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*cell*du_SosActive*dv_kdSos/(KmdSos + SosActive) + P90RskActive*cell*du_SosActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*cell*du_kdSos*dv_SosActive/(KmdSos + SosActive) - P90RskActive*cell*duv_SosActive*kdSos/(KmdSos + SosActive) + P90RskActive*cell*dv_SosActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*du_SosActive*dv_cell*kdSos/(KmdSos + SosActive) - P90RskActive*du_cell*dv_SosActive*kdSos/(KmdSos + SosActive) - SosActive*cell*du_P90RskActive*dv_kdSos/(KmdSos + SosActive) + SosActive*cell*du_P90RskActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*cell*du_kdSos*dv_P90RskActive/(KmdSos + SosActive) - SosActive*cell*duv_P90RskActive*kdSos/(KmdSos + SosActive) + SosActive*cell*dv_P90RskActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*du_P90RskActive*dv_cell*kdSos/(KmdSos + SosActive) - SosActive*du_cell*dv_P90RskActive*kdSos/(KmdSos + SosActive) - boundEGFReceptor*cell*du_kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*du_kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*cell*duv_SosActive*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*duv_SosActive*kEGF/(KmEGF - SosActive + Total_Sos) - boundEGFReceptor*cell*dv_kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*dv_kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*cell*kEGF*(-2*SosActive + 2*Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) - boundEGFReceptor*cell*kEGF*(-du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF*(-dv_SosActive + dv_Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_cell*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - boundEGFReceptor*du_cell*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_cell*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + boundEGFReceptor*du_kEGF*dv_cell*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*dv_cell*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) - boundNGFReceptor*cell*du_kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*du_kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*cell*duv_SosActive*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*duv_SosActive*kNGF/(KmNGF - SosActive + Total_Sos) - boundNGFReceptor*cell*dv_kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*dv_kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-2*SosActive + 2*Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) - boundNGFReceptor*cell*kNGF*(-du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF*(-dv_SosActive + dv_Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_cell*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - boundNGFReceptor*du_cell*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_cell*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + boundNGFReceptor*du_kNGF*dv_cell*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*dv_cell*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) - cell*du_P90RskActive*dv_SosActive*kdSos/(KmdSos + SosActive) - cell*du_SosActive*dv_P90RskActive*kdSos/(KmdSos + SosActive) + cell*du_boundEGFReceptor*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - cell*du_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*du_boundEGFReceptor*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*du_boundNGFReceptor*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - cell*du_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*du_boundNGFReceptor*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*du_kEGF*dv_boundEGFReceptor*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*du_kNGF*dv_boundNGFReceptor*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*duv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*duv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*dv_boundEGFReceptor*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) - cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*dv_boundNGFReceptor*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + du_boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + du_boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + du_cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + du_cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - duv_SosActive_prime;
errors[50] = -ErkActive*cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*du_kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*cell*duv_P90RskActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*duv_P90RskActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - ErkActive*cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*dv_kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + 2*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) - ErkActive*cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - ErkActive*du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + ErkActive*du_kpP90Rsk*dv_cell*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*dv_cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*du_ErkActive*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - cell*du_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*du_ErkActive*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*du_kpP90Rsk*dv_ErkActive*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*duv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*dv_ErkActive*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - duv_P90RskActive_prime;
errors[51] = RasActive*RasGapActive*cell*du_kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) + RasActive*RasGapActive*cell*duv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*RasGapActive*cell*dv_kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - 2*RasActive*RasGapActive*cell*kRasGap*(du_KmRasGap + du_RasActive)*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) - RasActive*RasGapActive*du_cell*dv_kRasGap/(KmRasGap + RasActive) + RasActive*RasGapActive*du_cell*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*RasGapActive*du_kRasGap*dv_cell/(KmRasGap + RasActive) + RasActive*RasGapActive*dv_cell*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*cell*du_RasGapActive*dv_kRasGap/(KmRasGap + RasActive) + RasActive*cell*du_RasGapActive*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*cell*du_kRasGap*dv_RasGapActive/(KmRasGap + RasActive) + RasActive*cell*dv_RasGapActive*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - RasActive*du_RasGapActive*dv_cell*kRasGap/(KmRasGap + RasActive) - RasActive*du_cell*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) - RasGapActive*cell*du_RasActive*dv_kRasGap/(KmRasGap + RasActive) + RasGapActive*cell*du_RasActive*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*du_kRasGap*dv_RasActive/(KmRasGap + RasActive) - RasGapActive*cell*duv_RasActive*kRasGap/(KmRasGap + RasActive) + RasGapActive*cell*dv_RasActive*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*du_RasActive*dv_cell*kRasGap/(KmRasGap + RasActive) - RasGapActive*du_cell*dv_RasActive*kRasGap/(KmRasGap + RasActive) - SosActive*cell*du_kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*du_kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*cell*duv_RasActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*duv_RasActive*kSos/(KmSos - RasActive + Total_Ras) - SosActive*cell*dv_kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*dv_kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*cell*kSos*(-2*RasActive + 2*Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) - SosActive*cell*kSos*(-du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos*(-dv_RasActive + dv_Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_cell*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - SosActive*du_cell*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_cell*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + SosActive*du_kSos*dv_cell*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - SosActive*dv_cell*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*dv_cell*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) - cell*du_RasActive*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) - cell*du_RasGapActive*dv_RasActive*kRasGap/(KmRasGap + RasActive) + cell*du_SosActive*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - cell*du_SosActive*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*du_SosActive*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*du_kSos*dv_SosActive*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*duv_SosActive*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - cell*dv_SosActive*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*dv_SosActive*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + du_SosActive*dv_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + du_cell*dv_SosActive*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - duv_RasActive_prime;
errors[52] = AktActive*Raf1Active*cell*du_kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*Raf1Active*cell*duv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*Raf1Active*cell*dv_kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*Raf1Active*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) - AktActive*Raf1Active*du_cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*Raf1Active*du_cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*Raf1Active*du_kdRaf1ByAkt*dv_cell/(KmRaf1ByAkt + Raf1Active) + AktActive*Raf1Active*dv_cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*du_Raf1Active*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*cell*du_Raf1Active*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*du_kdRaf1ByAkt*dv_Raf1Active/(KmRaf1ByAkt + Raf1Active) - AktActive*cell*duv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*cell*dv_Raf1Active*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*du_Raf1Active*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*du_cell*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*du_kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*Raf1PPtase*cell*duv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*Raf1PPtase*cell*dv_kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) - Raf1Active*Raf1PPtase*du_cell*dv_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1Active*Raf1PPtase*du_cell*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*Raf1PPtase*du_kdRaf1*dv_cell/(KmdRaf1 + Raf1Active) + Raf1Active*Raf1PPtase*dv_cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*cell*du_AktActive*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*cell*du_AktActive*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*cell*du_Raf1PPtase*dv_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1Active*cell*du_Raf1PPtase*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*cell*du_kdRaf1*dv_Raf1PPtase/(KmdRaf1 + Raf1Active) - Raf1Active*cell*du_kdRaf1ByAkt*dv_AktActive/(KmRaf1ByAkt + Raf1Active) - Raf1Active*cell*duv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*cell*dv_AktActive*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*dv_Raf1PPtase*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1Active*du_AktActive*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*du_Raf1PPtase*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1Active*du_cell*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*du_cell*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*du_Raf1Active*dv_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1PPtase*cell*du_Raf1Active*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*du_kdRaf1*dv_Raf1Active/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*duv_Raf1Active*kdRaf1/(KmdRaf1 + Raf1Active) + Raf1PPtase*cell*dv_Raf1Active*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*du_Raf1Active*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*du_cell*dv_Raf1Active*kdRaf1/(KmdRaf1 + Raf1Active) - RasActive*cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*du_kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*cell*duv_Raf1Active*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*duv_Raf1Active*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - RasActive*cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*dv_kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*cell*kRasToRaf1*(-2*Raf1Active + 2*Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) - RasActive*cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - RasActive*du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + RasActive*du_kRasToRaf1*dv_cell*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*dv_cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*du_AktActive*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1Active*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1Active*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) - cell*du_Raf1PPtase*dv_Raf1Active*kdRaf1/(KmdRaf1 + Raf1Active) + cell*du_RasActive*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*du_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*du_RasActive*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*du_kRasToRaf1*dv_RasActive*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*duv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*dv_RasActive*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + du_RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + du_cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - duv_Raf1Active_prime;
errors[53] = BRafActive*Raf1PPtase*cell*du_kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) + BRafActive*Raf1PPtase*cell*duv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*Raf1PPtase*cell*dv_kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*Raf1PPtase*cell*kdBRaf*(du_BRafActive + du_KmdBRaf)*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) - BRafActive*Raf1PPtase*du_cell*dv_kdBRaf/(BRafActive + KmdBRaf) + BRafActive*Raf1PPtase*du_cell*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*Raf1PPtase*du_kdBRaf*dv_cell/(BRafActive + KmdBRaf) + BRafActive*Raf1PPtase*dv_cell*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*cell*du_Raf1PPtase*dv_kdBRaf/(BRafActive + KmdBRaf) + BRafActive*cell*du_Raf1PPtase*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*cell*du_kdBRaf*dv_Raf1PPtase/(BRafActive + KmdBRaf) + BRafActive*cell*dv_Raf1PPtase*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - BRafActive*du_Raf1PPtase*dv_cell*kdBRaf/(BRafActive + KmdBRaf) - BRafActive*du_cell*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*cell*du_BRafActive*dv_kdBRaf/(BRafActive + KmdBRaf) + Raf1PPtase*cell*du_BRafActive*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*du_kdBRaf*dv_BRafActive/(BRafActive + KmdBRaf) - Raf1PPtase*cell*duv_BRafActive*kdBRaf/(BRafActive + KmdBRaf) + Raf1PPtase*cell*dv_BRafActive*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*du_BRafActive*dv_cell*kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*du_cell*dv_BRafActive*kdBRaf/(BRafActive + KmdBRaf) - Rap1Active*cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*du_kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*cell*duv_BRafActive*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*duv_BRafActive*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - Rap1Active*cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*dv_kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*cell*kRap1ToBRaf*(-2*BRafActive + 2*Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) - Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - Rap1Active*du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + Rap1Active*du_kRap1ToBRaf*dv_cell*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*dv_cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*du_BRafActive*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) - cell*du_Raf1PPtase*dv_BRafActive*kdBRaf/(BRafActive + KmdBRaf) + cell*du_Rap1Active*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*du_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*du_Rap1Active*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*du_kRap1ToBRaf*dv_Rap1Active*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*duv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*dv_Rap1Active*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + du_Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + du_cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - duv_BRafActive_prime;
errors[54] = -BRafActive*cell*du_kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*du_kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*cell*duv_MekActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*duv_MekActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - BRafActive*cell*dv_kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*dv_kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + 2*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) - BRafActive*cell*kpBRaf*(-du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_cell*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - BRafActive*du_cell*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + BRafActive*du_kpBRaf*dv_cell*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*dv_cell*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*du_kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) + MekActive*PP2AActive*cell*duv_MekActive*kdMek/pow(KmdMek + MekActive, 2) + MekActive*PP2AActive*cell*dv_kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - 2*MekActive*PP2AActive*cell*kdMek*(du_KmdMek + du_MekActive)*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) - MekActive*PP2AActive*du_cell*dv_kdMek/(KmdMek + MekActive) + MekActive*PP2AActive*du_cell*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*PP2AActive*du_kdMek*dv_cell/(KmdMek + MekActive) + MekActive*PP2AActive*dv_cell*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*cell*du_PP2AActive*dv_kdMek/(KmdMek + MekActive) + MekActive*cell*du_PP2AActive*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*cell*du_kdMek*dv_PP2AActive/(KmdMek + MekActive) + MekActive*cell*dv_PP2AActive*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - MekActive*du_PP2AActive*dv_cell*kdMek/(KmdMek + MekActive) - MekActive*du_cell*dv_PP2AActive*kdMek/(KmdMek + MekActive) - PP2AActive*cell*du_MekActive*dv_kdMek/(KmdMek + MekActive) + PP2AActive*cell*du_MekActive*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*cell*du_kdMek*dv_MekActive/(KmdMek + MekActive) - PP2AActive*cell*duv_MekActive*kdMek/(KmdMek + MekActive) + PP2AActive*cell*dv_MekActive*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*du_MekActive*dv_cell*kdMek/(KmdMek + MekActive) - PP2AActive*du_cell*dv_MekActive*kdMek/(KmdMek + MekActive) - Raf1Active*cell*du_kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*du_kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*cell*duv_MekActive*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*duv_MekActive*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - Raf1Active*cell*dv_kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*dv_kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*cell*kpRaf1*(-2*MekActive + 2*Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) - Raf1Active*cell*kpRaf1*(-du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_cell*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - Raf1Active*du_cell*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + Raf1Active*du_kpRaf1*dv_cell*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*dv_cell*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*du_BRafActive*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - cell*du_BRafActive*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*du_BRafActive*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - cell*du_MekActive*dv_PP2AActive*kdMek/(KmdMek + MekActive) - cell*du_PP2AActive*dv_MekActive*kdMek/(KmdMek + MekActive) + cell*du_Raf1Active*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - cell*du_Raf1Active*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*du_Raf1Active*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*du_kpBRaf*dv_BRafActive*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*du_kpRaf1*dv_Raf1Active*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*duv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*duv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*dv_BRafActive*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*dv_Raf1Active*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + du_BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + du_Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + du_cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + du_cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - duv_MekActive_prime;
errors[55] = ErkActive*PP2AActive*cell*du_kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) + ErkActive*PP2AActive*cell*duv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*PP2AActive*cell*dv_kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - 2*ErkActive*PP2AActive*cell*kdErk*(du_ErkActive + du_KmdErk)*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) - ErkActive*PP2AActive*du_cell*dv_kdErk/(ErkActive + KmdErk) + ErkActive*PP2AActive*du_cell*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*PP2AActive*du_kdErk*dv_cell/(ErkActive + KmdErk) + ErkActive*PP2AActive*dv_cell*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*cell*du_PP2AActive*dv_kdErk/(ErkActive + KmdErk) + ErkActive*cell*du_PP2AActive*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*cell*du_kdErk*dv_PP2AActive/(ErkActive + KmdErk) + ErkActive*cell*dv_PP2AActive*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - ErkActive*du_PP2AActive*dv_cell*kdErk/(ErkActive + KmdErk) - ErkActive*du_cell*dv_PP2AActive*kdErk/(ErkActive + KmdErk) - MekActive*cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*du_kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*cell*duv_ErkActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*duv_ErkActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - MekActive*cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*dv_kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*cell*kpMekCytoplasmic*(-2*ErkActive + 2*Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) - MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - MekActive*du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + MekActive*du_kpMekCytoplasmic*dv_cell*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*dv_cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*du_ErkActive*dv_kdErk/(ErkActive + KmdErk) + PP2AActive*cell*du_ErkActive*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*cell*du_kdErk*dv_ErkActive/(ErkActive + KmdErk) - PP2AActive*cell*duv_ErkActive*kdErk/(ErkActive + KmdErk) + PP2AActive*cell*dv_ErkActive*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*du_ErkActive*dv_cell*kdErk/(ErkActive + KmdErk) - PP2AActive*du_cell*dv_ErkActive*kdErk/(ErkActive + KmdErk) - cell*du_ErkActive*dv_PP2AActive*kdErk/(ErkActive + KmdErk) + cell*du_MekActive*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*du_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*du_MekActive*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*du_PP2AActive*dv_ErkActive*kdErk/(ErkActive + KmdErk) + cell*du_kpMekCytoplasmic*dv_MekActive*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*duv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*dv_MekActive*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + du_MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + du_cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - duv_ErkActive_prime;
errors[56] = RasActive*cell*du_kPI3KRas*(PI3KActive - Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*du_kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*cell*duv_PI3KActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*duv_PI3KActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - RasActive*cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*dv_kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*cell*kPI3KRas*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) - RasActive*cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - RasActive*du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + RasActive*du_kPI3KRas*dv_cell*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*dv_cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - boundEGFReceptor*cell*du_kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*du_kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*duv_PI3KActive*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*duv_PI3KActive*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - boundEGFReceptor*cell*dv_kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*dv_kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) - boundEGFReceptor*cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - boundEGFReceptor*du_cell*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + boundEGFReceptor*du_kPI3K*dv_cell*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*dv_cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_RasActive*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - cell*du_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*du_RasActive*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*du_boundEGFReceptor*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - cell*du_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*du_boundEGFReceptor*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_kPI3K*dv_boundEGFReceptor*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_kPI3KRas*dv_RasActive*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*duv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*duv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*dv_RasActive*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*dv_boundEGFReceptor*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + du_RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + du_boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + du_cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + du_cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - duv_PI3KActive_prime;
errors[57] = PI3KActive*cell*du_kAkt*(AktActive - Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*du_kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*cell*duv_AktActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*duv_AktActive*kAkt/(-AktActive + KmAkt + Total_Akt) - PI3KActive*cell*dv_kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*dv_kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*cell*kAkt*(-2*AktActive + 2*Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) - PI3KActive*cell*kAkt*(-du_AktActive + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt*(-dv_AktActive + dv_Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_cell*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - PI3KActive*du_cell*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_cell*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + PI3KActive*du_kAkt*dv_cell*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*dv_cell*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*du_PI3KActive*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - cell*du_PI3KActive*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*du_PI3KActive*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*du_kAkt*dv_PI3KActive*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*duv_PI3KActive*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*dv_PI3KActive*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + du_PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + du_cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - duv_AktActive_prime;
errors[58] = boundNGFReceptor*cell*du_kC3GNGF*(C3GActive - Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*du_kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*cell*duv_C3GActive*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*duv_C3GActive*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - boundNGFReceptor*cell*dv_kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*dv_kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*cell*kC3GNGF*(-2*C3GActive + 2*Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) - boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - boundNGFReceptor*du_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + boundNGFReceptor*du_kC3GNGF*dv_cell*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*dv_cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*du_boundNGFReceptor*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - cell*du_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*du_boundNGFReceptor*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*du_kC3GNGF*dv_boundNGFReceptor*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*duv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*dv_boundNGFReceptor*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + du_boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + du_cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - duv_C3GActive_prime;
errors[59] = -C3GActive*cell*du_kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*du_kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*cell*duv_Rap1Active*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*duv_Rap1Active*kC3G/(KmC3G - Rap1Active + Total_Rap1) - C3GActive*cell*dv_kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*dv_kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + 2*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) - C3GActive*cell*kC3G*(-du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_cell*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - C3GActive*du_cell*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + C3GActive*du_kC3G*dv_cell*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*dv_cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*du_kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) + Rap1Active*RapGapActive*cell*duv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*RapGapActive*cell*dv_kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*RapGapActive*cell*kRapGap*(du_KmRapGap + du_Rap1Active)*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) - Rap1Active*RapGapActive*du_cell*dv_kRapGap/(KmRapGap + Rap1Active) + Rap1Active*RapGapActive*du_cell*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*RapGapActive*du_kRapGap*dv_cell/(KmRapGap + Rap1Active) + Rap1Active*RapGapActive*dv_cell*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*cell*du_RapGapActive*dv_kRapGap/(KmRapGap + Rap1Active) + Rap1Active*cell*du_RapGapActive*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*cell*du_kRapGap*dv_RapGapActive/(KmRapGap + Rap1Active) + Rap1Active*cell*dv_RapGapActive*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - Rap1Active*du_RapGapActive*dv_cell*kRapGap/(KmRapGap + Rap1Active) - Rap1Active*du_cell*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active) - RapGapActive*cell*du_Rap1Active*dv_kRapGap/(KmRapGap + Rap1Active) + RapGapActive*cell*du_Rap1Active*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*du_kRapGap*dv_Rap1Active/(KmRapGap + Rap1Active) - RapGapActive*cell*duv_Rap1Active*kRapGap/(KmRapGap + Rap1Active) + RapGapActive*cell*dv_Rap1Active*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*du_Rap1Active*dv_cell*kRapGap/(KmRapGap + Rap1Active) - RapGapActive*du_cell*dv_Rap1Active*kRapGap/(KmRapGap + Rap1Active) + cell*du_C3GActive*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - cell*du_C3GActive*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*du_C3GActive*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - cell*du_Rap1Active*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active) - cell*du_RapGapActive*dv_Rap1Active*kRapGap/(KmRapGap + Rap1Active) + cell*du_kC3G*dv_C3GActive*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + cell*duv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*dv_C3GActive*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + du_C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + du_cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - duv_Rap1Active_prime;
}

void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants) {
double cell = constants[0];
double RasGapActive = constants[1];
double RapGapActive = constants[2];
double PP2AActive = constants[3];
double Raf1PPtase = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double krbEGF = constants[21];
double kruEGF = constants[22];
double krbNGF = constants[23];
double kruNGF = constants[24];
double kEGF = constants[25];
double KmEGF = constants[26];
double kNGF = constants[27];
double KmNGF = constants[28];
double kdSos = constants[29];
double KmdSos = constants[30];
double kSos = constants[31];
double KmSos = constants[32];
double kRasGap = constants[33];
double KmRasGap = constants[34];
double kRasToRaf1 = constants[35];
double KmRasToRaf1 = constants[36];
double kpRaf1 = constants[37];
double KmpRaf1 = constants[38];
double kpBRaf = constants[39];
double KmpBRaf = constants[40];
double kdMek = constants[41];
double KmdMek = constants[42];
double kpMekCytoplasmic = constants[43];
double KmpMekCytoplasmic = constants[44];
double kdErk = constants[45];
double KmdErk = constants[46];
double kpP90Rsk = constants[47];
double KmpP90Rsk = constants[48];
double kPI3K = constants[49];
double KmPI3K = constants[50];
double kPI3KRas = constants[51];
double KmPI3KRas = constants[52];
double kAkt = constants[53];
double KmAkt = constants[54];
double kdRaf1ByAkt = constants[55];
double KmRaf1ByAkt = constants[56];
double kC3GNGF = constants[57];
double KmC3GNGF = constants[58];
double kC3G = constants[59];
double KmC3G = constants[60];
double kRapGap = constants[61];
double KmRapGap = constants[62];
double kRap1ToBRaf = constants[63];
double KmRap1ToBRaf = constants[64];
double kdRaf1 = constants[65];
double KmdRaf1 = constants[66];
double kdBRaf = constants[67];
double KmdBRaf = constants[68];
double du_cell = constants[69];
double du_RasGapActive = constants[70];
double du_RapGapActive = constants[71];
double du_PP2AActive = constants[72];
double du_Raf1PPtase = constants[73];
double du_EGF_IC = constants[74];
double du_NGF_IC = constants[75];
double du_Total_EGFReceptor = constants[76];
double du_Total_NGFReceptor = constants[77];
double du_Total_Sos = constants[78];
double du_Total_P90Rsk = constants[79];
double du_Total_Ras = constants[80];
double du_Total_Raf1 = constants[81];
double du_Total_BRaf = constants[82];
double du_Total_Mek = constants[83];
double du_Total_Erk = constants[84];
double du_Total_PI3K = constants[85];
double du_Total_Akt = constants[86];
double du_Total_C3G = constants[87];
double du_Total_Rap1 = constants[88];
double du_Zero = constants[89];
double du_krbEGF = constants[90];
double du_kruEGF = constants[91];
double du_krbNGF = constants[92];
double du_kruNGF = constants[93];
double du_kEGF = constants[94];
double du_KmEGF = constants[95];
double du_kNGF = constants[96];
double du_KmNGF = constants[97];
double du_kdSos = constants[98];
double du_KmdSos = constants[99];
double du_kSos = constants[100];
double du_KmSos = constants[101];
double du_kRasGap = constants[102];
double du_KmRasGap = constants[103];
double du_kRasToRaf1 = constants[104];
double du_KmRasToRaf1 = constants[105];
double du_kpRaf1 = constants[106];
double du_KmpRaf1 = constants[107];
double du_kpBRaf = constants[108];
double du_KmpBRaf = constants[109];
double du_kdMek = constants[110];
double du_KmdMek = constants[111];
double du_kpMekCytoplasmic = constants[112];
double du_KmpMekCytoplasmic = constants[113];
double du_kdErk = constants[114];
double du_KmdErk = constants[115];
double du_kpP90Rsk = constants[116];
double du_KmpP90Rsk = constants[117];
double du_kPI3K = constants[118];
double du_KmPI3K = constants[119];
double du_kPI3KRas = constants[120];
double du_KmPI3KRas = constants[121];
double du_kAkt = constants[122];
double du_KmAkt = constants[123];
double du_kdRaf1ByAkt = constants[124];
double du_KmRaf1ByAkt = constants[125];
double du_kC3GNGF = constants[126];
double du_KmC3GNGF = constants[127];
double du_kC3G = constants[128];
double du_KmC3G = constants[129];
double du_kRapGap = constants[130];
double du_KmRapGap = constants[131];
double du_kRap1ToBRaf = constants[132];
double du_KmRap1ToBRaf = constants[133];
double du_kdRaf1 = constants[134];
double du_KmdRaf1 = constants[135];
double du_kdBRaf = constants[136];
double du_KmdBRaf = constants[137];
double dv_cell = constants[138];
double dv_RasGapActive = constants[139];
double dv_RapGapActive = constants[140];
double dv_PP2AActive = constants[141];
double dv_Raf1PPtase = constants[142];
double dv_EGF_IC = constants[143];
double dv_NGF_IC = constants[144];
double dv_Total_EGFReceptor = constants[145];
double dv_Total_NGFReceptor = constants[146];
double dv_Total_Sos = constants[147];
double dv_Total_P90Rsk = constants[148];
double dv_Total_Ras = constants[149];
double dv_Total_Raf1 = constants[150];
double dv_Total_BRaf = constants[151];
double dv_Total_Mek = constants[152];
double dv_Total_Erk = constants[153];
double dv_Total_PI3K = constants[154];
double dv_Total_Akt = constants[155];
double dv_Total_C3G = constants[156];
double dv_Total_Rap1 = constants[157];
double dv_Zero = constants[158];
double dv_krbEGF = constants[159];
double dv_kruEGF = constants[160];
double dv_krbNGF = constants[161];
double dv_kruNGF = constants[162];
double dv_kEGF = constants[163];
double dv_KmEGF = constants[164];
double dv_kNGF = constants[165];
double dv_KmNGF = constants[166];
double dv_kdSos = constants[167];
double dv_KmdSos = constants[168];
double dv_kSos = constants[169];
double dv_KmSos = constants[170];
double dv_kRasGap = constants[171];
double dv_KmRasGap = constants[172];
double dv_kRasToRaf1 = constants[173];
double dv_KmRasToRaf1 = constants[174];
double dv_kpRaf1 = constants[175];
double dv_KmpRaf1 = constants[176];
double dv_kpBRaf = constants[177];
double dv_KmpBRaf = constants[178];
double dv_kdMek = constants[179];
double dv_KmdMek = constants[180];
double dv_kpMekCytoplasmic = constants[181];
double dv_KmpMekCytoplasmic = constants[182];
double dv_kdErk = constants[183];
double dv_KmdErk = constants[184];
double dv_kpP90Rsk = constants[185];
double dv_KmpP90Rsk = constants[186];
double dv_kPI3K = constants[187];
double dv_KmPI3K = constants[188];
double dv_kPI3KRas = constants[189];
double dv_KmPI3KRas = constants[190];
double dv_kAkt = constants[191];
double dv_KmAkt = constants[192];
double dv_kdRaf1ByAkt = constants[193];
double dv_KmRaf1ByAkt = constants[194];
double dv_kC3GNGF = constants[195];
double dv_KmC3GNGF = constants[196];
double dv_kC3G = constants[197];
double dv_KmC3G = constants[198];
double dv_kRapGap = constants[199];
double dv_KmRapGap = constants[200];
double dv_kRap1ToBRaf = constants[201];
double dv_KmRap1ToBRaf = constants[202];
double dv_kdRaf1 = constants[203];
double dv_KmdRaf1 = constants[204];
double dv_kdBRaf = constants[205];
double dv_KmdBRaf = constants[206];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double du_EGF = dynamicVars[15];
double du_NGF = dynamicVars[16];
double du_boundEGFReceptor = dynamicVars[17];
double du_boundNGFReceptor = dynamicVars[18];
double du_SosActive = dynamicVars[19];
double du_P90RskActive = dynamicVars[20];
double du_RasActive = dynamicVars[21];
double du_Raf1Active = dynamicVars[22];
double du_BRafActive = dynamicVars[23];
double du_MekActive = dynamicVars[24];
double du_ErkActive = dynamicVars[25];
double du_PI3KActive = dynamicVars[26];
double du_AktActive = dynamicVars[27];
double du_C3GActive = dynamicVars[28];
double du_Rap1Active = dynamicVars[29];
double dv_EGF = dynamicVars[30];
double dv_NGF = dynamicVars[31];
double dv_boundEGFReceptor = dynamicVars[32];
double dv_boundNGFReceptor = dynamicVars[33];
double dv_SosActive = dynamicVars[34];
double dv_P90RskActive = dynamicVars[35];
double dv_RasActive = dynamicVars[36];
double dv_Raf1Active = dynamicVars[37];
double dv_BRafActive = dynamicVars[38];
double dv_MekActive = dynamicVars[39];
double dv_ErkActive = dynamicVars[40];
double dv_PI3KActive = dynamicVars[41];
double dv_AktActive = dynamicVars[42];
double dv_C3GActive = dynamicVars[43];
double dv_Rap1Active = dynamicVars[44];
double duv_EGF = dynamicVars[45];
double duv_NGF = dynamicVars[46];
double duv_boundEGFReceptor = dynamicVars[47];
double duv_boundNGFReceptor = dynamicVars[48];
double duv_SosActive = dynamicVars[49];
double duv_P90RskActive = dynamicVars[50];
double duv_RasActive = dynamicVars[51];
double duv_Raf1Active = dynamicVars[52];
double duv_BRafActive = dynamicVars[53];
double duv_MekActive = dynamicVars[54];
double duv_ErkActive = dynamicVars[55];
double duv_PI3KActive = dynamicVars[56];
double duv_AktActive = dynamicVars[57];
double duv_C3GActive = dynamicVars[58];
double duv_Rap1Active = dynamicVars[59];

double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double du_EGF_prime = yprime[15];
double du_NGF_prime = yprime[16];
double du_boundEGFReceptor_prime = yprime[17];
double du_boundNGFReceptor_prime = yprime[18];
double du_SosActive_prime = yprime[19];
double du_P90RskActive_prime = yprime[20];
double du_RasActive_prime = yprime[21];
double du_Raf1Active_prime = yprime[22];
double du_BRafActive_prime = yprime[23];
double du_MekActive_prime = yprime[24];
double du_ErkActive_prime = yprime[25];
double du_PI3KActive_prime = yprime[26];
double du_AktActive_prime = yprime[27];
double du_C3GActive_prime = yprime[28];
double du_Rap1Active_prime = yprime[29];
double dv_EGF_prime = yprime[30];
double dv_NGF_prime = yprime[31];
double dv_boundEGFReceptor_prime = yprime[32];
double dv_boundNGFReceptor_prime = yprime[33];
double dv_SosActive_prime = yprime[34];
double dv_P90RskActive_prime = yprime[35];
double dv_RasActive_prime = yprime[36];
double dv_Raf1Active_prime = yprime[37];
double dv_BRafActive_prime = yprime[38];
double dv_MekActive_prime = yprime[39];
double dv_ErkActive_prime = yprime[40];
double dv_PI3KActive_prime = yprime[41];
double dv_AktActive_prime = yprime[42];
double dv_C3GActive_prime = yprime[43];
double dv_Rap1Active_prime = yprime[44];
double duv_EGF_prime = yprime[45];
double duv_NGF_prime = yprime[46];
double duv_boundEGFReceptor_prime = yprime[47];
double duv_boundNGFReceptor_prime = yprime[48];
double duv_SosActive_prime = yprime[49];
double duv_P90RskActive_prime = yprime[50];
double duv_RasActive_prime = yprime[51];
double duv_Raf1Active_prime = yprime[52];
double duv_BRafActive_prime = yprime[53];
double duv_MekActive_prime = yprime[54];
double duv_ErkActive_prime = yprime[55];
double duv_PI3KActive_prime = yprime[56];
double duv_AktActive_prime = yprime[57];
double duv_C3GActive_prime = yprime[58];
double duv_Rap1Active_prime = yprime[59];

memset(pd, 0, sizeof(pd)*3600);
pd[0] = (-cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor)) + cj*(-1);
pd[2] = EGF*cell*krbEGF + cell*kruEGF;
pd[61] = (-cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor)) + cj*(-1);
pd[63] = NGF*cell*krbNGF + cell*kruNGF;
pd[120] = cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[122] = (-EGF*cell*krbEGF - cell*kruEGF) + cj*(-1);
pd[181] = cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[183] = (-NGF*cell*krbNGF - cell*kruNGF) + cj*(-1);
pd[242] = cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[243] = cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[244] = (P90RskActive*SosActive*cell*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF/(KmNGF - SosActive + Total_Sos)) + cj*(-1);
pd[245] = -SosActive*cell*kdSos/(KmdSos + SosActive);
pd[305] = (ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk)) + cj*(-1);
pd[310] = cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[364] = cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[366] = (RasActive*RasGapActive*cell*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos/(KmSos - RasActive + Total_Ras)) + cj*(-1);
pd[426] = cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[427] = (AktActive*Raf1Active*cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1)) + cj*(-1);
pd[432] = -Raf1Active*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[488] = (BRafActive*Raf1PPtase*cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf)) + cj*(-1);
pd[494] = cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[547] = cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[548] = cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[549] = (BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek)) + cj*(-1);
pd[609] = cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[610] = (ErkActive*PP2AActive*cell*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*kdErk/(ErkActive + KmdErk)) + cj*(-1);
pd[662] = cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[666] = cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[671] = (RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K)) + cj*(-1);
pd[731] = cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[732] = (PI3KActive*cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt/(-AktActive + KmAkt + Total_Akt)) + cj*(-1);
pd[783] = cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[793] = (boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G)) + cj*(-1);
pd[853] = cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[854] = (C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*kRapGap/(KmRapGap + Rap1Active)) + cj*(-1);
pd[900] = -cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[902] = EGF*cell*du_krbEGF + EGF*du_cell*krbEGF + cell*du_EGF*krbEGF + cell*du_kruEGF + du_cell*kruEGF;
pd[915] = (-cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor)) + cj*(-1);
pd[917] = EGF*cell*krbEGF + cell*kruEGF;
pd[961] = -cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[963] = NGF*cell*du_krbNGF + NGF*du_cell*krbNGF + cell*du_NGF*krbNGF + cell*du_kruNGF + du_cell*kruNGF;
pd[976] = (-cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor)) + cj*(-1);
pd[978] = NGF*cell*krbNGF + cell*kruNGF;
pd[1020] = cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[1022] = -EGF*cell*du_krbEGF - EGF*du_cell*krbEGF - cell*du_EGF*krbEGF - cell*du_kruEGF - du_cell*kruEGF;
pd[1035] = cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[1037] = (-EGF*cell*krbEGF - cell*kruEGF) + cj*(-1);
pd[1081] = cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[1083] = -NGF*cell*du_krbNGF - NGF*du_cell*krbNGF - cell*du_NGF*krbNGF - cell*du_kruNGF - du_cell*kruNGF;
pd[1096] = cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[1098] = (-NGF*cell*krbNGF - cell*kruNGF) + cj*(-1);
pd[1142] = cell*du_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*kEGF*(-SosActive + Total_Sos)*(-du_KmEGF + du_SosActive - du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) + du_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[1143] = cell*du_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*kNGF*(-SosActive + Total_Sos)*(-du_KmNGF + du_SosActive - du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + du_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[1144] = P90RskActive*SosActive*cell*du_kdSos/pow(KmdSos + SosActive, 2) + 2*P90RskActive*SosActive*cell*kdSos*(-du_KmdSos - du_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*SosActive*du_cell*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*cell*du_SosActive*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*du_kdSos/(KmdSos + SosActive) - P90RskActive*cell*kdSos*(-du_KmdSos - du_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*du_cell*kdSos/(KmdSos + SosActive) + SosActive*cell*du_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) + boundEGFReceptor*cell*du_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*du_kEGF/(KmEGF - SosActive + Total_Sos) + 2*boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)*(-du_KmEGF + du_SosActive - du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*kEGF*(-du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF*(-du_KmEGF + du_SosActive - du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*du_cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*du_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*du_kNGF/(KmNGF - SosActive + Total_Sos) + 2*boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)*(-du_KmNGF + du_SosActive - du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*kNGF*(-du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF*(-du_KmNGF + du_SosActive - du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*du_cell*kNGF/(KmNGF - SosActive + Total_Sos) - cell*du_P90RskActive*kdSos/(KmdSos + SosActive) + cell*du_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*du_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + cell*du_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*du_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos);
pd[1145] = -SosActive*cell*du_kdSos/(KmdSos + SosActive) - SosActive*cell*kdSos*(-du_KmdSos - du_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*du_cell*kdSos/(KmdSos + SosActive) - cell*du_SosActive*kdSos/(KmdSos + SosActive);
pd[1157] = cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[1158] = cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[1159] = (P90RskActive*SosActive*cell*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF/(KmNGF - SosActive + Total_Sos)) + cj*(-1);
pd[1160] = -SosActive*cell*kdSos/(KmdSos + SosActive);
pd[1205] = ErkActive*cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*du_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + 2*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-du_KmpP90Rsk + du_P90RskActive - du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk*(-du_KmpP90Rsk + du_P90RskActive - du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*du_cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*du_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*du_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[1210] = cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-du_KmpP90Rsk + du_P90RskActive - du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[1220] = (ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk)) + cj*(-1);
pd[1225] = cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[1264] = cell*du_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*kSos*(-RasActive + Total_Ras)*(-du_KmSos + du_RasActive - du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + du_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[1266] = RasActive*RasGapActive*cell*du_kRasGap/pow(KmRasGap + RasActive, 2) + 2*RasActive*RasGapActive*cell*kRasGap*(-du_KmRasGap - du_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*RasGapActive*du_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*cell*du_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*du_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*du_kRasGap/(KmRasGap + RasActive) - RasGapActive*cell*kRasGap*(-du_KmRasGap - du_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*du_cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*du_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*du_kSos/(KmSos - RasActive + Total_Ras) + 2*SosActive*cell*kSos*(-RasActive + Total_Ras)*(-du_KmSos + du_RasActive - du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*kSos*(-du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos*(-du_KmSos + du_RasActive - du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*du_cell*kSos/(KmSos - RasActive + Total_Ras) - cell*du_RasGapActive*kRasGap/(KmRasGap + RasActive) + cell*du_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*du_SosActive*kSos/(KmSos - RasActive + Total_Ras);
pd[1279] = cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[1281] = (RasActive*RasGapActive*cell*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos/(KmSos - RasActive + Total_Ras)) + cj*(-1);
pd[1326] = cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-du_KmRasToRaf1 + du_Raf1Active - du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[1327] = AktActive*Raf1Active*cell*du_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + 2*AktActive*Raf1Active*cell*kdRaf1ByAkt*(-du_KmRaf1ByAkt - du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*Raf1Active*du_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*cell*du_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*du_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*cell*kdRaf1ByAkt*(-du_KmRaf1ByAkt - du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*du_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*du_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + 2*Raf1Active*Raf1PPtase*cell*kdRaf1*(-du_KmdRaf1 - du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*Raf1PPtase*du_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*cell*du_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*du_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*du_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*du_kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*kdRaf1*(-du_KmdRaf1 - du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*du_cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*du_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) + 2*RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-du_KmRasToRaf1 + du_Raf1Active - du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1*(-du_KmRasToRaf1 + du_Raf1Active - du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*du_cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*du_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) + cell*du_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*du_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[1332] = -Raf1Active*cell*du_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*cell*kdRaf1ByAkt*(-du_KmRaf1ByAkt - du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*du_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[1341] = cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[1342] = (AktActive*Raf1Active*cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1)) + cj*(-1);
pd[1347] = -Raf1Active*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[1388] = BRafActive*Raf1PPtase*cell*du_kdBRaf/pow(BRafActive + KmdBRaf, 2) + 2*BRafActive*Raf1PPtase*cell*kdBRaf*(-du_BRafActive - du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*Raf1PPtase*du_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*cell*du_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*du_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*du_kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*cell*kdBRaf*(-du_BRafActive - du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*du_cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*du_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + 2*Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(du_BRafActive - du_KmRap1ToBRaf - du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf*(du_BRafActive - du_KmRap1ToBRaf - du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*du_cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*du_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) + cell*du_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*du_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[1394] = cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(du_BRafActive - du_KmRap1ToBRaf - du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[1403] = (BRafActive*Raf1PPtase*cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf)) + cj*(-1);
pd[1409] = cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[1447] = cell*du_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*kpRaf1*(-MekActive + Total_Mek)*(-du_KmpRaf1 + du_MekActive - du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + du_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[1448] = cell*du_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*kpBRaf*(-MekActive + Total_Mek)*(-du_KmpBRaf + du_MekActive - du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + du_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[1449] = BRafActive*cell*du_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*du_kpBRaf/(KmpBRaf - MekActive + Total_Mek) + 2*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(-du_KmpBRaf + du_MekActive - du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*kpBRaf*(-du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf*(-du_KmpBRaf + du_MekActive - du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*du_cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*du_kdMek/pow(KmdMek + MekActive, 2) + 2*MekActive*PP2AActive*cell*kdMek*(-du_KmdMek - du_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*PP2AActive*du_cell*kdMek/pow(KmdMek + MekActive, 2) + MekActive*cell*du_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*cell*du_MekActive*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*du_kdMek/(KmdMek + MekActive) - PP2AActive*cell*kdMek*(-du_KmdMek - du_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*du_cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*du_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*du_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + 2*Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)*(-du_KmpRaf1 + du_MekActive - du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*kpRaf1*(-du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1*(-du_KmpRaf1 + du_MekActive - du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*du_cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + cell*du_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*du_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - cell*du_PP2AActive*kdMek/(KmdMek + MekActive) + cell*du_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*du_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek);
pd[1462] = cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[1463] = cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[1464] = (BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek)) + cj*(-1);
pd[1509] = cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(du_ErkActive - du_KmpMekCytoplasmic - du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[1510] = ErkActive*PP2AActive*cell*du_kdErk/pow(ErkActive + KmdErk, 2) + 2*ErkActive*PP2AActive*cell*kdErk*(-du_ErkActive - du_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*PP2AActive*du_cell*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*cell*du_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*du_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + 2*MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(du_ErkActive - du_KmpMekCytoplasmic - du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic*(du_ErkActive - du_KmpMekCytoplasmic - du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*du_cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + PP2AActive*cell*du_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - PP2AActive*cell*du_kdErk/(ErkActive + KmdErk) - PP2AActive*cell*kdErk*(-du_ErkActive - du_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*du_cell*kdErk/(ErkActive + KmdErk) + cell*du_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*du_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*du_PP2AActive*kdErk/(ErkActive + KmdErk);
pd[1524] = cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[1525] = (ErkActive*PP2AActive*cell*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*kdErk/(ErkActive + KmdErk)) + cj*(-1);
pd[1562] = cell*du_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*kPI3K*(-PI3KActive + Total_PI3K)*(-du_KmPI3K + du_PI3KActive - du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + du_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[1566] = cell*du_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-du_KmPI3KRas + du_PI3KActive - du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[1571] = RasActive*cell*du_kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*du_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + 2*RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-du_KmPI3KRas + du_PI3KActive - du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas*(-du_KmPI3KRas + du_PI3KActive - du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*du_cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*du_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*du_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + 2*boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)*(-du_KmPI3K + du_PI3KActive - du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K*(-du_KmPI3K + du_PI3KActive - du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*du_cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*du_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*du_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*du_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K);
pd[1577] = cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[1581] = cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[1586] = (RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K)) + cj*(-1);
pd[1631] = cell*du_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*kAkt*(-AktActive + Total_Akt)*(du_AktActive - du_KmAkt - du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + du_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[1632] = PI3KActive*cell*du_kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*du_kAkt/(-AktActive + KmAkt + Total_Akt) + 2*PI3KActive*cell*kAkt*(-AktActive + Total_Akt)*(du_AktActive - du_KmAkt - du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*kAkt*(-du_AktActive + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt*(du_AktActive - du_KmAkt - du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*du_cell*kAkt/(-AktActive + KmAkt + Total_Akt) + cell*du_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*du_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt);
pd[1646] = cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[1647] = (PI3KActive*cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt/(-AktActive + KmAkt + Total_Akt)) + cj*(-1);
pd[1683] = cell*du_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*kC3GNGF*(-C3GActive + Total_C3G)*(du_C3GActive - du_KmC3GNGF - du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + du_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[1693] = boundNGFReceptor*cell*du_kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*du_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + 2*boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)*(du_C3GActive - du_KmC3GNGF - du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF*(du_C3GActive - du_KmC3GNGF - du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*du_cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + cell*du_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*du_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G);
pd[1698] = cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[1708] = (boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G)) + cj*(-1);
pd[1753] = cell*du_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + cell*kC3G*(-Rap1Active + Total_Rap1)*(-du_KmC3G + du_Rap1Active - du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + du_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[1754] = C3GActive*cell*du_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*du_kC3G/(KmC3G - Rap1Active + Total_Rap1) + 2*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(-du_KmC3G + du_Rap1Active - du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G*(-du_KmC3G + du_Rap1Active - du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*du_cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*du_kRapGap/pow(KmRapGap + Rap1Active, 2) + 2*Rap1Active*RapGapActive*cell*kRapGap*(-du_KmRapGap - du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*RapGapActive*du_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*cell*du_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*du_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*du_kRapGap/(KmRapGap + Rap1Active) - RapGapActive*cell*kRapGap*(-du_KmRapGap - du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*du_cell*kRapGap/(KmRapGap + Rap1Active) + cell*du_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*du_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - cell*du_RapGapActive*kRapGap/(KmRapGap + Rap1Active);
pd[1768] = cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[1769] = (C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*kRapGap/(KmRapGap + Rap1Active)) + cj*(-1);
pd[1800] = -cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[1802] = EGF*cell*dv_krbEGF + EGF*dv_cell*krbEGF + cell*dv_EGF*krbEGF + cell*dv_kruEGF + dv_cell*kruEGF;
pd[1830] = (-cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor)) + cj*(-1);
pd[1832] = EGF*cell*krbEGF + cell*kruEGF;
pd[1861] = -cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[1863] = NGF*cell*dv_krbNGF + NGF*dv_cell*krbNGF + cell*dv_NGF*krbNGF + cell*dv_kruNGF + dv_cell*kruNGF;
pd[1891] = (-cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor)) + cj*(-1);
pd[1893] = NGF*cell*krbNGF + cell*kruNGF;
pd[1920] = cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[1922] = -EGF*cell*dv_krbEGF - EGF*dv_cell*krbEGF - cell*dv_EGF*krbEGF - cell*dv_kruEGF - dv_cell*kruEGF;
pd[1950] = cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[1952] = (-EGF*cell*krbEGF - cell*kruEGF) + cj*(-1);
pd[1981] = cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[1983] = -NGF*cell*dv_krbNGF - NGF*dv_cell*krbNGF - cell*dv_NGF*krbNGF - cell*dv_kruNGF - dv_cell*kruNGF;
pd[2011] = cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2013] = (-NGF*cell*krbNGF - cell*kruNGF) + cj*(-1);
pd[2042] = cell*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*kEGF*(-SosActive + Total_Sos)*(-dv_KmEGF + dv_SosActive - dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + dv_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2043] = cell*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*kNGF*(-SosActive + Total_Sos)*(-dv_KmNGF + dv_SosActive - dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + dv_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2044] = P90RskActive*SosActive*cell*dv_kdSos/pow(KmdSos + SosActive, 2) + 2*P90RskActive*SosActive*cell*kdSos*(-dv_KmdSos - dv_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*SosActive*dv_cell*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*cell*dv_SosActive*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*dv_kdSos/(KmdSos + SosActive) - P90RskActive*cell*kdSos*(-dv_KmdSos - dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*dv_cell*kdSos/(KmdSos + SosActive) + SosActive*cell*dv_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) + boundEGFReceptor*cell*dv_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*dv_kEGF/(KmEGF - SosActive + Total_Sos) + 2*boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)*(-dv_KmEGF + dv_SosActive - dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*kEGF*(-dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF*(-dv_KmEGF + dv_SosActive - dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*dv_cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*dv_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*dv_kNGF/(KmNGF - SosActive + Total_Sos) + 2*boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)*(-dv_KmNGF + dv_SosActive - dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*kNGF*(-dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF*(-dv_KmNGF + dv_SosActive - dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*dv_cell*kNGF/(KmNGF - SosActive + Total_Sos) - cell*dv_P90RskActive*kdSos/(KmdSos + SosActive) + cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*dv_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*dv_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos);
pd[2045] = -SosActive*cell*dv_kdSos/(KmdSos + SosActive) - SosActive*cell*kdSos*(-dv_KmdSos - dv_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*dv_cell*kdSos/(KmdSos + SosActive) - cell*dv_SosActive*kdSos/(KmdSos + SosActive);
pd[2072] = cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2073] = cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2074] = (P90RskActive*SosActive*cell*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF/(KmNGF - SosActive + Total_Sos)) + cj*(-1);
pd[2075] = -SosActive*cell*kdSos/(KmdSos + SosActive);
pd[2105] = ErkActive*cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*dv_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + 2*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-dv_KmpP90Rsk + dv_P90RskActive - dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk*(-dv_KmpP90Rsk + dv_P90RskActive - dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*dv_cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*dv_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[2110] = cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(-dv_KmpP90Rsk + dv_P90RskActive - dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[2135] = (ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk)) + cj*(-1);
pd[2140] = cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[2164] = cell*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*kSos*(-RasActive + Total_Ras)*(-dv_KmSos + dv_RasActive - dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + dv_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[2166] = RasActive*RasGapActive*cell*dv_kRasGap/pow(KmRasGap + RasActive, 2) + 2*RasActive*RasGapActive*cell*kRasGap*(-dv_KmRasGap - dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*RasGapActive*dv_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*cell*dv_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*dv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*dv_kRasGap/(KmRasGap + RasActive) - RasGapActive*cell*kRasGap*(-dv_KmRasGap - dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*dv_cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*dv_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*dv_kSos/(KmSos - RasActive + Total_Ras) + 2*SosActive*cell*kSos*(-RasActive + Total_Ras)*(-dv_KmSos + dv_RasActive - dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*kSos*(-dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos*(-dv_KmSos + dv_RasActive - dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*dv_cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*dv_cell*kSos/(KmSos - RasActive + Total_Ras) - cell*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) + cell*dv_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*dv_SosActive*kSos/(KmSos - RasActive + Total_Ras);
pd[2194] = cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[2196] = (RasActive*RasGapActive*cell*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos/(KmSos - RasActive + Total_Ras)) + cj*(-1);
pd[2226] = cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-dv_KmRasToRaf1 + dv_Raf1Active - dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[2227] = AktActive*Raf1Active*cell*dv_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + 2*AktActive*Raf1Active*cell*kdRaf1ByAkt*(-dv_KmRaf1ByAkt - dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*Raf1Active*dv_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*cell*dv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - AktActive*cell*kdRaf1ByAkt*(-dv_KmRaf1ByAkt - dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*dv_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + 2*Raf1Active*Raf1PPtase*cell*kdRaf1*(-dv_KmdRaf1 - dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*Raf1PPtase*dv_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*cell*dv_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*dv_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*dv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*dv_kdRaf1/(KmdRaf1 + Raf1Active) - Raf1PPtase*cell*kdRaf1*(-dv_KmdRaf1 - dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*dv_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) + 2*RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(-dv_KmRasToRaf1 + dv_Raf1Active - dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1*(-dv_KmRasToRaf1 + dv_Raf1Active - dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*dv_cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) + cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*dv_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[2232] = -Raf1Active*cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - Raf1Active*cell*kdRaf1ByAkt*(-dv_KmRaf1ByAkt - dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[2256] = cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[2257] = (AktActive*Raf1Active*cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1)) + cj*(-1);
pd[2262] = -Raf1Active*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[2288] = BRafActive*Raf1PPtase*cell*dv_kdBRaf/pow(BRafActive + KmdBRaf, 2) + 2*BRafActive*Raf1PPtase*cell*kdBRaf*(-dv_BRafActive - dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*Raf1PPtase*dv_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*cell*dv_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*dv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*dv_kdBRaf/(BRafActive + KmdBRaf) - Raf1PPtase*cell*kdBRaf*(-dv_BRafActive - dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*dv_cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*dv_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + 2*Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(dv_BRafActive - dv_KmRap1ToBRaf - dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf*(dv_BRafActive - dv_KmRap1ToBRaf - dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*dv_cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) + cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*dv_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[2294] = cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(dv_BRafActive - dv_KmRap1ToBRaf - dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[2318] = (BRafActive*Raf1PPtase*cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf)) + cj*(-1);
pd[2324] = cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[2347] = cell*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*kpRaf1*(-MekActive + Total_Mek)*(-dv_KmpRaf1 + dv_MekActive - dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + dv_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[2348] = cell*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*kpBRaf*(-MekActive + Total_Mek)*(-dv_KmpBRaf + dv_MekActive - dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + dv_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[2349] = BRafActive*cell*dv_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*dv_kpBRaf/(KmpBRaf - MekActive + Total_Mek) + 2*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(-dv_KmpBRaf + dv_MekActive - dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf*(-dv_KmpBRaf + dv_MekActive - dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*dv_cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*dv_kdMek/pow(KmdMek + MekActive, 2) + 2*MekActive*PP2AActive*cell*kdMek*(-dv_KmdMek - dv_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*PP2AActive*dv_cell*kdMek/pow(KmdMek + MekActive, 2) + MekActive*cell*dv_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*cell*dv_MekActive*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*dv_kdMek/(KmdMek + MekActive) - PP2AActive*cell*kdMek*(-dv_KmdMek - dv_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*dv_cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*dv_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*dv_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + 2*Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)*(-dv_KmpRaf1 + dv_MekActive - dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1*(-dv_KmpRaf1 + dv_MekActive - dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*dv_cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*dv_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - cell*dv_PP2AActive*kdMek/(KmdMek + MekActive) + cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*dv_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek);
pd[2377] = cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[2378] = cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[2379] = (BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek)) + cj*(-1);
pd[2409] = cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(dv_ErkActive - dv_KmpMekCytoplasmic - dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[2410] = ErkActive*PP2AActive*cell*dv_kdErk/pow(ErkActive + KmdErk, 2) + 2*ErkActive*PP2AActive*cell*kdErk*(-dv_ErkActive - dv_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*PP2AActive*dv_cell*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*cell*dv_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*dv_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + 2*MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(dv_ErkActive - dv_KmpMekCytoplasmic - dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic*(dv_ErkActive - dv_KmpMekCytoplasmic - dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*dv_cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + PP2AActive*cell*dv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - PP2AActive*cell*dv_kdErk/(ErkActive + KmdErk) - PP2AActive*cell*kdErk*(-dv_ErkActive - dv_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*dv_cell*kdErk/(ErkActive + KmdErk) + cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*dv_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*dv_PP2AActive*kdErk/(ErkActive + KmdErk);
pd[2439] = cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[2440] = (ErkActive*PP2AActive*cell*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*kdErk/(ErkActive + KmdErk)) + cj*(-1);
pd[2462] = cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*kPI3K*(-PI3KActive + Total_PI3K)*(-dv_KmPI3K + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[2466] = cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-dv_KmPI3KRas + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[2471] = RasActive*cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*dv_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + 2*RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(-dv_KmPI3KRas + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas*(-dv_KmPI3KRas + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*dv_cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*dv_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + 2*boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)*(-dv_KmPI3K + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K*(-dv_KmPI3K + dv_PI3KActive - dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*dv_cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*dv_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*dv_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K);
pd[2492] = cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[2496] = cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[2501] = (RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K)) + cj*(-1);
pd[2531] = cell*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*kAkt*(-AktActive + Total_Akt)*(dv_AktActive - dv_KmAkt - dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + dv_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[2532] = PI3KActive*cell*dv_kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*dv_kAkt/(-AktActive + KmAkt + Total_Akt) + 2*PI3KActive*cell*kAkt*(-AktActive + Total_Akt)*(dv_AktActive - dv_KmAkt - dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*kAkt*(-dv_AktActive + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt*(dv_AktActive - dv_KmAkt - dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*dv_cell*kAkt/(-AktActive + KmAkt + Total_Akt) + cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*dv_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt);
pd[2561] = cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[2562] = (PI3KActive*cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt/(-AktActive + KmAkt + Total_Akt)) + cj*(-1);
pd[2583] = cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*kC3GNGF*(-C3GActive + Total_C3G)*(dv_C3GActive - dv_KmC3GNGF - dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[2593] = boundNGFReceptor*cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*dv_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + 2*boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)*(dv_C3GActive - dv_KmC3GNGF - dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF*(dv_C3GActive - dv_KmC3GNGF - dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*dv_cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*dv_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G);
pd[2613] = cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[2623] = (boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G)) + cj*(-1);
pd[2653] = cell*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + cell*kC3G*(-Rap1Active + Total_Rap1)*(-dv_KmC3G + dv_Rap1Active - dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + dv_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[2654] = C3GActive*cell*dv_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*dv_kC3G/(KmC3G - Rap1Active + Total_Rap1) + 2*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(-dv_KmC3G + dv_Rap1Active - dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G*(-dv_KmC3G + dv_Rap1Active - dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*dv_cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*dv_kRapGap/pow(KmRapGap + Rap1Active, 2) + 2*Rap1Active*RapGapActive*cell*kRapGap*(-dv_KmRapGap - dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*RapGapActive*dv_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*cell*dv_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*dv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*dv_kRapGap/(KmRapGap + Rap1Active) - RapGapActive*cell*kRapGap*(-dv_KmRapGap - dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*dv_cell*kRapGap/(KmRapGap + Rap1Active) + cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*dv_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - cell*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active);
pd[2683] = cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[2684] = (C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*kRapGap/(KmRapGap + Rap1Active)) + cj*(-1);
pd[2700] = -cell*du_krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + cell*duv_boundEGFReceptor*krbEGF - cell*dv_krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - du_cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - du_cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - du_krbEGF*dv_cell*(Total_EGFReceptor - boundEGFReceptor) - dv_cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor);
pd[2702] = EGF*du_cell*dv_krbEGF + EGF*du_krbEGF*dv_cell + cell*du_EGF*dv_krbEGF + cell*du_krbEGF*dv_EGF + cell*duv_EGF*krbEGF + du_EGF*dv_cell*krbEGF + du_cell*dv_EGF*krbEGF + du_cell*dv_kruEGF + du_kruEGF*dv_cell;
pd[2715] = -cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[2717] = EGF*cell*dv_krbEGF + EGF*dv_cell*krbEGF + cell*dv_EGF*krbEGF + cell*dv_kruEGF + dv_cell*kruEGF;
pd[2730] = -cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) - cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) - du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[2732] = EGF*cell*du_krbEGF + EGF*du_cell*krbEGF + cell*du_EGF*krbEGF + cell*du_kruEGF + du_cell*kruEGF;
pd[2745] = (-cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor)) + cj*(-1);
pd[2747] = EGF*cell*krbEGF + cell*kruEGF;
pd[2761] = -cell*du_krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + cell*duv_boundNGFReceptor*krbNGF - cell*dv_krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - du_cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - du_cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - du_krbNGF*dv_cell*(Total_NGFReceptor - boundNGFReceptor) - dv_cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor);
pd[2763] = NGF*du_cell*dv_krbNGF + NGF*du_krbNGF*dv_cell + cell*du_NGF*dv_krbNGF + cell*du_krbNGF*dv_NGF + cell*duv_NGF*krbNGF + du_NGF*dv_cell*krbNGF + du_cell*dv_NGF*krbNGF + du_cell*dv_kruNGF + du_kruNGF*dv_cell;
pd[2776] = -cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2778] = NGF*cell*dv_krbNGF + NGF*dv_cell*krbNGF + cell*dv_NGF*krbNGF + cell*dv_kruNGF + dv_cell*kruNGF;
pd[2791] = -cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) - cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) - du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2793] = NGF*cell*du_krbNGF + NGF*du_cell*krbNGF + cell*du_NGF*krbNGF + cell*du_kruNGF + du_cell*kruNGF;
pd[2806] = (-cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor)) + cj*(-1);
pd[2808] = NGF*cell*krbNGF + cell*kruNGF;
pd[2820] = cell*du_krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) - cell*duv_boundEGFReceptor*krbEGF + cell*dv_krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + du_cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + du_cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + du_krbEGF*dv_cell*(Total_EGFReceptor - boundEGFReceptor) + dv_cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor);
pd[2822] = -EGF*du_cell*dv_krbEGF - EGF*du_krbEGF*dv_cell - cell*du_EGF*dv_krbEGF - cell*du_krbEGF*dv_EGF - cell*duv_EGF*krbEGF - du_EGF*dv_cell*krbEGF - du_cell*dv_EGF*krbEGF - du_cell*dv_kruEGF - du_kruEGF*dv_cell;
pd[2835] = cell*dv_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*krbEGF*(dv_Total_EGFReceptor - dv_boundEGFReceptor) + dv_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[2837] = -EGF*cell*dv_krbEGF - EGF*dv_cell*krbEGF - cell*dv_EGF*krbEGF - cell*dv_kruEGF - dv_cell*kruEGF;
pd[2850] = cell*du_krbEGF*(Total_EGFReceptor - boundEGFReceptor) + cell*krbEGF*(du_Total_EGFReceptor - du_boundEGFReceptor) + du_cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[2852] = -EGF*cell*du_krbEGF - EGF*du_cell*krbEGF - cell*du_EGF*krbEGF - cell*du_kruEGF - du_cell*kruEGF;
pd[2865] = cell*krbEGF*(Total_EGFReceptor - boundEGFReceptor);
pd[2867] = (-EGF*cell*krbEGF - cell*kruEGF) + cj*(-1);
pd[2881] = cell*du_krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) - cell*duv_boundNGFReceptor*krbNGF + cell*dv_krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + du_cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + du_cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + du_krbNGF*dv_cell*(Total_NGFReceptor - boundNGFReceptor) + dv_cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor);
pd[2883] = -NGF*du_cell*dv_krbNGF - NGF*du_krbNGF*dv_cell - cell*du_NGF*dv_krbNGF - cell*du_krbNGF*dv_NGF - cell*duv_NGF*krbNGF - du_NGF*dv_cell*krbNGF - du_cell*dv_NGF*krbNGF - du_cell*dv_kruNGF - du_kruNGF*dv_cell;
pd[2896] = cell*dv_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*krbNGF*(dv_Total_NGFReceptor - dv_boundNGFReceptor) + dv_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2898] = -NGF*cell*dv_krbNGF - NGF*dv_cell*krbNGF - cell*dv_NGF*krbNGF - cell*dv_kruNGF - dv_cell*kruNGF;
pd[2911] = cell*du_krbNGF*(Total_NGFReceptor - boundNGFReceptor) + cell*krbNGF*(du_Total_NGFReceptor - du_boundNGFReceptor) + du_cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2913] = -NGF*cell*du_krbNGF - NGF*du_cell*krbNGF - cell*du_NGF*krbNGF - cell*du_kruNGF - du_cell*kruNGF;
pd[2926] = cell*krbNGF*(Total_NGFReceptor - boundNGFReceptor);
pd[2928] = (-NGF*cell*krbNGF - cell*kruNGF) + cj*(-1);
pd[2942] = -cell*du_kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*du_kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*duv_SosActive*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*duv_SosActive*kEGF/(KmEGF - SosActive + Total_Sos) - cell*dv_kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*dv_kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) + cell*kEGF*(-2*SosActive + 2*Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) - cell*kEGF*(-du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*kEGF*(-dv_SosActive + dv_Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + du_cell*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - du_cell*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + du_cell*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + du_kEGF*dv_cell*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - dv_cell*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + dv_cell*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2943] = -cell*du_kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*du_kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*duv_SosActive*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*duv_SosActive*kNGF/(KmNGF - SosActive + Total_Sos) - cell*dv_kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*dv_kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + cell*kNGF*(-2*SosActive + 2*Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) - cell*kNGF*(-du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*kNGF*(-dv_SosActive + dv_Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + du_cell*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - du_cell*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + du_cell*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + du_kNGF*dv_cell*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - dv_cell*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + dv_cell*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2944] = -2*P90RskActive*SosActive*cell*du_kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) - 2*P90RskActive*SosActive*cell*duv_SosActive*kdSos/pow(KmdSos + SosActive, 3) - 2*P90RskActive*SosActive*cell*dv_kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 3) + 6*P90RskActive*SosActive*cell*kdSos*(du_KmdSos + du_SosActive)*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 4) + P90RskActive*SosActive*du_cell*dv_kdSos/pow(KmdSos + SosActive, 2) - 2*P90RskActive*SosActive*du_cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*SosActive*du_kdSos*dv_cell/pow(KmdSos + SosActive, 2) - 2*P90RskActive*SosActive*dv_cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*cell*du_SosActive*dv_kdSos/pow(KmdSos + SosActive, 2) - 2*P90RskActive*cell*du_SosActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*cell*du_kdSos*dv_SosActive/pow(KmdSos + SosActive, 2) + P90RskActive*cell*du_kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) + 2*P90RskActive*cell*duv_SosActive*kdSos/pow(KmdSos + SosActive, 2) - 2*P90RskActive*cell*dv_SosActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*cell*dv_kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - 2*P90RskActive*cell*kdSos*(du_KmdSos + du_SosActive)*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*du_SosActive*dv_cell*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*du_cell*dv_SosActive*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*du_cell*dv_kdSos/(KmdSos + SosActive) + P90RskActive*du_cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*du_kdSos*dv_cell/(KmdSos + SosActive) + P90RskActive*dv_cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) + SosActive*cell*du_P90RskActive*dv_kdSos/pow(KmdSos + SosActive, 2) - 2*SosActive*cell*du_P90RskActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) + SosActive*cell*du_kdSos*dv_P90RskActive/pow(KmdSos + SosActive, 2) + SosActive*cell*duv_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) - 2*SosActive*cell*dv_P90RskActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 3) + SosActive*du_P90RskActive*dv_cell*kdSos/pow(KmdSos + SosActive, 2) + SosActive*du_cell*dv_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) - 2*boundEGFReceptor*cell*du_kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*du_kEGF*(-dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*du_kEGF*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + 2*boundEGFReceptor*cell*duv_SosActive*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) - 2*boundEGFReceptor*cell*duv_SosActive*kEGF/pow(KmEGF - SosActive + Total_Sos, 2) - 2*boundEGFReceptor*cell*dv_kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*dv_kEGF*(-du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*dv_kEGF*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + 3*boundEGFReceptor*cell*kEGF*(-2*SosActive + 2*Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 4) - 2*boundEGFReceptor*cell*kEGF*(-du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) - 2*boundEGFReceptor*cell*kEGF*(-dv_SosActive + dv_Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) - 2*boundEGFReceptor*cell*kEGF*(du_KmEGF - du_SosActive + du_Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*du_cell*dv_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*du_cell*dv_kEGF/(KmEGF - SosActive + Total_Sos) - 2*boundEGFReceptor*du_cell*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*du_cell*kEGF*(-dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_cell*kEGF*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_kEGF*dv_cell*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*du_kEGF*dv_cell/(KmEGF - SosActive + Total_Sos) - 2*boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*dv_cell*kEGF*(-du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*dv_cell*kEGF*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - 2*boundNGFReceptor*cell*du_kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*du_kNGF*(-dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*du_kNGF*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + 2*boundNGFReceptor*cell*duv_SosActive*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) - 2*boundNGFReceptor*cell*duv_SosActive*kNGF/pow(KmNGF - SosActive + Total_Sos, 2) - 2*boundNGFReceptor*cell*dv_kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*dv_kNGF*(-du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*dv_kNGF*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + 3*boundNGFReceptor*cell*kNGF*(-2*SosActive + 2*Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 4) - 2*boundNGFReceptor*cell*kNGF*(-du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) - 2*boundNGFReceptor*cell*kNGF*(-dv_SosActive + dv_Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) - 2*boundNGFReceptor*cell*kNGF*(du_KmNGF - du_SosActive + du_Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*du_cell*dv_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*du_cell*dv_kNGF/(KmNGF - SosActive + Total_Sos) - 2*boundNGFReceptor*du_cell*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*du_cell*kNGF*(-dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_cell*kNGF*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_kNGF*dv_cell*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*du_kNGF*dv_cell/(KmNGF - SosActive + Total_Sos) - 2*boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*dv_cell*kNGF*(-du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*dv_cell*kNGF*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*du_P90RskActive*dv_SosActive*kdSos/pow(KmdSos + SosActive, 2) - cell*du_P90RskActive*dv_kdSos/(KmdSos + SosActive) + cell*du_P90RskActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) + cell*du_SosActive*dv_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) + cell*du_boundEGFReceptor*dv_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*du_boundEGFReceptor*dv_kEGF/(KmEGF - SosActive + Total_Sos) - 2*cell*du_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + cell*du_boundEGFReceptor*kEGF*(-dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*du_boundEGFReceptor*kEGF*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*du_boundNGFReceptor*dv_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*du_boundNGFReceptor*dv_kNGF/(KmNGF - SosActive + Total_Sos) - 2*cell*du_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + cell*du_boundNGFReceptor*kNGF*(-dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*du_boundNGFReceptor*kNGF*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*du_kEGF*dv_boundEGFReceptor*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*du_kEGF*dv_boundEGFReceptor/(KmEGF - SosActive + Total_Sos) + cell*du_kNGF*dv_boundNGFReceptor*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*du_kNGF*dv_boundNGFReceptor/(KmNGF - SosActive + Total_Sos) - cell*du_kdSos*dv_P90RskActive/(KmdSos + SosActive) - cell*duv_P90RskActive*kdSos/(KmdSos + SosActive) + cell*duv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*duv_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + cell*duv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*duv_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos) + cell*dv_P90RskActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - 2*cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + cell*dv_boundEGFReceptor*kEGF*(-du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*dv_boundEGFReceptor*kEGF*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - 2*cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + cell*dv_boundNGFReceptor*kNGF*(-du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*dv_boundNGFReceptor*kNGF*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - du_P90RskActive*dv_cell*kdSos/(KmdSos + SosActive) + du_boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - du_boundEGFReceptor*dv_cell*kEGF/(KmEGF - SosActive + Total_Sos) + du_boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - du_boundNGFReceptor*dv_cell*kNGF/(KmNGF - SosActive + Total_Sos) - du_cell*dv_P90RskActive*kdSos/(KmdSos + SosActive) + du_cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - du_cell*dv_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + du_cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - du_cell*dv_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos);
pd[2945] = SosActive*cell*du_kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) + SosActive*cell*duv_SosActive*kdSos/pow(KmdSos + SosActive, 2) + SosActive*cell*dv_kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - 2*SosActive*cell*kdSos*(du_KmdSos + du_SosActive)*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) - SosActive*du_cell*dv_kdSos/(KmdSos + SosActive) + SosActive*du_cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*du_kdSos*dv_cell/(KmdSos + SosActive) + SosActive*dv_cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - cell*du_SosActive*dv_kdSos/(KmdSos + SosActive) + cell*du_SosActive*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - cell*du_kdSos*dv_SosActive/(KmdSos + SosActive) - cell*duv_SosActive*kdSos/(KmdSos + SosActive) + cell*dv_SosActive*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - du_SosActive*dv_cell*kdSos/(KmdSos + SosActive) - du_cell*dv_SosActive*kdSos/(KmdSos + SosActive);
pd[2957] = cell*dv_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - cell*kEGF*(-SosActive + Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*kEGF*(-dv_SosActive + dv_Total_Sos)/(KmEGF - SosActive + Total_Sos) + dv_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2958] = cell*dv_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - cell*kNGF*(-SosActive + Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*kNGF*(-dv_SosActive + dv_Total_Sos)/(KmNGF - SosActive + Total_Sos) + dv_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2959] = P90RskActive*SosActive*cell*dv_kdSos/pow(KmdSos + SosActive, 2) - 2*P90RskActive*SosActive*cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*SosActive*dv_cell*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*cell*dv_SosActive*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*dv_kdSos/(KmdSos + SosActive) + P90RskActive*cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*dv_cell*kdSos/(KmdSos + SosActive) + SosActive*cell*dv_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) + boundEGFReceptor*cell*dv_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*dv_kEGF/(KmEGF - SosActive + Total_Sos) - boundEGFReceptor*cell*kEGF*(-2*SosActive + 2*Total_Sos)*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*kEGF*(-dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*kEGF*(dv_KmEGF - dv_SosActive + dv_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*dv_cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*dv_cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*dv_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*dv_kNGF/(KmNGF - SosActive + Total_Sos) - boundNGFReceptor*cell*kNGF*(-2*SosActive + 2*Total_Sos)*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*kNGF*(-dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*kNGF*(dv_KmNGF - dv_SosActive + dv_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*dv_cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*dv_cell*kNGF/(KmNGF - SosActive + Total_Sos) - cell*dv_P90RskActive*kdSos/(KmdSos + SosActive) + cell*dv_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*dv_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + cell*dv_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*dv_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos);
pd[2960] = -SosActive*cell*dv_kdSos/(KmdSos + SosActive) + SosActive*cell*kdSos*(dv_KmdSos + dv_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*dv_cell*kdSos/(KmdSos + SosActive) - cell*dv_SosActive*kdSos/(KmdSos + SosActive);
pd[2972] = cell*du_kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos) - cell*kEGF*(-SosActive + Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + cell*kEGF*(-du_SosActive + du_Total_Sos)/(KmEGF - SosActive + Total_Sos) + du_cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2973] = cell*du_kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos) - cell*kNGF*(-SosActive + Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + cell*kNGF*(-du_SosActive + du_Total_Sos)/(KmNGF - SosActive + Total_Sos) + du_cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2974] = P90RskActive*SosActive*cell*du_kdSos/pow(KmdSos + SosActive, 2) - 2*P90RskActive*SosActive*cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 3) + P90RskActive*SosActive*du_cell*kdSos/pow(KmdSos + SosActive, 2) + P90RskActive*cell*du_SosActive*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*du_kdSos/(KmdSos + SosActive) + P90RskActive*cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - P90RskActive*du_cell*kdSos/(KmdSos + SosActive) + SosActive*cell*du_P90RskActive*kdSos/pow(KmdSos + SosActive, 2) + boundEGFReceptor*cell*du_kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*du_kEGF/(KmEGF - SosActive + Total_Sos) - boundEGFReceptor*cell*kEGF*(-2*SosActive + 2*Total_Sos)*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 3) + boundEGFReceptor*cell*kEGF*(-du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*cell*kEGF*(du_KmEGF - du_SosActive + du_Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) + boundEGFReceptor*du_cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*du_cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*du_kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*du_kNGF/(KmNGF - SosActive + Total_Sos) - boundNGFReceptor*cell*kNGF*(-2*SosActive + 2*Total_Sos)*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 3) + boundNGFReceptor*cell*kNGF*(-du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*cell*kNGF*(du_KmNGF - du_SosActive + du_Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) + boundNGFReceptor*du_cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*du_cell*kNGF/(KmNGF - SosActive + Total_Sos) - cell*du_P90RskActive*kdSos/(KmdSos + SosActive) + cell*du_boundEGFReceptor*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - cell*du_boundEGFReceptor*kEGF/(KmEGF - SosActive + Total_Sos) + cell*du_boundNGFReceptor*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - cell*du_boundNGFReceptor*kNGF/(KmNGF - SosActive + Total_Sos);
pd[2975] = -SosActive*cell*du_kdSos/(KmdSos + SosActive) + SosActive*cell*kdSos*(du_KmdSos + du_SosActive)/pow(KmdSos + SosActive, 2) - SosActive*du_cell*kdSos/(KmdSos + SosActive) - cell*du_SosActive*kdSos/(KmdSos + SosActive);
pd[2987] = cell*kEGF*(-SosActive + Total_Sos)/(KmEGF - SosActive + Total_Sos);
pd[2988] = cell*kNGF*(-SosActive + Total_Sos)/(KmNGF - SosActive + Total_Sos);
pd[2989] = (P90RskActive*SosActive*cell*kdSos/pow(KmdSos + SosActive, 2) - P90RskActive*cell*kdSos/(KmdSos + SosActive) + boundEGFReceptor*cell*kEGF*(-SosActive + Total_Sos)/pow(KmEGF - SosActive + Total_Sos, 2) - boundEGFReceptor*cell*kEGF/(KmEGF - SosActive + Total_Sos) + boundNGFReceptor*cell*kNGF*(-SosActive + Total_Sos)/pow(KmNGF - SosActive + Total_Sos, 2) - boundNGFReceptor*cell*kNGF/(KmNGF - SosActive + Total_Sos)) + cj*(-1);
pd[2990] = -SosActive*cell*kdSos/(KmdSos + SosActive);
pd[3005] = -2*ErkActive*cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*du_kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*du_kpP90Rsk*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + 2*ErkActive*cell*duv_P90RskActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) - 2*ErkActive*cell*duv_P90RskActive*kpP90Rsk/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - 2*ErkActive*cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*dv_kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*dv_kpP90Rsk*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + 6*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 4) - 2*ErkActive*cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) - 2*ErkActive*cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) - 2*ErkActive*cell*kpP90Rsk*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*du_cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*du_cell*dv_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*ErkActive*du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*du_cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_cell*kpP90Rsk*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_kpP90Rsk*dv_cell*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*du_kpP90Rsk*dv_cell/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*dv_cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*dv_cell*kpP90Rsk*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*du_ErkActive*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*du_ErkActive*dv_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*cell*du_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + cell*du_ErkActive*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*du_ErkActive*kpP90Rsk*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*du_kpP90Rsk*dv_ErkActive*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*du_kpP90Rsk*dv_ErkActive/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*duv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*duv_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + cell*dv_ErkActive*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*dv_ErkActive*kpP90Rsk*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + du_ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - du_ErkActive*dv_cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - du_cell*dv_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3010] = -cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*du_kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*duv_P90RskActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*duv_P90RskActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*dv_kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + 2*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) - cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + du_cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + du_cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_kpP90Rsk*dv_cell*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + dv_cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3020] = ErkActive*cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*dv_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*kpP90Rsk*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*dv_cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*dv_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*dv_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3025] = cell*dv_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(dv_KmpP90Rsk - dv_P90RskActive + dv_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*kpP90Rsk*(-dv_P90RskActive + dv_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + dv_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3035] = ErkActive*cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*du_kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - 2*ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 3) + ErkActive*cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*cell*kpP90Rsk*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + ErkActive*du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*du_cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + cell*du_ErkActive*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - cell*du_ErkActive*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3040] = cell*du_kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) - cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)*(du_KmpP90Rsk - du_P90RskActive + du_Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) + cell*kpP90Rsk*(-du_P90RskActive + du_Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk) + du_cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3050] = (ErkActive*cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/pow(KmpP90Rsk - P90RskActive + Total_P90Rsk, 2) - ErkActive*cell*kpP90Rsk/(KmpP90Rsk - P90RskActive + Total_P90Rsk)) + cj*(-1);
pd[3055] = cell*kpP90Rsk*(-P90RskActive + Total_P90Rsk)/(KmpP90Rsk - P90RskActive + Total_P90Rsk);
pd[3064] = -cell*du_kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*du_kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*duv_RasActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*duv_RasActive*kSos/(KmSos - RasActive + Total_Ras) - cell*dv_kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*dv_kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + cell*kSos*(-2*RasActive + 2*Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) - cell*kSos*(-du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*kSos*(-dv_RasActive + dv_Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + du_cell*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - du_cell*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + du_cell*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + du_kSos*dv_cell*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - dv_cell*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + dv_cell*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[3066] = -2*RasActive*RasGapActive*cell*du_kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) - 2*RasActive*RasGapActive*cell*duv_RasActive*kRasGap/pow(KmRasGap + RasActive, 3) - 2*RasActive*RasGapActive*cell*dv_kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 3) + 6*RasActive*RasGapActive*cell*kRasGap*(du_KmRasGap + du_RasActive)*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 4) + RasActive*RasGapActive*du_cell*dv_kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasActive*RasGapActive*du_cell*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*RasGapActive*du_kRasGap*dv_cell/pow(KmRasGap + RasActive, 2) - 2*RasActive*RasGapActive*dv_cell*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*cell*du_RasGapActive*dv_kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasActive*cell*du_RasGapActive*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*cell*du_kRasGap*dv_RasGapActive/pow(KmRasGap + RasActive, 2) - 2*RasActive*cell*dv_RasGapActive*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*du_RasGapActive*dv_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*du_cell*dv_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*du_RasActive*dv_kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasGapActive*cell*du_RasActive*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasGapActive*cell*du_kRasGap*dv_RasActive/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*du_kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) + 2*RasGapActive*cell*duv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasGapActive*cell*dv_RasActive*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 3) + RasGapActive*cell*dv_kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - 2*RasGapActive*cell*kRasGap*(du_KmRasGap + du_RasActive)*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasGapActive*du_RasActive*dv_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*du_cell*dv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*du_cell*dv_kRasGap/(KmRasGap + RasActive) + RasGapActive*du_cell*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*du_kRasGap*dv_cell/(KmRasGap + RasActive) + RasGapActive*dv_cell*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - 2*SosActive*cell*du_kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*du_kSos*(-dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*du_kSos*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + 2*SosActive*cell*duv_RasActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) - 2*SosActive*cell*duv_RasActive*kSos/pow(KmSos - RasActive + Total_Ras, 2) - 2*SosActive*cell*dv_kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*dv_kSos*(-du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*dv_kSos*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + 3*SosActive*cell*kSos*(-2*RasActive + 2*Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 4) - 2*SosActive*cell*kSos*(-du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) - 2*SosActive*cell*kSos*(-dv_RasActive + dv_Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) - 2*SosActive*cell*kSos*(du_KmSos - du_RasActive + du_Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*du_cell*dv_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*du_cell*dv_kSos/(KmSos - RasActive + Total_Ras) - 2*SosActive*du_cell*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*du_cell*kSos*(-dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_cell*kSos*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_kSos*dv_cell*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*du_kSos*dv_cell/(KmSos - RasActive + Total_Ras) - 2*SosActive*dv_cell*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*dv_cell*kSos*(-du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*dv_cell*kSos*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*du_RasActive*dv_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + cell*du_RasGapActive*dv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - cell*du_RasGapActive*dv_kRasGap/(KmRasGap + RasActive) + cell*du_RasGapActive*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) + cell*du_SosActive*dv_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*du_SosActive*dv_kSos/(KmSos - RasActive + Total_Ras) - 2*cell*du_SosActive*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + cell*du_SosActive*kSos*(-dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*du_SosActive*kSos*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*du_kRasGap*dv_RasGapActive/(KmRasGap + RasActive) + cell*du_kSos*dv_SosActive*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*du_kSos*dv_SosActive/(KmSos - RasActive + Total_Ras) + cell*duv_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*duv_SosActive*kSos/(KmSos - RasActive + Total_Ras) + cell*dv_RasGapActive*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - 2*cell*dv_SosActive*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + cell*dv_SosActive*kSos*(-du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*dv_SosActive*kSos*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - du_RasGapActive*dv_cell*kRasGap/(KmRasGap + RasActive) + du_SosActive*dv_cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - du_SosActive*dv_cell*kSos/(KmSos - RasActive + Total_Ras) - du_cell*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) + du_cell*dv_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - du_cell*dv_SosActive*kSos/(KmSos - RasActive + Total_Ras);
pd[3079] = cell*dv_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - cell*kSos*(-RasActive + Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*kSos*(-dv_RasActive + dv_Total_Ras)/(KmSos - RasActive + Total_Ras) + dv_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[3081] = RasActive*RasGapActive*cell*dv_kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasActive*RasGapActive*cell*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*RasGapActive*dv_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*cell*dv_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*dv_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*dv_kRasGap/(KmRasGap + RasActive) + RasGapActive*cell*kRasGap*(dv_KmRasGap + dv_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*dv_cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*dv_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*dv_kSos/(KmSos - RasActive + Total_Ras) - SosActive*cell*kSos*(-2*RasActive + 2*Total_Ras)*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*kSos*(-dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*kSos*(dv_KmSos - dv_RasActive + dv_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*dv_cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*dv_cell*kSos/(KmSos - RasActive + Total_Ras) - cell*dv_RasGapActive*kRasGap/(KmRasGap + RasActive) + cell*dv_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*dv_SosActive*kSos/(KmSos - RasActive + Total_Ras);
pd[3094] = cell*du_kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras) - cell*kSos*(-RasActive + Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + cell*kSos*(-du_RasActive + du_Total_Ras)/(KmSos - RasActive + Total_Ras) + du_cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[3096] = RasActive*RasGapActive*cell*du_kRasGap/pow(KmRasGap + RasActive, 2) - 2*RasActive*RasGapActive*cell*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 3) + RasActive*RasGapActive*du_cell*kRasGap/pow(KmRasGap + RasActive, 2) + RasActive*cell*du_RasGapActive*kRasGap/pow(KmRasGap + RasActive, 2) + RasGapActive*cell*du_RasActive*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*du_kRasGap/(KmRasGap + RasActive) + RasGapActive*cell*kRasGap*(du_KmRasGap + du_RasActive)/pow(KmRasGap + RasActive, 2) - RasGapActive*du_cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*du_kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*du_kSos/(KmSos - RasActive + Total_Ras) - SosActive*cell*kSos*(-2*RasActive + 2*Total_Ras)*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 3) + SosActive*cell*kSos*(-du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*cell*kSos*(du_KmSos - du_RasActive + du_Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) + SosActive*du_cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*du_cell*kSos/(KmSos - RasActive + Total_Ras) - cell*du_RasGapActive*kRasGap/(KmRasGap + RasActive) + cell*du_SosActive*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - cell*du_SosActive*kSos/(KmSos - RasActive + Total_Ras);
pd[3109] = cell*kSos*(-RasActive + Total_Ras)/(KmSos - RasActive + Total_Ras);
pd[3111] = (RasActive*RasGapActive*cell*kRasGap/pow(KmRasGap + RasActive, 2) - RasGapActive*cell*kRasGap/(KmRasGap + RasActive) + SosActive*cell*kSos*(-RasActive + Total_Ras)/pow(KmSos - RasActive + Total_Ras, 2) - SosActive*cell*kSos/(KmSos - RasActive + Total_Ras)) + cj*(-1);
pd[3126] = -cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*du_kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*duv_Raf1Active*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*duv_Raf1Active*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*dv_kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*kRasToRaf1*(-2*Raf1Active + 2*Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) - cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + du_cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + du_cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + du_kRasToRaf1*dv_cell*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + dv_cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3127] = -2*AktActive*Raf1Active*cell*du_kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) - 2*AktActive*Raf1Active*cell*duv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 3) - 2*AktActive*Raf1Active*cell*dv_kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + 6*AktActive*Raf1Active*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 4) + AktActive*Raf1Active*du_cell*dv_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*Raf1Active*du_cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*Raf1Active*du_kdRaf1ByAkt*dv_cell/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*Raf1Active*dv_cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*cell*du_Raf1Active*dv_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*cell*du_Raf1Active*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*cell*du_kdRaf1ByAkt*dv_Raf1Active/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*cell*du_kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + 2*AktActive*cell*duv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*cell*dv_Raf1Active*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*cell*dv_kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*du_Raf1Active*dv_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*du_cell*dv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*du_cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*du_cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*du_kdRaf1ByAkt*dv_cell/(KmRaf1ByAkt + Raf1Active) + AktActive*dv_cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*cell*du_kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) - 2*Raf1Active*Raf1PPtase*cell*duv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 3) - 2*Raf1Active*Raf1PPtase*cell*dv_kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + 6*Raf1Active*Raf1PPtase*cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 4) + Raf1Active*Raf1PPtase*du_cell*dv_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*du_cell*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*Raf1PPtase*du_kdRaf1*dv_cell/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*dv_cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*cell*du_AktActive*dv_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*Raf1Active*cell*du_AktActive*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + Raf1Active*cell*du_Raf1PPtase*dv_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*cell*du_Raf1PPtase*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*cell*du_kdRaf1*dv_Raf1PPtase/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*cell*du_kdRaf1ByAkt*dv_AktActive/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*duv_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*Raf1Active*cell*dv_AktActive*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) - 2*Raf1Active*cell*dv_Raf1PPtase*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*du_AktActive*dv_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*du_Raf1PPtase*dv_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*du_cell*dv_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*du_cell*dv_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*du_Raf1Active*dv_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1PPtase*cell*du_Raf1Active*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1PPtase*cell*du_kdRaf1*dv_Raf1Active/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*du_kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) + 2*Raf1PPtase*cell*duv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1PPtase*cell*dv_Raf1Active*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1PPtase*cell*dv_kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1PPtase*cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1PPtase*du_Raf1Active*dv_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*du_cell*dv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*du_cell*dv_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1PPtase*du_cell*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*du_kdRaf1*dv_cell/(KmdRaf1 + Raf1Active) + Raf1PPtase*dv_cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - 2*RasActive*cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*du_kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*du_kRasToRaf1*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + 2*RasActive*cell*duv_Raf1Active*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) - 2*RasActive*cell*duv_Raf1Active*kRasToRaf1/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - 2*RasActive*cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*dv_kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*dv_kRasToRaf1*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + 3*RasActive*cell*kRasToRaf1*(-2*Raf1Active + 2*Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 4) - 2*RasActive*cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) - 2*RasActive*cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) - 2*RasActive*cell*kRasToRaf1*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*du_cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*du_cell*dv_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - 2*RasActive*du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*du_cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_cell*kRasToRaf1*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_kRasToRaf1*dv_cell*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*du_kRasToRaf1*dv_cell/(KmRasToRaf1 - Raf1Active + Total_Raf1) - 2*RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*dv_cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*dv_cell*kRasToRaf1*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*du_AktActive*dv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - cell*du_AktActive*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + cell*du_AktActive*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + cell*du_Raf1Active*dv_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + cell*du_Raf1Active*dv_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + cell*du_Raf1PPtase*dv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - cell*du_Raf1PPtase*dv_kdRaf1/(KmdRaf1 + Raf1Active) + cell*du_Raf1PPtase*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) + cell*du_RasActive*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*du_RasActive*dv_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - 2*cell*du_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + cell*du_RasActive*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*du_RasActive*kRasToRaf1*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*du_kRasToRaf1*dv_RasActive*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*du_kRasToRaf1*dv_RasActive/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*du_kdRaf1*dv_Raf1PPtase/(KmdRaf1 + Raf1Active) - cell*du_kdRaf1ByAkt*dv_AktActive/(KmRaf1ByAkt + Raf1Active) - cell*duv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + cell*duv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*duv_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) + cell*dv_AktActive*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + cell*dv_Raf1PPtase*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - 2*cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + cell*dv_RasActive*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*dv_RasActive*kRasToRaf1*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - du_AktActive*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - du_Raf1PPtase*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) + du_RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - du_RasActive*dv_cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - du_cell*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - du_cell*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) + du_cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - du_cell*dv_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3132] = Raf1Active*cell*du_kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*duv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*dv_kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*Raf1Active*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) - Raf1Active*du_cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*du_cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*du_kdRaf1ByAkt*dv_cell/(KmRaf1ByAkt + Raf1Active) + Raf1Active*dv_cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - cell*du_Raf1Active*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + cell*du_Raf1Active*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - cell*du_kdRaf1ByAkt*dv_Raf1Active/(KmRaf1ByAkt + Raf1Active) - cell*duv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + cell*dv_Raf1Active*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - du_Raf1Active*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - du_cell*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[3141] = cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3142] = AktActive*Raf1Active*cell*dv_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*Raf1Active*cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*Raf1Active*dv_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*cell*dv_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*dv_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*cell*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*Raf1PPtase*dv_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*cell*dv_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*dv_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*dv_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*dv_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1PPtase*cell*kdRaf1*(dv_KmdRaf1 + dv_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*dv_cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*dv_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*dv_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - RasActive*cell*kRasToRaf1*(-2*Raf1Active + 2*Total_Raf1)*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*kRasToRaf1*(-dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*kRasToRaf1*(dv_KmRasToRaf1 - dv_Raf1Active + dv_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*dv_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*dv_cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*dv_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*dv_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) + cell*dv_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*dv_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3147] = -Raf1Active*cell*dv_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*cell*kdRaf1ByAkt*(dv_KmRaf1ByAkt + dv_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*dv_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*dv_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[3156] = cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*kRasToRaf1*(-Raf1Active + Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1) + du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3157] = AktActive*Raf1Active*cell*du_kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - 2*AktActive*Raf1Active*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 3) + AktActive*Raf1Active*du_cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + AktActive*cell*du_Raf1Active*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*du_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + AktActive*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*du_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*du_kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - 2*Raf1Active*Raf1PPtase*cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 3) + Raf1Active*Raf1PPtase*du_cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1Active*cell*du_AktActive*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) + Raf1Active*cell*du_Raf1PPtase*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) + Raf1PPtase*cell*du_Raf1Active*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*du_kdRaf1/(KmdRaf1 + Raf1Active) + Raf1PPtase*cell*kdRaf1*(du_KmdRaf1 + du_Raf1Active)/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*du_cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*du_kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*du_kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - RasActive*cell*kRasToRaf1*(-2*Raf1Active + 2*Total_Raf1)*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 3) + RasActive*cell*kRasToRaf1*(-du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*cell*kRasToRaf1*(du_KmRasToRaf1 - du_Raf1Active + du_Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) + RasActive*du_cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*du_cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1) - cell*du_AktActive*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1PPtase*kdRaf1/(KmdRaf1 + Raf1Active) + cell*du_RasActive*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - cell*du_RasActive*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3162] = -Raf1Active*cell*du_kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*cell*kdRaf1ByAkt*(du_KmRaf1ByAkt + du_Raf1Active)/pow(KmRaf1ByAkt + Raf1Active, 2) - Raf1Active*du_cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) - cell*du_Raf1Active*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[3171] = cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/(KmRasToRaf1 - Raf1Active + Total_Raf1);
pd[3172] = (AktActive*Raf1Active*cell*kdRaf1ByAkt/pow(KmRaf1ByAkt + Raf1Active, 2) - AktActive*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active) + Raf1Active*Raf1PPtase*cell*kdRaf1/pow(KmdRaf1 + Raf1Active, 2) - Raf1PPtase*cell*kdRaf1/(KmdRaf1 + Raf1Active) + RasActive*cell*kRasToRaf1*(-Raf1Active + Total_Raf1)/pow(KmRasToRaf1 - Raf1Active + Total_Raf1, 2) - RasActive*cell*kRasToRaf1/(KmRasToRaf1 - Raf1Active + Total_Raf1)) + cj*(-1);
pd[3177] = -Raf1Active*cell*kdRaf1ByAkt/(KmRaf1ByAkt + Raf1Active);
pd[3188] = -2*BRafActive*Raf1PPtase*cell*du_kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) - 2*BRafActive*Raf1PPtase*cell*duv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 3) - 2*BRafActive*Raf1PPtase*cell*dv_kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + 6*BRafActive*Raf1PPtase*cell*kdBRaf*(du_BRafActive + du_KmdBRaf)*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 4) + BRafActive*Raf1PPtase*du_cell*dv_kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*Raf1PPtase*du_cell*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*Raf1PPtase*du_kdBRaf*dv_cell/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*Raf1PPtase*dv_cell*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*cell*du_Raf1PPtase*dv_kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*cell*du_Raf1PPtase*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*cell*du_kdBRaf*dv_Raf1PPtase/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*cell*dv_Raf1PPtase*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*du_Raf1PPtase*dv_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*du_cell*dv_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*du_BRafActive*dv_kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*Raf1PPtase*cell*du_BRafActive*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + Raf1PPtase*cell*du_kdBRaf*dv_BRafActive/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*du_kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) + 2*Raf1PPtase*cell*duv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*Raf1PPtase*cell*dv_BRafActive*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + Raf1PPtase*cell*dv_kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - 2*Raf1PPtase*cell*kdBRaf*(du_BRafActive + du_KmdBRaf)*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + Raf1PPtase*du_BRafActive*dv_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*du_cell*dv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*du_cell*dv_kdBRaf/(BRafActive + KmdBRaf) + Raf1PPtase*du_cell*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*du_kdBRaf*dv_cell/(BRafActive + KmdBRaf) + Raf1PPtase*dv_cell*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - 2*Rap1Active*cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*du_kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*du_kRap1ToBRaf*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + 2*Rap1Active*cell*duv_BRafActive*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) - 2*Rap1Active*cell*duv_BRafActive*kRap1ToBRaf/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - 2*Rap1Active*cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*dv_kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*dv_kRap1ToBRaf*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + 3*Rap1Active*cell*kRap1ToBRaf*(-2*BRafActive + 2*Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 4) - 2*Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) - 2*Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) - 2*Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*du_cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*du_cell*dv_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - 2*Rap1Active*du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*du_cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_cell*kRap1ToBRaf*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_kRap1ToBRaf*dv_cell*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*du_kRap1ToBRaf*dv_cell/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - 2*Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*dv_cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*dv_cell*kRap1ToBRaf*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*du_BRafActive*dv_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + cell*du_Raf1PPtase*dv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - cell*du_Raf1PPtase*dv_kdBRaf/(BRafActive + KmdBRaf) + cell*du_Raf1PPtase*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) + cell*du_Rap1Active*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*du_Rap1Active*dv_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - 2*cell*du_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + cell*du_Rap1Active*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*du_Rap1Active*kRap1ToBRaf*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*du_kRap1ToBRaf*dv_Rap1Active*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*du_kRap1ToBRaf*dv_Rap1Active/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*du_kdBRaf*dv_Raf1PPtase/(BRafActive + KmdBRaf) + cell*duv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*duv_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*dv_Raf1PPtase*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - 2*cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + cell*dv_Rap1Active*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*dv_Rap1Active*kRap1ToBRaf*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - du_Raf1PPtase*dv_cell*kdBRaf/(BRafActive + KmdBRaf) + du_Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - du_Rap1Active*dv_cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - du_cell*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) + du_cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - du_cell*dv_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3194] = -cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*du_kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*duv_BRafActive*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*duv_BRafActive*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*dv_kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + cell*kRap1ToBRaf*(-2*BRafActive + 2*Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) - cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + du_cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + du_cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + du_kRap1ToBRaf*dv_cell*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + dv_cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3203] = BRafActive*Raf1PPtase*cell*dv_kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*Raf1PPtase*cell*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*Raf1PPtase*dv_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*cell*dv_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*dv_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*dv_kdBRaf/(BRafActive + KmdBRaf) + Raf1PPtase*cell*kdBRaf*(dv_BRafActive + dv_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*dv_cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*dv_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - Rap1Active*cell*kRap1ToBRaf*(-2*BRafActive + 2*Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*kRap1ToBRaf*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*dv_cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*dv_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) + cell*dv_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*dv_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3209] = cell*dv_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-dv_BRafActive + dv_KmRap1ToBRaf + dv_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*kRap1ToBRaf*(-dv_BRafActive + dv_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + dv_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3218] = BRafActive*Raf1PPtase*cell*du_kdBRaf/pow(BRafActive + KmdBRaf, 2) - 2*BRafActive*Raf1PPtase*cell*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 3) + BRafActive*Raf1PPtase*du_cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) + BRafActive*cell*du_Raf1PPtase*kdBRaf/pow(BRafActive + KmdBRaf, 2) + Raf1PPtase*cell*du_BRafActive*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*du_kdBRaf/(BRafActive + KmdBRaf) + Raf1PPtase*cell*kdBRaf*(du_BRafActive + du_KmdBRaf)/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*du_cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*du_kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - Rap1Active*cell*kRap1ToBRaf*(-2*BRafActive + 2*Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 3) + Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*cell*kRap1ToBRaf*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + Rap1Active*du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*du_cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*du_Raf1PPtase*kdBRaf/(BRafActive + KmdBRaf) + cell*du_Rap1Active*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - cell*du_Rap1Active*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3224] = cell*du_kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) - cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)*(-du_BRafActive + du_KmRap1ToBRaf + du_Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) + cell*kRap1ToBRaf*(-du_BRafActive + du_Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf) + du_cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3233] = (BRafActive*Raf1PPtase*cell*kdBRaf/pow(BRafActive + KmdBRaf, 2) - Raf1PPtase*cell*kdBRaf/(BRafActive + KmdBRaf) + Rap1Active*cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/pow(-BRafActive + KmRap1ToBRaf + Total_BRaf, 2) - Rap1Active*cell*kRap1ToBRaf/(-BRafActive + KmRap1ToBRaf + Total_BRaf)) + cj*(-1);
pd[3239] = cell*kRap1ToBRaf*(-BRafActive + Total_BRaf)/(-BRafActive + KmRap1ToBRaf + Total_BRaf);
pd[3247] = -cell*du_kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*du_kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*duv_MekActive*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*duv_MekActive*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - cell*dv_kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*dv_kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + cell*kpRaf1*(-2*MekActive + 2*Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) - cell*kpRaf1*(-du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + du_cell*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - du_cell*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + du_cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + du_kpRaf1*dv_cell*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - dv_cell*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + dv_cell*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[3248] = -cell*du_kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*du_kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + cell*duv_MekActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*duv_MekActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - cell*dv_kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*dv_kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + 2*cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) - cell*kpBRaf*(-du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + du_cell*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - du_cell*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + du_cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + du_kpBRaf*dv_cell*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - dv_cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + dv_cell*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[3249] = -2*BRafActive*cell*du_kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*du_kpBRaf*(-dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*du_kpBRaf*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + 2*BRafActive*cell*duv_MekActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) - 2*BRafActive*cell*duv_MekActive*kpBRaf/pow(KmpBRaf - MekActive + Total_Mek, 2) - 2*BRafActive*cell*dv_kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*dv_kpBRaf*(-du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*dv_kpBRaf*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + 6*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 4) - 2*BRafActive*cell*kpBRaf*(-du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) - 2*BRafActive*cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) - 2*BRafActive*cell*kpBRaf*(du_KmpBRaf - du_MekActive + du_Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*du_cell*dv_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*du_cell*dv_kpBRaf/(KmpBRaf - MekActive + Total_Mek) - 2*BRafActive*du_cell*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*du_cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_cell*kpBRaf*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_kpBRaf*dv_cell*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*du_kpBRaf*dv_cell/(KmpBRaf - MekActive + Total_Mek) - 2*BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*dv_cell*kpBRaf*(-du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*dv_cell*kpBRaf*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - 2*MekActive*PP2AActive*cell*du_kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) - 2*MekActive*PP2AActive*cell*duv_MekActive*kdMek/pow(KmdMek + MekActive, 3) - 2*MekActive*PP2AActive*cell*dv_kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 3) + 6*MekActive*PP2AActive*cell*kdMek*(du_KmdMek + du_MekActive)*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 4) + MekActive*PP2AActive*du_cell*dv_kdMek/pow(KmdMek + MekActive, 2) - 2*MekActive*PP2AActive*du_cell*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*PP2AActive*du_kdMek*dv_cell/pow(KmdMek + MekActive, 2) - 2*MekActive*PP2AActive*dv_cell*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*cell*du_PP2AActive*dv_kdMek/pow(KmdMek + MekActive, 2) - 2*MekActive*cell*du_PP2AActive*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*cell*du_kdMek*dv_PP2AActive/pow(KmdMek + MekActive, 2) - 2*MekActive*cell*dv_PP2AActive*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*du_PP2AActive*dv_cell*kdMek/pow(KmdMek + MekActive, 2) + MekActive*du_cell*dv_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*cell*du_MekActive*dv_kdMek/pow(KmdMek + MekActive, 2) - 2*PP2AActive*cell*du_MekActive*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) + PP2AActive*cell*du_kdMek*dv_MekActive/pow(KmdMek + MekActive, 2) + PP2AActive*cell*du_kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) + 2*PP2AActive*cell*duv_MekActive*kdMek/pow(KmdMek + MekActive, 2) - 2*PP2AActive*cell*dv_MekActive*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 3) + PP2AActive*cell*dv_kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - 2*PP2AActive*cell*kdMek*(du_KmdMek + du_MekActive)*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) + PP2AActive*du_MekActive*dv_cell*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*du_cell*dv_MekActive*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*du_cell*dv_kdMek/(KmdMek + MekActive) + PP2AActive*du_cell*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*du_kdMek*dv_cell/(KmdMek + MekActive) + PP2AActive*dv_cell*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - 2*Raf1Active*cell*du_kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*du_kpRaf1*(-dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*du_kpRaf1*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + 2*Raf1Active*cell*duv_MekActive*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) - 2*Raf1Active*cell*duv_MekActive*kpRaf1/pow(KmpRaf1 - MekActive + Total_Mek, 2) - 2*Raf1Active*cell*dv_kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*dv_kpRaf1*(-du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*dv_kpRaf1*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + 3*Raf1Active*cell*kpRaf1*(-2*MekActive + 2*Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 4) - 2*Raf1Active*cell*kpRaf1*(-du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) - 2*Raf1Active*cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) - 2*Raf1Active*cell*kpRaf1*(du_KmpRaf1 - du_MekActive + du_Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*du_cell*dv_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*du_cell*dv_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - 2*Raf1Active*du_cell*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*du_cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_cell*kpRaf1*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_kpRaf1*dv_cell*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*du_kpRaf1*dv_cell/(KmpRaf1 - MekActive + Total_Mek) - 2*Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*dv_cell*kpRaf1*(-du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*dv_cell*kpRaf1*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*du_BRafActive*dv_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*du_BRafActive*dv_kpBRaf/(KmpBRaf - MekActive + Total_Mek) - 2*cell*du_BRafActive*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + cell*du_BRafActive*kpBRaf*(-dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*du_BRafActive*kpBRaf*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*du_MekActive*dv_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + cell*du_PP2AActive*dv_MekActive*kdMek/pow(KmdMek + MekActive, 2) - cell*du_PP2AActive*dv_kdMek/(KmdMek + MekActive) + cell*du_PP2AActive*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) + cell*du_Raf1Active*dv_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*du_Raf1Active*dv_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - 2*cell*du_Raf1Active*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + cell*du_Raf1Active*kpRaf1*(-dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*du_Raf1Active*kpRaf1*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*du_kdMek*dv_PP2AActive/(KmdMek + MekActive) + cell*du_kpBRaf*dv_BRafActive*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*du_kpBRaf*dv_BRafActive/(KmpBRaf - MekActive + Total_Mek) + cell*du_kpRaf1*dv_Raf1Active*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*du_kpRaf1*dv_Raf1Active/(KmpRaf1 - MekActive + Total_Mek) + cell*duv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*duv_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + cell*duv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*duv_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - 2*cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + cell*dv_BRafActive*kpBRaf*(-du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*dv_BRafActive*kpBRaf*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*dv_PP2AActive*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - 2*cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + cell*dv_Raf1Active*kpRaf1*(-du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*dv_Raf1Active*kpRaf1*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + du_BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - du_BRafActive*dv_cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - du_PP2AActive*dv_cell*kdMek/(KmdMek + MekActive) + du_Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - du_Raf1Active*dv_cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + du_cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - du_cell*dv_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - du_cell*dv_PP2AActive*kdMek/(KmdMek + MekActive) + du_cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - du_cell*dv_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek);
pd[3262] = cell*dv_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - cell*kpRaf1*(-MekActive + Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + dv_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[3263] = cell*dv_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - cell*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + dv_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[3264] = BRafActive*cell*dv_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*dv_kpBRaf/(KmpBRaf - MekActive + Total_Mek) - 2*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*kpBRaf*(-dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*kpBRaf*(dv_KmpBRaf - dv_MekActive + dv_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*dv_cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*dv_cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*dv_kdMek/pow(KmdMek + MekActive, 2) - 2*MekActive*PP2AActive*cell*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*PP2AActive*dv_cell*kdMek/pow(KmdMek + MekActive, 2) + MekActive*cell*dv_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*cell*dv_MekActive*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*dv_kdMek/(KmdMek + MekActive) + PP2AActive*cell*kdMek*(dv_KmdMek + dv_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*dv_cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*dv_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*dv_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - Raf1Active*cell*kpRaf1*(-2*MekActive + 2*Total_Mek)*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*kpRaf1*(-dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*kpRaf1*(dv_KmpRaf1 - dv_MekActive + dv_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*dv_cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*dv_cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + cell*dv_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*dv_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - cell*dv_PP2AActive*kdMek/(KmdMek + MekActive) + cell*dv_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*dv_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek);
pd[3277] = cell*du_kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) - cell*kpRaf1*(-MekActive + Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + cell*kpRaf1*(-du_MekActive + du_Total_Mek)/(KmpRaf1 - MekActive + Total_Mek) + du_cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[3278] = cell*du_kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek) - cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + cell*kpBRaf*(-du_MekActive + du_Total_Mek)/(KmpBRaf - MekActive + Total_Mek) + du_cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[3279] = BRafActive*cell*du_kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*du_kpBRaf/(KmpBRaf - MekActive + Total_Mek) - 2*BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 3) + BRafActive*cell*kpBRaf*(-du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*cell*kpBRaf*(du_KmpBRaf - du_MekActive + du_Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) + BRafActive*du_cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*du_cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*du_kdMek/pow(KmdMek + MekActive, 2) - 2*MekActive*PP2AActive*cell*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 3) + MekActive*PP2AActive*du_cell*kdMek/pow(KmdMek + MekActive, 2) + MekActive*cell*du_PP2AActive*kdMek/pow(KmdMek + MekActive, 2) + PP2AActive*cell*du_MekActive*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*du_kdMek/(KmdMek + MekActive) + PP2AActive*cell*kdMek*(du_KmdMek + du_MekActive)/pow(KmdMek + MekActive, 2) - PP2AActive*du_cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*du_kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*du_kpRaf1/(KmpRaf1 - MekActive + Total_Mek) - Raf1Active*cell*kpRaf1*(-2*MekActive + 2*Total_Mek)*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 3) + Raf1Active*cell*kpRaf1*(-du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*cell*kpRaf1*(du_KmpRaf1 - du_MekActive + du_Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) + Raf1Active*du_cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*du_cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek) + cell*du_BRafActive*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - cell*du_BRafActive*kpBRaf/(KmpBRaf - MekActive + Total_Mek) - cell*du_PP2AActive*kdMek/(KmdMek + MekActive) + cell*du_Raf1Active*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - cell*du_Raf1Active*kpRaf1/(KmpRaf1 - MekActive + Total_Mek);
pd[3292] = cell*kpRaf1*(-MekActive + Total_Mek)/(KmpRaf1 - MekActive + Total_Mek);
pd[3293] = cell*kpBRaf*(-MekActive + Total_Mek)/(KmpBRaf - MekActive + Total_Mek);
pd[3294] = (BRafActive*cell*kpBRaf*(-MekActive + Total_Mek)/pow(KmpBRaf - MekActive + Total_Mek, 2) - BRafActive*cell*kpBRaf/(KmpBRaf - MekActive + Total_Mek) + MekActive*PP2AActive*cell*kdMek/pow(KmdMek + MekActive, 2) - PP2AActive*cell*kdMek/(KmdMek + MekActive) + Raf1Active*cell*kpRaf1*(-MekActive + Total_Mek)/pow(KmpRaf1 - MekActive + Total_Mek, 2) - Raf1Active*cell*kpRaf1/(KmpRaf1 - MekActive + Total_Mek)) + cj*(-1);
pd[3309] = -cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*du_kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*duv_ErkActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*duv_ErkActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*dv_kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*kpMekCytoplasmic*(-2*ErkActive + 2*Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) - cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + du_cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + du_cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + du_kpMekCytoplasmic*dv_cell*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + dv_cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[3310] = -2*ErkActive*PP2AActive*cell*du_kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) - 2*ErkActive*PP2AActive*cell*duv_ErkActive*kdErk/pow(ErkActive + KmdErk, 3) - 2*ErkActive*PP2AActive*cell*dv_kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 3) + 6*ErkActive*PP2AActive*cell*kdErk*(du_ErkActive + du_KmdErk)*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 4) + ErkActive*PP2AActive*du_cell*dv_kdErk/pow(ErkActive + KmdErk, 2) - 2*ErkActive*PP2AActive*du_cell*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*PP2AActive*du_kdErk*dv_cell/pow(ErkActive + KmdErk, 2) - 2*ErkActive*PP2AActive*dv_cell*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*cell*du_PP2AActive*dv_kdErk/pow(ErkActive + KmdErk, 2) - 2*ErkActive*cell*du_PP2AActive*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*cell*du_kdErk*dv_PP2AActive/pow(ErkActive + KmdErk, 2) - 2*ErkActive*cell*dv_PP2AActive*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*du_PP2AActive*dv_cell*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*du_cell*dv_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) - 2*MekActive*cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*du_kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*du_kpMekCytoplasmic*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + 2*MekActive*cell*duv_ErkActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) - 2*MekActive*cell*duv_ErkActive*kpMekCytoplasmic/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - 2*MekActive*cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*dv_kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*dv_kpMekCytoplasmic*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + 3*MekActive*cell*kpMekCytoplasmic*(-2*ErkActive + 2*Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 4) - 2*MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) - 2*MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) - 2*MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*du_cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*du_cell*dv_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - 2*MekActive*du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*du_cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_cell*kpMekCytoplasmic*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_kpMekCytoplasmic*dv_cell*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*du_kpMekCytoplasmic*dv_cell/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - 2*MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*dv_cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*dv_cell*kpMekCytoplasmic*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + PP2AActive*cell*du_ErkActive*dv_kdErk/pow(ErkActive + KmdErk, 2) - 2*PP2AActive*cell*du_ErkActive*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) + PP2AActive*cell*du_kdErk*dv_ErkActive/pow(ErkActive + KmdErk, 2) + PP2AActive*cell*du_kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) + 2*PP2AActive*cell*duv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - 2*PP2AActive*cell*dv_ErkActive*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 3) + PP2AActive*cell*dv_kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - 2*PP2AActive*cell*kdErk*(du_ErkActive + du_KmdErk)*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) + PP2AActive*du_ErkActive*dv_cell*kdErk/pow(ErkActive + KmdErk, 2) + PP2AActive*du_cell*dv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - PP2AActive*du_cell*dv_kdErk/(ErkActive + KmdErk) + PP2AActive*du_cell*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*du_kdErk*dv_cell/(ErkActive + KmdErk) + PP2AActive*dv_cell*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) + cell*du_ErkActive*dv_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) + cell*du_MekActive*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*du_MekActive*dv_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - 2*cell*du_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + cell*du_MekActive*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*du_MekActive*kpMekCytoplasmic*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*du_PP2AActive*dv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - cell*du_PP2AActive*dv_kdErk/(ErkActive + KmdErk) + cell*du_PP2AActive*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - cell*du_kdErk*dv_PP2AActive/(ErkActive + KmdErk) + cell*du_kpMekCytoplasmic*dv_MekActive*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*du_kpMekCytoplasmic*dv_MekActive/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + cell*duv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*duv_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - 2*cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + cell*dv_MekActive*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*dv_MekActive*kpMekCytoplasmic*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*dv_PP2AActive*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) + du_MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - du_MekActive*dv_cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - du_PP2AActive*dv_cell*kdErk/(ErkActive + KmdErk) + du_cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - du_cell*dv_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - du_cell*dv_PP2AActive*kdErk/(ErkActive + KmdErk);
pd[3324] = cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[3325] = ErkActive*PP2AActive*cell*dv_kdErk/pow(ErkActive + KmdErk, 2) - 2*ErkActive*PP2AActive*cell*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*PP2AActive*dv_cell*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*cell*dv_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*dv_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*dv_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - MekActive*cell*kpMekCytoplasmic*(-2*ErkActive + 2*Total_Erk)*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*kpMekCytoplasmic*(-dv_ErkActive + dv_KmpMekCytoplasmic + dv_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*dv_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*dv_cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + PP2AActive*cell*dv_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - PP2AActive*cell*dv_kdErk/(ErkActive + KmdErk) + PP2AActive*cell*kdErk*(dv_ErkActive + dv_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*dv_cell*kdErk/(ErkActive + KmdErk) + cell*dv_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*dv_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*dv_PP2AActive*kdErk/(ErkActive + KmdErk);
pd[3339] = cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[3340] = ErkActive*PP2AActive*cell*du_kdErk/pow(ErkActive + KmdErk, 2) - 2*ErkActive*PP2AActive*cell*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 3) + ErkActive*PP2AActive*du_cell*kdErk/pow(ErkActive + KmdErk, 2) + ErkActive*cell*du_PP2AActive*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*du_kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*du_kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - MekActive*cell*kpMekCytoplasmic*(-2*ErkActive + 2*Total_Erk)*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 3) + MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*cell*kpMekCytoplasmic*(-du_ErkActive + du_KmpMekCytoplasmic + du_Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) + MekActive*du_cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*du_cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) + PP2AActive*cell*du_ErkActive*kdErk/pow(ErkActive + KmdErk, 2) - PP2AActive*cell*du_kdErk/(ErkActive + KmdErk) + PP2AActive*cell*kdErk*(du_ErkActive + du_KmdErk)/pow(ErkActive + KmdErk, 2) - PP2AActive*du_cell*kdErk/(ErkActive + KmdErk) + cell*du_MekActive*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - cell*du_MekActive*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - cell*du_PP2AActive*kdErk/(ErkActive + KmdErk);
pd[3354] = cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/(-ErkActive + KmpMekCytoplasmic + Total_Erk);
pd[3355] = (ErkActive*PP2AActive*cell*kdErk/pow(ErkActive + KmdErk, 2) + MekActive*cell*kpMekCytoplasmic*(-ErkActive + Total_Erk)/pow(-ErkActive + KmpMekCytoplasmic + Total_Erk, 2) - MekActive*cell*kpMekCytoplasmic/(-ErkActive + KmpMekCytoplasmic + Total_Erk) - PP2AActive*cell*kdErk/(ErkActive + KmdErk)) + cj*(-1);
pd[3362] = -cell*du_kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*du_kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*duv_PI3KActive*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*duv_PI3KActive*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - cell*dv_kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*dv_kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + cell*kPI3K*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) - cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + du_cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - du_cell*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + du_cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + du_kPI3K*dv_cell*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - dv_cell*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + dv_cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[3366] = cell*du_kPI3KRas*(PI3KActive - Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*du_kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*duv_PI3KActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*duv_PI3KActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*dv_kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*kPI3KRas*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) - cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + du_cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + du_cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + du_kPI3KRas*dv_cell*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + dv_cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[3371] = 2*RasActive*cell*du_kPI3KRas*(PI3KActive - Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*du_kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*du_kPI3KRas*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + 2*RasActive*cell*duv_PI3KActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) - 2*RasActive*cell*duv_PI3KActive*kPI3KRas/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - 2*RasActive*cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*dv_kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*dv_kPI3KRas*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + 3*RasActive*cell*kPI3KRas*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 4) - 2*RasActive*cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) - 2*RasActive*cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) - 2*RasActive*cell*kPI3KRas*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*du_cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*du_cell*dv_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - 2*RasActive*du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*du_cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_cell*kPI3KRas*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_kPI3KRas*dv_cell*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*du_kPI3KRas*dv_cell/(KmPI3KRas - PI3KActive + Total_PI3K) - 2*RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*dv_cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*dv_cell*kPI3KRas*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - 2*boundEGFReceptor*cell*du_kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*du_kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*du_kPI3K*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + 2*boundEGFReceptor*cell*duv_PI3KActive*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) - 2*boundEGFReceptor*cell*duv_PI3KActive*kPI3K/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - 2*boundEGFReceptor*cell*dv_kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*dv_kPI3K*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*dv_kPI3K*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + 3*boundEGFReceptor*cell*kPI3K*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 4) - 2*boundEGFReceptor*cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) - 2*boundEGFReceptor*cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) - 2*boundEGFReceptor*cell*kPI3K*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*du_cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*du_cell*dv_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - 2*boundEGFReceptor*du_cell*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*du_cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_cell*kPI3K*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_kPI3K*dv_cell*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*du_kPI3K*dv_cell/(KmPI3K - PI3KActive + Total_PI3K) - 2*boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*dv_cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*dv_cell*kPI3K*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*du_RasActive*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*du_RasActive*dv_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - 2*cell*du_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + cell*du_RasActive*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*du_RasActive*kPI3KRas*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*du_boundEGFReceptor*dv_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*du_boundEGFReceptor*dv_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - 2*cell*du_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + cell*du_boundEGFReceptor*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*du_boundEGFReceptor*kPI3K*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*du_kPI3K*dv_boundEGFReceptor*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*du_kPI3K*dv_boundEGFReceptor/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_kPI3KRas*dv_RasActive*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*du_kPI3KRas*dv_RasActive/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*duv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*duv_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*duv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*duv_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - 2*cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + cell*dv_RasActive*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*dv_RasActive*kPI3KRas*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - 2*cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + cell*dv_boundEGFReceptor*kPI3K*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*dv_boundEGFReceptor*kPI3K*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + du_RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - du_RasActive*dv_cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + du_boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - du_boundEGFReceptor*dv_cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + du_cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - du_cell*dv_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + du_cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - du_cell*dv_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K);
pd[3377] = cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - cell*kPI3K*(-PI3KActive + Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[3381] = cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[3386] = RasActive*cell*dv_kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*dv_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - RasActive*cell*kPI3KRas*(-2*PI3KActive + 2*Total_PI3K)*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*kPI3KRas*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*kPI3KRas*(dv_KmPI3KRas - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*dv_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*dv_cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*dv_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*dv_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - boundEGFReceptor*cell*kPI3K*(-2*PI3KActive + 2*Total_PI3K)*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*kPI3K*(-dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*kPI3K*(dv_KmPI3K - dv_PI3KActive + dv_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*dv_cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*dv_cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + cell*dv_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*dv_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*dv_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*dv_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K);
pd[3392] = cell*du_kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) - cell*kPI3K*(-PI3KActive + Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K) + du_cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[3396] = cell*du_kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) - cell*kPI3KRas*(-PI3KActive + Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K) + du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[3401] = -RasActive*cell*du_kPI3KRas*(PI3KActive - Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*du_kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) - RasActive*cell*kPI3KRas*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 3) + RasActive*cell*kPI3KRas*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*cell*kPI3KRas*(du_KmPI3KRas - du_PI3KActive + du_Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) + RasActive*du_cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*du_cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*du_kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*du_kPI3K/(KmPI3K - PI3KActive + Total_PI3K) - boundEGFReceptor*cell*kPI3K*(-2*PI3KActive + 2*Total_PI3K)*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 3) + boundEGFReceptor*cell*kPI3K*(-du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*cell*kPI3K*(du_KmPI3K - du_PI3KActive + du_Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) + boundEGFReceptor*du_cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*du_cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K) + cell*du_RasActive*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - cell*du_RasActive*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + cell*du_boundEGFReceptor*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - cell*du_boundEGFReceptor*kPI3K/(KmPI3K - PI3KActive + Total_PI3K);
pd[3407] = cell*kPI3K*(-PI3KActive + Total_PI3K)/(KmPI3K - PI3KActive + Total_PI3K);
pd[3411] = cell*kPI3KRas*(-PI3KActive + Total_PI3K)/(KmPI3KRas - PI3KActive + Total_PI3K);
pd[3416] = (RasActive*cell*kPI3KRas*(-PI3KActive + Total_PI3K)/pow(KmPI3KRas - PI3KActive + Total_PI3K, 2) - RasActive*cell*kPI3KRas/(KmPI3KRas - PI3KActive + Total_PI3K) + boundEGFReceptor*cell*kPI3K*(-PI3KActive + Total_PI3K)/pow(KmPI3K - PI3KActive + Total_PI3K, 2) - boundEGFReceptor*cell*kPI3K/(KmPI3K - PI3KActive + Total_PI3K)) + cj*(-1);
pd[3431] = cell*du_kAkt*(AktActive - Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*du_kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*duv_AktActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*duv_AktActive*kAkt/(-AktActive + KmAkt + Total_Akt) - cell*dv_kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*dv_kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + cell*kAkt*(-2*AktActive + 2*Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) - cell*kAkt*(-du_AktActive + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*kAkt*(-dv_AktActive + dv_Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + du_cell*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - du_cell*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + du_cell*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + du_kAkt*dv_cell*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - dv_cell*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + dv_cell*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[3432] = 2*PI3KActive*cell*du_kAkt*(AktActive - Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*du_kAkt*(-dv_AktActive + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*du_kAkt*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + 2*PI3KActive*cell*duv_AktActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) - 2*PI3KActive*cell*duv_AktActive*kAkt/pow(-AktActive + KmAkt + Total_Akt, 2) - 2*PI3KActive*cell*dv_kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*dv_kAkt*(-du_AktActive + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*dv_kAkt*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + 3*PI3KActive*cell*kAkt*(-2*AktActive + 2*Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 4) - 2*PI3KActive*cell*kAkt*(-du_AktActive + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) - 2*PI3KActive*cell*kAkt*(-dv_AktActive + dv_Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) - 2*PI3KActive*cell*kAkt*(-du_AktActive + du_KmAkt + du_Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*du_cell*dv_kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*du_cell*dv_kAkt/(-AktActive + KmAkt + Total_Akt) - 2*PI3KActive*du_cell*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*du_cell*kAkt*(-dv_AktActive + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_cell*kAkt*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_kAkt*dv_cell*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*du_kAkt*dv_cell/(-AktActive + KmAkt + Total_Akt) - 2*PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*dv_cell*kAkt*(-du_AktActive + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*dv_cell*kAkt*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*du_PI3KActive*dv_kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*du_PI3KActive*dv_kAkt/(-AktActive + KmAkt + Total_Akt) - 2*cell*du_PI3KActive*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + cell*du_PI3KActive*kAkt*(-dv_AktActive + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*du_PI3KActive*kAkt*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*du_kAkt*dv_PI3KActive*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*du_kAkt*dv_PI3KActive/(-AktActive + KmAkt + Total_Akt) + cell*duv_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*duv_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt) - 2*cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + cell*dv_PI3KActive*kAkt*(-du_AktActive + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*dv_PI3KActive*kAkt*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + du_PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - du_PI3KActive*dv_cell*kAkt/(-AktActive + KmAkt + Total_Akt) + du_cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - du_cell*dv_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt);
pd[3446] = cell*dv_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - cell*kAkt*(-AktActive + Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*kAkt*(-dv_AktActive + dv_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + dv_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[3447] = PI3KActive*cell*dv_kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*dv_kAkt/(-AktActive + KmAkt + Total_Akt) - PI3KActive*cell*kAkt*(-2*AktActive + 2*Total_Akt)*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*kAkt*(-dv_AktActive + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*kAkt*(-dv_AktActive + dv_KmAkt + dv_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*dv_cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*dv_cell*kAkt/(-AktActive + KmAkt + Total_Akt) + cell*dv_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*dv_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt);
pd[3461] = cell*du_kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt) - cell*kAkt*(-AktActive + Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + cell*kAkt*(-du_AktActive + du_Total_Akt)/(-AktActive + KmAkt + Total_Akt) + du_cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[3462] = -PI3KActive*cell*du_kAkt*(AktActive - Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*du_kAkt/(-AktActive + KmAkt + Total_Akt) - PI3KActive*cell*kAkt*(-2*AktActive + 2*Total_Akt)*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 3) + PI3KActive*cell*kAkt*(-du_AktActive + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*cell*kAkt*(-du_AktActive + du_KmAkt + du_Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) + PI3KActive*du_cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*du_cell*kAkt/(-AktActive + KmAkt + Total_Akt) + cell*du_PI3KActive*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - cell*du_PI3KActive*kAkt/(-AktActive + KmAkt + Total_Akt);
pd[3476] = cell*kAkt*(-AktActive + Total_Akt)/(-AktActive + KmAkt + Total_Akt);
pd[3477] = (PI3KActive*cell*kAkt*(-AktActive + Total_Akt)/pow(-AktActive + KmAkt + Total_Akt, 2) - PI3KActive*cell*kAkt/(-AktActive + KmAkt + Total_Akt)) + cj*(-1);
pd[3483] = cell*du_kC3GNGF*(C3GActive - Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*du_kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*duv_C3GActive*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*duv_C3GActive*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - cell*dv_kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*dv_kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + cell*kC3GNGF*(-2*C3GActive + 2*Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) - cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + du_cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - du_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + du_cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + du_kC3GNGF*dv_cell*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - dv_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + dv_cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3493] = 2*boundNGFReceptor*cell*du_kC3GNGF*(C3GActive - Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*du_kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*du_kC3GNGF*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + 2*boundNGFReceptor*cell*duv_C3GActive*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) - 2*boundNGFReceptor*cell*duv_C3GActive*kC3GNGF/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - 2*boundNGFReceptor*cell*dv_kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*dv_kC3GNGF*(-du_C3GActive + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*dv_kC3GNGF*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + 3*boundNGFReceptor*cell*kC3GNGF*(-2*C3GActive + 2*Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 4) - 2*boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) - 2*boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) - 2*boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*du_cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*du_cell*dv_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - 2*boundNGFReceptor*du_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*du_cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_cell*kC3GNGF*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_kC3GNGF*dv_cell*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*du_kC3GNGF*dv_cell/(-C3GActive + KmC3GNGF + Total_C3G) - 2*boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*dv_cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*dv_cell*kC3GNGF*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*du_boundNGFReceptor*dv_kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*du_boundNGFReceptor*dv_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - 2*cell*du_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + cell*du_boundNGFReceptor*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*du_boundNGFReceptor*kC3GNGF*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*du_kC3GNGF*dv_boundNGFReceptor*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*du_kC3GNGF*dv_boundNGFReceptor/(-C3GActive + KmC3GNGF + Total_C3G) + cell*duv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*duv_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - 2*cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + cell*dv_boundNGFReceptor*kC3GNGF*(-du_C3GActive + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*dv_boundNGFReceptor*kC3GNGF*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + du_boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - du_boundNGFReceptor*dv_cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + du_cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - du_cell*dv_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3498] = cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - cell*kC3GNGF*(-C3GActive + Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3508] = boundNGFReceptor*cell*dv_kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*dv_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - boundNGFReceptor*cell*kC3GNGF*(-2*C3GActive + 2*Total_C3G)*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*kC3GNGF*(-dv_C3GActive + dv_KmC3GNGF + dv_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*dv_cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*dv_cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + cell*dv_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*dv_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3513] = cell*du_kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) - cell*kC3GNGF*(-C3GActive + Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G) + du_cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3523] = -boundNGFReceptor*cell*du_kC3GNGF*(C3GActive - Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*du_kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) - boundNGFReceptor*cell*kC3GNGF*(-2*C3GActive + 2*Total_C3G)*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 3) + boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*cell*kC3GNGF*(-du_C3GActive + du_KmC3GNGF + du_Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) + boundNGFReceptor*du_cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*du_cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G) + cell*du_boundNGFReceptor*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - cell*du_boundNGFReceptor*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3528] = cell*kC3GNGF*(-C3GActive + Total_C3G)/(-C3GActive + KmC3GNGF + Total_C3G);
pd[3538] = (boundNGFReceptor*cell*kC3GNGF*(-C3GActive + Total_C3G)/pow(-C3GActive + KmC3GNGF + Total_C3G, 2) - boundNGFReceptor*cell*kC3GNGF/(-C3GActive + KmC3GNGF + Total_C3G)) + cj*(-1);
pd[3553] = -cell*du_kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*du_kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + cell*duv_Rap1Active*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*duv_Rap1Active*kC3G/(KmC3G - Rap1Active + Total_Rap1) - cell*dv_kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*dv_kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + 2*cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) - cell*kC3G*(-du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + du_cell*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - du_cell*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + du_cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + du_kC3G*dv_cell*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - dv_cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + dv_cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[3554] = -2*C3GActive*cell*du_kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*du_kC3G*(-dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*du_kC3G*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + 2*C3GActive*cell*duv_Rap1Active*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) - 2*C3GActive*cell*duv_Rap1Active*kC3G/pow(KmC3G - Rap1Active + Total_Rap1, 2) - 2*C3GActive*cell*dv_kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*dv_kC3G*(-du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*dv_kC3G*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + 6*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 4) - 2*C3GActive*cell*kC3G*(-du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) - 2*C3GActive*cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) - 2*C3GActive*cell*kC3G*(du_KmC3G - du_Rap1Active + du_Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*du_cell*dv_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*du_cell*dv_kC3G/(KmC3G - Rap1Active + Total_Rap1) - 2*C3GActive*du_cell*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*du_cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_cell*kC3G*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_kC3G*dv_cell*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*du_kC3G*dv_cell/(KmC3G - Rap1Active + Total_Rap1) - 2*C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*dv_cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*dv_cell*kC3G*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - 2*Rap1Active*RapGapActive*cell*du_kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) - 2*Rap1Active*RapGapActive*cell*duv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 3) - 2*Rap1Active*RapGapActive*cell*dv_kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + 6*Rap1Active*RapGapActive*cell*kRapGap*(du_KmRapGap + du_Rap1Active)*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 4) + Rap1Active*RapGapActive*du_cell*dv_kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*RapGapActive*du_cell*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*RapGapActive*du_kRapGap*dv_cell/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*RapGapActive*dv_cell*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*cell*du_RapGapActive*dv_kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*cell*du_RapGapActive*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*cell*du_kRapGap*dv_RapGapActive/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*cell*dv_RapGapActive*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*du_RapGapActive*dv_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*du_cell*dv_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*du_Rap1Active*dv_kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*RapGapActive*cell*du_Rap1Active*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + RapGapActive*cell*du_kRapGap*dv_Rap1Active/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*du_kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) + 2*RapGapActive*cell*duv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*RapGapActive*cell*dv_Rap1Active*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + RapGapActive*cell*dv_kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - 2*RapGapActive*cell*kRapGap*(du_KmRapGap + du_Rap1Active)*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + RapGapActive*du_Rap1Active*dv_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*du_cell*dv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*du_cell*dv_kRapGap/(KmRapGap + Rap1Active) + RapGapActive*du_cell*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*du_kRapGap*dv_cell/(KmRapGap + Rap1Active) + RapGapActive*dv_cell*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) + cell*du_C3GActive*dv_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*du_C3GActive*dv_kC3G/(KmC3G - Rap1Active + Total_Rap1) - 2*cell*du_C3GActive*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + cell*du_C3GActive*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*du_C3GActive*kC3G*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*du_Rap1Active*dv_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + cell*du_RapGapActive*dv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - cell*du_RapGapActive*dv_kRapGap/(KmRapGap + Rap1Active) + cell*du_RapGapActive*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) + cell*du_kC3G*dv_C3GActive*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*du_kC3G*dv_C3GActive/(KmC3G - Rap1Active + Total_Rap1) - cell*du_kRapGap*dv_RapGapActive/(KmRapGap + Rap1Active) + cell*duv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*duv_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - 2*cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + cell*dv_C3GActive*kC3G*(-du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*dv_C3GActive*kC3G*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*dv_RapGapActive*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) + du_C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - du_C3GActive*dv_cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) - du_RapGapActive*dv_cell*kRapGap/(KmRapGap + Rap1Active) + du_cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - du_cell*dv_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - du_cell*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active);
pd[3568] = cell*dv_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - cell*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + dv_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[3569] = C3GActive*cell*dv_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*dv_kC3G/(KmC3G - Rap1Active + Total_Rap1) - 2*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*kC3G*(-dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*kC3G*(dv_KmC3G - dv_Rap1Active + dv_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*dv_cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*dv_cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*dv_kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*RapGapActive*cell*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*RapGapActive*dv_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*cell*dv_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*dv_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*dv_kRapGap/(KmRapGap + Rap1Active) + RapGapActive*cell*kRapGap*(dv_KmRapGap + dv_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*dv_cell*kRapGap/(KmRapGap + Rap1Active) + cell*dv_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*dv_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - cell*dv_RapGapActive*kRapGap/(KmRapGap + Rap1Active);
pd[3583] = cell*du_kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) - cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1) + du_cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[3584] = C3GActive*cell*du_kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*du_kC3G/(KmC3G - Rap1Active + Total_Rap1) - 2*C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 3) + C3GActive*cell*kC3G*(-du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*cell*kC3G*(du_KmC3G - du_Rap1Active + du_Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) + C3GActive*du_cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*du_cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*du_kRapGap/pow(KmRapGap + Rap1Active, 2) - 2*Rap1Active*RapGapActive*cell*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 3) + Rap1Active*RapGapActive*du_cell*kRapGap/pow(KmRapGap + Rap1Active, 2) + Rap1Active*cell*du_RapGapActive*kRapGap/pow(KmRapGap + Rap1Active, 2) + RapGapActive*cell*du_Rap1Active*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*du_kRapGap/(KmRapGap + Rap1Active) + RapGapActive*cell*kRapGap*(du_KmRapGap + du_Rap1Active)/pow(KmRapGap + Rap1Active, 2) - RapGapActive*du_cell*kRapGap/(KmRapGap + Rap1Active) + cell*du_C3GActive*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - cell*du_C3GActive*kC3G/(KmC3G - Rap1Active + Total_Rap1) - cell*du_RapGapActive*kRapGap/(KmRapGap + Rap1Active);
pd[3598] = cell*kC3G*(-Rap1Active + Total_Rap1)/(KmC3G - Rap1Active + Total_Rap1);
pd[3599] = (C3GActive*cell*kC3G*(-Rap1Active + Total_Rap1)/pow(KmC3G - Rap1Active + Total_Rap1, 2) - C3GActive*cell*kC3G/(KmC3G - Rap1Active + Total_Rap1) + Rap1Active*RapGapActive*cell*kRapGap/pow(KmRapGap + Rap1Active, 2) - RapGapActive*cell*kRapGap/(KmRapGap + Rap1Active)) + cj*(-1);
}
void ic_function(double *dynamicVars, double *constants) {
double cell = constants[0];
double RasGapActive = constants[1];
double RapGapActive = constants[2];
double PP2AActive = constants[3];
double Raf1PPtase = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double krbEGF = constants[21];
double kruEGF = constants[22];
double krbNGF = constants[23];
double kruNGF = constants[24];
double kEGF = constants[25];
double KmEGF = constants[26];
double kNGF = constants[27];
double KmNGF = constants[28];
double kdSos = constants[29];
double KmdSos = constants[30];
double kSos = constants[31];
double KmSos = constants[32];
double kRasGap = constants[33];
double KmRasGap = constants[34];
double kRasToRaf1 = constants[35];
double KmRasToRaf1 = constants[36];
double kpRaf1 = constants[37];
double KmpRaf1 = constants[38];
double kpBRaf = constants[39];
double KmpBRaf = constants[40];
double kdMek = constants[41];
double KmdMek = constants[42];
double kpMekCytoplasmic = constants[43];
double KmpMekCytoplasmic = constants[44];
double kdErk = constants[45];
double KmdErk = constants[46];
double kpP90Rsk = constants[47];
double KmpP90Rsk = constants[48];
double kPI3K = constants[49];
double KmPI3K = constants[50];
double kPI3KRas = constants[51];
double KmPI3KRas = constants[52];
double kAkt = constants[53];
double KmAkt = constants[54];
double kdRaf1ByAkt = constants[55];
double KmRaf1ByAkt = constants[56];
double kC3GNGF = constants[57];
double KmC3GNGF = constants[58];
double kC3G = constants[59];
double KmC3G = constants[60];
double kRapGap = constants[61];
double KmRapGap = constants[62];
double kRap1ToBRaf = constants[63];
double KmRap1ToBRaf = constants[64];
double kdRaf1 = constants[65];
double KmdRaf1 = constants[66];
double kdBRaf = constants[67];
double KmdBRaf = constants[68];
double du_cell = constants[69];
double du_RasGapActive = constants[70];
double du_RapGapActive = constants[71];
double du_PP2AActive = constants[72];
double du_Raf1PPtase = constants[73];
double du_EGF_IC = constants[74];
double du_NGF_IC = constants[75];
double du_Total_EGFReceptor = constants[76];
double du_Total_NGFReceptor = constants[77];
double du_Total_Sos = constants[78];
double du_Total_P90Rsk = constants[79];
double du_Total_Ras = constants[80];
double du_Total_Raf1 = constants[81];
double du_Total_BRaf = constants[82];
double du_Total_Mek = constants[83];
double du_Total_Erk = constants[84];
double du_Total_PI3K = constants[85];
double du_Total_Akt = constants[86];
double du_Total_C3G = constants[87];
double du_Total_Rap1 = constants[88];
double du_Zero = constants[89];
double du_krbEGF = constants[90];
double du_kruEGF = constants[91];
double du_krbNGF = constants[92];
double du_kruNGF = constants[93];
double du_kEGF = constants[94];
double du_KmEGF = constants[95];
double du_kNGF = constants[96];
double du_KmNGF = constants[97];
double du_kdSos = constants[98];
double du_KmdSos = constants[99];
double du_kSos = constants[100];
double du_KmSos = constants[101];
double du_kRasGap = constants[102];
double du_KmRasGap = constants[103];
double du_kRasToRaf1 = constants[104];
double du_KmRasToRaf1 = constants[105];
double du_kpRaf1 = constants[106];
double du_KmpRaf1 = constants[107];
double du_kpBRaf = constants[108];
double du_KmpBRaf = constants[109];
double du_kdMek = constants[110];
double du_KmdMek = constants[111];
double du_kpMekCytoplasmic = constants[112];
double du_KmpMekCytoplasmic = constants[113];
double du_kdErk = constants[114];
double du_KmdErk = constants[115];
double du_kpP90Rsk = constants[116];
double du_KmpP90Rsk = constants[117];
double du_kPI3K = constants[118];
double du_KmPI3K = constants[119];
double du_kPI3KRas = constants[120];
double du_KmPI3KRas = constants[121];
double du_kAkt = constants[122];
double du_KmAkt = constants[123];
double du_kdRaf1ByAkt = constants[124];
double du_KmRaf1ByAkt = constants[125];
double du_kC3GNGF = constants[126];
double du_KmC3GNGF = constants[127];
double du_kC3G = constants[128];
double du_KmC3G = constants[129];
double du_kRapGap = constants[130];
double du_KmRapGap = constants[131];
double du_kRap1ToBRaf = constants[132];
double du_KmRap1ToBRaf = constants[133];
double du_kdRaf1 = constants[134];
double du_KmdRaf1 = constants[135];
double du_kdBRaf = constants[136];
double du_KmdBRaf = constants[137];
double dv_cell = constants[138];
double dv_RasGapActive = constants[139];
double dv_RapGapActive = constants[140];
double dv_PP2AActive = constants[141];
double dv_Raf1PPtase = constants[142];
double dv_EGF_IC = constants[143];
double dv_NGF_IC = constants[144];
double dv_Total_EGFReceptor = constants[145];
double dv_Total_NGFReceptor = constants[146];
double dv_Total_Sos = constants[147];
double dv_Total_P90Rsk = constants[148];
double dv_Total_Ras = constants[149];
double dv_Total_Raf1 = constants[150];
double dv_Total_BRaf = constants[151];
double dv_Total_Mek = constants[152];
double dv_Total_Erk = constants[153];
double dv_Total_PI3K = constants[154];
double dv_Total_Akt = constants[155];
double dv_Total_C3G = constants[156];
double dv_Total_Rap1 = constants[157];
double dv_Zero = constants[158];
double dv_krbEGF = constants[159];
double dv_kruEGF = constants[160];
double dv_krbNGF = constants[161];
double dv_kruNGF = constants[162];
double dv_kEGF = constants[163];
double dv_KmEGF = constants[164];
double dv_kNGF = constants[165];
double dv_KmNGF = constants[166];
double dv_kdSos = constants[167];
double dv_KmdSos = constants[168];
double dv_kSos = constants[169];
double dv_KmSos = constants[170];
double dv_kRasGap = constants[171];
double dv_KmRasGap = constants[172];
double dv_kRasToRaf1 = constants[173];
double dv_KmRasToRaf1 = constants[174];
double dv_kpRaf1 = constants[175];
double dv_KmpRaf1 = constants[176];
double dv_kpBRaf = constants[177];
double dv_KmpBRaf = constants[178];
double dv_kdMek = constants[179];
double dv_KmdMek = constants[180];
double dv_kpMekCytoplasmic = constants[181];
double dv_KmpMekCytoplasmic = constants[182];
double dv_kdErk = constants[183];
double dv_KmdErk = constants[184];
double dv_kpP90Rsk = constants[185];
double dv_KmpP90Rsk = constants[186];
double dv_kPI3K = constants[187];
double dv_KmPI3K = constants[188];
double dv_kPI3KRas = constants[189];
double dv_KmPI3KRas = constants[190];
double dv_kAkt = constants[191];
double dv_KmAkt = constants[192];
double dv_kdRaf1ByAkt = constants[193];
double dv_KmRaf1ByAkt = constants[194];
double dv_kC3GNGF = constants[195];
double dv_KmC3GNGF = constants[196];
double dv_kC3G = constants[197];
double dv_KmC3G = constants[198];
double dv_kRapGap = constants[199];
double dv_KmRapGap = constants[200];
double dv_kRap1ToBRaf = constants[201];
double dv_KmRap1ToBRaf = constants[202];
double dv_kdRaf1 = constants[203];
double dv_KmdRaf1 = constants[204];
double dv_kdBRaf = constants[205];
double dv_KmdBRaf = constants[206];

dynamicVars[0] = EGF_IC;
dynamicVars[1] = NGF_IC;
dynamicVars[2] = Zero;
dynamicVars[3] = Zero;
dynamicVars[4] = Zero;
dynamicVars[5] = Zero;
dynamicVars[6] = Zero;
dynamicVars[7] = Zero;
dynamicVars[8] = Zero;
dynamicVars[9] = Zero;
dynamicVars[10] = Zero;
dynamicVars[11] = Zero;
dynamicVars[12] = Zero;
dynamicVars[13] = Zero;
dynamicVars[14] = Zero;
dynamicVars[15] = du_EGF_IC;
dynamicVars[16] = du_NGF_IC;
dynamicVars[17] = du_Zero;
dynamicVars[18] = du_Zero;
dynamicVars[19] = du_Zero;
dynamicVars[20] = du_Zero;
dynamicVars[21] = du_Zero;
dynamicVars[22] = du_Zero;
dynamicVars[23] = du_Zero;
dynamicVars[24] = du_Zero;
dynamicVars[25] = du_Zero;
dynamicVars[26] = du_Zero;
dynamicVars[27] = du_Zero;
dynamicVars[28] = du_Zero;
dynamicVars[29] = du_Zero;
dynamicVars[30] = dv_EGF_IC;
dynamicVars[31] = dv_NGF_IC;
dynamicVars[32] = dv_Zero;
dynamicVars[33] = dv_Zero;
dynamicVars[34] = dv_Zero;
dynamicVars[35] = dv_Zero;
dynamicVars[36] = dv_Zero;
dynamicVars[37] = dv_Zero;
dynamicVars[38] = dv_Zero;
dynamicVars[39] = dv_Zero;
dynamicVars[40] = dv_Zero;
dynamicVars[41] = dv_Zero;
dynamicVars[42] = dv_Zero;
dynamicVars[43] = dv_Zero;
dynamicVars[44] = dv_Zero;
dynamicVars[45] = 0;
dynamicVars[46] = 0;
dynamicVars[47] = 0;
dynamicVars[48] = 0;
dynamicVars[49] = 0;
dynamicVars[50] = 0;
dynamicVars[51] = 0;
dynamicVars[52] = 0;
dynamicVars[53] = 0;
dynamicVars[54] = 0;
dynamicVars[55] = 0;
dynamicVars[56] = 0;
dynamicVars[57] = 0;
dynamicVars[58] = 0;
dynamicVars[59] = 0;
}
