#include <math.h>
#include <stdio.h>
#include <float.h>
#define exponentiale M_E
#define pi M_PI
double max(double a, double b){
return a > b ? a : b;}
double min(double a, double b){
return a < b ? a : b;}
double root(double n,double x);

double root_0(double n,double x);

double root_1(double n,double x);

double cot(double x);

double cot_0(double x);

double arccot(double x);

double arccot_0(double x);

double coth(double x);

double coth_0(double x);

double csc(double x);

double csc_0(double x);

double arccsc(double x);

double arccsc_0(double x);

double csch(double x);

double csch_0(double x);

double sec(double x);

double sec_0(double x);

double arcsec(double x);

double arcsec_0(double x);

double sech(double x);

double sech_0(double x);

void var_types( int *types);
void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants);
void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants);
void ic_function(double *dynamicVars, double *constants);
                  
double root(double n,double x){

return pow(x, 1.0/n);

}

double root_0(double n,double x){

return -(log(x)*pow(x, 1.0/n)*1.0/pow(n, 2.0));

}

double root_1(double n,double x){

return pow(x, 1.0/n - 1.0)/n;

}

double cot(double x){

return 1.0/tan(x);

}

double cot_0(double x){

return -(1.0/(pow(cos(x), 2.0)*pow(tan(x), 2.0)));

}

double arccot(double x){

return atan(1.0/x);

}

double arccot_0(double x){

return -(1.0/pow(x, 2.0)/(pow(1.0/x, 2.0) + 1.0));

}

double coth(double x){

return 1.0/tanh(x);

}

double coth_0(double x){

return -(1.0/(pow(cosh(x), 2.0)*pow(tanh(x), 2.0)));

}

double csc(double x){

return 1.0/sin(x);

}

double csc_0(double x){

return -(cos(x)/pow(sin(x), 2.0));

}

double arccsc(double x){

return asin(1.0/x);

}

double arccsc_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double csch(double x){

return 1.0/sinh(x);

}

double csch_0(double x){

return -(cosh(x)/pow(sinh(x), 2.0));

}

double sec(double x){

return 1.0/cos(x);

}

double sec_0(double x){

return sin(x)/pow(cos(x), 2.0);

}

double arcsec(double x){

return acos(1.0/x);

}

double arcsec_0(double x){

return -(1.0/pow(x, 2.0)/sqrt(1.0 - pow(1.0/x, 2.0)));

}

double sech(double x){

return 1.0/cosh(x);

}

double sech_0(double x){

return -(sinh(x)/pow(cosh(x), 2.0));

}


void var_types(int *types) {
types[0] = 1;
types[1] = 1;
types[2] = 1;
types[3] = 1;
types[4] = 1;
types[5] = 1;
types[6] = 1;
types[7] = 1;
types[8] = 1;
types[9] = 1;
types[10] = 1;
types[11] = 1;
types[12] = 1;
types[13] = 1;
types[14] = 1;
types[15] = 1;
types[16] = 1;
types[17] = 1;
types[18] = 1;
types[19] = 1;
types[20] = 1;
types[21] = 1;
types[22] = 1;
types[23] = 1;
types[24] = 1;
types[25] = 1;
types[26] = 1;
types[27] = 1;
types[28] = 1;
types[29] = 1;
types[30] = 1;
types[31] = 1;
types[32] = 1;
types[33] = 1;
types[34] = 1;
types[35] = 1;
types[36] = 1;
types[37] = 1;
types[38] = 1;
types[39] = 1;
types[40] = 1;
types[41] = 1;
types[42] = 1;
types[43] = 1;
types[44] = 1;
types[45] = 1;
types[46] = 1;
types[47] = 1;
types[48] = 1;
types[49] = 1;
types[50] = 1;
types[51] = 1;
types[52] = 1;
types[53] = 1;
types[54] = 1;
types[55] = 1;
types[56] = 1;
types[57] = 1;
types[58] = 1;
types[59] = 1;
types[60] = 1;
types[61] = 1;
types[62] = 1;
types[63] = 1;
types[64] = 1;
types[65] = 1;
types[66] = 1;
types[67] = 1;
types[68] = 1;
types[69] = 1;
types[70] = 1;
types[71] = 1;
types[72] = 1;
types[73] = 1;
types[74] = 1;
types[75] = 1;
types[76] = 1;
types[77] = 1;
types[78] = 1;
types[79] = 1;
types[80] = 1;
types[81] = 1;
types[82] = 1;
types[83] = 1;
types[84] = 1;
types[85] = 1;
types[86] = 1;
types[87] = 1;
types[88] = 1;
types[89] = 1;
types[90] = 1;
types[91] = 1;
types[92] = 1;
types[93] = 1;
types[94] = 1;
types[95] = 1;
types[96] = 1;
types[97] = 1;
types[98] = 1;
types[99] = 1;
types[100] = 1;
types[101] = 1;
types[102] = 1;
types[103] = 1;
types[104] = 1;
types[105] = 1;
types[106] = 1;
types[107] = 1;
types[108] = 1;
types[109] = 1;
types[110] = 1;
types[111] = 1;
types[112] = 1;
types[113] = 1;
types[114] = 1;
types[115] = 1;
types[116] = 1;
types[117] = 1;
types[118] = 1;
types[119] = 1;
types[120] = 1;
types[121] = 1;
types[122] = 1;
types[123] = 1;
types[124] = 1;
types[125] = 1;
types[126] = 1;
types[127] = 1;
types[128] = 1;
types[129] = 1;
types[130] = 1;
types[131] = 1;
types[132] = 1;
types[133] = 1;
types[134] = 1;
types[135] = 1;
types[136] = 1;
types[137] = 1;
types[138] = 1;
types[139] = 1;
types[140] = 1;
types[141] = 1;
types[142] = 1;
types[143] = 1;
types[144] = 1;
types[145] = 1;
types[146] = 1;
types[147] = 1;
types[148] = 1;
types[149] = 1;
types[150] = 1;
types[151] = 1;
types[152] = 1;
types[153] = 1;
types[154] = 1;
types[155] = 1;
types[156] = 1;
types[157] = 1;
types[158] = 1;
types[159] = 1;
types[160] = 1;
types[161] = 1;
types[162] = 1;
types[163] = 1;
types[164] = 1;
types[165] = 1;
types[166] = 1;
types[167] = 1;
types[168] = 1;
types[169] = 1;
types[170] = 1;
types[171] = 1;
types[172] = 1;
types[173] = 1;
types[174] = 1;
types[175] = 1;
types[176] = 1;
types[177] = 1;
types[178] = 1;
types[179] = 1;
types[180] = 1;
types[181] = 1;
types[182] = 1;
types[183] = 1;
types[184] = 1;
types[185] = 1;
types[186] = 1;
types[187] = 1;
types[188] = 1;
types[189] = 1;
types[190] = 1;
types[191] = 1;
types[192] = 1;
types[193] = 1;
types[194] = 1;
types[195] = 1;
types[196] = 1;
types[197] = 1;
types[198] = 1;
types[199] = 1;
types[200] = 1;
types[201] = 1;
types[202] = 1;
types[203] = 1;
types[204] = 1;
types[205] = 1;
types[206] = 1;
types[207] = 1;
types[208] = 1;
types[209] = 1;
types[210] = 1;
types[211] = 1;
types[212] = 1;
types[213] = 1;
types[214] = 1;
types[215] = 1;
}

void res_function(double t, double *dynamicVars, double *yprime, double *errors, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double du_cell = constants[91];
double du_RasGapTotal = constants[92];
double du_RapGapTotal = constants[93];
double du_PP2ATotal = constants[94];
double du_Raf1PPtaseTotal = constants[95];
double du_EGF_IC = constants[96];
double du_NGF_IC = constants[97];
double du_Total_EGFReceptor = constants[98];
double du_Total_NGFReceptor = constants[99];
double du_Total_Sos = constants[100];
double du_Total_P90Rsk = constants[101];
double du_Total_Ras = constants[102];
double du_Total_Raf1 = constants[103];
double du_Total_BRaf = constants[104];
double du_Total_Mek = constants[105];
double du_Total_Erk = constants[106];
double du_Total_PI3K = constants[107];
double du_Total_Akt = constants[108];
double du_Total_C3G = constants[109];
double du_Total_Rap1 = constants[110];
double du_Zero = constants[111];
double du_k00f = constants[112];
double du_k00b = constants[113];
double du_k01f = constants[114];
double du_k01b = constants[115];
double du_k02f = constants[116];
double du_k02b = constants[117];
double du_k03f = constants[118];
double du_k04f = constants[119];
double du_k04b = constants[120];
double du_k05f = constants[121];
double du_k06f = constants[122];
double du_k06b = constants[123];
double du_k07f = constants[124];
double du_k08f = constants[125];
double du_k08b = constants[126];
double du_k09f = constants[127];
double du_k10f = constants[128];
double du_k10b = constants[129];
double du_k11f = constants[130];
double du_k12f = constants[131];
double du_k12b = constants[132];
double du_k13f = constants[133];
double du_k14f = constants[134];
double du_k14b = constants[135];
double du_k15f = constants[136];
double du_k16f = constants[137];
double du_k16b = constants[138];
double du_k17f = constants[139];
double du_k18f = constants[140];
double du_k18b = constants[141];
double du_k19f = constants[142];
double du_k20f = constants[143];
double du_k20b = constants[144];
double du_k21f = constants[145];
double du_k22f = constants[146];
double du_k22b = constants[147];
double du_k23f = constants[148];
double du_k24f = constants[149];
double du_k24b = constants[150];
double du_k25f = constants[151];
double du_k26f = constants[152];
double du_k26b = constants[153];
double du_k27f = constants[154];
double du_k28f = constants[155];
double du_k28b = constants[156];
double du_k29f = constants[157];
double du_k30f = constants[158];
double du_k30b = constants[159];
double du_k31f = constants[160];
double du_k32f = constants[161];
double du_k32b = constants[162];
double du_k33f = constants[163];
double du_k34f = constants[164];
double du_k34b = constants[165];
double du_k35f = constants[166];
double du_k36f = constants[167];
double du_k36b = constants[168];
double du_k37f = constants[169];
double du_k38f = constants[170];
double du_k38b = constants[171];
double du_k39f = constants[172];
double du_k40f = constants[173];
double du_k40b = constants[174];
double du_k41f = constants[175];
double du_k42f = constants[176];
double du_k42b = constants[177];
double du_k43f = constants[178];
double du_k44f = constants[179];
double du_k44b = constants[180];
double du_k45f = constants[181];
double dv_cell = constants[182];
double dv_RasGapTotal = constants[183];
double dv_RapGapTotal = constants[184];
double dv_PP2ATotal = constants[185];
double dv_Raf1PPtaseTotal = constants[186];
double dv_EGF_IC = constants[187];
double dv_NGF_IC = constants[188];
double dv_Total_EGFReceptor = constants[189];
double dv_Total_NGFReceptor = constants[190];
double dv_Total_Sos = constants[191];
double dv_Total_P90Rsk = constants[192];
double dv_Total_Ras = constants[193];
double dv_Total_Raf1 = constants[194];
double dv_Total_BRaf = constants[195];
double dv_Total_Mek = constants[196];
double dv_Total_Erk = constants[197];
double dv_Total_PI3K = constants[198];
double dv_Total_Akt = constants[199];
double dv_Total_C3G = constants[200];
double dv_Total_Rap1 = constants[201];
double dv_Zero = constants[202];
double dv_k00f = constants[203];
double dv_k00b = constants[204];
double dv_k01f = constants[205];
double dv_k01b = constants[206];
double dv_k02f = constants[207];
double dv_k02b = constants[208];
double dv_k03f = constants[209];
double dv_k04f = constants[210];
double dv_k04b = constants[211];
double dv_k05f = constants[212];
double dv_k06f = constants[213];
double dv_k06b = constants[214];
double dv_k07f = constants[215];
double dv_k08f = constants[216];
double dv_k08b = constants[217];
double dv_k09f = constants[218];
double dv_k10f = constants[219];
double dv_k10b = constants[220];
double dv_k11f = constants[221];
double dv_k12f = constants[222];
double dv_k12b = constants[223];
double dv_k13f = constants[224];
double dv_k14f = constants[225];
double dv_k14b = constants[226];
double dv_k15f = constants[227];
double dv_k16f = constants[228];
double dv_k16b = constants[229];
double dv_k17f = constants[230];
double dv_k18f = constants[231];
double dv_k18b = constants[232];
double dv_k19f = constants[233];
double dv_k20f = constants[234];
double dv_k20b = constants[235];
double dv_k21f = constants[236];
double dv_k22f = constants[237];
double dv_k22b = constants[238];
double dv_k23f = constants[239];
double dv_k24f = constants[240];
double dv_k24b = constants[241];
double dv_k25f = constants[242];
double dv_k26f = constants[243];
double dv_k26b = constants[244];
double dv_k27f = constants[245];
double dv_k28f = constants[246];
double dv_k28b = constants[247];
double dv_k29f = constants[248];
double dv_k30f = constants[249];
double dv_k30b = constants[250];
double dv_k31f = constants[251];
double dv_k32f = constants[252];
double dv_k32b = constants[253];
double dv_k33f = constants[254];
double dv_k34f = constants[255];
double dv_k34b = constants[256];
double dv_k35f = constants[257];
double dv_k36f = constants[258];
double dv_k36b = constants[259];
double dv_k37f = constants[260];
double dv_k38f = constants[261];
double dv_k38b = constants[262];
double dv_k39f = constants[263];
double dv_k40f = constants[264];
double dv_k40b = constants[265];
double dv_k41f = constants[266];
double dv_k42f = constants[267];
double dv_k42b = constants[268];
double dv_k43f = constants[269];
double dv_k44f = constants[270];
double dv_k44b = constants[271];
double dv_k45f = constants[272];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double freeEGFReceptor = dynamicVars[15];
double freeNGFReceptor = dynamicVars[16];
double SosInactive = dynamicVars[17];
double P90RskInactive = dynamicVars[18];
double RasInactive = dynamicVars[19];
double Raf1Inactive = dynamicVars[20];
double BRafInactive = dynamicVars[21];
double MekInactive = dynamicVars[22];
double ErkInactive = dynamicVars[23];
double PI3KInactive = dynamicVars[24];
double AktInactive = dynamicVars[25];
double C3GInactive = dynamicVars[26];
double Rap1Inactive = dynamicVars[27];
double RasPI3K = dynamicVars[28];
double Raf1PPtaseRaf1 = dynamicVars[29];
double BRafMek = dynamicVars[30];
double boundNGFReceptorC3G = dynamicVars[31];
double P90RskSos = dynamicVars[32];
double Raf1PPtaseBRaf = dynamicVars[33];
double PP2AActive = dynamicVars[34];
double RasGapRas = dynamicVars[35];
double ErkP90Rsk = dynamicVars[36];
double RasRaf1 = dynamicVars[37];
double MekErk = dynamicVars[38];
double RapGapRap1 = dynamicVars[39];
double RapGapActive = dynamicVars[40];
double AktRaf1 = dynamicVars[41];
double Raf1PPtase = dynamicVars[42];
double C3GRap1 = dynamicVars[43];
double Raf1Mek = dynamicVars[44];
double SosRas = dynamicVars[45];
double boundEGFReceptorPI3K = dynamicVars[46];
double RasGapActive = dynamicVars[47];
double boundEGFReceptorSos = dynamicVars[48];
double boundNGFReceptorSos = dynamicVars[49];
double Rap1BRaf = dynamicVars[50];
double PP2AMek = dynamicVars[51];
double PP2AErk = dynamicVars[52];
double PI3KAkt = dynamicVars[53];
double du_EGF = dynamicVars[54];
double du_NGF = dynamicVars[55];
double du_boundEGFReceptor = dynamicVars[56];
double du_boundNGFReceptor = dynamicVars[57];
double du_SosActive = dynamicVars[58];
double du_P90RskActive = dynamicVars[59];
double du_RasActive = dynamicVars[60];
double du_Raf1Active = dynamicVars[61];
double du_BRafActive = dynamicVars[62];
double du_MekActive = dynamicVars[63];
double du_ErkActive = dynamicVars[64];
double du_PI3KActive = dynamicVars[65];
double du_AktActive = dynamicVars[66];
double du_C3GActive = dynamicVars[67];
double du_Rap1Active = dynamicVars[68];
double du_freeEGFReceptor = dynamicVars[69];
double du_freeNGFReceptor = dynamicVars[70];
double du_SosInactive = dynamicVars[71];
double du_P90RskInactive = dynamicVars[72];
double du_RasInactive = dynamicVars[73];
double du_Raf1Inactive = dynamicVars[74];
double du_BRafInactive = dynamicVars[75];
double du_MekInactive = dynamicVars[76];
double du_ErkInactive = dynamicVars[77];
double du_PI3KInactive = dynamicVars[78];
double du_AktInactive = dynamicVars[79];
double du_C3GInactive = dynamicVars[80];
double du_Rap1Inactive = dynamicVars[81];
double du_RasPI3K = dynamicVars[82];
double du_Raf1PPtaseRaf1 = dynamicVars[83];
double du_BRafMek = dynamicVars[84];
double du_boundNGFReceptorC3G = dynamicVars[85];
double du_P90RskSos = dynamicVars[86];
double du_Raf1PPtaseBRaf = dynamicVars[87];
double du_PP2AActive = dynamicVars[88];
double du_RasGapRas = dynamicVars[89];
double du_ErkP90Rsk = dynamicVars[90];
double du_RasRaf1 = dynamicVars[91];
double du_MekErk = dynamicVars[92];
double du_RapGapRap1 = dynamicVars[93];
double du_RapGapActive = dynamicVars[94];
double du_AktRaf1 = dynamicVars[95];
double du_Raf1PPtase = dynamicVars[96];
double du_C3GRap1 = dynamicVars[97];
double du_Raf1Mek = dynamicVars[98];
double du_SosRas = dynamicVars[99];
double du_boundEGFReceptorPI3K = dynamicVars[100];
double du_RasGapActive = dynamicVars[101];
double du_boundEGFReceptorSos = dynamicVars[102];
double du_boundNGFReceptorSos = dynamicVars[103];
double du_Rap1BRaf = dynamicVars[104];
double du_PP2AMek = dynamicVars[105];
double du_PP2AErk = dynamicVars[106];
double du_PI3KAkt = dynamicVars[107];
double dv_EGF = dynamicVars[108];
double dv_NGF = dynamicVars[109];
double dv_boundEGFReceptor = dynamicVars[110];
double dv_boundNGFReceptor = dynamicVars[111];
double dv_SosActive = dynamicVars[112];
double dv_P90RskActive = dynamicVars[113];
double dv_RasActive = dynamicVars[114];
double dv_Raf1Active = dynamicVars[115];
double dv_BRafActive = dynamicVars[116];
double dv_MekActive = dynamicVars[117];
double dv_ErkActive = dynamicVars[118];
double dv_PI3KActive = dynamicVars[119];
double dv_AktActive = dynamicVars[120];
double dv_C3GActive = dynamicVars[121];
double dv_Rap1Active = dynamicVars[122];
double dv_freeEGFReceptor = dynamicVars[123];
double dv_freeNGFReceptor = dynamicVars[124];
double dv_SosInactive = dynamicVars[125];
double dv_P90RskInactive = dynamicVars[126];
double dv_RasInactive = dynamicVars[127];
double dv_Raf1Inactive = dynamicVars[128];
double dv_BRafInactive = dynamicVars[129];
double dv_MekInactive = dynamicVars[130];
double dv_ErkInactive = dynamicVars[131];
double dv_PI3KInactive = dynamicVars[132];
double dv_AktInactive = dynamicVars[133];
double dv_C3GInactive = dynamicVars[134];
double dv_Rap1Inactive = dynamicVars[135];
double dv_RasPI3K = dynamicVars[136];
double dv_Raf1PPtaseRaf1 = dynamicVars[137];
double dv_BRafMek = dynamicVars[138];
double dv_boundNGFReceptorC3G = dynamicVars[139];
double dv_P90RskSos = dynamicVars[140];
double dv_Raf1PPtaseBRaf = dynamicVars[141];
double dv_PP2AActive = dynamicVars[142];
double dv_RasGapRas = dynamicVars[143];
double dv_ErkP90Rsk = dynamicVars[144];
double dv_RasRaf1 = dynamicVars[145];
double dv_MekErk = dynamicVars[146];
double dv_RapGapRap1 = dynamicVars[147];
double dv_RapGapActive = dynamicVars[148];
double dv_AktRaf1 = dynamicVars[149];
double dv_Raf1PPtase = dynamicVars[150];
double dv_C3GRap1 = dynamicVars[151];
double dv_Raf1Mek = dynamicVars[152];
double dv_SosRas = dynamicVars[153];
double dv_boundEGFReceptorPI3K = dynamicVars[154];
double dv_RasGapActive = dynamicVars[155];
double dv_boundEGFReceptorSos = dynamicVars[156];
double dv_boundNGFReceptorSos = dynamicVars[157];
double dv_Rap1BRaf = dynamicVars[158];
double dv_PP2AMek = dynamicVars[159];
double dv_PP2AErk = dynamicVars[160];
double dv_PI3KAkt = dynamicVars[161];
double duv_EGF = dynamicVars[162];
double duv_NGF = dynamicVars[163];
double duv_boundEGFReceptor = dynamicVars[164];
double duv_boundNGFReceptor = dynamicVars[165];
double duv_SosActive = dynamicVars[166];
double duv_P90RskActive = dynamicVars[167];
double duv_RasActive = dynamicVars[168];
double duv_Raf1Active = dynamicVars[169];
double duv_BRafActive = dynamicVars[170];
double duv_MekActive = dynamicVars[171];
double duv_ErkActive = dynamicVars[172];
double duv_PI3KActive = dynamicVars[173];
double duv_AktActive = dynamicVars[174];
double duv_C3GActive = dynamicVars[175];
double duv_Rap1Active = dynamicVars[176];
double duv_freeEGFReceptor = dynamicVars[177];
double duv_freeNGFReceptor = dynamicVars[178];
double duv_SosInactive = dynamicVars[179];
double duv_P90RskInactive = dynamicVars[180];
double duv_RasInactive = dynamicVars[181];
double duv_Raf1Inactive = dynamicVars[182];
double duv_BRafInactive = dynamicVars[183];
double duv_MekInactive = dynamicVars[184];
double duv_ErkInactive = dynamicVars[185];
double duv_PI3KInactive = dynamicVars[186];
double duv_AktInactive = dynamicVars[187];
double duv_C3GInactive = dynamicVars[188];
double duv_Rap1Inactive = dynamicVars[189];
double duv_RasPI3K = dynamicVars[190];
double duv_Raf1PPtaseRaf1 = dynamicVars[191];
double duv_BRafMek = dynamicVars[192];
double duv_boundNGFReceptorC3G = dynamicVars[193];
double duv_P90RskSos = dynamicVars[194];
double duv_Raf1PPtaseBRaf = dynamicVars[195];
double duv_PP2AActive = dynamicVars[196];
double duv_RasGapRas = dynamicVars[197];
double duv_ErkP90Rsk = dynamicVars[198];
double duv_RasRaf1 = dynamicVars[199];
double duv_MekErk = dynamicVars[200];
double duv_RapGapRap1 = dynamicVars[201];
double duv_RapGapActive = dynamicVars[202];
double duv_AktRaf1 = dynamicVars[203];
double duv_Raf1PPtase = dynamicVars[204];
double duv_C3GRap1 = dynamicVars[205];
double duv_Raf1Mek = dynamicVars[206];
double duv_SosRas = dynamicVars[207];
double duv_boundEGFReceptorPI3K = dynamicVars[208];
double duv_RasGapActive = dynamicVars[209];
double duv_boundEGFReceptorSos = dynamicVars[210];
double duv_boundNGFReceptorSos = dynamicVars[211];
double duv_Rap1BRaf = dynamicVars[212];
double duv_PP2AMek = dynamicVars[213];
double duv_PP2AErk = dynamicVars[214];
double duv_PI3KAkt = dynamicVars[215];
double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double freeEGFReceptor_prime = yprime[15];
double freeNGFReceptor_prime = yprime[16];
double SosInactive_prime = yprime[17];
double P90RskInactive_prime = yprime[18];
double RasInactive_prime = yprime[19];
double Raf1Inactive_prime = yprime[20];
double BRafInactive_prime = yprime[21];
double MekInactive_prime = yprime[22];
double ErkInactive_prime = yprime[23];
double PI3KInactive_prime = yprime[24];
double AktInactive_prime = yprime[25];
double C3GInactive_prime = yprime[26];
double Rap1Inactive_prime = yprime[27];
double RasPI3K_prime = yprime[28];
double Raf1PPtaseRaf1_prime = yprime[29];
double BRafMek_prime = yprime[30];
double boundNGFReceptorC3G_prime = yprime[31];
double P90RskSos_prime = yprime[32];
double Raf1PPtaseBRaf_prime = yprime[33];
double PP2AActive_prime = yprime[34];
double RasGapRas_prime = yprime[35];
double ErkP90Rsk_prime = yprime[36];
double RasRaf1_prime = yprime[37];
double MekErk_prime = yprime[38];
double RapGapRap1_prime = yprime[39];
double RapGapActive_prime = yprime[40];
double AktRaf1_prime = yprime[41];
double Raf1PPtase_prime = yprime[42];
double C3GRap1_prime = yprime[43];
double Raf1Mek_prime = yprime[44];
double SosRas_prime = yprime[45];
double boundEGFReceptorPI3K_prime = yprime[46];
double RasGapActive_prime = yprime[47];
double boundEGFReceptorSos_prime = yprime[48];
double boundNGFReceptorSos_prime = yprime[49];
double Rap1BRaf_prime = yprime[50];
double PP2AMek_prime = yprime[51];
double PP2AErk_prime = yprime[52];
double PI3KAkt_prime = yprime[53];
double du_EGF_prime = yprime[54];
double du_NGF_prime = yprime[55];
double du_boundEGFReceptor_prime = yprime[56];
double du_boundNGFReceptor_prime = yprime[57];
double du_SosActive_prime = yprime[58];
double du_P90RskActive_prime = yprime[59];
double du_RasActive_prime = yprime[60];
double du_Raf1Active_prime = yprime[61];
double du_BRafActive_prime = yprime[62];
double du_MekActive_prime = yprime[63];
double du_ErkActive_prime = yprime[64];
double du_PI3KActive_prime = yprime[65];
double du_AktActive_prime = yprime[66];
double du_C3GActive_prime = yprime[67];
double du_Rap1Active_prime = yprime[68];
double du_freeEGFReceptor_prime = yprime[69];
double du_freeNGFReceptor_prime = yprime[70];
double du_SosInactive_prime = yprime[71];
double du_P90RskInactive_prime = yprime[72];
double du_RasInactive_prime = yprime[73];
double du_Raf1Inactive_prime = yprime[74];
double du_BRafInactive_prime = yprime[75];
double du_MekInactive_prime = yprime[76];
double du_ErkInactive_prime = yprime[77];
double du_PI3KInactive_prime = yprime[78];
double du_AktInactive_prime = yprime[79];
double du_C3GInactive_prime = yprime[80];
double du_Rap1Inactive_prime = yprime[81];
double du_RasPI3K_prime = yprime[82];
double du_Raf1PPtaseRaf1_prime = yprime[83];
double du_BRafMek_prime = yprime[84];
double du_boundNGFReceptorC3G_prime = yprime[85];
double du_P90RskSos_prime = yprime[86];
double du_Raf1PPtaseBRaf_prime = yprime[87];
double du_PP2AActive_prime = yprime[88];
double du_RasGapRas_prime = yprime[89];
double du_ErkP90Rsk_prime = yprime[90];
double du_RasRaf1_prime = yprime[91];
double du_MekErk_prime = yprime[92];
double du_RapGapRap1_prime = yprime[93];
double du_RapGapActive_prime = yprime[94];
double du_AktRaf1_prime = yprime[95];
double du_Raf1PPtase_prime = yprime[96];
double du_C3GRap1_prime = yprime[97];
double du_Raf1Mek_prime = yprime[98];
double du_SosRas_prime = yprime[99];
double du_boundEGFReceptorPI3K_prime = yprime[100];
double du_RasGapActive_prime = yprime[101];
double du_boundEGFReceptorSos_prime = yprime[102];
double du_boundNGFReceptorSos_prime = yprime[103];
double du_Rap1BRaf_prime = yprime[104];
double du_PP2AMek_prime = yprime[105];
double du_PP2AErk_prime = yprime[106];
double du_PI3KAkt_prime = yprime[107];
double dv_EGF_prime = yprime[108];
double dv_NGF_prime = yprime[109];
double dv_boundEGFReceptor_prime = yprime[110];
double dv_boundNGFReceptor_prime = yprime[111];
double dv_SosActive_prime = yprime[112];
double dv_P90RskActive_prime = yprime[113];
double dv_RasActive_prime = yprime[114];
double dv_Raf1Active_prime = yprime[115];
double dv_BRafActive_prime = yprime[116];
double dv_MekActive_prime = yprime[117];
double dv_ErkActive_prime = yprime[118];
double dv_PI3KActive_prime = yprime[119];
double dv_AktActive_prime = yprime[120];
double dv_C3GActive_prime = yprime[121];
double dv_Rap1Active_prime = yprime[122];
double dv_freeEGFReceptor_prime = yprime[123];
double dv_freeNGFReceptor_prime = yprime[124];
double dv_SosInactive_prime = yprime[125];
double dv_P90RskInactive_prime = yprime[126];
double dv_RasInactive_prime = yprime[127];
double dv_Raf1Inactive_prime = yprime[128];
double dv_BRafInactive_prime = yprime[129];
double dv_MekInactive_prime = yprime[130];
double dv_ErkInactive_prime = yprime[131];
double dv_PI3KInactive_prime = yprime[132];
double dv_AktInactive_prime = yprime[133];
double dv_C3GInactive_prime = yprime[134];
double dv_Rap1Inactive_prime = yprime[135];
double dv_RasPI3K_prime = yprime[136];
double dv_Raf1PPtaseRaf1_prime = yprime[137];
double dv_BRafMek_prime = yprime[138];
double dv_boundNGFReceptorC3G_prime = yprime[139];
double dv_P90RskSos_prime = yprime[140];
double dv_Raf1PPtaseBRaf_prime = yprime[141];
double dv_PP2AActive_prime = yprime[142];
double dv_RasGapRas_prime = yprime[143];
double dv_ErkP90Rsk_prime = yprime[144];
double dv_RasRaf1_prime = yprime[145];
double dv_MekErk_prime = yprime[146];
double dv_RapGapRap1_prime = yprime[147];
double dv_RapGapActive_prime = yprime[148];
double dv_AktRaf1_prime = yprime[149];
double dv_Raf1PPtase_prime = yprime[150];
double dv_C3GRap1_prime = yprime[151];
double dv_Raf1Mek_prime = yprime[152];
double dv_SosRas_prime = yprime[153];
double dv_boundEGFReceptorPI3K_prime = yprime[154];
double dv_RasGapActive_prime = yprime[155];
double dv_boundEGFReceptorSos_prime = yprime[156];
double dv_boundNGFReceptorSos_prime = yprime[157];
double dv_Rap1BRaf_prime = yprime[158];
double dv_PP2AMek_prime = yprime[159];
double dv_PP2AErk_prime = yprime[160];
double dv_PI3KAkt_prime = yprime[161];
double duv_EGF_prime = yprime[162];
double duv_NGF_prime = yprime[163];
double duv_boundEGFReceptor_prime = yprime[164];
double duv_boundNGFReceptor_prime = yprime[165];
double duv_SosActive_prime = yprime[166];
double duv_P90RskActive_prime = yprime[167];
double duv_RasActive_prime = yprime[168];
double duv_Raf1Active_prime = yprime[169];
double duv_BRafActive_prime = yprime[170];
double duv_MekActive_prime = yprime[171];
double duv_ErkActive_prime = yprime[172];
double duv_PI3KActive_prime = yprime[173];
double duv_AktActive_prime = yprime[174];
double duv_C3GActive_prime = yprime[175];
double duv_Rap1Active_prime = yprime[176];
double duv_freeEGFReceptor_prime = yprime[177];
double duv_freeNGFReceptor_prime = yprime[178];
double duv_SosInactive_prime = yprime[179];
double duv_P90RskInactive_prime = yprime[180];
double duv_RasInactive_prime = yprime[181];
double duv_Raf1Inactive_prime = yprime[182];
double duv_BRafInactive_prime = yprime[183];
double duv_MekInactive_prime = yprime[184];
double duv_ErkInactive_prime = yprime[185];
double duv_PI3KInactive_prime = yprime[186];
double duv_AktInactive_prime = yprime[187];
double duv_C3GInactive_prime = yprime[188];
double duv_Rap1Inactive_prime = yprime[189];
double duv_RasPI3K_prime = yprime[190];
double duv_Raf1PPtaseRaf1_prime = yprime[191];
double duv_BRafMek_prime = yprime[192];
double duv_boundNGFReceptorC3G_prime = yprime[193];
double duv_P90RskSos_prime = yprime[194];
double duv_Raf1PPtaseBRaf_prime = yprime[195];
double duv_PP2AActive_prime = yprime[196];
double duv_RasGapRas_prime = yprime[197];
double duv_ErkP90Rsk_prime = yprime[198];
double duv_RasRaf1_prime = yprime[199];
double duv_MekErk_prime = yprime[200];
double duv_RapGapRap1_prime = yprime[201];
double duv_RapGapActive_prime = yprime[202];
double duv_AktRaf1_prime = yprime[203];
double duv_Raf1PPtase_prime = yprime[204];
double duv_C3GRap1_prime = yprime[205];
double duv_Raf1Mek_prime = yprime[206];
double duv_SosRas_prime = yprime[207];
double duv_boundEGFReceptorPI3K_prime = yprime[208];
double duv_RasGapActive_prime = yprime[209];
double duv_boundEGFReceptorSos_prime = yprime[210];
double duv_boundNGFReceptorSos_prime = yprime[211];
double duv_Rap1BRaf_prime = yprime[212];
double duv_PP2AMek_prime = yprime[213];
double duv_PP2AErk_prime = yprime[214];
double duv_PI3KAkt_prime = yprime[215];

errors[0] = -C3GInactive*boundNGFReceptor*k40f + NGF*freeNGFReceptor*k01f - SosInactive*boundNGFReceptor*k04f - boundNGFReceptor*k01b + boundNGFReceptorC3G*k40b + boundNGFReceptorC3G*k41f + boundNGFReceptorSos*k04b + boundNGFReceptorSos*k05f - boundNGFReceptor_prime;
errors[1] = -NGF*freeNGFReceptor*k01f - NGF_prime + boundNGFReceptor*k01b;
errors[2] = PI3KInactive*RasActive*k36f - RasPI3K*k36b - RasPI3K*k37f - RasPI3K_prime;
errors[3] = -ErkInactive*MekActive*k30f - ErkInactive_prime + MekErk*k30b + PP2AErk*k33f;
errors[4] = BRafMek*k27f - ErkInactive*MekActive*k30f - MekActive*PP2AActive*k28f - MekActive_prime + MekErk*k30b + MekErk*k31f + PP2AMek*k28b + Raf1Mek*k25f;
errors[5] = SosInactive*boundNGFReceptor*k04f - boundNGFReceptorSos*k04b - boundNGFReceptorSos*k05f - boundNGFReceptorSos_prime;
errors[6] = Raf1Active*Raf1PPtase*k16f - Raf1PPtaseRaf1*k16b - Raf1PPtaseRaf1*k17f - Raf1PPtaseRaf1_prime;
errors[7] = BRafActive*MekInactive*k26f - BRafMek*k26b - BRafMek*k27f - BRafMek_prime;
errors[8] = C3GInactive*boundNGFReceptor*k40f - boundNGFReceptorC3G*k40b - boundNGFReceptorC3G*k41f - boundNGFReceptorC3G_prime;
errors[9] = P90RskActive*SosActive*k06f - P90RskSos*k06b - P90RskSos*k07f - P90RskSos_prime;
errors[10] = -ErkActive*P90RskInactive*k08f + ErkP90Rsk*k08b - P90RskInactive_prime;
errors[11] = -EGF*freeEGFReceptor*k00f - EGF_prime + boundEGFReceptor*k00b;
errors[12] = BRafActive*Raf1PPtase*k22f - Raf1PPtaseBRaf*k22b - Raf1PPtaseBRaf*k23f - Raf1PPtaseBRaf_prime;
errors[13] = -ErkActive*PP2AActive*k32f - MekActive*PP2AActive*k28f - PP2AActive_prime + PP2AErk*k32b + PP2AErk*k33f + PP2AMek*k28b + PP2AMek*k29f;
errors[14] = -AktInactive*PI3KActive*k38f - AktInactive_prime + PI3KAkt*k38b;
errors[15] = -AktActive*Raf1Active*k18f - AktActive_prime + AktRaf1*k18b + AktRaf1*k19f + PI3KAkt*k39f;
errors[16] = RasActive*RasGapActive*k12f - RasGapRas*k12b - RasGapRas*k13f - RasGapRas_prime;
errors[17] = -P90RskActive*SosActive*k06f + P90RskSos*k06b - RasInactive*SosActive*k10f - SosActive_prime + SosRas*k10b + SosRas*k11f + boundEGFReceptorSos*k03f + boundNGFReceptorSos*k05f;
errors[18] = ErkActive*P90RskInactive*k08f - ErkP90Rsk*k08b - ErkP90Rsk*k09f - ErkP90Rsk_prime;
errors[19] = Raf1Inactive*RasActive*k14f - RasRaf1*k14b - RasRaf1*k15f - RasRaf1_prime;
errors[20] = EGF*freeEGFReceptor*k00f - PI3KInactive*boundEGFReceptor*k34f - SosInactive*boundEGFReceptor*k02f - boundEGFReceptor*k00b + boundEGFReceptorPI3K*k34b + boundEGFReceptorPI3K*k35f + boundEGFReceptorSos*k02b + boundEGFReceptorSos*k03f - boundEGFReceptor_prime;
errors[21] = -AktActive*Raf1Active*k18f + AktRaf1*k18b - MekInactive*Raf1Active*k24f - Raf1Active*Raf1PPtase*k16f - Raf1Active_prime + Raf1Mek*k24b + Raf1Mek*k25f + Raf1PPtaseRaf1*k16b + RasRaf1*k15f;
errors[22] = ErkInactive*MekActive*k30f - MekErk*k30b - MekErk*k31f - MekErk_prime;
errors[23] = Rap1Active*RapGapActive*k44f - RapGapRap1*k44b - RapGapRap1*k45f - RapGapRap1_prime;
errors[24] = P90RskSos*k07f - SosInactive*boundEGFReceptor*k02f - SosInactive*boundNGFReceptor*k04f - SosInactive_prime + boundEGFReceptorSos*k02b + boundNGFReceptorSos*k04b;
errors[25] = -Rap1Active*RapGapActive*k44f - RapGapActive_prime + RapGapRap1*k44b + RapGapRap1*k45f;
errors[26] = AktActive*Raf1Active*k18f - AktRaf1*k18b - AktRaf1*k19f - AktRaf1_prime;
errors[27] = -EGF*freeEGFReceptor*k00f + boundEGFReceptor*k00b - freeEGFReceptor_prime;
errors[28] = -BRafActive*Raf1PPtase*k22f - Raf1Active*Raf1PPtase*k16f + Raf1PPtaseBRaf*k22b + Raf1PPtaseBRaf*k23f + Raf1PPtaseRaf1*k16b + Raf1PPtaseRaf1*k17f - Raf1PPtase_prime;
errors[29] = C3GActive*Rap1Inactive*k42f - C3GRap1*k42b - C3GRap1*k43f - C3GRap1_prime;
errors[30] = -BRafInactive*Rap1Active*k20f + C3GRap1*k43f - Rap1Active*RapGapActive*k44f - Rap1Active_prime + Rap1BRaf*k20b + Rap1BRaf*k21f + RapGapRap1*k44b;
errors[31] = -BRafActive*MekInactive*k26f + BRafMek*k26b - MekInactive*Raf1Active*k24f - MekInactive_prime + PP2AMek*k29f + Raf1Mek*k24b;
errors[32] = MekInactive*Raf1Active*k24f - Raf1Mek*k24b - Raf1Mek*k25f - Raf1Mek_prime;
errors[33] = RasInactive*SosActive*k10f - SosRas*k10b - SosRas*k11f - SosRas_prime;
errors[34] = ErkP90Rsk*k09f - P90RskActive*SosActive*k06f - P90RskActive_prime + P90RskSos*k06b + P90RskSos*k07f;
errors[35] = ErkActive*PP2AActive*k32f - PP2AErk*k32b - PP2AErk*k33f - PP2AErk_prime;
errors[36] = PI3KInactive*boundEGFReceptor*k34f - boundEGFReceptorPI3K*k34b - boundEGFReceptorPI3K*k35f - boundEGFReceptorPI3K_prime;
errors[37] = -AktInactive*PI3KActive*k38f - PI3KActive_prime + PI3KAkt*k38b + PI3KAkt*k39f + RasPI3K*k37f + boundEGFReceptorPI3K*k35f;
errors[38] = -RasActive*RasGapActive*k12f - RasGapActive_prime + RasGapRas*k12b + RasGapRas*k13f;
errors[39] = -BRafActive*MekInactive*k26f - BRafActive*Raf1PPtase*k22f - BRafActive_prime + BRafMek*k26b + BRafMek*k27f + Raf1PPtaseBRaf*k22b + Rap1BRaf*k21f;
errors[40] = SosInactive*boundEGFReceptor*k02f - boundEGFReceptorSos*k02b - boundEGFReceptorSos*k03f - boundEGFReceptorSos_prime;
errors[41] = -C3GActive*Rap1Inactive*k42f + C3GRap1*k42b - Rap1Inactive_prime + RapGapRap1*k45f;
errors[42] = -ErkActive*P90RskInactive*k08f - ErkActive*PP2AActive*k32f - ErkActive_prime + ErkP90Rsk*k08b + ErkP90Rsk*k09f + MekErk*k31f + PP2AErk*k32b;
errors[43] = -NGF*freeNGFReceptor*k01f + boundNGFReceptor*k01b - freeNGFReceptor_prime;
errors[44] = -C3GInactive*boundNGFReceptor*k40f - C3GInactive_prime + boundNGFReceptorC3G*k40b;
errors[45] = AktRaf1*k19f - Raf1Inactive*RasActive*k14f - Raf1Inactive_prime + Raf1PPtaseRaf1*k17f + RasRaf1*k14b;
errors[46] = -PI3KInactive*RasActive*k36f - PI3KInactive*boundEGFReceptor*k34f - PI3KInactive_prime + RasPI3K*k36b + boundEGFReceptorPI3K*k34b;
errors[47] = -BRafInactive*Rap1Active*k20f - BRafInactive_prime + Raf1PPtaseBRaf*k23f + Rap1BRaf*k20b;
errors[48] = BRafInactive*Rap1Active*k20f - Rap1BRaf*k20b - Rap1BRaf*k21f - Rap1BRaf_prime;
errors[49] = -PI3KInactive*RasActive*k36f - Raf1Inactive*RasActive*k14f - RasActive*RasGapActive*k12f - RasActive_prime + RasGapRas*k12b + RasPI3K*k36b + RasPI3K*k37f + RasRaf1*k14b + RasRaf1*k15f + SosRas*k11f;
errors[50] = RasGapRas*k13f - RasInactive*SosActive*k10f - RasInactive_prime + SosRas*k10b;
errors[51] = MekActive*PP2AActive*k28f - PP2AMek*k28b - PP2AMek*k29f - PP2AMek_prime;
errors[52] = AktInactive*PI3KActive*k38f - PI3KAkt*k38b - PI3KAkt*k39f - PI3KAkt_prime;
errors[53] = -C3GActive*Rap1Inactive*k42f - C3GActive_prime + C3GRap1*k42b + C3GRap1*k43f + boundNGFReceptorC3G*k41f;
errors[54] = -C3GInactive*boundNGFReceptor*du_k40f - C3GInactive*du_boundNGFReceptor*k40f + NGF*du_freeNGFReceptor*k01f + NGF*du_k01f*freeNGFReceptor - SosInactive*boundNGFReceptor*du_k04f - SosInactive*du_boundNGFReceptor*k04f - boundNGFReceptor*du_C3GInactive*k40f - boundNGFReceptor*du_SosInactive*k04f - boundNGFReceptor*du_k01b + boundNGFReceptorC3G*du_k40b + boundNGFReceptorC3G*du_k41f + boundNGFReceptorSos*du_k04b + boundNGFReceptorSos*du_k05f + du_NGF*freeNGFReceptor*k01f - du_boundNGFReceptor*k01b + du_boundNGFReceptorC3G*k40b + du_boundNGFReceptorC3G*k41f + du_boundNGFReceptorSos*k04b + du_boundNGFReceptorSos*k05f - du_boundNGFReceptor_prime;
errors[55] = -NGF*du_freeNGFReceptor*k01f - NGF*du_k01f*freeNGFReceptor + boundNGFReceptor*du_k01b - du_NGF*freeNGFReceptor*k01f - du_NGF_prime + du_boundNGFReceptor*k01b;
errors[56] = PI3KInactive*RasActive*du_k36f + PI3KInactive*du_RasActive*k36f + RasActive*du_PI3KInactive*k36f - RasPI3K*du_k36b - RasPI3K*du_k37f - du_RasPI3K*k36b - du_RasPI3K*k37f - du_RasPI3K_prime;
errors[57] = -ErkInactive*MekActive*du_k30f - ErkInactive*du_MekActive*k30f - MekActive*du_ErkInactive*k30f + MekErk*du_k30b + PP2AErk*du_k33f - du_ErkInactive_prime + du_MekErk*k30b + du_PP2AErk*k33f;
errors[58] = BRafMek*du_k27f - ErkInactive*MekActive*du_k30f - ErkInactive*du_MekActive*k30f - MekActive*PP2AActive*du_k28f - MekActive*du_ErkInactive*k30f - MekActive*du_PP2AActive*k28f + MekErk*du_k30b + MekErk*du_k31f - PP2AActive*du_MekActive*k28f + PP2AMek*du_k28b + Raf1Mek*du_k25f + du_BRafMek*k27f - du_MekActive_prime + du_MekErk*k30b + du_MekErk*k31f + du_PP2AMek*k28b + du_Raf1Mek*k25f;
errors[59] = SosInactive*boundNGFReceptor*du_k04f + SosInactive*du_boundNGFReceptor*k04f + boundNGFReceptor*du_SosInactive*k04f - boundNGFReceptorSos*du_k04b - boundNGFReceptorSos*du_k05f - du_boundNGFReceptorSos*k04b - du_boundNGFReceptorSos*k05f - du_boundNGFReceptorSos_prime;
errors[60] = Raf1Active*Raf1PPtase*du_k16f + Raf1Active*du_Raf1PPtase*k16f + Raf1PPtase*du_Raf1Active*k16f - Raf1PPtaseRaf1*du_k16b - Raf1PPtaseRaf1*du_k17f - du_Raf1PPtaseRaf1*k16b - du_Raf1PPtaseRaf1*k17f - du_Raf1PPtaseRaf1_prime;
errors[61] = BRafActive*MekInactive*du_k26f + BRafActive*du_MekInactive*k26f - BRafMek*du_k26b - BRafMek*du_k27f + MekInactive*du_BRafActive*k26f - du_BRafMek*k26b - du_BRafMek*k27f - du_BRafMek_prime;
errors[62] = C3GInactive*boundNGFReceptor*du_k40f + C3GInactive*du_boundNGFReceptor*k40f + boundNGFReceptor*du_C3GInactive*k40f - boundNGFReceptorC3G*du_k40b - boundNGFReceptorC3G*du_k41f - du_boundNGFReceptorC3G*k40b - du_boundNGFReceptorC3G*k41f - du_boundNGFReceptorC3G_prime;
errors[63] = P90RskActive*SosActive*du_k06f + P90RskActive*du_SosActive*k06f - P90RskSos*du_k06b - P90RskSos*du_k07f + SosActive*du_P90RskActive*k06f - du_P90RskSos*k06b - du_P90RskSos*k07f - du_P90RskSos_prime;
errors[64] = -ErkActive*P90RskInactive*du_k08f - ErkActive*du_P90RskInactive*k08f + ErkP90Rsk*du_k08b - P90RskInactive*du_ErkActive*k08f + du_ErkP90Rsk*k08b - du_P90RskInactive_prime;
errors[65] = -EGF*du_freeEGFReceptor*k00f - EGF*du_k00f*freeEGFReceptor + boundEGFReceptor*du_k00b - du_EGF*freeEGFReceptor*k00f - du_EGF_prime + du_boundEGFReceptor*k00b;
errors[66] = BRafActive*Raf1PPtase*du_k22f + BRafActive*du_Raf1PPtase*k22f + Raf1PPtase*du_BRafActive*k22f - Raf1PPtaseBRaf*du_k22b - Raf1PPtaseBRaf*du_k23f - du_Raf1PPtaseBRaf*k22b - du_Raf1PPtaseBRaf*k23f - du_Raf1PPtaseBRaf_prime;
errors[67] = -ErkActive*PP2AActive*du_k32f - ErkActive*du_PP2AActive*k32f - MekActive*PP2AActive*du_k28f - MekActive*du_PP2AActive*k28f - PP2AActive*du_ErkActive*k32f - PP2AActive*du_MekActive*k28f + PP2AErk*du_k32b + PP2AErk*du_k33f + PP2AMek*du_k28b + PP2AMek*du_k29f - du_PP2AActive_prime + du_PP2AErk*k32b + du_PP2AErk*k33f + du_PP2AMek*k28b + du_PP2AMek*k29f;
errors[68] = -AktInactive*PI3KActive*du_k38f - AktInactive*du_PI3KActive*k38f - PI3KActive*du_AktInactive*k38f + PI3KAkt*du_k38b - du_AktInactive_prime + du_PI3KAkt*k38b;
errors[69] = -AktActive*Raf1Active*du_k18f - AktActive*du_Raf1Active*k18f + AktRaf1*du_k18b + AktRaf1*du_k19f + PI3KAkt*du_k39f - Raf1Active*du_AktActive*k18f - du_AktActive_prime + du_AktRaf1*k18b + du_AktRaf1*k19f + du_PI3KAkt*k39f;
errors[70] = RasActive*RasGapActive*du_k12f + RasActive*du_RasGapActive*k12f + RasGapActive*du_RasActive*k12f - RasGapRas*du_k12b - RasGapRas*du_k13f - du_RasGapRas*k12b - du_RasGapRas*k13f - du_RasGapRas_prime;
errors[71] = -P90RskActive*SosActive*du_k06f - P90RskActive*du_SosActive*k06f + P90RskSos*du_k06b - RasInactive*SosActive*du_k10f - RasInactive*du_SosActive*k10f - SosActive*du_P90RskActive*k06f - SosActive*du_RasInactive*k10f + SosRas*du_k10b + SosRas*du_k11f + boundEGFReceptorSos*du_k03f + boundNGFReceptorSos*du_k05f + du_P90RskSos*k06b - du_SosActive_prime + du_SosRas*k10b + du_SosRas*k11f + du_boundEGFReceptorSos*k03f + du_boundNGFReceptorSos*k05f;
errors[72] = ErkActive*P90RskInactive*du_k08f + ErkActive*du_P90RskInactive*k08f - ErkP90Rsk*du_k08b - ErkP90Rsk*du_k09f + P90RskInactive*du_ErkActive*k08f - du_ErkP90Rsk*k08b - du_ErkP90Rsk*k09f - du_ErkP90Rsk_prime;
errors[73] = Raf1Inactive*RasActive*du_k14f + Raf1Inactive*du_RasActive*k14f + RasActive*du_Raf1Inactive*k14f - RasRaf1*du_k14b - RasRaf1*du_k15f - du_RasRaf1*k14b - du_RasRaf1*k15f - du_RasRaf1_prime;
errors[74] = EGF*du_freeEGFReceptor*k00f + EGF*du_k00f*freeEGFReceptor - PI3KInactive*boundEGFReceptor*du_k34f - PI3KInactive*du_boundEGFReceptor*k34f - SosInactive*boundEGFReceptor*du_k02f - SosInactive*du_boundEGFReceptor*k02f - boundEGFReceptor*du_PI3KInactive*k34f - boundEGFReceptor*du_SosInactive*k02f - boundEGFReceptor*du_k00b + boundEGFReceptorPI3K*du_k34b + boundEGFReceptorPI3K*du_k35f + boundEGFReceptorSos*du_k02b + boundEGFReceptorSos*du_k03f + du_EGF*freeEGFReceptor*k00f - du_boundEGFReceptor*k00b + du_boundEGFReceptorPI3K*k34b + du_boundEGFReceptorPI3K*k35f + du_boundEGFReceptorSos*k02b + du_boundEGFReceptorSos*k03f - du_boundEGFReceptor_prime;
errors[75] = -AktActive*Raf1Active*du_k18f - AktActive*du_Raf1Active*k18f + AktRaf1*du_k18b - MekInactive*Raf1Active*du_k24f - MekInactive*du_Raf1Active*k24f - Raf1Active*Raf1PPtase*du_k16f - Raf1Active*du_AktActive*k18f - Raf1Active*du_MekInactive*k24f - Raf1Active*du_Raf1PPtase*k16f + Raf1Mek*du_k24b + Raf1Mek*du_k25f - Raf1PPtase*du_Raf1Active*k16f + Raf1PPtaseRaf1*du_k16b + RasRaf1*du_k15f + du_AktRaf1*k18b - du_Raf1Active_prime + du_Raf1Mek*k24b + du_Raf1Mek*k25f + du_Raf1PPtaseRaf1*k16b + du_RasRaf1*k15f;
errors[76] = ErkInactive*MekActive*du_k30f + ErkInactive*du_MekActive*k30f + MekActive*du_ErkInactive*k30f - MekErk*du_k30b - MekErk*du_k31f - du_MekErk*k30b - du_MekErk*k31f - du_MekErk_prime;
errors[77] = Rap1Active*RapGapActive*du_k44f + Rap1Active*du_RapGapActive*k44f + RapGapActive*du_Rap1Active*k44f - RapGapRap1*du_k44b - RapGapRap1*du_k45f - du_RapGapRap1*k44b - du_RapGapRap1*k45f - du_RapGapRap1_prime;
errors[78] = P90RskSos*du_k07f - SosInactive*boundEGFReceptor*du_k02f - SosInactive*boundNGFReceptor*du_k04f - SosInactive*du_boundEGFReceptor*k02f - SosInactive*du_boundNGFReceptor*k04f - boundEGFReceptor*du_SosInactive*k02f + boundEGFReceptorSos*du_k02b - boundNGFReceptor*du_SosInactive*k04f + boundNGFReceptorSos*du_k04b + du_P90RskSos*k07f - du_SosInactive_prime + du_boundEGFReceptorSos*k02b + du_boundNGFReceptorSos*k04b;
errors[79] = -Rap1Active*RapGapActive*du_k44f - Rap1Active*du_RapGapActive*k44f - RapGapActive*du_Rap1Active*k44f + RapGapRap1*du_k44b + RapGapRap1*du_k45f - du_RapGapActive_prime + du_RapGapRap1*k44b + du_RapGapRap1*k45f;
errors[80] = AktActive*Raf1Active*du_k18f + AktActive*du_Raf1Active*k18f - AktRaf1*du_k18b - AktRaf1*du_k19f + Raf1Active*du_AktActive*k18f - du_AktRaf1*k18b - du_AktRaf1*k19f - du_AktRaf1_prime;
errors[81] = -EGF*du_freeEGFReceptor*k00f - EGF*du_k00f*freeEGFReceptor + boundEGFReceptor*du_k00b - du_EGF*freeEGFReceptor*k00f + du_boundEGFReceptor*k00b - du_freeEGFReceptor_prime;
errors[82] = -BRafActive*Raf1PPtase*du_k22f - BRafActive*du_Raf1PPtase*k22f - Raf1Active*Raf1PPtase*du_k16f - Raf1Active*du_Raf1PPtase*k16f - Raf1PPtase*du_BRafActive*k22f - Raf1PPtase*du_Raf1Active*k16f + Raf1PPtaseBRaf*du_k22b + Raf1PPtaseBRaf*du_k23f + Raf1PPtaseRaf1*du_k16b + Raf1PPtaseRaf1*du_k17f + du_Raf1PPtaseBRaf*k22b + du_Raf1PPtaseBRaf*k23f + du_Raf1PPtaseRaf1*k16b + du_Raf1PPtaseRaf1*k17f - du_Raf1PPtase_prime;
errors[83] = C3GActive*Rap1Inactive*du_k42f + C3GActive*du_Rap1Inactive*k42f - C3GRap1*du_k42b - C3GRap1*du_k43f + Rap1Inactive*du_C3GActive*k42f - du_C3GRap1*k42b - du_C3GRap1*k43f - du_C3GRap1_prime;
errors[84] = -BRafInactive*Rap1Active*du_k20f - BRafInactive*du_Rap1Active*k20f + C3GRap1*du_k43f - Rap1Active*RapGapActive*du_k44f - Rap1Active*du_BRafInactive*k20f - Rap1Active*du_RapGapActive*k44f + Rap1BRaf*du_k20b + Rap1BRaf*du_k21f - RapGapActive*du_Rap1Active*k44f + RapGapRap1*du_k44b + du_C3GRap1*k43f - du_Rap1Active_prime + du_Rap1BRaf*k20b + du_Rap1BRaf*k21f + du_RapGapRap1*k44b;
errors[85] = -BRafActive*MekInactive*du_k26f - BRafActive*du_MekInactive*k26f + BRafMek*du_k26b - MekInactive*Raf1Active*du_k24f - MekInactive*du_BRafActive*k26f - MekInactive*du_Raf1Active*k24f + PP2AMek*du_k29f - Raf1Active*du_MekInactive*k24f + Raf1Mek*du_k24b + du_BRafMek*k26b - du_MekInactive_prime + du_PP2AMek*k29f + du_Raf1Mek*k24b;
errors[86] = MekInactive*Raf1Active*du_k24f + MekInactive*du_Raf1Active*k24f + Raf1Active*du_MekInactive*k24f - Raf1Mek*du_k24b - Raf1Mek*du_k25f - du_Raf1Mek*k24b - du_Raf1Mek*k25f - du_Raf1Mek_prime;
errors[87] = RasInactive*SosActive*du_k10f + RasInactive*du_SosActive*k10f + SosActive*du_RasInactive*k10f - SosRas*du_k10b - SosRas*du_k11f - du_SosRas*k10b - du_SosRas*k11f - du_SosRas_prime;
errors[88] = ErkP90Rsk*du_k09f - P90RskActive*SosActive*du_k06f - P90RskActive*du_SosActive*k06f + P90RskSos*du_k06b + P90RskSos*du_k07f - SosActive*du_P90RskActive*k06f + du_ErkP90Rsk*k09f - du_P90RskActive_prime + du_P90RskSos*k06b + du_P90RskSos*k07f;
errors[89] = ErkActive*PP2AActive*du_k32f + ErkActive*du_PP2AActive*k32f + PP2AActive*du_ErkActive*k32f - PP2AErk*du_k32b - PP2AErk*du_k33f - du_PP2AErk*k32b - du_PP2AErk*k33f - du_PP2AErk_prime;
errors[90] = PI3KInactive*boundEGFReceptor*du_k34f + PI3KInactive*du_boundEGFReceptor*k34f + boundEGFReceptor*du_PI3KInactive*k34f - boundEGFReceptorPI3K*du_k34b - boundEGFReceptorPI3K*du_k35f - du_boundEGFReceptorPI3K*k34b - du_boundEGFReceptorPI3K*k35f - du_boundEGFReceptorPI3K_prime;
errors[91] = -AktInactive*PI3KActive*du_k38f - AktInactive*du_PI3KActive*k38f - PI3KActive*du_AktInactive*k38f + PI3KAkt*du_k38b + PI3KAkt*du_k39f + RasPI3K*du_k37f + boundEGFReceptorPI3K*du_k35f - du_PI3KActive_prime + du_PI3KAkt*k38b + du_PI3KAkt*k39f + du_RasPI3K*k37f + du_boundEGFReceptorPI3K*k35f;
errors[92] = -RasActive*RasGapActive*du_k12f - RasActive*du_RasGapActive*k12f - RasGapActive*du_RasActive*k12f + RasGapRas*du_k12b + RasGapRas*du_k13f - du_RasGapActive_prime + du_RasGapRas*k12b + du_RasGapRas*k13f;
errors[93] = -BRafActive*MekInactive*du_k26f - BRafActive*Raf1PPtase*du_k22f - BRafActive*du_MekInactive*k26f - BRafActive*du_Raf1PPtase*k22f + BRafMek*du_k26b + BRafMek*du_k27f - MekInactive*du_BRafActive*k26f - Raf1PPtase*du_BRafActive*k22f + Raf1PPtaseBRaf*du_k22b + Rap1BRaf*du_k21f - du_BRafActive_prime + du_BRafMek*k26b + du_BRafMek*k27f + du_Raf1PPtaseBRaf*k22b + du_Rap1BRaf*k21f;
errors[94] = SosInactive*boundEGFReceptor*du_k02f + SosInactive*du_boundEGFReceptor*k02f + boundEGFReceptor*du_SosInactive*k02f - boundEGFReceptorSos*du_k02b - boundEGFReceptorSos*du_k03f - du_boundEGFReceptorSos*k02b - du_boundEGFReceptorSos*k03f - du_boundEGFReceptorSos_prime;
errors[95] = -C3GActive*Rap1Inactive*du_k42f - C3GActive*du_Rap1Inactive*k42f + C3GRap1*du_k42b - Rap1Inactive*du_C3GActive*k42f + RapGapRap1*du_k45f + du_C3GRap1*k42b - du_Rap1Inactive_prime + du_RapGapRap1*k45f;
errors[96] = -ErkActive*P90RskInactive*du_k08f - ErkActive*PP2AActive*du_k32f - ErkActive*du_P90RskInactive*k08f - ErkActive*du_PP2AActive*k32f + ErkP90Rsk*du_k08b + ErkP90Rsk*du_k09f + MekErk*du_k31f - P90RskInactive*du_ErkActive*k08f - PP2AActive*du_ErkActive*k32f + PP2AErk*du_k32b - du_ErkActive_prime + du_ErkP90Rsk*k08b + du_ErkP90Rsk*k09f + du_MekErk*k31f + du_PP2AErk*k32b;
errors[97] = -NGF*du_freeNGFReceptor*k01f - NGF*du_k01f*freeNGFReceptor + boundNGFReceptor*du_k01b - du_NGF*freeNGFReceptor*k01f + du_boundNGFReceptor*k01b - du_freeNGFReceptor_prime;
errors[98] = -C3GInactive*boundNGFReceptor*du_k40f - C3GInactive*du_boundNGFReceptor*k40f - boundNGFReceptor*du_C3GInactive*k40f + boundNGFReceptorC3G*du_k40b - du_C3GInactive_prime + du_boundNGFReceptorC3G*k40b;
errors[99] = AktRaf1*du_k19f - Raf1Inactive*RasActive*du_k14f - Raf1Inactive*du_RasActive*k14f + Raf1PPtaseRaf1*du_k17f - RasActive*du_Raf1Inactive*k14f + RasRaf1*du_k14b + du_AktRaf1*k19f - du_Raf1Inactive_prime + du_Raf1PPtaseRaf1*k17f + du_RasRaf1*k14b;
errors[100] = -PI3KInactive*RasActive*du_k36f - PI3KInactive*boundEGFReceptor*du_k34f - PI3KInactive*du_RasActive*k36f - PI3KInactive*du_boundEGFReceptor*k34f - RasActive*du_PI3KInactive*k36f + RasPI3K*du_k36b - boundEGFReceptor*du_PI3KInactive*k34f + boundEGFReceptorPI3K*du_k34b - du_PI3KInactive_prime + du_RasPI3K*k36b + du_boundEGFReceptorPI3K*k34b;
errors[101] = -BRafInactive*Rap1Active*du_k20f - BRafInactive*du_Rap1Active*k20f + Raf1PPtaseBRaf*du_k23f - Rap1Active*du_BRafInactive*k20f + Rap1BRaf*du_k20b - du_BRafInactive_prime + du_Raf1PPtaseBRaf*k23f + du_Rap1BRaf*k20b;
errors[102] = BRafInactive*Rap1Active*du_k20f + BRafInactive*du_Rap1Active*k20f + Rap1Active*du_BRafInactive*k20f - Rap1BRaf*du_k20b - Rap1BRaf*du_k21f - du_Rap1BRaf*k20b - du_Rap1BRaf*k21f - du_Rap1BRaf_prime;
errors[103] = -PI3KInactive*RasActive*du_k36f - PI3KInactive*du_RasActive*k36f - Raf1Inactive*RasActive*du_k14f - Raf1Inactive*du_RasActive*k14f - RasActive*RasGapActive*du_k12f - RasActive*du_PI3KInactive*k36f - RasActive*du_Raf1Inactive*k14f - RasActive*du_RasGapActive*k12f - RasGapActive*du_RasActive*k12f + RasGapRas*du_k12b + RasPI3K*du_k36b + RasPI3K*du_k37f + RasRaf1*du_k14b + RasRaf1*du_k15f + SosRas*du_k11f - du_RasActive_prime + du_RasGapRas*k12b + du_RasPI3K*k36b + du_RasPI3K*k37f + du_RasRaf1*k14b + du_RasRaf1*k15f + du_SosRas*k11f;
errors[104] = RasGapRas*du_k13f - RasInactive*SosActive*du_k10f - RasInactive*du_SosActive*k10f - SosActive*du_RasInactive*k10f + SosRas*du_k10b + du_RasGapRas*k13f - du_RasInactive_prime + du_SosRas*k10b;
errors[105] = MekActive*PP2AActive*du_k28f + MekActive*du_PP2AActive*k28f + PP2AActive*du_MekActive*k28f - PP2AMek*du_k28b - PP2AMek*du_k29f - du_PP2AMek*k28b - du_PP2AMek*k29f - du_PP2AMek_prime;
errors[106] = AktInactive*PI3KActive*du_k38f + AktInactive*du_PI3KActive*k38f + PI3KActive*du_AktInactive*k38f - PI3KAkt*du_k38b - PI3KAkt*du_k39f - du_PI3KAkt*k38b - du_PI3KAkt*k39f - du_PI3KAkt_prime;
errors[107] = -C3GActive*Rap1Inactive*du_k42f - C3GActive*du_Rap1Inactive*k42f + C3GRap1*du_k42b + C3GRap1*du_k43f - Rap1Inactive*du_C3GActive*k42f + boundNGFReceptorC3G*du_k41f - du_C3GActive_prime + du_C3GRap1*k42b + du_C3GRap1*k43f + du_boundNGFReceptorC3G*k41f;
errors[108] = -C3GInactive*boundNGFReceptor*dv_k40f - C3GInactive*dv_boundNGFReceptor*k40f + NGF*dv_freeNGFReceptor*k01f + NGF*dv_k01f*freeNGFReceptor - SosInactive*boundNGFReceptor*dv_k04f - SosInactive*dv_boundNGFReceptor*k04f - boundNGFReceptor*dv_C3GInactive*k40f - boundNGFReceptor*dv_SosInactive*k04f - boundNGFReceptor*dv_k01b + boundNGFReceptorC3G*dv_k40b + boundNGFReceptorC3G*dv_k41f + boundNGFReceptorSos*dv_k04b + boundNGFReceptorSos*dv_k05f + dv_NGF*freeNGFReceptor*k01f - dv_boundNGFReceptor*k01b + dv_boundNGFReceptorC3G*k40b + dv_boundNGFReceptorC3G*k41f + dv_boundNGFReceptorSos*k04b + dv_boundNGFReceptorSos*k05f - dv_boundNGFReceptor_prime;
errors[109] = -NGF*dv_freeNGFReceptor*k01f - NGF*dv_k01f*freeNGFReceptor + boundNGFReceptor*dv_k01b - dv_NGF*freeNGFReceptor*k01f - dv_NGF_prime + dv_boundNGFReceptor*k01b;
errors[110] = PI3KInactive*RasActive*dv_k36f + PI3KInactive*dv_RasActive*k36f + RasActive*dv_PI3KInactive*k36f - RasPI3K*dv_k36b - RasPI3K*dv_k37f - dv_RasPI3K*k36b - dv_RasPI3K*k37f - dv_RasPI3K_prime;
errors[111] = -ErkInactive*MekActive*dv_k30f - ErkInactive*dv_MekActive*k30f - MekActive*dv_ErkInactive*k30f + MekErk*dv_k30b + PP2AErk*dv_k33f - dv_ErkInactive_prime + dv_MekErk*k30b + dv_PP2AErk*k33f;
errors[112] = BRafMek*dv_k27f - ErkInactive*MekActive*dv_k30f - ErkInactive*dv_MekActive*k30f - MekActive*PP2AActive*dv_k28f - MekActive*dv_ErkInactive*k30f - MekActive*dv_PP2AActive*k28f + MekErk*dv_k30b + MekErk*dv_k31f - PP2AActive*dv_MekActive*k28f + PP2AMek*dv_k28b + Raf1Mek*dv_k25f + dv_BRafMek*k27f - dv_MekActive_prime + dv_MekErk*k30b + dv_MekErk*k31f + dv_PP2AMek*k28b + dv_Raf1Mek*k25f;
errors[113] = SosInactive*boundNGFReceptor*dv_k04f + SosInactive*dv_boundNGFReceptor*k04f + boundNGFReceptor*dv_SosInactive*k04f - boundNGFReceptorSos*dv_k04b - boundNGFReceptorSos*dv_k05f - dv_boundNGFReceptorSos*k04b - dv_boundNGFReceptorSos*k05f - dv_boundNGFReceptorSos_prime;
errors[114] = Raf1Active*Raf1PPtase*dv_k16f + Raf1Active*dv_Raf1PPtase*k16f + Raf1PPtase*dv_Raf1Active*k16f - Raf1PPtaseRaf1*dv_k16b - Raf1PPtaseRaf1*dv_k17f - dv_Raf1PPtaseRaf1*k16b - dv_Raf1PPtaseRaf1*k17f - dv_Raf1PPtaseRaf1_prime;
errors[115] = BRafActive*MekInactive*dv_k26f + BRafActive*dv_MekInactive*k26f - BRafMek*dv_k26b - BRafMek*dv_k27f + MekInactive*dv_BRafActive*k26f - dv_BRafMek*k26b - dv_BRafMek*k27f - dv_BRafMek_prime;
errors[116] = C3GInactive*boundNGFReceptor*dv_k40f + C3GInactive*dv_boundNGFReceptor*k40f + boundNGFReceptor*dv_C3GInactive*k40f - boundNGFReceptorC3G*dv_k40b - boundNGFReceptorC3G*dv_k41f - dv_boundNGFReceptorC3G*k40b - dv_boundNGFReceptorC3G*k41f - dv_boundNGFReceptorC3G_prime;
errors[117] = P90RskActive*SosActive*dv_k06f + P90RskActive*dv_SosActive*k06f - P90RskSos*dv_k06b - P90RskSos*dv_k07f + SosActive*dv_P90RskActive*k06f - dv_P90RskSos*k06b - dv_P90RskSos*k07f - dv_P90RskSos_prime;
errors[118] = -ErkActive*P90RskInactive*dv_k08f - ErkActive*dv_P90RskInactive*k08f + ErkP90Rsk*dv_k08b - P90RskInactive*dv_ErkActive*k08f + dv_ErkP90Rsk*k08b - dv_P90RskInactive_prime;
errors[119] = -EGF*dv_freeEGFReceptor*k00f - EGF*dv_k00f*freeEGFReceptor + boundEGFReceptor*dv_k00b - dv_EGF*freeEGFReceptor*k00f - dv_EGF_prime + dv_boundEGFReceptor*k00b;
errors[120] = BRafActive*Raf1PPtase*dv_k22f + BRafActive*dv_Raf1PPtase*k22f + Raf1PPtase*dv_BRafActive*k22f - Raf1PPtaseBRaf*dv_k22b - Raf1PPtaseBRaf*dv_k23f - dv_Raf1PPtaseBRaf*k22b - dv_Raf1PPtaseBRaf*k23f - dv_Raf1PPtaseBRaf_prime;
errors[121] = -ErkActive*PP2AActive*dv_k32f - ErkActive*dv_PP2AActive*k32f - MekActive*PP2AActive*dv_k28f - MekActive*dv_PP2AActive*k28f - PP2AActive*dv_ErkActive*k32f - PP2AActive*dv_MekActive*k28f + PP2AErk*dv_k32b + PP2AErk*dv_k33f + PP2AMek*dv_k28b + PP2AMek*dv_k29f - dv_PP2AActive_prime + dv_PP2AErk*k32b + dv_PP2AErk*k33f + dv_PP2AMek*k28b + dv_PP2AMek*k29f;
errors[122] = -AktInactive*PI3KActive*dv_k38f - AktInactive*dv_PI3KActive*k38f - PI3KActive*dv_AktInactive*k38f + PI3KAkt*dv_k38b - dv_AktInactive_prime + dv_PI3KAkt*k38b;
errors[123] = -AktActive*Raf1Active*dv_k18f - AktActive*dv_Raf1Active*k18f + AktRaf1*dv_k18b + AktRaf1*dv_k19f + PI3KAkt*dv_k39f - Raf1Active*dv_AktActive*k18f - dv_AktActive_prime + dv_AktRaf1*k18b + dv_AktRaf1*k19f + dv_PI3KAkt*k39f;
errors[124] = RasActive*RasGapActive*dv_k12f + RasActive*dv_RasGapActive*k12f + RasGapActive*dv_RasActive*k12f - RasGapRas*dv_k12b - RasGapRas*dv_k13f - dv_RasGapRas*k12b - dv_RasGapRas*k13f - dv_RasGapRas_prime;
errors[125] = -P90RskActive*SosActive*dv_k06f - P90RskActive*dv_SosActive*k06f + P90RskSos*dv_k06b - RasInactive*SosActive*dv_k10f - RasInactive*dv_SosActive*k10f - SosActive*dv_P90RskActive*k06f - SosActive*dv_RasInactive*k10f + SosRas*dv_k10b + SosRas*dv_k11f + boundEGFReceptorSos*dv_k03f + boundNGFReceptorSos*dv_k05f + dv_P90RskSos*k06b - dv_SosActive_prime + dv_SosRas*k10b + dv_SosRas*k11f + dv_boundEGFReceptorSos*k03f + dv_boundNGFReceptorSos*k05f;
errors[126] = ErkActive*P90RskInactive*dv_k08f + ErkActive*dv_P90RskInactive*k08f - ErkP90Rsk*dv_k08b - ErkP90Rsk*dv_k09f + P90RskInactive*dv_ErkActive*k08f - dv_ErkP90Rsk*k08b - dv_ErkP90Rsk*k09f - dv_ErkP90Rsk_prime;
errors[127] = Raf1Inactive*RasActive*dv_k14f + Raf1Inactive*dv_RasActive*k14f + RasActive*dv_Raf1Inactive*k14f - RasRaf1*dv_k14b - RasRaf1*dv_k15f - dv_RasRaf1*k14b - dv_RasRaf1*k15f - dv_RasRaf1_prime;
errors[128] = EGF*dv_freeEGFReceptor*k00f + EGF*dv_k00f*freeEGFReceptor - PI3KInactive*boundEGFReceptor*dv_k34f - PI3KInactive*dv_boundEGFReceptor*k34f - SosInactive*boundEGFReceptor*dv_k02f - SosInactive*dv_boundEGFReceptor*k02f - boundEGFReceptor*dv_PI3KInactive*k34f - boundEGFReceptor*dv_SosInactive*k02f - boundEGFReceptor*dv_k00b + boundEGFReceptorPI3K*dv_k34b + boundEGFReceptorPI3K*dv_k35f + boundEGFReceptorSos*dv_k02b + boundEGFReceptorSos*dv_k03f + dv_EGF*freeEGFReceptor*k00f - dv_boundEGFReceptor*k00b + dv_boundEGFReceptorPI3K*k34b + dv_boundEGFReceptorPI3K*k35f + dv_boundEGFReceptorSos*k02b + dv_boundEGFReceptorSos*k03f - dv_boundEGFReceptor_prime;
errors[129] = -AktActive*Raf1Active*dv_k18f - AktActive*dv_Raf1Active*k18f + AktRaf1*dv_k18b - MekInactive*Raf1Active*dv_k24f - MekInactive*dv_Raf1Active*k24f - Raf1Active*Raf1PPtase*dv_k16f - Raf1Active*dv_AktActive*k18f - Raf1Active*dv_MekInactive*k24f - Raf1Active*dv_Raf1PPtase*k16f + Raf1Mek*dv_k24b + Raf1Mek*dv_k25f - Raf1PPtase*dv_Raf1Active*k16f + Raf1PPtaseRaf1*dv_k16b + RasRaf1*dv_k15f + dv_AktRaf1*k18b - dv_Raf1Active_prime + dv_Raf1Mek*k24b + dv_Raf1Mek*k25f + dv_Raf1PPtaseRaf1*k16b + dv_RasRaf1*k15f;
errors[130] = ErkInactive*MekActive*dv_k30f + ErkInactive*dv_MekActive*k30f + MekActive*dv_ErkInactive*k30f - MekErk*dv_k30b - MekErk*dv_k31f - dv_MekErk*k30b - dv_MekErk*k31f - dv_MekErk_prime;
errors[131] = Rap1Active*RapGapActive*dv_k44f + Rap1Active*dv_RapGapActive*k44f + RapGapActive*dv_Rap1Active*k44f - RapGapRap1*dv_k44b - RapGapRap1*dv_k45f - dv_RapGapRap1*k44b - dv_RapGapRap1*k45f - dv_RapGapRap1_prime;
errors[132] = P90RskSos*dv_k07f - SosInactive*boundEGFReceptor*dv_k02f - SosInactive*boundNGFReceptor*dv_k04f - SosInactive*dv_boundEGFReceptor*k02f - SosInactive*dv_boundNGFReceptor*k04f - boundEGFReceptor*dv_SosInactive*k02f + boundEGFReceptorSos*dv_k02b - boundNGFReceptor*dv_SosInactive*k04f + boundNGFReceptorSos*dv_k04b + dv_P90RskSos*k07f - dv_SosInactive_prime + dv_boundEGFReceptorSos*k02b + dv_boundNGFReceptorSos*k04b;
errors[133] = -Rap1Active*RapGapActive*dv_k44f - Rap1Active*dv_RapGapActive*k44f - RapGapActive*dv_Rap1Active*k44f + RapGapRap1*dv_k44b + RapGapRap1*dv_k45f - dv_RapGapActive_prime + dv_RapGapRap1*k44b + dv_RapGapRap1*k45f;
errors[134] = AktActive*Raf1Active*dv_k18f + AktActive*dv_Raf1Active*k18f - AktRaf1*dv_k18b - AktRaf1*dv_k19f + Raf1Active*dv_AktActive*k18f - dv_AktRaf1*k18b - dv_AktRaf1*k19f - dv_AktRaf1_prime;
errors[135] = -EGF*dv_freeEGFReceptor*k00f - EGF*dv_k00f*freeEGFReceptor + boundEGFReceptor*dv_k00b - dv_EGF*freeEGFReceptor*k00f + dv_boundEGFReceptor*k00b - dv_freeEGFReceptor_prime;
errors[136] = -BRafActive*Raf1PPtase*dv_k22f - BRafActive*dv_Raf1PPtase*k22f - Raf1Active*Raf1PPtase*dv_k16f - Raf1Active*dv_Raf1PPtase*k16f - Raf1PPtase*dv_BRafActive*k22f - Raf1PPtase*dv_Raf1Active*k16f + Raf1PPtaseBRaf*dv_k22b + Raf1PPtaseBRaf*dv_k23f + Raf1PPtaseRaf1*dv_k16b + Raf1PPtaseRaf1*dv_k17f + dv_Raf1PPtaseBRaf*k22b + dv_Raf1PPtaseBRaf*k23f + dv_Raf1PPtaseRaf1*k16b + dv_Raf1PPtaseRaf1*k17f - dv_Raf1PPtase_prime;
errors[137] = C3GActive*Rap1Inactive*dv_k42f + C3GActive*dv_Rap1Inactive*k42f - C3GRap1*dv_k42b - C3GRap1*dv_k43f + Rap1Inactive*dv_C3GActive*k42f - dv_C3GRap1*k42b - dv_C3GRap1*k43f - dv_C3GRap1_prime;
errors[138] = -BRafInactive*Rap1Active*dv_k20f - BRafInactive*dv_Rap1Active*k20f + C3GRap1*dv_k43f - Rap1Active*RapGapActive*dv_k44f - Rap1Active*dv_BRafInactive*k20f - Rap1Active*dv_RapGapActive*k44f + Rap1BRaf*dv_k20b + Rap1BRaf*dv_k21f - RapGapActive*dv_Rap1Active*k44f + RapGapRap1*dv_k44b + dv_C3GRap1*k43f - dv_Rap1Active_prime + dv_Rap1BRaf*k20b + dv_Rap1BRaf*k21f + dv_RapGapRap1*k44b;
errors[139] = -BRafActive*MekInactive*dv_k26f - BRafActive*dv_MekInactive*k26f + BRafMek*dv_k26b - MekInactive*Raf1Active*dv_k24f - MekInactive*dv_BRafActive*k26f - MekInactive*dv_Raf1Active*k24f + PP2AMek*dv_k29f - Raf1Active*dv_MekInactive*k24f + Raf1Mek*dv_k24b + dv_BRafMek*k26b - dv_MekInactive_prime + dv_PP2AMek*k29f + dv_Raf1Mek*k24b;
errors[140] = MekInactive*Raf1Active*dv_k24f + MekInactive*dv_Raf1Active*k24f + Raf1Active*dv_MekInactive*k24f - Raf1Mek*dv_k24b - Raf1Mek*dv_k25f - dv_Raf1Mek*k24b - dv_Raf1Mek*k25f - dv_Raf1Mek_prime;
errors[141] = RasInactive*SosActive*dv_k10f + RasInactive*dv_SosActive*k10f + SosActive*dv_RasInactive*k10f - SosRas*dv_k10b - SosRas*dv_k11f - dv_SosRas*k10b - dv_SosRas*k11f - dv_SosRas_prime;
errors[142] = ErkP90Rsk*dv_k09f - P90RskActive*SosActive*dv_k06f - P90RskActive*dv_SosActive*k06f + P90RskSos*dv_k06b + P90RskSos*dv_k07f - SosActive*dv_P90RskActive*k06f + dv_ErkP90Rsk*k09f - dv_P90RskActive_prime + dv_P90RskSos*k06b + dv_P90RskSos*k07f;
errors[143] = ErkActive*PP2AActive*dv_k32f + ErkActive*dv_PP2AActive*k32f + PP2AActive*dv_ErkActive*k32f - PP2AErk*dv_k32b - PP2AErk*dv_k33f - dv_PP2AErk*k32b - dv_PP2AErk*k33f - dv_PP2AErk_prime;
errors[144] = PI3KInactive*boundEGFReceptor*dv_k34f + PI3KInactive*dv_boundEGFReceptor*k34f + boundEGFReceptor*dv_PI3KInactive*k34f - boundEGFReceptorPI3K*dv_k34b - boundEGFReceptorPI3K*dv_k35f - dv_boundEGFReceptorPI3K*k34b - dv_boundEGFReceptorPI3K*k35f - dv_boundEGFReceptorPI3K_prime;
errors[145] = -AktInactive*PI3KActive*dv_k38f - AktInactive*dv_PI3KActive*k38f - PI3KActive*dv_AktInactive*k38f + PI3KAkt*dv_k38b + PI3KAkt*dv_k39f + RasPI3K*dv_k37f + boundEGFReceptorPI3K*dv_k35f - dv_PI3KActive_prime + dv_PI3KAkt*k38b + dv_PI3KAkt*k39f + dv_RasPI3K*k37f + dv_boundEGFReceptorPI3K*k35f;
errors[146] = -RasActive*RasGapActive*dv_k12f - RasActive*dv_RasGapActive*k12f - RasGapActive*dv_RasActive*k12f + RasGapRas*dv_k12b + RasGapRas*dv_k13f - dv_RasGapActive_prime + dv_RasGapRas*k12b + dv_RasGapRas*k13f;
errors[147] = -BRafActive*MekInactive*dv_k26f - BRafActive*Raf1PPtase*dv_k22f - BRafActive*dv_MekInactive*k26f - BRafActive*dv_Raf1PPtase*k22f + BRafMek*dv_k26b + BRafMek*dv_k27f - MekInactive*dv_BRafActive*k26f - Raf1PPtase*dv_BRafActive*k22f + Raf1PPtaseBRaf*dv_k22b + Rap1BRaf*dv_k21f - dv_BRafActive_prime + dv_BRafMek*k26b + dv_BRafMek*k27f + dv_Raf1PPtaseBRaf*k22b + dv_Rap1BRaf*k21f;
errors[148] = SosInactive*boundEGFReceptor*dv_k02f + SosInactive*dv_boundEGFReceptor*k02f + boundEGFReceptor*dv_SosInactive*k02f - boundEGFReceptorSos*dv_k02b - boundEGFReceptorSos*dv_k03f - dv_boundEGFReceptorSos*k02b - dv_boundEGFReceptorSos*k03f - dv_boundEGFReceptorSos_prime;
errors[149] = -C3GActive*Rap1Inactive*dv_k42f - C3GActive*dv_Rap1Inactive*k42f + C3GRap1*dv_k42b - Rap1Inactive*dv_C3GActive*k42f + RapGapRap1*dv_k45f + dv_C3GRap1*k42b - dv_Rap1Inactive_prime + dv_RapGapRap1*k45f;
errors[150] = -ErkActive*P90RskInactive*dv_k08f - ErkActive*PP2AActive*dv_k32f - ErkActive*dv_P90RskInactive*k08f - ErkActive*dv_PP2AActive*k32f + ErkP90Rsk*dv_k08b + ErkP90Rsk*dv_k09f + MekErk*dv_k31f - P90RskInactive*dv_ErkActive*k08f - PP2AActive*dv_ErkActive*k32f + PP2AErk*dv_k32b - dv_ErkActive_prime + dv_ErkP90Rsk*k08b + dv_ErkP90Rsk*k09f + dv_MekErk*k31f + dv_PP2AErk*k32b;
errors[151] = -NGF*dv_freeNGFReceptor*k01f - NGF*dv_k01f*freeNGFReceptor + boundNGFReceptor*dv_k01b - dv_NGF*freeNGFReceptor*k01f + dv_boundNGFReceptor*k01b - dv_freeNGFReceptor_prime;
errors[152] = -C3GInactive*boundNGFReceptor*dv_k40f - C3GInactive*dv_boundNGFReceptor*k40f - boundNGFReceptor*dv_C3GInactive*k40f + boundNGFReceptorC3G*dv_k40b - dv_C3GInactive_prime + dv_boundNGFReceptorC3G*k40b;
errors[153] = AktRaf1*dv_k19f - Raf1Inactive*RasActive*dv_k14f - Raf1Inactive*dv_RasActive*k14f + Raf1PPtaseRaf1*dv_k17f - RasActive*dv_Raf1Inactive*k14f + RasRaf1*dv_k14b + dv_AktRaf1*k19f - dv_Raf1Inactive_prime + dv_Raf1PPtaseRaf1*k17f + dv_RasRaf1*k14b;
errors[154] = -PI3KInactive*RasActive*dv_k36f - PI3KInactive*boundEGFReceptor*dv_k34f - PI3KInactive*dv_RasActive*k36f - PI3KInactive*dv_boundEGFReceptor*k34f - RasActive*dv_PI3KInactive*k36f + RasPI3K*dv_k36b - boundEGFReceptor*dv_PI3KInactive*k34f + boundEGFReceptorPI3K*dv_k34b - dv_PI3KInactive_prime + dv_RasPI3K*k36b + dv_boundEGFReceptorPI3K*k34b;
errors[155] = -BRafInactive*Rap1Active*dv_k20f - BRafInactive*dv_Rap1Active*k20f + Raf1PPtaseBRaf*dv_k23f - Rap1Active*dv_BRafInactive*k20f + Rap1BRaf*dv_k20b - dv_BRafInactive_prime + dv_Raf1PPtaseBRaf*k23f + dv_Rap1BRaf*k20b;
errors[156] = BRafInactive*Rap1Active*dv_k20f + BRafInactive*dv_Rap1Active*k20f + Rap1Active*dv_BRafInactive*k20f - Rap1BRaf*dv_k20b - Rap1BRaf*dv_k21f - dv_Rap1BRaf*k20b - dv_Rap1BRaf*k21f - dv_Rap1BRaf_prime;
errors[157] = -PI3KInactive*RasActive*dv_k36f - PI3KInactive*dv_RasActive*k36f - Raf1Inactive*RasActive*dv_k14f - Raf1Inactive*dv_RasActive*k14f - RasActive*RasGapActive*dv_k12f - RasActive*dv_PI3KInactive*k36f - RasActive*dv_Raf1Inactive*k14f - RasActive*dv_RasGapActive*k12f - RasGapActive*dv_RasActive*k12f + RasGapRas*dv_k12b + RasPI3K*dv_k36b + RasPI3K*dv_k37f + RasRaf1*dv_k14b + RasRaf1*dv_k15f + SosRas*dv_k11f - dv_RasActive_prime + dv_RasGapRas*k12b + dv_RasPI3K*k36b + dv_RasPI3K*k37f + dv_RasRaf1*k14b + dv_RasRaf1*k15f + dv_SosRas*k11f;
errors[158] = RasGapRas*dv_k13f - RasInactive*SosActive*dv_k10f - RasInactive*dv_SosActive*k10f - SosActive*dv_RasInactive*k10f + SosRas*dv_k10b + dv_RasGapRas*k13f - dv_RasInactive_prime + dv_SosRas*k10b;
errors[159] = MekActive*PP2AActive*dv_k28f + MekActive*dv_PP2AActive*k28f + PP2AActive*dv_MekActive*k28f - PP2AMek*dv_k28b - PP2AMek*dv_k29f - dv_PP2AMek*k28b - dv_PP2AMek*k29f - dv_PP2AMek_prime;
errors[160] = AktInactive*PI3KActive*dv_k38f + AktInactive*dv_PI3KActive*k38f + PI3KActive*dv_AktInactive*k38f - PI3KAkt*dv_k38b - PI3KAkt*dv_k39f - dv_PI3KAkt*k38b - dv_PI3KAkt*k39f - dv_PI3KAkt_prime;
errors[161] = -C3GActive*Rap1Inactive*dv_k42f - C3GActive*dv_Rap1Inactive*k42f + C3GRap1*dv_k42b + C3GRap1*dv_k43f - Rap1Inactive*dv_C3GActive*k42f + boundNGFReceptorC3G*dv_k41f - dv_C3GActive_prime + dv_C3GRap1*k42b + dv_C3GRap1*k43f + dv_boundNGFReceptorC3G*k41f;
errors[162] = -C3GInactive*du_boundNGFReceptor*dv_k40f - C3GInactive*du_k40f*dv_boundNGFReceptor - C3GInactive*duv_boundNGFReceptor*k40f + NGF*du_freeNGFReceptor*dv_k01f + NGF*du_k01f*dv_freeNGFReceptor + NGF*duv_freeNGFReceptor*k01f - SosInactive*du_boundNGFReceptor*dv_k04f - SosInactive*du_k04f*dv_boundNGFReceptor - SosInactive*duv_boundNGFReceptor*k04f - boundNGFReceptor*du_C3GInactive*dv_k40f - boundNGFReceptor*du_SosInactive*dv_k04f - boundNGFReceptor*du_k04f*dv_SosInactive - boundNGFReceptor*du_k40f*dv_C3GInactive - boundNGFReceptor*duv_C3GInactive*k40f - boundNGFReceptor*duv_SosInactive*k04f - du_C3GInactive*dv_boundNGFReceptor*k40f + du_NGF*dv_freeNGFReceptor*k01f + du_NGF*dv_k01f*freeNGFReceptor - du_SosInactive*dv_boundNGFReceptor*k04f - du_boundNGFReceptor*dv_C3GInactive*k40f - du_boundNGFReceptor*dv_SosInactive*k04f - du_boundNGFReceptor*dv_k01b + du_boundNGFReceptorC3G*dv_k40b + du_boundNGFReceptorC3G*dv_k41f + du_boundNGFReceptorSos*dv_k04b + du_boundNGFReceptorSos*dv_k05f + du_freeNGFReceptor*dv_NGF*k01f - du_k01b*dv_boundNGFReceptor + du_k01f*dv_NGF*freeNGFReceptor + du_k04b*dv_boundNGFReceptorSos + du_k05f*dv_boundNGFReceptorSos + du_k40b*dv_boundNGFReceptorC3G + du_k41f*dv_boundNGFReceptorC3G + duv_NGF*freeNGFReceptor*k01f - duv_boundNGFReceptor*k01b + duv_boundNGFReceptorC3G*k40b + duv_boundNGFReceptorC3G*k41f + duv_boundNGFReceptorSos*k04b + duv_boundNGFReceptorSos*k05f - duv_boundNGFReceptor_prime;
errors[163] = -NGF*du_freeNGFReceptor*dv_k01f - NGF*du_k01f*dv_freeNGFReceptor - NGF*duv_freeNGFReceptor*k01f - du_NGF*dv_freeNGFReceptor*k01f - du_NGF*dv_k01f*freeNGFReceptor + du_boundNGFReceptor*dv_k01b - du_freeNGFReceptor*dv_NGF*k01f + du_k01b*dv_boundNGFReceptor - du_k01f*dv_NGF*freeNGFReceptor - duv_NGF*freeNGFReceptor*k01f - duv_NGF_prime + duv_boundNGFReceptor*k01b;
errors[164] = PI3KInactive*du_RasActive*dv_k36f + PI3KInactive*du_k36f*dv_RasActive + PI3KInactive*duv_RasActive*k36f + RasActive*du_PI3KInactive*dv_k36f + RasActive*du_k36f*dv_PI3KInactive + RasActive*duv_PI3KInactive*k36f + du_PI3KInactive*dv_RasActive*k36f + du_RasActive*dv_PI3KInactive*k36f - du_RasPI3K*dv_k36b - du_RasPI3K*dv_k37f - du_k36b*dv_RasPI3K - du_k37f*dv_RasPI3K - duv_RasPI3K*k36b - duv_RasPI3K*k37f - duv_RasPI3K_prime;
errors[165] = -ErkInactive*du_MekActive*dv_k30f - ErkInactive*du_k30f*dv_MekActive - ErkInactive*duv_MekActive*k30f - MekActive*du_ErkInactive*dv_k30f - MekActive*du_k30f*dv_ErkInactive - MekActive*duv_ErkInactive*k30f - du_ErkInactive*dv_MekActive*k30f - du_MekActive*dv_ErkInactive*k30f + du_MekErk*dv_k30b + du_PP2AErk*dv_k33f + du_k30b*dv_MekErk + du_k33f*dv_PP2AErk - duv_ErkInactive_prime + duv_MekErk*k30b + duv_PP2AErk*k33f;
errors[166] = -ErkInactive*du_MekActive*dv_k30f - ErkInactive*du_k30f*dv_MekActive - ErkInactive*duv_MekActive*k30f - MekActive*du_ErkInactive*dv_k30f - MekActive*du_PP2AActive*dv_k28f - MekActive*du_k28f*dv_PP2AActive - MekActive*du_k30f*dv_ErkInactive - MekActive*duv_ErkInactive*k30f - MekActive*duv_PP2AActive*k28f - PP2AActive*du_MekActive*dv_k28f - PP2AActive*du_k28f*dv_MekActive - PP2AActive*duv_MekActive*k28f + du_BRafMek*dv_k27f - du_ErkInactive*dv_MekActive*k30f - du_MekActive*dv_ErkInactive*k30f - du_MekActive*dv_PP2AActive*k28f + du_MekErk*dv_k30b + du_MekErk*dv_k31f - du_PP2AActive*dv_MekActive*k28f + du_PP2AMek*dv_k28b + du_Raf1Mek*dv_k25f + du_k25f*dv_Raf1Mek + du_k27f*dv_BRafMek + du_k28b*dv_PP2AMek + du_k30b*dv_MekErk + du_k31f*dv_MekErk + duv_BRafMek*k27f - duv_MekActive_prime + duv_MekErk*k30b + duv_MekErk*k31f + duv_PP2AMek*k28b + duv_Raf1Mek*k25f;
errors[167] = SosInactive*du_boundNGFReceptor*dv_k04f + SosInactive*du_k04f*dv_boundNGFReceptor + SosInactive*duv_boundNGFReceptor*k04f + boundNGFReceptor*du_SosInactive*dv_k04f + boundNGFReceptor*du_k04f*dv_SosInactive + boundNGFReceptor*duv_SosInactive*k04f + du_SosInactive*dv_boundNGFReceptor*k04f + du_boundNGFReceptor*dv_SosInactive*k04f - du_boundNGFReceptorSos*dv_k04b - du_boundNGFReceptorSos*dv_k05f - du_k04b*dv_boundNGFReceptorSos - du_k05f*dv_boundNGFReceptorSos - duv_boundNGFReceptorSos*k04b - duv_boundNGFReceptorSos*k05f - duv_boundNGFReceptorSos_prime;
errors[168] = Raf1Active*du_Raf1PPtase*dv_k16f + Raf1Active*du_k16f*dv_Raf1PPtase + Raf1Active*duv_Raf1PPtase*k16f + Raf1PPtase*du_Raf1Active*dv_k16f + Raf1PPtase*du_k16f*dv_Raf1Active + Raf1PPtase*duv_Raf1Active*k16f + du_Raf1Active*dv_Raf1PPtase*k16f + du_Raf1PPtase*dv_Raf1Active*k16f - du_Raf1PPtaseRaf1*dv_k16b - du_Raf1PPtaseRaf1*dv_k17f - du_k16b*dv_Raf1PPtaseRaf1 - du_k17f*dv_Raf1PPtaseRaf1 - duv_Raf1PPtaseRaf1*k16b - duv_Raf1PPtaseRaf1*k17f - duv_Raf1PPtaseRaf1_prime;
errors[169] = BRafActive*du_MekInactive*dv_k26f + BRafActive*du_k26f*dv_MekInactive + BRafActive*duv_MekInactive*k26f + MekInactive*du_BRafActive*dv_k26f + MekInactive*du_k26f*dv_BRafActive + MekInactive*duv_BRafActive*k26f + du_BRafActive*dv_MekInactive*k26f - du_BRafMek*dv_k26b - du_BRafMek*dv_k27f + du_MekInactive*dv_BRafActive*k26f - du_k26b*dv_BRafMek - du_k27f*dv_BRafMek - duv_BRafMek*k26b - duv_BRafMek*k27f - duv_BRafMek_prime;
errors[170] = C3GInactive*du_boundNGFReceptor*dv_k40f + C3GInactive*du_k40f*dv_boundNGFReceptor + C3GInactive*duv_boundNGFReceptor*k40f + boundNGFReceptor*du_C3GInactive*dv_k40f + boundNGFReceptor*du_k40f*dv_C3GInactive + boundNGFReceptor*duv_C3GInactive*k40f + du_C3GInactive*dv_boundNGFReceptor*k40f + du_boundNGFReceptor*dv_C3GInactive*k40f - du_boundNGFReceptorC3G*dv_k40b - du_boundNGFReceptorC3G*dv_k41f - du_k40b*dv_boundNGFReceptorC3G - du_k41f*dv_boundNGFReceptorC3G - duv_boundNGFReceptorC3G*k40b - duv_boundNGFReceptorC3G*k41f - duv_boundNGFReceptorC3G_prime;
errors[171] = P90RskActive*du_SosActive*dv_k06f + P90RskActive*du_k06f*dv_SosActive + P90RskActive*duv_SosActive*k06f + SosActive*du_P90RskActive*dv_k06f + SosActive*du_k06f*dv_P90RskActive + SosActive*duv_P90RskActive*k06f + du_P90RskActive*dv_SosActive*k06f - du_P90RskSos*dv_k06b - du_P90RskSos*dv_k07f + du_SosActive*dv_P90RskActive*k06f - du_k06b*dv_P90RskSos - du_k07f*dv_P90RskSos - duv_P90RskSos*k06b - duv_P90RskSos*k07f - duv_P90RskSos_prime;
errors[172] = -ErkActive*du_P90RskInactive*dv_k08f - ErkActive*du_k08f*dv_P90RskInactive - ErkActive*duv_P90RskInactive*k08f - P90RskInactive*du_ErkActive*dv_k08f - P90RskInactive*du_k08f*dv_ErkActive - P90RskInactive*duv_ErkActive*k08f - du_ErkActive*dv_P90RskInactive*k08f + du_ErkP90Rsk*dv_k08b - du_P90RskInactive*dv_ErkActive*k08f + du_k08b*dv_ErkP90Rsk + duv_ErkP90Rsk*k08b - duv_P90RskInactive_prime;
errors[173] = -EGF*du_freeEGFReceptor*dv_k00f - EGF*du_k00f*dv_freeEGFReceptor - EGF*duv_freeEGFReceptor*k00f - du_EGF*dv_freeEGFReceptor*k00f - du_EGF*dv_k00f*freeEGFReceptor + du_boundEGFReceptor*dv_k00b - du_freeEGFReceptor*dv_EGF*k00f + du_k00b*dv_boundEGFReceptor - du_k00f*dv_EGF*freeEGFReceptor - duv_EGF*freeEGFReceptor*k00f - duv_EGF_prime + duv_boundEGFReceptor*k00b;
errors[174] = BRafActive*du_Raf1PPtase*dv_k22f + BRafActive*du_k22f*dv_Raf1PPtase + BRafActive*duv_Raf1PPtase*k22f + Raf1PPtase*du_BRafActive*dv_k22f + Raf1PPtase*du_k22f*dv_BRafActive + Raf1PPtase*duv_BRafActive*k22f + du_BRafActive*dv_Raf1PPtase*k22f + du_Raf1PPtase*dv_BRafActive*k22f - du_Raf1PPtaseBRaf*dv_k22b - du_Raf1PPtaseBRaf*dv_k23f - du_k22b*dv_Raf1PPtaseBRaf - du_k23f*dv_Raf1PPtaseBRaf - duv_Raf1PPtaseBRaf*k22b - duv_Raf1PPtaseBRaf*k23f - duv_Raf1PPtaseBRaf_prime;
errors[175] = -ErkActive*du_PP2AActive*dv_k32f - ErkActive*du_k32f*dv_PP2AActive - ErkActive*duv_PP2AActive*k32f - MekActive*du_PP2AActive*dv_k28f - MekActive*du_k28f*dv_PP2AActive - MekActive*duv_PP2AActive*k28f - PP2AActive*du_ErkActive*dv_k32f - PP2AActive*du_MekActive*dv_k28f - PP2AActive*du_k28f*dv_MekActive - PP2AActive*du_k32f*dv_ErkActive - PP2AActive*duv_ErkActive*k32f - PP2AActive*duv_MekActive*k28f - du_ErkActive*dv_PP2AActive*k32f - du_MekActive*dv_PP2AActive*k28f - du_PP2AActive*dv_ErkActive*k32f - du_PP2AActive*dv_MekActive*k28f + du_PP2AErk*dv_k32b + du_PP2AErk*dv_k33f + du_PP2AMek*dv_k28b + du_PP2AMek*dv_k29f + du_k28b*dv_PP2AMek + du_k29f*dv_PP2AMek + du_k32b*dv_PP2AErk + du_k33f*dv_PP2AErk - duv_PP2AActive_prime + duv_PP2AErk*k32b + duv_PP2AErk*k33f + duv_PP2AMek*k28b + duv_PP2AMek*k29f;
errors[176] = -AktInactive*du_PI3KActive*dv_k38f - AktInactive*du_k38f*dv_PI3KActive - AktInactive*duv_PI3KActive*k38f - PI3KActive*du_AktInactive*dv_k38f - PI3KActive*du_k38f*dv_AktInactive - PI3KActive*duv_AktInactive*k38f - du_AktInactive*dv_PI3KActive*k38f - du_PI3KActive*dv_AktInactive*k38f + du_PI3KAkt*dv_k38b + du_k38b*dv_PI3KAkt - duv_AktInactive_prime + duv_PI3KAkt*k38b;
errors[177] = -AktActive*du_Raf1Active*dv_k18f - AktActive*du_k18f*dv_Raf1Active - AktActive*duv_Raf1Active*k18f - Raf1Active*du_AktActive*dv_k18f - Raf1Active*du_k18f*dv_AktActive - Raf1Active*duv_AktActive*k18f - du_AktActive*dv_Raf1Active*k18f + du_AktRaf1*dv_k18b + du_AktRaf1*dv_k19f + du_PI3KAkt*dv_k39f - du_Raf1Active*dv_AktActive*k18f + du_k18b*dv_AktRaf1 + du_k19f*dv_AktRaf1 + du_k39f*dv_PI3KAkt - duv_AktActive_prime + duv_AktRaf1*k18b + duv_AktRaf1*k19f + duv_PI3KAkt*k39f;
errors[178] = RasActive*du_RasGapActive*dv_k12f + RasActive*du_k12f*dv_RasGapActive + RasActive*duv_RasGapActive*k12f + RasGapActive*du_RasActive*dv_k12f + RasGapActive*du_k12f*dv_RasActive + RasGapActive*duv_RasActive*k12f + du_RasActive*dv_RasGapActive*k12f + du_RasGapActive*dv_RasActive*k12f - du_RasGapRas*dv_k12b - du_RasGapRas*dv_k13f - du_k12b*dv_RasGapRas - du_k13f*dv_RasGapRas - duv_RasGapRas*k12b - duv_RasGapRas*k13f - duv_RasGapRas_prime;
errors[179] = -P90RskActive*du_SosActive*dv_k06f - P90RskActive*du_k06f*dv_SosActive - P90RskActive*duv_SosActive*k06f - RasInactive*du_SosActive*dv_k10f - RasInactive*du_k10f*dv_SosActive - RasInactive*duv_SosActive*k10f - SosActive*du_P90RskActive*dv_k06f - SosActive*du_RasInactive*dv_k10f - SosActive*du_k06f*dv_P90RskActive - SosActive*du_k10f*dv_RasInactive - SosActive*duv_P90RskActive*k06f - SosActive*duv_RasInactive*k10f - du_P90RskActive*dv_SosActive*k06f + du_P90RskSos*dv_k06b - du_RasInactive*dv_SosActive*k10f - du_SosActive*dv_P90RskActive*k06f - du_SosActive*dv_RasInactive*k10f + du_SosRas*dv_k10b + du_SosRas*dv_k11f + du_boundEGFReceptorSos*dv_k03f + du_boundNGFReceptorSos*dv_k05f + du_k03f*dv_boundEGFReceptorSos + du_k05f*dv_boundNGFReceptorSos + du_k06b*dv_P90RskSos + du_k10b*dv_SosRas + du_k11f*dv_SosRas + duv_P90RskSos*k06b - duv_SosActive_prime + duv_SosRas*k10b + duv_SosRas*k11f + duv_boundEGFReceptorSos*k03f + duv_boundNGFReceptorSos*k05f;
errors[180] = ErkActive*du_P90RskInactive*dv_k08f + ErkActive*du_k08f*dv_P90RskInactive + ErkActive*duv_P90RskInactive*k08f + P90RskInactive*du_ErkActive*dv_k08f + P90RskInactive*du_k08f*dv_ErkActive + P90RskInactive*duv_ErkActive*k08f + du_ErkActive*dv_P90RskInactive*k08f - du_ErkP90Rsk*dv_k08b - du_ErkP90Rsk*dv_k09f + du_P90RskInactive*dv_ErkActive*k08f - du_k08b*dv_ErkP90Rsk - du_k09f*dv_ErkP90Rsk - duv_ErkP90Rsk*k08b - duv_ErkP90Rsk*k09f - duv_ErkP90Rsk_prime;
errors[181] = Raf1Inactive*du_RasActive*dv_k14f + Raf1Inactive*du_k14f*dv_RasActive + Raf1Inactive*duv_RasActive*k14f + RasActive*du_Raf1Inactive*dv_k14f + RasActive*du_k14f*dv_Raf1Inactive + RasActive*duv_Raf1Inactive*k14f + du_Raf1Inactive*dv_RasActive*k14f + du_RasActive*dv_Raf1Inactive*k14f - du_RasRaf1*dv_k14b - du_RasRaf1*dv_k15f - du_k14b*dv_RasRaf1 - du_k15f*dv_RasRaf1 - duv_RasRaf1*k14b - duv_RasRaf1*k15f - duv_RasRaf1_prime;
errors[182] = EGF*du_freeEGFReceptor*dv_k00f + EGF*du_k00f*dv_freeEGFReceptor + EGF*duv_freeEGFReceptor*k00f - PI3KInactive*du_boundEGFReceptor*dv_k34f - PI3KInactive*du_k34f*dv_boundEGFReceptor - PI3KInactive*duv_boundEGFReceptor*k34f - SosInactive*du_boundEGFReceptor*dv_k02f - SosInactive*du_k02f*dv_boundEGFReceptor - SosInactive*duv_boundEGFReceptor*k02f - boundEGFReceptor*du_PI3KInactive*dv_k34f - boundEGFReceptor*du_SosInactive*dv_k02f - boundEGFReceptor*du_k02f*dv_SosInactive - boundEGFReceptor*du_k34f*dv_PI3KInactive - boundEGFReceptor*duv_PI3KInactive*k34f - boundEGFReceptor*duv_SosInactive*k02f + du_EGF*dv_freeEGFReceptor*k00f + du_EGF*dv_k00f*freeEGFReceptor - du_PI3KInactive*dv_boundEGFReceptor*k34f - du_SosInactive*dv_boundEGFReceptor*k02f - du_boundEGFReceptor*dv_PI3KInactive*k34f - du_boundEGFReceptor*dv_SosInactive*k02f - du_boundEGFReceptor*dv_k00b + du_boundEGFReceptorPI3K*dv_k34b + du_boundEGFReceptorPI3K*dv_k35f + du_boundEGFReceptorSos*dv_k02b + du_boundEGFReceptorSos*dv_k03f + du_freeEGFReceptor*dv_EGF*k00f - du_k00b*dv_boundEGFReceptor + du_k00f*dv_EGF*freeEGFReceptor + du_k02b*dv_boundEGFReceptorSos + du_k03f*dv_boundEGFReceptorSos + du_k34b*dv_boundEGFReceptorPI3K + du_k35f*dv_boundEGFReceptorPI3K + duv_EGF*freeEGFReceptor*k00f - duv_boundEGFReceptor*k00b + duv_boundEGFReceptorPI3K*k34b + duv_boundEGFReceptorPI3K*k35f + duv_boundEGFReceptorSos*k02b + duv_boundEGFReceptorSos*k03f - duv_boundEGFReceptor_prime;
errors[183] = -AktActive*du_Raf1Active*dv_k18f - AktActive*du_k18f*dv_Raf1Active - AktActive*duv_Raf1Active*k18f - MekInactive*du_Raf1Active*dv_k24f - MekInactive*du_k24f*dv_Raf1Active - MekInactive*duv_Raf1Active*k24f - Raf1Active*du_AktActive*dv_k18f - Raf1Active*du_MekInactive*dv_k24f - Raf1Active*du_Raf1PPtase*dv_k16f - Raf1Active*du_k16f*dv_Raf1PPtase - Raf1Active*du_k18f*dv_AktActive - Raf1Active*du_k24f*dv_MekInactive - Raf1Active*duv_AktActive*k18f - Raf1Active*duv_MekInactive*k24f - Raf1Active*duv_Raf1PPtase*k16f - Raf1PPtase*du_Raf1Active*dv_k16f - Raf1PPtase*du_k16f*dv_Raf1Active - Raf1PPtase*duv_Raf1Active*k16f - du_AktActive*dv_Raf1Active*k18f + du_AktRaf1*dv_k18b - du_MekInactive*dv_Raf1Active*k24f - du_Raf1Active*dv_AktActive*k18f - du_Raf1Active*dv_MekInactive*k24f - du_Raf1Active*dv_Raf1PPtase*k16f + du_Raf1Mek*dv_k24b + du_Raf1Mek*dv_k25f - du_Raf1PPtase*dv_Raf1Active*k16f + du_Raf1PPtaseRaf1*dv_k16b + du_RasRaf1*dv_k15f + du_k15f*dv_RasRaf1 + du_k16b*dv_Raf1PPtaseRaf1 + du_k18b*dv_AktRaf1 + du_k24b*dv_Raf1Mek + du_k25f*dv_Raf1Mek + duv_AktRaf1*k18b - duv_Raf1Active_prime + duv_Raf1Mek*k24b + duv_Raf1Mek*k25f + duv_Raf1PPtaseRaf1*k16b + duv_RasRaf1*k15f;
errors[184] = ErkInactive*du_MekActive*dv_k30f + ErkInactive*du_k30f*dv_MekActive + ErkInactive*duv_MekActive*k30f + MekActive*du_ErkInactive*dv_k30f + MekActive*du_k30f*dv_ErkInactive + MekActive*duv_ErkInactive*k30f + du_ErkInactive*dv_MekActive*k30f + du_MekActive*dv_ErkInactive*k30f - du_MekErk*dv_k30b - du_MekErk*dv_k31f - du_k30b*dv_MekErk - du_k31f*dv_MekErk - duv_MekErk*k30b - duv_MekErk*k31f - duv_MekErk_prime;
errors[185] = Rap1Active*du_RapGapActive*dv_k44f + Rap1Active*du_k44f*dv_RapGapActive + Rap1Active*duv_RapGapActive*k44f + RapGapActive*du_Rap1Active*dv_k44f + RapGapActive*du_k44f*dv_Rap1Active + RapGapActive*duv_Rap1Active*k44f + du_Rap1Active*dv_RapGapActive*k44f + du_RapGapActive*dv_Rap1Active*k44f - du_RapGapRap1*dv_k44b - du_RapGapRap1*dv_k45f - du_k44b*dv_RapGapRap1 - du_k45f*dv_RapGapRap1 - duv_RapGapRap1*k44b - duv_RapGapRap1*k45f - duv_RapGapRap1_prime;
errors[186] = -SosInactive*du_boundEGFReceptor*dv_k02f - SosInactive*du_boundNGFReceptor*dv_k04f - SosInactive*du_k02f*dv_boundEGFReceptor - SosInactive*du_k04f*dv_boundNGFReceptor - SosInactive*duv_boundEGFReceptor*k02f - SosInactive*duv_boundNGFReceptor*k04f - boundEGFReceptor*du_SosInactive*dv_k02f - boundEGFReceptor*du_k02f*dv_SosInactive - boundEGFReceptor*duv_SosInactive*k02f - boundNGFReceptor*du_SosInactive*dv_k04f - boundNGFReceptor*du_k04f*dv_SosInactive - boundNGFReceptor*duv_SosInactive*k04f + du_P90RskSos*dv_k07f - du_SosInactive*dv_boundEGFReceptor*k02f - du_SosInactive*dv_boundNGFReceptor*k04f - du_boundEGFReceptor*dv_SosInactive*k02f + du_boundEGFReceptorSos*dv_k02b - du_boundNGFReceptor*dv_SosInactive*k04f + du_boundNGFReceptorSos*dv_k04b + du_k02b*dv_boundEGFReceptorSos + du_k04b*dv_boundNGFReceptorSos + du_k07f*dv_P90RskSos + duv_P90RskSos*k07f - duv_SosInactive_prime + duv_boundEGFReceptorSos*k02b + duv_boundNGFReceptorSos*k04b;
errors[187] = -Rap1Active*du_RapGapActive*dv_k44f - Rap1Active*du_k44f*dv_RapGapActive - Rap1Active*duv_RapGapActive*k44f - RapGapActive*du_Rap1Active*dv_k44f - RapGapActive*du_k44f*dv_Rap1Active - RapGapActive*duv_Rap1Active*k44f - du_Rap1Active*dv_RapGapActive*k44f - du_RapGapActive*dv_Rap1Active*k44f + du_RapGapRap1*dv_k44b + du_RapGapRap1*dv_k45f + du_k44b*dv_RapGapRap1 + du_k45f*dv_RapGapRap1 - duv_RapGapActive_prime + duv_RapGapRap1*k44b + duv_RapGapRap1*k45f;
errors[188] = AktActive*du_Raf1Active*dv_k18f + AktActive*du_k18f*dv_Raf1Active + AktActive*duv_Raf1Active*k18f + Raf1Active*du_AktActive*dv_k18f + Raf1Active*du_k18f*dv_AktActive + Raf1Active*duv_AktActive*k18f + du_AktActive*dv_Raf1Active*k18f - du_AktRaf1*dv_k18b - du_AktRaf1*dv_k19f + du_Raf1Active*dv_AktActive*k18f - du_k18b*dv_AktRaf1 - du_k19f*dv_AktRaf1 - duv_AktRaf1*k18b - duv_AktRaf1*k19f - duv_AktRaf1_prime;
errors[189] = -EGF*du_freeEGFReceptor*dv_k00f - EGF*du_k00f*dv_freeEGFReceptor - EGF*duv_freeEGFReceptor*k00f - du_EGF*dv_freeEGFReceptor*k00f - du_EGF*dv_k00f*freeEGFReceptor + du_boundEGFReceptor*dv_k00b - du_freeEGFReceptor*dv_EGF*k00f + du_k00b*dv_boundEGFReceptor - du_k00f*dv_EGF*freeEGFReceptor - duv_EGF*freeEGFReceptor*k00f + duv_boundEGFReceptor*k00b - duv_freeEGFReceptor_prime;
errors[190] = -BRafActive*du_Raf1PPtase*dv_k22f - BRafActive*du_k22f*dv_Raf1PPtase - BRafActive*duv_Raf1PPtase*k22f - Raf1Active*du_Raf1PPtase*dv_k16f - Raf1Active*du_k16f*dv_Raf1PPtase - Raf1Active*duv_Raf1PPtase*k16f - Raf1PPtase*du_BRafActive*dv_k22f - Raf1PPtase*du_Raf1Active*dv_k16f - Raf1PPtase*du_k16f*dv_Raf1Active - Raf1PPtase*du_k22f*dv_BRafActive - Raf1PPtase*duv_BRafActive*k22f - Raf1PPtase*duv_Raf1Active*k16f - du_BRafActive*dv_Raf1PPtase*k22f - du_Raf1Active*dv_Raf1PPtase*k16f - du_Raf1PPtase*dv_BRafActive*k22f - du_Raf1PPtase*dv_Raf1Active*k16f + du_Raf1PPtaseBRaf*dv_k22b + du_Raf1PPtaseBRaf*dv_k23f + du_Raf1PPtaseRaf1*dv_k16b + du_Raf1PPtaseRaf1*dv_k17f + du_k16b*dv_Raf1PPtaseRaf1 + du_k17f*dv_Raf1PPtaseRaf1 + du_k22b*dv_Raf1PPtaseBRaf + du_k23f*dv_Raf1PPtaseBRaf + duv_Raf1PPtaseBRaf*k22b + duv_Raf1PPtaseBRaf*k23f + duv_Raf1PPtaseRaf1*k16b + duv_Raf1PPtaseRaf1*k17f - duv_Raf1PPtase_prime;
errors[191] = C3GActive*du_Rap1Inactive*dv_k42f + C3GActive*du_k42f*dv_Rap1Inactive + C3GActive*duv_Rap1Inactive*k42f + Rap1Inactive*du_C3GActive*dv_k42f + Rap1Inactive*du_k42f*dv_C3GActive + Rap1Inactive*duv_C3GActive*k42f + du_C3GActive*dv_Rap1Inactive*k42f - du_C3GRap1*dv_k42b - du_C3GRap1*dv_k43f + du_Rap1Inactive*dv_C3GActive*k42f - du_k42b*dv_C3GRap1 - du_k43f*dv_C3GRap1 - duv_C3GRap1*k42b - duv_C3GRap1*k43f - duv_C3GRap1_prime;
errors[192] = -BRafInactive*du_Rap1Active*dv_k20f - BRafInactive*du_k20f*dv_Rap1Active - BRafInactive*duv_Rap1Active*k20f - Rap1Active*du_BRafInactive*dv_k20f - Rap1Active*du_RapGapActive*dv_k44f - Rap1Active*du_k20f*dv_BRafInactive - Rap1Active*du_k44f*dv_RapGapActive - Rap1Active*duv_BRafInactive*k20f - Rap1Active*duv_RapGapActive*k44f - RapGapActive*du_Rap1Active*dv_k44f - RapGapActive*du_k44f*dv_Rap1Active - RapGapActive*duv_Rap1Active*k44f - du_BRafInactive*dv_Rap1Active*k20f + du_C3GRap1*dv_k43f - du_Rap1Active*dv_BRafInactive*k20f - du_Rap1Active*dv_RapGapActive*k44f + du_Rap1BRaf*dv_k20b + du_Rap1BRaf*dv_k21f - du_RapGapActive*dv_Rap1Active*k44f + du_RapGapRap1*dv_k44b + du_k20b*dv_Rap1BRaf + du_k21f*dv_Rap1BRaf + du_k43f*dv_C3GRap1 + du_k44b*dv_RapGapRap1 + duv_C3GRap1*k43f - duv_Rap1Active_prime + duv_Rap1BRaf*k20b + duv_Rap1BRaf*k21f + duv_RapGapRap1*k44b;
errors[193] = -BRafActive*du_MekInactive*dv_k26f - BRafActive*du_k26f*dv_MekInactive - BRafActive*duv_MekInactive*k26f - MekInactive*du_BRafActive*dv_k26f - MekInactive*du_Raf1Active*dv_k24f - MekInactive*du_k24f*dv_Raf1Active - MekInactive*du_k26f*dv_BRafActive - MekInactive*duv_BRafActive*k26f - MekInactive*duv_Raf1Active*k24f - Raf1Active*du_MekInactive*dv_k24f - Raf1Active*du_k24f*dv_MekInactive - Raf1Active*duv_MekInactive*k24f - du_BRafActive*dv_MekInactive*k26f + du_BRafMek*dv_k26b - du_MekInactive*dv_BRafActive*k26f - du_MekInactive*dv_Raf1Active*k24f + du_PP2AMek*dv_k29f - du_Raf1Active*dv_MekInactive*k24f + du_Raf1Mek*dv_k24b + du_k24b*dv_Raf1Mek + du_k26b*dv_BRafMek + du_k29f*dv_PP2AMek + duv_BRafMek*k26b - duv_MekInactive_prime + duv_PP2AMek*k29f + duv_Raf1Mek*k24b;
errors[194] = MekInactive*du_Raf1Active*dv_k24f + MekInactive*du_k24f*dv_Raf1Active + MekInactive*duv_Raf1Active*k24f + Raf1Active*du_MekInactive*dv_k24f + Raf1Active*du_k24f*dv_MekInactive + Raf1Active*duv_MekInactive*k24f + du_MekInactive*dv_Raf1Active*k24f + du_Raf1Active*dv_MekInactive*k24f - du_Raf1Mek*dv_k24b - du_Raf1Mek*dv_k25f - du_k24b*dv_Raf1Mek - du_k25f*dv_Raf1Mek - duv_Raf1Mek*k24b - duv_Raf1Mek*k25f - duv_Raf1Mek_prime;
errors[195] = RasInactive*du_SosActive*dv_k10f + RasInactive*du_k10f*dv_SosActive + RasInactive*duv_SosActive*k10f + SosActive*du_RasInactive*dv_k10f + SosActive*du_k10f*dv_RasInactive + SosActive*duv_RasInactive*k10f + du_RasInactive*dv_SosActive*k10f + du_SosActive*dv_RasInactive*k10f - du_SosRas*dv_k10b - du_SosRas*dv_k11f - du_k10b*dv_SosRas - du_k11f*dv_SosRas - duv_SosRas*k10b - duv_SosRas*k11f - duv_SosRas_prime;
errors[196] = -P90RskActive*du_SosActive*dv_k06f - P90RskActive*du_k06f*dv_SosActive - P90RskActive*duv_SosActive*k06f - SosActive*du_P90RskActive*dv_k06f - SosActive*du_k06f*dv_P90RskActive - SosActive*duv_P90RskActive*k06f + du_ErkP90Rsk*dv_k09f - du_P90RskActive*dv_SosActive*k06f + du_P90RskSos*dv_k06b + du_P90RskSos*dv_k07f - du_SosActive*dv_P90RskActive*k06f + du_k06b*dv_P90RskSos + du_k07f*dv_P90RskSos + du_k09f*dv_ErkP90Rsk + duv_ErkP90Rsk*k09f - duv_P90RskActive_prime + duv_P90RskSos*k06b + duv_P90RskSos*k07f;
errors[197] = ErkActive*du_PP2AActive*dv_k32f + ErkActive*du_k32f*dv_PP2AActive + ErkActive*duv_PP2AActive*k32f + PP2AActive*du_ErkActive*dv_k32f + PP2AActive*du_k32f*dv_ErkActive + PP2AActive*duv_ErkActive*k32f + du_ErkActive*dv_PP2AActive*k32f + du_PP2AActive*dv_ErkActive*k32f - du_PP2AErk*dv_k32b - du_PP2AErk*dv_k33f - du_k32b*dv_PP2AErk - du_k33f*dv_PP2AErk - duv_PP2AErk*k32b - duv_PP2AErk*k33f - duv_PP2AErk_prime;
errors[198] = PI3KInactive*du_boundEGFReceptor*dv_k34f + PI3KInactive*du_k34f*dv_boundEGFReceptor + PI3KInactive*duv_boundEGFReceptor*k34f + boundEGFReceptor*du_PI3KInactive*dv_k34f + boundEGFReceptor*du_k34f*dv_PI3KInactive + boundEGFReceptor*duv_PI3KInactive*k34f + du_PI3KInactive*dv_boundEGFReceptor*k34f + du_boundEGFReceptor*dv_PI3KInactive*k34f - du_boundEGFReceptorPI3K*dv_k34b - du_boundEGFReceptorPI3K*dv_k35f - du_k34b*dv_boundEGFReceptorPI3K - du_k35f*dv_boundEGFReceptorPI3K - duv_boundEGFReceptorPI3K*k34b - duv_boundEGFReceptorPI3K*k35f - duv_boundEGFReceptorPI3K_prime;
errors[199] = -AktInactive*du_PI3KActive*dv_k38f - AktInactive*du_k38f*dv_PI3KActive - AktInactive*duv_PI3KActive*k38f - PI3KActive*du_AktInactive*dv_k38f - PI3KActive*du_k38f*dv_AktInactive - PI3KActive*duv_AktInactive*k38f - du_AktInactive*dv_PI3KActive*k38f - du_PI3KActive*dv_AktInactive*k38f + du_PI3KAkt*dv_k38b + du_PI3KAkt*dv_k39f + du_RasPI3K*dv_k37f + du_boundEGFReceptorPI3K*dv_k35f + du_k35f*dv_boundEGFReceptorPI3K + du_k37f*dv_RasPI3K + du_k38b*dv_PI3KAkt + du_k39f*dv_PI3KAkt - duv_PI3KActive_prime + duv_PI3KAkt*k38b + duv_PI3KAkt*k39f + duv_RasPI3K*k37f + duv_boundEGFReceptorPI3K*k35f;
errors[200] = -RasActive*du_RasGapActive*dv_k12f - RasActive*du_k12f*dv_RasGapActive - RasActive*duv_RasGapActive*k12f - RasGapActive*du_RasActive*dv_k12f - RasGapActive*du_k12f*dv_RasActive - RasGapActive*duv_RasActive*k12f - du_RasActive*dv_RasGapActive*k12f - du_RasGapActive*dv_RasActive*k12f + du_RasGapRas*dv_k12b + du_RasGapRas*dv_k13f + du_k12b*dv_RasGapRas + du_k13f*dv_RasGapRas - duv_RasGapActive_prime + duv_RasGapRas*k12b + duv_RasGapRas*k13f;
errors[201] = -BRafActive*du_MekInactive*dv_k26f - BRafActive*du_Raf1PPtase*dv_k22f - BRafActive*du_k22f*dv_Raf1PPtase - BRafActive*du_k26f*dv_MekInactive - BRafActive*duv_MekInactive*k26f - BRafActive*duv_Raf1PPtase*k22f - MekInactive*du_BRafActive*dv_k26f - MekInactive*du_k26f*dv_BRafActive - MekInactive*duv_BRafActive*k26f - Raf1PPtase*du_BRafActive*dv_k22f - Raf1PPtase*du_k22f*dv_BRafActive - Raf1PPtase*duv_BRafActive*k22f - du_BRafActive*dv_MekInactive*k26f - du_BRafActive*dv_Raf1PPtase*k22f + du_BRafMek*dv_k26b + du_BRafMek*dv_k27f - du_MekInactive*dv_BRafActive*k26f - du_Raf1PPtase*dv_BRafActive*k22f + du_Raf1PPtaseBRaf*dv_k22b + du_Rap1BRaf*dv_k21f + du_k21f*dv_Rap1BRaf + du_k22b*dv_Raf1PPtaseBRaf + du_k26b*dv_BRafMek + du_k27f*dv_BRafMek - duv_BRafActive_prime + duv_BRafMek*k26b + duv_BRafMek*k27f + duv_Raf1PPtaseBRaf*k22b + duv_Rap1BRaf*k21f;
errors[202] = SosInactive*du_boundEGFReceptor*dv_k02f + SosInactive*du_k02f*dv_boundEGFReceptor + SosInactive*duv_boundEGFReceptor*k02f + boundEGFReceptor*du_SosInactive*dv_k02f + boundEGFReceptor*du_k02f*dv_SosInactive + boundEGFReceptor*duv_SosInactive*k02f + du_SosInactive*dv_boundEGFReceptor*k02f + du_boundEGFReceptor*dv_SosInactive*k02f - du_boundEGFReceptorSos*dv_k02b - du_boundEGFReceptorSos*dv_k03f - du_k02b*dv_boundEGFReceptorSos - du_k03f*dv_boundEGFReceptorSos - duv_boundEGFReceptorSos*k02b - duv_boundEGFReceptorSos*k03f - duv_boundEGFReceptorSos_prime;
errors[203] = -C3GActive*du_Rap1Inactive*dv_k42f - C3GActive*du_k42f*dv_Rap1Inactive - C3GActive*duv_Rap1Inactive*k42f - Rap1Inactive*du_C3GActive*dv_k42f - Rap1Inactive*du_k42f*dv_C3GActive - Rap1Inactive*duv_C3GActive*k42f - du_C3GActive*dv_Rap1Inactive*k42f + du_C3GRap1*dv_k42b - du_Rap1Inactive*dv_C3GActive*k42f + du_RapGapRap1*dv_k45f + du_k42b*dv_C3GRap1 + du_k45f*dv_RapGapRap1 + duv_C3GRap1*k42b - duv_Rap1Inactive_prime + duv_RapGapRap1*k45f;
errors[204] = -ErkActive*du_P90RskInactive*dv_k08f - ErkActive*du_PP2AActive*dv_k32f - ErkActive*du_k08f*dv_P90RskInactive - ErkActive*du_k32f*dv_PP2AActive - ErkActive*duv_P90RskInactive*k08f - ErkActive*duv_PP2AActive*k32f - P90RskInactive*du_ErkActive*dv_k08f - P90RskInactive*du_k08f*dv_ErkActive - P90RskInactive*duv_ErkActive*k08f - PP2AActive*du_ErkActive*dv_k32f - PP2AActive*du_k32f*dv_ErkActive - PP2AActive*duv_ErkActive*k32f - du_ErkActive*dv_P90RskInactive*k08f - du_ErkActive*dv_PP2AActive*k32f + du_ErkP90Rsk*dv_k08b + du_ErkP90Rsk*dv_k09f + du_MekErk*dv_k31f - du_P90RskInactive*dv_ErkActive*k08f - du_PP2AActive*dv_ErkActive*k32f + du_PP2AErk*dv_k32b + du_k08b*dv_ErkP90Rsk + du_k09f*dv_ErkP90Rsk + du_k31f*dv_MekErk + du_k32b*dv_PP2AErk - duv_ErkActive_prime + duv_ErkP90Rsk*k08b + duv_ErkP90Rsk*k09f + duv_MekErk*k31f + duv_PP2AErk*k32b;
errors[205] = -NGF*du_freeNGFReceptor*dv_k01f - NGF*du_k01f*dv_freeNGFReceptor - NGF*duv_freeNGFReceptor*k01f - du_NGF*dv_freeNGFReceptor*k01f - du_NGF*dv_k01f*freeNGFReceptor + du_boundNGFReceptor*dv_k01b - du_freeNGFReceptor*dv_NGF*k01f + du_k01b*dv_boundNGFReceptor - du_k01f*dv_NGF*freeNGFReceptor - duv_NGF*freeNGFReceptor*k01f + duv_boundNGFReceptor*k01b - duv_freeNGFReceptor_prime;
errors[206] = -C3GInactive*du_boundNGFReceptor*dv_k40f - C3GInactive*du_k40f*dv_boundNGFReceptor - C3GInactive*duv_boundNGFReceptor*k40f - boundNGFReceptor*du_C3GInactive*dv_k40f - boundNGFReceptor*du_k40f*dv_C3GInactive - boundNGFReceptor*duv_C3GInactive*k40f - du_C3GInactive*dv_boundNGFReceptor*k40f - du_boundNGFReceptor*dv_C3GInactive*k40f + du_boundNGFReceptorC3G*dv_k40b + du_k40b*dv_boundNGFReceptorC3G - duv_C3GInactive_prime + duv_boundNGFReceptorC3G*k40b;
errors[207] = -Raf1Inactive*du_RasActive*dv_k14f - Raf1Inactive*du_k14f*dv_RasActive - Raf1Inactive*duv_RasActive*k14f - RasActive*du_Raf1Inactive*dv_k14f - RasActive*du_k14f*dv_Raf1Inactive - RasActive*duv_Raf1Inactive*k14f + du_AktRaf1*dv_k19f - du_Raf1Inactive*dv_RasActive*k14f + du_Raf1PPtaseRaf1*dv_k17f - du_RasActive*dv_Raf1Inactive*k14f + du_RasRaf1*dv_k14b + du_k14b*dv_RasRaf1 + du_k17f*dv_Raf1PPtaseRaf1 + du_k19f*dv_AktRaf1 + duv_AktRaf1*k19f - duv_Raf1Inactive_prime + duv_Raf1PPtaseRaf1*k17f + duv_RasRaf1*k14b;
errors[208] = -PI3KInactive*du_RasActive*dv_k36f - PI3KInactive*du_boundEGFReceptor*dv_k34f - PI3KInactive*du_k34f*dv_boundEGFReceptor - PI3KInactive*du_k36f*dv_RasActive - PI3KInactive*duv_RasActive*k36f - PI3KInactive*duv_boundEGFReceptor*k34f - RasActive*du_PI3KInactive*dv_k36f - RasActive*du_k36f*dv_PI3KInactive - RasActive*duv_PI3KInactive*k36f - boundEGFReceptor*du_PI3KInactive*dv_k34f - boundEGFReceptor*du_k34f*dv_PI3KInactive - boundEGFReceptor*duv_PI3KInactive*k34f - du_PI3KInactive*dv_RasActive*k36f - du_PI3KInactive*dv_boundEGFReceptor*k34f - du_RasActive*dv_PI3KInactive*k36f + du_RasPI3K*dv_k36b - du_boundEGFReceptor*dv_PI3KInactive*k34f + du_boundEGFReceptorPI3K*dv_k34b + du_k34b*dv_boundEGFReceptorPI3K + du_k36b*dv_RasPI3K - duv_PI3KInactive_prime + duv_RasPI3K*k36b + duv_boundEGFReceptorPI3K*k34b;
errors[209] = -BRafInactive*du_Rap1Active*dv_k20f - BRafInactive*du_k20f*dv_Rap1Active - BRafInactive*duv_Rap1Active*k20f - Rap1Active*du_BRafInactive*dv_k20f - Rap1Active*du_k20f*dv_BRafInactive - Rap1Active*duv_BRafInactive*k20f - du_BRafInactive*dv_Rap1Active*k20f + du_Raf1PPtaseBRaf*dv_k23f - du_Rap1Active*dv_BRafInactive*k20f + du_Rap1BRaf*dv_k20b + du_k20b*dv_Rap1BRaf + du_k23f*dv_Raf1PPtaseBRaf - duv_BRafInactive_prime + duv_Raf1PPtaseBRaf*k23f + duv_Rap1BRaf*k20b;
errors[210] = BRafInactive*du_Rap1Active*dv_k20f + BRafInactive*du_k20f*dv_Rap1Active + BRafInactive*duv_Rap1Active*k20f + Rap1Active*du_BRafInactive*dv_k20f + Rap1Active*du_k20f*dv_BRafInactive + Rap1Active*duv_BRafInactive*k20f + du_BRafInactive*dv_Rap1Active*k20f + du_Rap1Active*dv_BRafInactive*k20f - du_Rap1BRaf*dv_k20b - du_Rap1BRaf*dv_k21f - du_k20b*dv_Rap1BRaf - du_k21f*dv_Rap1BRaf - duv_Rap1BRaf*k20b - duv_Rap1BRaf*k21f - duv_Rap1BRaf_prime;
errors[211] = -PI3KInactive*du_RasActive*dv_k36f - PI3KInactive*du_k36f*dv_RasActive - PI3KInactive*duv_RasActive*k36f - Raf1Inactive*du_RasActive*dv_k14f - Raf1Inactive*du_k14f*dv_RasActive - Raf1Inactive*duv_RasActive*k14f - RasActive*du_PI3KInactive*dv_k36f - RasActive*du_Raf1Inactive*dv_k14f - RasActive*du_RasGapActive*dv_k12f - RasActive*du_k12f*dv_RasGapActive - RasActive*du_k14f*dv_Raf1Inactive - RasActive*du_k36f*dv_PI3KInactive - RasActive*duv_PI3KInactive*k36f - RasActive*duv_Raf1Inactive*k14f - RasActive*duv_RasGapActive*k12f - RasGapActive*du_RasActive*dv_k12f - RasGapActive*du_k12f*dv_RasActive - RasGapActive*duv_RasActive*k12f - du_PI3KInactive*dv_RasActive*k36f - du_Raf1Inactive*dv_RasActive*k14f - du_RasActive*dv_PI3KInactive*k36f - du_RasActive*dv_Raf1Inactive*k14f - du_RasActive*dv_RasGapActive*k12f - du_RasGapActive*dv_RasActive*k12f + du_RasGapRas*dv_k12b + du_RasPI3K*dv_k36b + du_RasPI3K*dv_k37f + du_RasRaf1*dv_k14b + du_RasRaf1*dv_k15f + du_SosRas*dv_k11f + du_k11f*dv_SosRas + du_k12b*dv_RasGapRas + du_k14b*dv_RasRaf1 + du_k15f*dv_RasRaf1 + du_k36b*dv_RasPI3K + du_k37f*dv_RasPI3K - duv_RasActive_prime + duv_RasGapRas*k12b + duv_RasPI3K*k36b + duv_RasPI3K*k37f + duv_RasRaf1*k14b + duv_RasRaf1*k15f + duv_SosRas*k11f;
errors[212] = -RasInactive*du_SosActive*dv_k10f - RasInactive*du_k10f*dv_SosActive - RasInactive*duv_SosActive*k10f - SosActive*du_RasInactive*dv_k10f - SosActive*du_k10f*dv_RasInactive - SosActive*duv_RasInactive*k10f + du_RasGapRas*dv_k13f - du_RasInactive*dv_SosActive*k10f - du_SosActive*dv_RasInactive*k10f + du_SosRas*dv_k10b + du_k10b*dv_SosRas + du_k13f*dv_RasGapRas + duv_RasGapRas*k13f - duv_RasInactive_prime + duv_SosRas*k10b;
errors[213] = MekActive*du_PP2AActive*dv_k28f + MekActive*du_k28f*dv_PP2AActive + MekActive*duv_PP2AActive*k28f + PP2AActive*du_MekActive*dv_k28f + PP2AActive*du_k28f*dv_MekActive + PP2AActive*duv_MekActive*k28f + du_MekActive*dv_PP2AActive*k28f + du_PP2AActive*dv_MekActive*k28f - du_PP2AMek*dv_k28b - du_PP2AMek*dv_k29f - du_k28b*dv_PP2AMek - du_k29f*dv_PP2AMek - duv_PP2AMek*k28b - duv_PP2AMek*k29f - duv_PP2AMek_prime;
errors[214] = AktInactive*du_PI3KActive*dv_k38f + AktInactive*du_k38f*dv_PI3KActive + AktInactive*duv_PI3KActive*k38f + PI3KActive*du_AktInactive*dv_k38f + PI3KActive*du_k38f*dv_AktInactive + PI3KActive*duv_AktInactive*k38f + du_AktInactive*dv_PI3KActive*k38f + du_PI3KActive*dv_AktInactive*k38f - du_PI3KAkt*dv_k38b - du_PI3KAkt*dv_k39f - du_k38b*dv_PI3KAkt - du_k39f*dv_PI3KAkt - duv_PI3KAkt*k38b - duv_PI3KAkt*k39f - duv_PI3KAkt_prime;
errors[215] = -C3GActive*du_Rap1Inactive*dv_k42f - C3GActive*du_k42f*dv_Rap1Inactive - C3GActive*duv_Rap1Inactive*k42f - Rap1Inactive*du_C3GActive*dv_k42f - Rap1Inactive*du_k42f*dv_C3GActive - Rap1Inactive*duv_C3GActive*k42f - du_C3GActive*dv_Rap1Inactive*k42f + du_C3GRap1*dv_k42b + du_C3GRap1*dv_k43f - du_Rap1Inactive*dv_C3GActive*k42f + du_boundNGFReceptorC3G*dv_k41f + du_k41f*dv_boundNGFReceptorC3G + du_k42b*dv_C3GRap1 + du_k43f*dv_C3GRap1 - duv_C3GActive_prime + duv_C3GRap1*k42b + duv_C3GRap1*k43f + duv_boundNGFReceptorC3G*k41f;
}

void jac_function(double t, double *dynamicVars, double *yprime, double *pd, double cj, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double du_cell = constants[91];
double du_RasGapTotal = constants[92];
double du_RapGapTotal = constants[93];
double du_PP2ATotal = constants[94];
double du_Raf1PPtaseTotal = constants[95];
double du_EGF_IC = constants[96];
double du_NGF_IC = constants[97];
double du_Total_EGFReceptor = constants[98];
double du_Total_NGFReceptor = constants[99];
double du_Total_Sos = constants[100];
double du_Total_P90Rsk = constants[101];
double du_Total_Ras = constants[102];
double du_Total_Raf1 = constants[103];
double du_Total_BRaf = constants[104];
double du_Total_Mek = constants[105];
double du_Total_Erk = constants[106];
double du_Total_PI3K = constants[107];
double du_Total_Akt = constants[108];
double du_Total_C3G = constants[109];
double du_Total_Rap1 = constants[110];
double du_Zero = constants[111];
double du_k00f = constants[112];
double du_k00b = constants[113];
double du_k01f = constants[114];
double du_k01b = constants[115];
double du_k02f = constants[116];
double du_k02b = constants[117];
double du_k03f = constants[118];
double du_k04f = constants[119];
double du_k04b = constants[120];
double du_k05f = constants[121];
double du_k06f = constants[122];
double du_k06b = constants[123];
double du_k07f = constants[124];
double du_k08f = constants[125];
double du_k08b = constants[126];
double du_k09f = constants[127];
double du_k10f = constants[128];
double du_k10b = constants[129];
double du_k11f = constants[130];
double du_k12f = constants[131];
double du_k12b = constants[132];
double du_k13f = constants[133];
double du_k14f = constants[134];
double du_k14b = constants[135];
double du_k15f = constants[136];
double du_k16f = constants[137];
double du_k16b = constants[138];
double du_k17f = constants[139];
double du_k18f = constants[140];
double du_k18b = constants[141];
double du_k19f = constants[142];
double du_k20f = constants[143];
double du_k20b = constants[144];
double du_k21f = constants[145];
double du_k22f = constants[146];
double du_k22b = constants[147];
double du_k23f = constants[148];
double du_k24f = constants[149];
double du_k24b = constants[150];
double du_k25f = constants[151];
double du_k26f = constants[152];
double du_k26b = constants[153];
double du_k27f = constants[154];
double du_k28f = constants[155];
double du_k28b = constants[156];
double du_k29f = constants[157];
double du_k30f = constants[158];
double du_k30b = constants[159];
double du_k31f = constants[160];
double du_k32f = constants[161];
double du_k32b = constants[162];
double du_k33f = constants[163];
double du_k34f = constants[164];
double du_k34b = constants[165];
double du_k35f = constants[166];
double du_k36f = constants[167];
double du_k36b = constants[168];
double du_k37f = constants[169];
double du_k38f = constants[170];
double du_k38b = constants[171];
double du_k39f = constants[172];
double du_k40f = constants[173];
double du_k40b = constants[174];
double du_k41f = constants[175];
double du_k42f = constants[176];
double du_k42b = constants[177];
double du_k43f = constants[178];
double du_k44f = constants[179];
double du_k44b = constants[180];
double du_k45f = constants[181];
double dv_cell = constants[182];
double dv_RasGapTotal = constants[183];
double dv_RapGapTotal = constants[184];
double dv_PP2ATotal = constants[185];
double dv_Raf1PPtaseTotal = constants[186];
double dv_EGF_IC = constants[187];
double dv_NGF_IC = constants[188];
double dv_Total_EGFReceptor = constants[189];
double dv_Total_NGFReceptor = constants[190];
double dv_Total_Sos = constants[191];
double dv_Total_P90Rsk = constants[192];
double dv_Total_Ras = constants[193];
double dv_Total_Raf1 = constants[194];
double dv_Total_BRaf = constants[195];
double dv_Total_Mek = constants[196];
double dv_Total_Erk = constants[197];
double dv_Total_PI3K = constants[198];
double dv_Total_Akt = constants[199];
double dv_Total_C3G = constants[200];
double dv_Total_Rap1 = constants[201];
double dv_Zero = constants[202];
double dv_k00f = constants[203];
double dv_k00b = constants[204];
double dv_k01f = constants[205];
double dv_k01b = constants[206];
double dv_k02f = constants[207];
double dv_k02b = constants[208];
double dv_k03f = constants[209];
double dv_k04f = constants[210];
double dv_k04b = constants[211];
double dv_k05f = constants[212];
double dv_k06f = constants[213];
double dv_k06b = constants[214];
double dv_k07f = constants[215];
double dv_k08f = constants[216];
double dv_k08b = constants[217];
double dv_k09f = constants[218];
double dv_k10f = constants[219];
double dv_k10b = constants[220];
double dv_k11f = constants[221];
double dv_k12f = constants[222];
double dv_k12b = constants[223];
double dv_k13f = constants[224];
double dv_k14f = constants[225];
double dv_k14b = constants[226];
double dv_k15f = constants[227];
double dv_k16f = constants[228];
double dv_k16b = constants[229];
double dv_k17f = constants[230];
double dv_k18f = constants[231];
double dv_k18b = constants[232];
double dv_k19f = constants[233];
double dv_k20f = constants[234];
double dv_k20b = constants[235];
double dv_k21f = constants[236];
double dv_k22f = constants[237];
double dv_k22b = constants[238];
double dv_k23f = constants[239];
double dv_k24f = constants[240];
double dv_k24b = constants[241];
double dv_k25f = constants[242];
double dv_k26f = constants[243];
double dv_k26b = constants[244];
double dv_k27f = constants[245];
double dv_k28f = constants[246];
double dv_k28b = constants[247];
double dv_k29f = constants[248];
double dv_k30f = constants[249];
double dv_k30b = constants[250];
double dv_k31f = constants[251];
double dv_k32f = constants[252];
double dv_k32b = constants[253];
double dv_k33f = constants[254];
double dv_k34f = constants[255];
double dv_k34b = constants[256];
double dv_k35f = constants[257];
double dv_k36f = constants[258];
double dv_k36b = constants[259];
double dv_k37f = constants[260];
double dv_k38f = constants[261];
double dv_k38b = constants[262];
double dv_k39f = constants[263];
double dv_k40f = constants[264];
double dv_k40b = constants[265];
double dv_k41f = constants[266];
double dv_k42f = constants[267];
double dv_k42b = constants[268];
double dv_k43f = constants[269];
double dv_k44f = constants[270];
double dv_k44b = constants[271];
double dv_k45f = constants[272];

double EGF = dynamicVars[0];
double NGF = dynamicVars[1];
double boundEGFReceptor = dynamicVars[2];
double boundNGFReceptor = dynamicVars[3];
double SosActive = dynamicVars[4];
double P90RskActive = dynamicVars[5];
double RasActive = dynamicVars[6];
double Raf1Active = dynamicVars[7];
double BRafActive = dynamicVars[8];
double MekActive = dynamicVars[9];
double ErkActive = dynamicVars[10];
double PI3KActive = dynamicVars[11];
double AktActive = dynamicVars[12];
double C3GActive = dynamicVars[13];
double Rap1Active = dynamicVars[14];
double freeEGFReceptor = dynamicVars[15];
double freeNGFReceptor = dynamicVars[16];
double SosInactive = dynamicVars[17];
double P90RskInactive = dynamicVars[18];
double RasInactive = dynamicVars[19];
double Raf1Inactive = dynamicVars[20];
double BRafInactive = dynamicVars[21];
double MekInactive = dynamicVars[22];
double ErkInactive = dynamicVars[23];
double PI3KInactive = dynamicVars[24];
double AktInactive = dynamicVars[25];
double C3GInactive = dynamicVars[26];
double Rap1Inactive = dynamicVars[27];
double RasPI3K = dynamicVars[28];
double Raf1PPtaseRaf1 = dynamicVars[29];
double BRafMek = dynamicVars[30];
double boundNGFReceptorC3G = dynamicVars[31];
double P90RskSos = dynamicVars[32];
double Raf1PPtaseBRaf = dynamicVars[33];
double PP2AActive = dynamicVars[34];
double RasGapRas = dynamicVars[35];
double ErkP90Rsk = dynamicVars[36];
double RasRaf1 = dynamicVars[37];
double MekErk = dynamicVars[38];
double RapGapRap1 = dynamicVars[39];
double RapGapActive = dynamicVars[40];
double AktRaf1 = dynamicVars[41];
double Raf1PPtase = dynamicVars[42];
double C3GRap1 = dynamicVars[43];
double Raf1Mek = dynamicVars[44];
double SosRas = dynamicVars[45];
double boundEGFReceptorPI3K = dynamicVars[46];
double RasGapActive = dynamicVars[47];
double boundEGFReceptorSos = dynamicVars[48];
double boundNGFReceptorSos = dynamicVars[49];
double Rap1BRaf = dynamicVars[50];
double PP2AMek = dynamicVars[51];
double PP2AErk = dynamicVars[52];
double PI3KAkt = dynamicVars[53];
double du_EGF = dynamicVars[54];
double du_NGF = dynamicVars[55];
double du_boundEGFReceptor = dynamicVars[56];
double du_boundNGFReceptor = dynamicVars[57];
double du_SosActive = dynamicVars[58];
double du_P90RskActive = dynamicVars[59];
double du_RasActive = dynamicVars[60];
double du_Raf1Active = dynamicVars[61];
double du_BRafActive = dynamicVars[62];
double du_MekActive = dynamicVars[63];
double du_ErkActive = dynamicVars[64];
double du_PI3KActive = dynamicVars[65];
double du_AktActive = dynamicVars[66];
double du_C3GActive = dynamicVars[67];
double du_Rap1Active = dynamicVars[68];
double du_freeEGFReceptor = dynamicVars[69];
double du_freeNGFReceptor = dynamicVars[70];
double du_SosInactive = dynamicVars[71];
double du_P90RskInactive = dynamicVars[72];
double du_RasInactive = dynamicVars[73];
double du_Raf1Inactive = dynamicVars[74];
double du_BRafInactive = dynamicVars[75];
double du_MekInactive = dynamicVars[76];
double du_ErkInactive = dynamicVars[77];
double du_PI3KInactive = dynamicVars[78];
double du_AktInactive = dynamicVars[79];
double du_C3GInactive = dynamicVars[80];
double du_Rap1Inactive = dynamicVars[81];
double du_RasPI3K = dynamicVars[82];
double du_Raf1PPtaseRaf1 = dynamicVars[83];
double du_BRafMek = dynamicVars[84];
double du_boundNGFReceptorC3G = dynamicVars[85];
double du_P90RskSos = dynamicVars[86];
double du_Raf1PPtaseBRaf = dynamicVars[87];
double du_PP2AActive = dynamicVars[88];
double du_RasGapRas = dynamicVars[89];
double du_ErkP90Rsk = dynamicVars[90];
double du_RasRaf1 = dynamicVars[91];
double du_MekErk = dynamicVars[92];
double du_RapGapRap1 = dynamicVars[93];
double du_RapGapActive = dynamicVars[94];
double du_AktRaf1 = dynamicVars[95];
double du_Raf1PPtase = dynamicVars[96];
double du_C3GRap1 = dynamicVars[97];
double du_Raf1Mek = dynamicVars[98];
double du_SosRas = dynamicVars[99];
double du_boundEGFReceptorPI3K = dynamicVars[100];
double du_RasGapActive = dynamicVars[101];
double du_boundEGFReceptorSos = dynamicVars[102];
double du_boundNGFReceptorSos = dynamicVars[103];
double du_Rap1BRaf = dynamicVars[104];
double du_PP2AMek = dynamicVars[105];
double du_PP2AErk = dynamicVars[106];
double du_PI3KAkt = dynamicVars[107];
double dv_EGF = dynamicVars[108];
double dv_NGF = dynamicVars[109];
double dv_boundEGFReceptor = dynamicVars[110];
double dv_boundNGFReceptor = dynamicVars[111];
double dv_SosActive = dynamicVars[112];
double dv_P90RskActive = dynamicVars[113];
double dv_RasActive = dynamicVars[114];
double dv_Raf1Active = dynamicVars[115];
double dv_BRafActive = dynamicVars[116];
double dv_MekActive = dynamicVars[117];
double dv_ErkActive = dynamicVars[118];
double dv_PI3KActive = dynamicVars[119];
double dv_AktActive = dynamicVars[120];
double dv_C3GActive = dynamicVars[121];
double dv_Rap1Active = dynamicVars[122];
double dv_freeEGFReceptor = dynamicVars[123];
double dv_freeNGFReceptor = dynamicVars[124];
double dv_SosInactive = dynamicVars[125];
double dv_P90RskInactive = dynamicVars[126];
double dv_RasInactive = dynamicVars[127];
double dv_Raf1Inactive = dynamicVars[128];
double dv_BRafInactive = dynamicVars[129];
double dv_MekInactive = dynamicVars[130];
double dv_ErkInactive = dynamicVars[131];
double dv_PI3KInactive = dynamicVars[132];
double dv_AktInactive = dynamicVars[133];
double dv_C3GInactive = dynamicVars[134];
double dv_Rap1Inactive = dynamicVars[135];
double dv_RasPI3K = dynamicVars[136];
double dv_Raf1PPtaseRaf1 = dynamicVars[137];
double dv_BRafMek = dynamicVars[138];
double dv_boundNGFReceptorC3G = dynamicVars[139];
double dv_P90RskSos = dynamicVars[140];
double dv_Raf1PPtaseBRaf = dynamicVars[141];
double dv_PP2AActive = dynamicVars[142];
double dv_RasGapRas = dynamicVars[143];
double dv_ErkP90Rsk = dynamicVars[144];
double dv_RasRaf1 = dynamicVars[145];
double dv_MekErk = dynamicVars[146];
double dv_RapGapRap1 = dynamicVars[147];
double dv_RapGapActive = dynamicVars[148];
double dv_AktRaf1 = dynamicVars[149];
double dv_Raf1PPtase = dynamicVars[150];
double dv_C3GRap1 = dynamicVars[151];
double dv_Raf1Mek = dynamicVars[152];
double dv_SosRas = dynamicVars[153];
double dv_boundEGFReceptorPI3K = dynamicVars[154];
double dv_RasGapActive = dynamicVars[155];
double dv_boundEGFReceptorSos = dynamicVars[156];
double dv_boundNGFReceptorSos = dynamicVars[157];
double dv_Rap1BRaf = dynamicVars[158];
double dv_PP2AMek = dynamicVars[159];
double dv_PP2AErk = dynamicVars[160];
double dv_PI3KAkt = dynamicVars[161];
double duv_EGF = dynamicVars[162];
double duv_NGF = dynamicVars[163];
double duv_boundEGFReceptor = dynamicVars[164];
double duv_boundNGFReceptor = dynamicVars[165];
double duv_SosActive = dynamicVars[166];
double duv_P90RskActive = dynamicVars[167];
double duv_RasActive = dynamicVars[168];
double duv_Raf1Active = dynamicVars[169];
double duv_BRafActive = dynamicVars[170];
double duv_MekActive = dynamicVars[171];
double duv_ErkActive = dynamicVars[172];
double duv_PI3KActive = dynamicVars[173];
double duv_AktActive = dynamicVars[174];
double duv_C3GActive = dynamicVars[175];
double duv_Rap1Active = dynamicVars[176];
double duv_freeEGFReceptor = dynamicVars[177];
double duv_freeNGFReceptor = dynamicVars[178];
double duv_SosInactive = dynamicVars[179];
double duv_P90RskInactive = dynamicVars[180];
double duv_RasInactive = dynamicVars[181];
double duv_Raf1Inactive = dynamicVars[182];
double duv_BRafInactive = dynamicVars[183];
double duv_MekInactive = dynamicVars[184];
double duv_ErkInactive = dynamicVars[185];
double duv_PI3KInactive = dynamicVars[186];
double duv_AktInactive = dynamicVars[187];
double duv_C3GInactive = dynamicVars[188];
double duv_Rap1Inactive = dynamicVars[189];
double duv_RasPI3K = dynamicVars[190];
double duv_Raf1PPtaseRaf1 = dynamicVars[191];
double duv_BRafMek = dynamicVars[192];
double duv_boundNGFReceptorC3G = dynamicVars[193];
double duv_P90RskSos = dynamicVars[194];
double duv_Raf1PPtaseBRaf = dynamicVars[195];
double duv_PP2AActive = dynamicVars[196];
double duv_RasGapRas = dynamicVars[197];
double duv_ErkP90Rsk = dynamicVars[198];
double duv_RasRaf1 = dynamicVars[199];
double duv_MekErk = dynamicVars[200];
double duv_RapGapRap1 = dynamicVars[201];
double duv_RapGapActive = dynamicVars[202];
double duv_AktRaf1 = dynamicVars[203];
double duv_Raf1PPtase = dynamicVars[204];
double duv_C3GRap1 = dynamicVars[205];
double duv_Raf1Mek = dynamicVars[206];
double duv_SosRas = dynamicVars[207];
double duv_boundEGFReceptorPI3K = dynamicVars[208];
double duv_RasGapActive = dynamicVars[209];
double duv_boundEGFReceptorSos = dynamicVars[210];
double duv_boundNGFReceptorSos = dynamicVars[211];
double duv_Rap1BRaf = dynamicVars[212];
double duv_PP2AMek = dynamicVars[213];
double duv_PP2AErk = dynamicVars[214];
double duv_PI3KAkt = dynamicVars[215];

double EGF_prime = yprime[0];
double NGF_prime = yprime[1];
double boundEGFReceptor_prime = yprime[2];
double boundNGFReceptor_prime = yprime[3];
double SosActive_prime = yprime[4];
double P90RskActive_prime = yprime[5];
double RasActive_prime = yprime[6];
double Raf1Active_prime = yprime[7];
double BRafActive_prime = yprime[8];
double MekActive_prime = yprime[9];
double ErkActive_prime = yprime[10];
double PI3KActive_prime = yprime[11];
double AktActive_prime = yprime[12];
double C3GActive_prime = yprime[13];
double Rap1Active_prime = yprime[14];
double freeEGFReceptor_prime = yprime[15];
double freeNGFReceptor_prime = yprime[16];
double SosInactive_prime = yprime[17];
double P90RskInactive_prime = yprime[18];
double RasInactive_prime = yprime[19];
double Raf1Inactive_prime = yprime[20];
double BRafInactive_prime = yprime[21];
double MekInactive_prime = yprime[22];
double ErkInactive_prime = yprime[23];
double PI3KInactive_prime = yprime[24];
double AktInactive_prime = yprime[25];
double C3GInactive_prime = yprime[26];
double Rap1Inactive_prime = yprime[27];
double RasPI3K_prime = yprime[28];
double Raf1PPtaseRaf1_prime = yprime[29];
double BRafMek_prime = yprime[30];
double boundNGFReceptorC3G_prime = yprime[31];
double P90RskSos_prime = yprime[32];
double Raf1PPtaseBRaf_prime = yprime[33];
double PP2AActive_prime = yprime[34];
double RasGapRas_prime = yprime[35];
double ErkP90Rsk_prime = yprime[36];
double RasRaf1_prime = yprime[37];
double MekErk_prime = yprime[38];
double RapGapRap1_prime = yprime[39];
double RapGapActive_prime = yprime[40];
double AktRaf1_prime = yprime[41];
double Raf1PPtase_prime = yprime[42];
double C3GRap1_prime = yprime[43];
double Raf1Mek_prime = yprime[44];
double SosRas_prime = yprime[45];
double boundEGFReceptorPI3K_prime = yprime[46];
double RasGapActive_prime = yprime[47];
double boundEGFReceptorSos_prime = yprime[48];
double boundNGFReceptorSos_prime = yprime[49];
double Rap1BRaf_prime = yprime[50];
double PP2AMek_prime = yprime[51];
double PP2AErk_prime = yprime[52];
double PI3KAkt_prime = yprime[53];
double du_EGF_prime = yprime[54];
double du_NGF_prime = yprime[55];
double du_boundEGFReceptor_prime = yprime[56];
double du_boundNGFReceptor_prime = yprime[57];
double du_SosActive_prime = yprime[58];
double du_P90RskActive_prime = yprime[59];
double du_RasActive_prime = yprime[60];
double du_Raf1Active_prime = yprime[61];
double du_BRafActive_prime = yprime[62];
double du_MekActive_prime = yprime[63];
double du_ErkActive_prime = yprime[64];
double du_PI3KActive_prime = yprime[65];
double du_AktActive_prime = yprime[66];
double du_C3GActive_prime = yprime[67];
double du_Rap1Active_prime = yprime[68];
double du_freeEGFReceptor_prime = yprime[69];
double du_freeNGFReceptor_prime = yprime[70];
double du_SosInactive_prime = yprime[71];
double du_P90RskInactive_prime = yprime[72];
double du_RasInactive_prime = yprime[73];
double du_Raf1Inactive_prime = yprime[74];
double du_BRafInactive_prime = yprime[75];
double du_MekInactive_prime = yprime[76];
double du_ErkInactive_prime = yprime[77];
double du_PI3KInactive_prime = yprime[78];
double du_AktInactive_prime = yprime[79];
double du_C3GInactive_prime = yprime[80];
double du_Rap1Inactive_prime = yprime[81];
double du_RasPI3K_prime = yprime[82];
double du_Raf1PPtaseRaf1_prime = yprime[83];
double du_BRafMek_prime = yprime[84];
double du_boundNGFReceptorC3G_prime = yprime[85];
double du_P90RskSos_prime = yprime[86];
double du_Raf1PPtaseBRaf_prime = yprime[87];
double du_PP2AActive_prime = yprime[88];
double du_RasGapRas_prime = yprime[89];
double du_ErkP90Rsk_prime = yprime[90];
double du_RasRaf1_prime = yprime[91];
double du_MekErk_prime = yprime[92];
double du_RapGapRap1_prime = yprime[93];
double du_RapGapActive_prime = yprime[94];
double du_AktRaf1_prime = yprime[95];
double du_Raf1PPtase_prime = yprime[96];
double du_C3GRap1_prime = yprime[97];
double du_Raf1Mek_prime = yprime[98];
double du_SosRas_prime = yprime[99];
double du_boundEGFReceptorPI3K_prime = yprime[100];
double du_RasGapActive_prime = yprime[101];
double du_boundEGFReceptorSos_prime = yprime[102];
double du_boundNGFReceptorSos_prime = yprime[103];
double du_Rap1BRaf_prime = yprime[104];
double du_PP2AMek_prime = yprime[105];
double du_PP2AErk_prime = yprime[106];
double du_PI3KAkt_prime = yprime[107];
double dv_EGF_prime = yprime[108];
double dv_NGF_prime = yprime[109];
double dv_boundEGFReceptor_prime = yprime[110];
double dv_boundNGFReceptor_prime = yprime[111];
double dv_SosActive_prime = yprime[112];
double dv_P90RskActive_prime = yprime[113];
double dv_RasActive_prime = yprime[114];
double dv_Raf1Active_prime = yprime[115];
double dv_BRafActive_prime = yprime[116];
double dv_MekActive_prime = yprime[117];
double dv_ErkActive_prime = yprime[118];
double dv_PI3KActive_prime = yprime[119];
double dv_AktActive_prime = yprime[120];
double dv_C3GActive_prime = yprime[121];
double dv_Rap1Active_prime = yprime[122];
double dv_freeEGFReceptor_prime = yprime[123];
double dv_freeNGFReceptor_prime = yprime[124];
double dv_SosInactive_prime = yprime[125];
double dv_P90RskInactive_prime = yprime[126];
double dv_RasInactive_prime = yprime[127];
double dv_Raf1Inactive_prime = yprime[128];
double dv_BRafInactive_prime = yprime[129];
double dv_MekInactive_prime = yprime[130];
double dv_ErkInactive_prime = yprime[131];
double dv_PI3KInactive_prime = yprime[132];
double dv_AktInactive_prime = yprime[133];
double dv_C3GInactive_prime = yprime[134];
double dv_Rap1Inactive_prime = yprime[135];
double dv_RasPI3K_prime = yprime[136];
double dv_Raf1PPtaseRaf1_prime = yprime[137];
double dv_BRafMek_prime = yprime[138];
double dv_boundNGFReceptorC3G_prime = yprime[139];
double dv_P90RskSos_prime = yprime[140];
double dv_Raf1PPtaseBRaf_prime = yprime[141];
double dv_PP2AActive_prime = yprime[142];
double dv_RasGapRas_prime = yprime[143];
double dv_ErkP90Rsk_prime = yprime[144];
double dv_RasRaf1_prime = yprime[145];
double dv_MekErk_prime = yprime[146];
double dv_RapGapRap1_prime = yprime[147];
double dv_RapGapActive_prime = yprime[148];
double dv_AktRaf1_prime = yprime[149];
double dv_Raf1PPtase_prime = yprime[150];
double dv_C3GRap1_prime = yprime[151];
double dv_Raf1Mek_prime = yprime[152];
double dv_SosRas_prime = yprime[153];
double dv_boundEGFReceptorPI3K_prime = yprime[154];
double dv_RasGapActive_prime = yprime[155];
double dv_boundEGFReceptorSos_prime = yprime[156];
double dv_boundNGFReceptorSos_prime = yprime[157];
double dv_Rap1BRaf_prime = yprime[158];
double dv_PP2AMek_prime = yprime[159];
double dv_PP2AErk_prime = yprime[160];
double dv_PI3KAkt_prime = yprime[161];
double duv_EGF_prime = yprime[162];
double duv_NGF_prime = yprime[163];
double duv_boundEGFReceptor_prime = yprime[164];
double duv_boundNGFReceptor_prime = yprime[165];
double duv_SosActive_prime = yprime[166];
double duv_P90RskActive_prime = yprime[167];
double duv_RasActive_prime = yprime[168];
double duv_Raf1Active_prime = yprime[169];
double duv_BRafActive_prime = yprime[170];
double duv_MekActive_prime = yprime[171];
double duv_ErkActive_prime = yprime[172];
double duv_PI3KActive_prime = yprime[173];
double duv_AktActive_prime = yprime[174];
double duv_C3GActive_prime = yprime[175];
double duv_Rap1Active_prime = yprime[176];
double duv_freeEGFReceptor_prime = yprime[177];
double duv_freeNGFReceptor_prime = yprime[178];
double duv_SosInactive_prime = yprime[179];
double duv_P90RskInactive_prime = yprime[180];
double duv_RasInactive_prime = yprime[181];
double duv_Raf1Inactive_prime = yprime[182];
double duv_BRafInactive_prime = yprime[183];
double duv_MekInactive_prime = yprime[184];
double duv_ErkInactive_prime = yprime[185];
double duv_PI3KInactive_prime = yprime[186];
double duv_AktInactive_prime = yprime[187];
double duv_C3GInactive_prime = yprime[188];
double duv_Rap1Inactive_prime = yprime[189];
double duv_RasPI3K_prime = yprime[190];
double duv_Raf1PPtaseRaf1_prime = yprime[191];
double duv_BRafMek_prime = yprime[192];
double duv_boundNGFReceptorC3G_prime = yprime[193];
double duv_P90RskSos_prime = yprime[194];
double duv_Raf1PPtaseBRaf_prime = yprime[195];
double duv_PP2AActive_prime = yprime[196];
double duv_RasGapRas_prime = yprime[197];
double duv_ErkP90Rsk_prime = yprime[198];
double duv_RasRaf1_prime = yprime[199];
double duv_MekErk_prime = yprime[200];
double duv_RapGapRap1_prime = yprime[201];
double duv_RapGapActive_prime = yprime[202];
double duv_AktRaf1_prime = yprime[203];
double duv_Raf1PPtase_prime = yprime[204];
double duv_C3GRap1_prime = yprime[205];
double duv_Raf1Mek_prime = yprime[206];
double duv_SosRas_prime = yprime[207];
double duv_boundEGFReceptorPI3K_prime = yprime[208];
double duv_RasGapActive_prime = yprime[209];
double duv_boundEGFReceptorSos_prime = yprime[210];
double duv_boundNGFReceptorSos_prime = yprime[211];
double duv_Rap1BRaf_prime = yprime[212];
double duv_PP2AMek_prime = yprime[213];
double duv_PP2AErk_prime = yprime[214];
double duv_PI3KAkt_prime = yprime[215];

memset(pd, 0, sizeof(pd)*46656);
pd[1] = freeNGFReceptor*k01f;
pd[3] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[16] = NGF*k01f;
pd[17] = -boundNGFReceptor*k04f;
pd[26] = -boundNGFReceptor*k40f;
pd[31] = k40b + k41f;
pd[49] = k04b + k05f;
pd[217] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[219] = k01b;
pd[232] = -NGF*k01f;
pd[438] = PI3KInactive*k36f;
pd[456] = RasActive*k36f;
pd[460] = (-k36b - k37f) + cj*(-1);
pd[657] = -ErkInactive*k30f;
pd[671] = (-MekActive*k30f) + cj*(-1);
pd[686] = k30b;
pd[700] = k33f;
pd[873] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[887] = -MekActive*k30f;
pd[894] = k27f;
pd[898] = -MekActive*k28f;
pd[902] = k30b + k31f;
pd[908] = k25f;
pd[915] = k28b;
pd[1083] = SosInactive*k04f;
pd[1097] = boundNGFReceptor*k04f;
pd[1129] = (-k04b - k05f) + cj*(-1);
pd[1303] = Raf1PPtase*k16f;
pd[1325] = (-k16b - k17f) + cj*(-1);
pd[1338] = Raf1Active*k16f;
pd[1520] = MekInactive*k26f;
pd[1534] = BRafActive*k26f;
pd[1542] = (-k26b - k27f) + cj*(-1);
pd[1731] = C3GInactive*k40f;
pd[1754] = boundNGFReceptor*k40f;
pd[1759] = (-k40b - k41f) + cj*(-1);
pd[1948] = P90RskActive*k06f;
pd[1949] = SosActive*k06f;
pd[1976] = (-k06b - k07f) + cj*(-1);
pd[2170] = -P90RskInactive*k08f;
pd[2178] = (-ErkActive*k08f) + cj*(-1);
pd[2196] = k08b;
pd[2376] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[2378] = k00b;
pd[2391] = -EGF*k00f;
pd[2600] = Raf1PPtase*k22f;
pd[2625] = (-k22b - k23f) + cj*(-1);
pd[2634] = BRafActive*k22f;
pd[2817] = -PP2AActive*k28f;
pd[2818] = -PP2AActive*k32f;
pd[2842] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[2859] = k28b + k29f;
pd[2860] = k32b + k33f;
pd[3035] = -AktInactive*k38f;
pd[3049] = (-PI3KActive*k38f) + cj*(-1);
pd[3077] = k38b;
pd[3247] = -AktActive*k18f;
pd[3252] = (-Raf1Active*k18f) + cj*(-1);
pd[3281] = k18b + k19f;
pd[3293] = k39f;
pd[3462] = RasGapActive*k12f;
pd[3491] = (-k12b - k13f) + cj*(-1);
pd[3503] = RasActive*k12f;
pd[3676] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[3677] = -SosActive*k06f;
pd[3691] = -SosActive*k10f;
pd[3704] = k06b;
pd[3717] = k10b + k11f;
pd[3720] = k03f;
pd[3721] = k05f;
pd[3898] = P90RskInactive*k08f;
pd[3906] = ErkActive*k08f;
pd[3924] = (-k08b - k09f) + cj*(-1);
pd[4110] = Raf1Inactive*k14f;
pd[4124] = RasActive*k14f;
pd[4141] = (-k14b - k15f) + cj*(-1);
pd[4320] = freeEGFReceptor*k00f;
pd[4322] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[4335] = EGF*k00f;
pd[4337] = -boundEGFReceptor*k02f;
pd[4344] = -boundEGFReceptor*k34f;
pd[4366] = k34b + k35f;
pd[4368] = k02b + k03f;
pd[4543] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[4548] = -Raf1Active*k18f;
pd[4558] = -Raf1Active*k24f;
pd[4565] = k16b;
pd[4573] = k15f;
pd[4577] = k18b;
pd[4578] = -Raf1Active*k16f;
pd[4580] = k24b + k25f;
pd[4761] = ErkInactive*k30f;
pd[4775] = MekActive*k30f;
pd[4790] = (-k30b - k31f) + cj*(-1);
pd[4982] = RapGapActive*k44f;
pd[5007] = (-k44b - k45f) + cj*(-1);
pd[5008] = Rap1Active*k44f;
pd[5186] = -SosInactive*k02f;
pd[5187] = -SosInactive*k04f;
pd[5201] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[5216] = k07f;
pd[5232] = k02b;
pd[5233] = k04b;
pd[5414] = -RapGapActive*k44f;
pd[5439] = k44b + k45f;
pd[5440] = (-Rap1Active*k44f) + cj*(-1);
pd[5623] = AktActive*k18f;
pd[5628] = Raf1Active*k18f;
pd[5657] = (-k18b - k19f) + cj*(-1);
pd[5832] = -freeEGFReceptor*k00f;
pd[5834] = k00b;
pd[5847] = (-EGF*k00f) + cj*(-1);
pd[6055] = -Raf1PPtase*k16f;
pd[6056] = -Raf1PPtase*k22f;
pd[6077] = k16b + k17f;
pd[6081] = k22b + k23f;
pd[6090] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[6277] = Rap1Inactive*k42f;
pd[6291] = C3GActive*k42f;
pd[6307] = (-k42b - k43f) + cj*(-1);
pd[6494] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[6501] = -Rap1Active*k20f;
pd[6519] = k44b;
pd[6520] = -Rap1Active*k44f;
pd[6523] = k43f;
pd[6530] = k20b + k21f;
pd[6703] = -MekInactive*k24f;
pd[6704] = -MekInactive*k26f;
pd[6718] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[6726] = k26b;
pd[6740] = k24b;
pd[6747] = k29f;
pd[6919] = MekInactive*k24f;
pd[6934] = Raf1Active*k24f;
pd[6956] = (-k24b - k25f) + cj*(-1);
pd[7132] = RasInactive*k10f;
pd[7147] = SosActive*k10f;
pd[7173] = (-k10b - k11f) + cj*(-1);
pd[7348] = -P90RskActive*k06f;
pd[7349] = (-SosActive*k06f) + cj*(-1);
pd[7376] = k06b + k07f;
pd[7380] = k09f;
pd[7570] = PP2AActive*k32f;
pd[7594] = ErkActive*k32f;
pd[7612] = (-k32b - k33f) + cj*(-1);
pd[7778] = PI3KInactive*k34f;
pd[7800] = boundEGFReceptor*k34f;
pd[7822] = (-k34b - k35f) + cj*(-1);
pd[8003] = (-AktInactive*k38f) + cj*(-1);
pd[8017] = -PI3KActive*k38f;
pd[8020] = k37f;
pd[8038] = k35f;
pd[8045] = k38b + k39f;
pd[8214] = -RasGapActive*k12f;
pd[8243] = k12b + k13f;
pd[8255] = (-RasActive*k12f) + cj*(-1);
pd[8432] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[8446] = -BRafActive*k26f;
pd[8454] = k26b + k27f;
pd[8457] = k22b;
pd[8466] = -BRafActive*k22f;
pd[8474] = k21f;
pd[8642] = SosInactive*k02f;
pd[8657] = boundEGFReceptor*k02f;
pd[8688] = (-k02b - k03f) + cj*(-1);
pd[8869] = -Rap1Inactive*k42f;
pd[8883] = (-C3GActive*k42f) + cj*(-1);
pd[8895] = k45f;
pd[8899] = k42b;
pd[9082] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[9090] = -ErkActive*k08f;
pd[9106] = -ErkActive*k32f;
pd[9108] = k08b + k09f;
pd[9110] = k31f;
pd[9124] = k32b;
pd[9289] = -freeNGFReceptor*k01f;
pd[9291] = k01b;
pd[9304] = (-NGF*k01f) + cj*(-1);
pd[9507] = -C3GInactive*k40f;
pd[9530] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[9535] = k40b;
pd[9726] = -Raf1Inactive*k14f;
pd[9740] = (-RasActive*k14f) + cj*(-1);
pd[9749] = k17f;
pd[9757] = k14b;
pd[9761] = k19f;
pd[9938] = -PI3KInactive*k34f;
pd[9942] = -PI3KInactive*k36f;
pd[9960] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[9964] = k36b;
pd[9982] = k34b;
pd[10166] = -BRafInactive*k20f;
pd[10173] = (-Rap1Active*k20f) + cj*(-1);
pd[10185] = k23f;
pd[10202] = k20b;
pd[10382] = BRafInactive*k20f;
pd[10389] = Rap1Active*k20f;
pd[10418] = (-k20b - k21f) + cj*(-1);
pd[10590] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[10604] = -RasActive*k14f;
pd[10608] = -RasActive*k36f;
pd[10612] = k36b + k37f;
pd[10619] = k12b;
pd[10621] = k14b + k15f;
pd[10629] = k11f;
pd[10631] = -RasActive*k12f;
pd[10804] = -RasInactive*k10f;
pd[10819] = (-SosActive*k10f) + cj*(-1);
pd[10835] = k13f;
pd[10845] = k10b;
pd[11025] = PP2AActive*k28f;
pd[11050] = MekActive*k28f;
pd[11067] = (-k28b - k29f) + cj*(-1);
pd[11243] = AktInactive*k38f;
pd[11257] = PI3KActive*k38f;
pd[11285] = (-k38b - k39f) + cj*(-1);
pd[11461] = (-Rap1Inactive*k42f) + cj*(-1);
pd[11475] = -C3GActive*k42f;
pd[11479] = k41f;
pd[11491] = k42b + k43f;
pd[11665] = du_freeNGFReceptor*k01f + du_k01f*freeNGFReceptor;
pd[11667] = -C3GInactive*du_k40f - SosInactive*du_k04f - du_C3GInactive*k40f - du_SosInactive*k04f - du_k01b;
pd[11680] = NGF*du_k01f + du_NGF*k01f;
pd[11681] = -boundNGFReceptor*du_k04f - du_boundNGFReceptor*k04f;
pd[11690] = -boundNGFReceptor*du_k40f - du_boundNGFReceptor*k40f;
pd[11695] = du_k40b + du_k41f;
pd[11713] = du_k04b + du_k05f;
pd[11719] = freeNGFReceptor*k01f;
pd[11721] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[11734] = NGF*k01f;
pd[11735] = -boundNGFReceptor*k04f;
pd[11744] = -boundNGFReceptor*k40f;
pd[11749] = k40b + k41f;
pd[11767] = k04b + k05f;
pd[11881] = -du_freeNGFReceptor*k01f - du_k01f*freeNGFReceptor;
pd[11883] = du_k01b;
pd[11896] = -NGF*du_k01f - du_NGF*k01f;
pd[11935] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[11937] = k01b;
pd[11950] = -NGF*k01f;
pd[12102] = PI3KInactive*du_k36f + du_PI3KInactive*k36f;
pd[12120] = RasActive*du_k36f + du_RasActive*k36f;
pd[12124] = -du_k36b - du_k37f;
pd[12156] = PI3KInactive*k36f;
pd[12174] = RasActive*k36f;
pd[12178] = (-k36b - k37f) + cj*(-1);
pd[12321] = -ErkInactive*du_k30f - du_ErkInactive*k30f;
pd[12335] = -MekActive*du_k30f - du_MekActive*k30f;
pd[12350] = du_k30b;
pd[12364] = du_k33f;
pd[12375] = -ErkInactive*k30f;
pd[12389] = (-MekActive*k30f) + cj*(-1);
pd[12404] = k30b;
pd[12418] = k33f;
pd[12537] = -ErkInactive*du_k30f - PP2AActive*du_k28f - du_ErkInactive*k30f - du_PP2AActive*k28f;
pd[12551] = -MekActive*du_k30f - du_MekActive*k30f;
pd[12558] = du_k27f;
pd[12562] = -MekActive*du_k28f - du_MekActive*k28f;
pd[12566] = du_k30b + du_k31f;
pd[12572] = du_k25f;
pd[12579] = du_k28b;
pd[12591] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[12605] = -MekActive*k30f;
pd[12612] = k27f;
pd[12616] = -MekActive*k28f;
pd[12620] = k30b + k31f;
pd[12626] = k25f;
pd[12633] = k28b;
pd[12747] = SosInactive*du_k04f + du_SosInactive*k04f;
pd[12761] = boundNGFReceptor*du_k04f + du_boundNGFReceptor*k04f;
pd[12793] = -du_k04b - du_k05f;
pd[12801] = SosInactive*k04f;
pd[12815] = boundNGFReceptor*k04f;
pd[12847] = (-k04b - k05f) + cj*(-1);
pd[12967] = Raf1PPtase*du_k16f + du_Raf1PPtase*k16f;
pd[12989] = -du_k16b - du_k17f;
pd[13002] = Raf1Active*du_k16f + du_Raf1Active*k16f;
pd[13021] = Raf1PPtase*k16f;
pd[13043] = (-k16b - k17f) + cj*(-1);
pd[13056] = Raf1Active*k16f;
pd[13184] = MekInactive*du_k26f + du_MekInactive*k26f;
pd[13198] = BRafActive*du_k26f + du_BRafActive*k26f;
pd[13206] = -du_k26b - du_k27f;
pd[13238] = MekInactive*k26f;
pd[13252] = BRafActive*k26f;
pd[13260] = (-k26b - k27f) + cj*(-1);
pd[13395] = C3GInactive*du_k40f + du_C3GInactive*k40f;
pd[13418] = boundNGFReceptor*du_k40f + du_boundNGFReceptor*k40f;
pd[13423] = -du_k40b - du_k41f;
pd[13449] = C3GInactive*k40f;
pd[13472] = boundNGFReceptor*k40f;
pd[13477] = (-k40b - k41f) + cj*(-1);
pd[13612] = P90RskActive*du_k06f + du_P90RskActive*k06f;
pd[13613] = SosActive*du_k06f + du_SosActive*k06f;
pd[13640] = -du_k06b - du_k07f;
pd[13666] = P90RskActive*k06f;
pd[13667] = SosActive*k06f;
pd[13694] = (-k06b - k07f) + cj*(-1);
pd[13834] = -P90RskInactive*du_k08f - du_P90RskInactive*k08f;
pd[13842] = -ErkActive*du_k08f - du_ErkActive*k08f;
pd[13860] = du_k08b;
pd[13888] = -P90RskInactive*k08f;
pd[13896] = (-ErkActive*k08f) + cj*(-1);
pd[13914] = k08b;
pd[14040] = -du_freeEGFReceptor*k00f - du_k00f*freeEGFReceptor;
pd[14042] = du_k00b;
pd[14055] = -EGF*du_k00f - du_EGF*k00f;
pd[14094] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[14096] = k00b;
pd[14109] = -EGF*k00f;
pd[14264] = Raf1PPtase*du_k22f + du_Raf1PPtase*k22f;
pd[14289] = -du_k22b - du_k23f;
pd[14298] = BRafActive*du_k22f + du_BRafActive*k22f;
pd[14318] = Raf1PPtase*k22f;
pd[14343] = (-k22b - k23f) + cj*(-1);
pd[14352] = BRafActive*k22f;
pd[14481] = -PP2AActive*du_k28f - du_PP2AActive*k28f;
pd[14482] = -PP2AActive*du_k32f - du_PP2AActive*k32f;
pd[14506] = -ErkActive*du_k32f - MekActive*du_k28f - du_ErkActive*k32f - du_MekActive*k28f;
pd[14523] = du_k28b + du_k29f;
pd[14524] = du_k32b + du_k33f;
pd[14535] = -PP2AActive*k28f;
pd[14536] = -PP2AActive*k32f;
pd[14560] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[14577] = k28b + k29f;
pd[14578] = k32b + k33f;
pd[14699] = -AktInactive*du_k38f - du_AktInactive*k38f;
pd[14713] = -PI3KActive*du_k38f - du_PI3KActive*k38f;
pd[14741] = du_k38b;
pd[14753] = -AktInactive*k38f;
pd[14767] = (-PI3KActive*k38f) + cj*(-1);
pd[14795] = k38b;
pd[14911] = -AktActive*du_k18f - du_AktActive*k18f;
pd[14916] = -Raf1Active*du_k18f - du_Raf1Active*k18f;
pd[14945] = du_k18b + du_k19f;
pd[14957] = du_k39f;
pd[14965] = -AktActive*k18f;
pd[14970] = (-Raf1Active*k18f) + cj*(-1);
pd[14999] = k18b + k19f;
pd[15011] = k39f;
pd[15126] = RasGapActive*du_k12f + du_RasGapActive*k12f;
pd[15155] = -du_k12b - du_k13f;
pd[15167] = RasActive*du_k12f + du_RasActive*k12f;
pd[15180] = RasGapActive*k12f;
pd[15209] = (-k12b - k13f) + cj*(-1);
pd[15221] = RasActive*k12f;
pd[15340] = -P90RskActive*du_k06f - RasInactive*du_k10f - du_P90RskActive*k06f - du_RasInactive*k10f;
pd[15341] = -SosActive*du_k06f - du_SosActive*k06f;
pd[15355] = -SosActive*du_k10f - du_SosActive*k10f;
pd[15368] = du_k06b;
pd[15381] = du_k10b + du_k11f;
pd[15384] = du_k03f;
pd[15385] = du_k05f;
pd[15394] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[15395] = -SosActive*k06f;
pd[15409] = -SosActive*k10f;
pd[15422] = k06b;
pd[15435] = k10b + k11f;
pd[15438] = k03f;
pd[15439] = k05f;
pd[15562] = P90RskInactive*du_k08f + du_P90RskInactive*k08f;
pd[15570] = ErkActive*du_k08f + du_ErkActive*k08f;
pd[15588] = -du_k08b - du_k09f;
pd[15616] = P90RskInactive*k08f;
pd[15624] = ErkActive*k08f;
pd[15642] = (-k08b - k09f) + cj*(-1);
pd[15774] = Raf1Inactive*du_k14f + du_Raf1Inactive*k14f;
pd[15788] = RasActive*du_k14f + du_RasActive*k14f;
pd[15805] = -du_k14b - du_k15f;
pd[15828] = Raf1Inactive*k14f;
pd[15842] = RasActive*k14f;
pd[15859] = (-k14b - k15f) + cj*(-1);
pd[15984] = du_freeEGFReceptor*k00f + du_k00f*freeEGFReceptor;
pd[15986] = -PI3KInactive*du_k34f - SosInactive*du_k02f - du_PI3KInactive*k34f - du_SosInactive*k02f - du_k00b;
pd[15999] = EGF*du_k00f + du_EGF*k00f;
pd[16001] = -boundEGFReceptor*du_k02f - du_boundEGFReceptor*k02f;
pd[16008] = -boundEGFReceptor*du_k34f - du_boundEGFReceptor*k34f;
pd[16030] = du_k34b + du_k35f;
pd[16032] = du_k02b + du_k03f;
pd[16038] = freeEGFReceptor*k00f;
pd[16040] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[16053] = EGF*k00f;
pd[16055] = -boundEGFReceptor*k02f;
pd[16062] = -boundEGFReceptor*k34f;
pd[16084] = k34b + k35f;
pd[16086] = k02b + k03f;
pd[16207] = -AktActive*du_k18f - MekInactive*du_k24f - Raf1PPtase*du_k16f - du_AktActive*k18f - du_MekInactive*k24f - du_Raf1PPtase*k16f;
pd[16212] = -Raf1Active*du_k18f - du_Raf1Active*k18f;
pd[16222] = -Raf1Active*du_k24f - du_Raf1Active*k24f;
pd[16229] = du_k16b;
pd[16237] = du_k15f;
pd[16241] = du_k18b;
pd[16242] = -Raf1Active*du_k16f - du_Raf1Active*k16f;
pd[16244] = du_k24b + du_k25f;
pd[16261] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[16266] = -Raf1Active*k18f;
pd[16276] = -Raf1Active*k24f;
pd[16283] = k16b;
pd[16291] = k15f;
pd[16295] = k18b;
pd[16296] = -Raf1Active*k16f;
pd[16298] = k24b + k25f;
pd[16425] = ErkInactive*du_k30f + du_ErkInactive*k30f;
pd[16439] = MekActive*du_k30f + du_MekActive*k30f;
pd[16454] = -du_k30b - du_k31f;
pd[16479] = ErkInactive*k30f;
pd[16493] = MekActive*k30f;
pd[16508] = (-k30b - k31f) + cj*(-1);
pd[16646] = RapGapActive*du_k44f + du_RapGapActive*k44f;
pd[16671] = -du_k44b - du_k45f;
pd[16672] = Rap1Active*du_k44f + du_Rap1Active*k44f;
pd[16700] = RapGapActive*k44f;
pd[16725] = (-k44b - k45f) + cj*(-1);
pd[16726] = Rap1Active*k44f;
pd[16850] = -SosInactive*du_k02f - du_SosInactive*k02f;
pd[16851] = -SosInactive*du_k04f - du_SosInactive*k04f;
pd[16865] = -boundEGFReceptor*du_k02f - boundNGFReceptor*du_k04f - du_boundEGFReceptor*k02f - du_boundNGFReceptor*k04f;
pd[16880] = du_k07f;
pd[16896] = du_k02b;
pd[16897] = du_k04b;
pd[16904] = -SosInactive*k02f;
pd[16905] = -SosInactive*k04f;
pd[16919] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[16934] = k07f;
pd[16950] = k02b;
pd[16951] = k04b;
pd[17078] = -RapGapActive*du_k44f - du_RapGapActive*k44f;
pd[17103] = du_k44b + du_k45f;
pd[17104] = -Rap1Active*du_k44f - du_Rap1Active*k44f;
pd[17132] = -RapGapActive*k44f;
pd[17157] = k44b + k45f;
pd[17158] = (-Rap1Active*k44f) + cj*(-1);
pd[17287] = AktActive*du_k18f + du_AktActive*k18f;
pd[17292] = Raf1Active*du_k18f + du_Raf1Active*k18f;
pd[17321] = -du_k18b - du_k19f;
pd[17341] = AktActive*k18f;
pd[17346] = Raf1Active*k18f;
pd[17375] = (-k18b - k19f) + cj*(-1);
pd[17496] = -du_freeEGFReceptor*k00f - du_k00f*freeEGFReceptor;
pd[17498] = du_k00b;
pd[17511] = -EGF*du_k00f - du_EGF*k00f;
pd[17550] = -freeEGFReceptor*k00f;
pd[17552] = k00b;
pd[17565] = (-EGF*k00f) + cj*(-1);
pd[17719] = -Raf1PPtase*du_k16f - du_Raf1PPtase*k16f;
pd[17720] = -Raf1PPtase*du_k22f - du_Raf1PPtase*k22f;
pd[17741] = du_k16b + du_k17f;
pd[17745] = du_k22b + du_k23f;
pd[17754] = -BRafActive*du_k22f - Raf1Active*du_k16f - du_BRafActive*k22f - du_Raf1Active*k16f;
pd[17773] = -Raf1PPtase*k16f;
pd[17774] = -Raf1PPtase*k22f;
pd[17795] = k16b + k17f;
pd[17799] = k22b + k23f;
pd[17808] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[17941] = Rap1Inactive*du_k42f + du_Rap1Inactive*k42f;
pd[17955] = C3GActive*du_k42f + du_C3GActive*k42f;
pd[17971] = -du_k42b - du_k43f;
pd[17995] = Rap1Inactive*k42f;
pd[18009] = C3GActive*k42f;
pd[18025] = (-k42b - k43f) + cj*(-1);
pd[18158] = -BRafInactive*du_k20f - RapGapActive*du_k44f - du_BRafInactive*k20f - du_RapGapActive*k44f;
pd[18165] = -Rap1Active*du_k20f - du_Rap1Active*k20f;
pd[18183] = du_k44b;
pd[18184] = -Rap1Active*du_k44f - du_Rap1Active*k44f;
pd[18187] = du_k43f;
pd[18194] = du_k20b + du_k21f;
pd[18212] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[18219] = -Rap1Active*k20f;
pd[18237] = k44b;
pd[18238] = -Rap1Active*k44f;
pd[18241] = k43f;
pd[18248] = k20b + k21f;
pd[18367] = -MekInactive*du_k24f - du_MekInactive*k24f;
pd[18368] = -MekInactive*du_k26f - du_MekInactive*k26f;
pd[18382] = -BRafActive*du_k26f - Raf1Active*du_k24f - du_BRafActive*k26f - du_Raf1Active*k24f;
pd[18390] = du_k26b;
pd[18404] = du_k24b;
pd[18411] = du_k29f;
pd[18421] = -MekInactive*k24f;
pd[18422] = -MekInactive*k26f;
pd[18436] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[18444] = k26b;
pd[18458] = k24b;
pd[18465] = k29f;
pd[18583] = MekInactive*du_k24f + du_MekInactive*k24f;
pd[18598] = Raf1Active*du_k24f + du_Raf1Active*k24f;
pd[18620] = -du_k24b - du_k25f;
pd[18637] = MekInactive*k24f;
pd[18652] = Raf1Active*k24f;
pd[18674] = (-k24b - k25f) + cj*(-1);
pd[18796] = RasInactive*du_k10f + du_RasInactive*k10f;
pd[18811] = SosActive*du_k10f + du_SosActive*k10f;
pd[18837] = -du_k10b - du_k11f;
pd[18850] = RasInactive*k10f;
pd[18865] = SosActive*k10f;
pd[18891] = (-k10b - k11f) + cj*(-1);
pd[19012] = -P90RskActive*du_k06f - du_P90RskActive*k06f;
pd[19013] = -SosActive*du_k06f - du_SosActive*k06f;
pd[19040] = du_k06b + du_k07f;
pd[19044] = du_k09f;
pd[19066] = -P90RskActive*k06f;
pd[19067] = (-SosActive*k06f) + cj*(-1);
pd[19094] = k06b + k07f;
pd[19098] = k09f;
pd[19234] = PP2AActive*du_k32f + du_PP2AActive*k32f;
pd[19258] = ErkActive*du_k32f + du_ErkActive*k32f;
pd[19276] = -du_k32b - du_k33f;
pd[19288] = PP2AActive*k32f;
pd[19312] = ErkActive*k32f;
pd[19330] = (-k32b - k33f) + cj*(-1);
pd[19442] = PI3KInactive*du_k34f + du_PI3KInactive*k34f;
pd[19464] = boundEGFReceptor*du_k34f + du_boundEGFReceptor*k34f;
pd[19486] = -du_k34b - du_k35f;
pd[19496] = PI3KInactive*k34f;
pd[19518] = boundEGFReceptor*k34f;
pd[19540] = (-k34b - k35f) + cj*(-1);
pd[19667] = -AktInactive*du_k38f - du_AktInactive*k38f;
pd[19681] = -PI3KActive*du_k38f - du_PI3KActive*k38f;
pd[19684] = du_k37f;
pd[19702] = du_k35f;
pd[19709] = du_k38b + du_k39f;
pd[19721] = (-AktInactive*k38f) + cj*(-1);
pd[19735] = -PI3KActive*k38f;
pd[19738] = k37f;
pd[19756] = k35f;
pd[19763] = k38b + k39f;
pd[19878] = -RasGapActive*du_k12f - du_RasGapActive*k12f;
pd[19907] = du_k12b + du_k13f;
pd[19919] = -RasActive*du_k12f - du_RasActive*k12f;
pd[19932] = -RasGapActive*k12f;
pd[19961] = k12b + k13f;
pd[19973] = (-RasActive*k12f) + cj*(-1);
pd[20096] = -MekInactive*du_k26f - Raf1PPtase*du_k22f - du_MekInactive*k26f - du_Raf1PPtase*k22f;
pd[20110] = -BRafActive*du_k26f - du_BRafActive*k26f;
pd[20118] = du_k26b + du_k27f;
pd[20121] = du_k22b;
pd[20130] = -BRafActive*du_k22f - du_BRafActive*k22f;
pd[20138] = du_k21f;
pd[20150] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[20164] = -BRafActive*k26f;
pd[20172] = k26b + k27f;
pd[20175] = k22b;
pd[20184] = -BRafActive*k22f;
pd[20192] = k21f;
pd[20306] = SosInactive*du_k02f + du_SosInactive*k02f;
pd[20321] = boundEGFReceptor*du_k02f + du_boundEGFReceptor*k02f;
pd[20352] = -du_k02b - du_k03f;
pd[20360] = SosInactive*k02f;
pd[20375] = boundEGFReceptor*k02f;
pd[20406] = (-k02b - k03f) + cj*(-1);
pd[20533] = -Rap1Inactive*du_k42f - du_Rap1Inactive*k42f;
pd[20547] = -C3GActive*du_k42f - du_C3GActive*k42f;
pd[20559] = du_k45f;
pd[20563] = du_k42b;
pd[20587] = -Rap1Inactive*k42f;
pd[20601] = (-C3GActive*k42f) + cj*(-1);
pd[20613] = k45f;
pd[20617] = k42b;
pd[20746] = -P90RskInactive*du_k08f - PP2AActive*du_k32f - du_P90RskInactive*k08f - du_PP2AActive*k32f;
pd[20754] = -ErkActive*du_k08f - du_ErkActive*k08f;
pd[20770] = -ErkActive*du_k32f - du_ErkActive*k32f;
pd[20772] = du_k08b + du_k09f;
pd[20774] = du_k31f;
pd[20788] = du_k32b;
pd[20800] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[20808] = -ErkActive*k08f;
pd[20824] = -ErkActive*k32f;
pd[20826] = k08b + k09f;
pd[20828] = k31f;
pd[20842] = k32b;
pd[20953] = -du_freeNGFReceptor*k01f - du_k01f*freeNGFReceptor;
pd[20955] = du_k01b;
pd[20968] = -NGF*du_k01f - du_NGF*k01f;
pd[21007] = -freeNGFReceptor*k01f;
pd[21009] = k01b;
pd[21022] = (-NGF*k01f) + cj*(-1);
pd[21171] = -C3GInactive*du_k40f - du_C3GInactive*k40f;
pd[21194] = -boundNGFReceptor*du_k40f - du_boundNGFReceptor*k40f;
pd[21199] = du_k40b;
pd[21225] = -C3GInactive*k40f;
pd[21248] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[21253] = k40b;
pd[21390] = -Raf1Inactive*du_k14f - du_Raf1Inactive*k14f;
pd[21404] = -RasActive*du_k14f - du_RasActive*k14f;
pd[21413] = du_k17f;
pd[21421] = du_k14b;
pd[21425] = du_k19f;
pd[21444] = -Raf1Inactive*k14f;
pd[21458] = (-RasActive*k14f) + cj*(-1);
pd[21467] = k17f;
pd[21475] = k14b;
pd[21479] = k19f;
pd[21602] = -PI3KInactive*du_k34f - du_PI3KInactive*k34f;
pd[21606] = -PI3KInactive*du_k36f - du_PI3KInactive*k36f;
pd[21624] = -RasActive*du_k36f - boundEGFReceptor*du_k34f - du_RasActive*k36f - du_boundEGFReceptor*k34f;
pd[21628] = du_k36b;
pd[21646] = du_k34b;
pd[21656] = -PI3KInactive*k34f;
pd[21660] = -PI3KInactive*k36f;
pd[21678] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[21682] = k36b;
pd[21700] = k34b;
pd[21830] = -BRafInactive*du_k20f - du_BRafInactive*k20f;
pd[21837] = -Rap1Active*du_k20f - du_Rap1Active*k20f;
pd[21849] = du_k23f;
pd[21866] = du_k20b;
pd[21884] = -BRafInactive*k20f;
pd[21891] = (-Rap1Active*k20f) + cj*(-1);
pd[21903] = k23f;
pd[21920] = k20b;
pd[22046] = BRafInactive*du_k20f + du_BRafInactive*k20f;
pd[22053] = Rap1Active*du_k20f + du_Rap1Active*k20f;
pd[22082] = -du_k20b - du_k21f;
pd[22100] = BRafInactive*k20f;
pd[22107] = Rap1Active*k20f;
pd[22136] = (-k20b - k21f) + cj*(-1);
pd[22254] = -PI3KInactive*du_k36f - Raf1Inactive*du_k14f - RasGapActive*du_k12f - du_PI3KInactive*k36f - du_Raf1Inactive*k14f - du_RasGapActive*k12f;
pd[22268] = -RasActive*du_k14f - du_RasActive*k14f;
pd[22272] = -RasActive*du_k36f - du_RasActive*k36f;
pd[22276] = du_k36b + du_k37f;
pd[22283] = du_k12b;
pd[22285] = du_k14b + du_k15f;
pd[22293] = du_k11f;
pd[22295] = -RasActive*du_k12f - du_RasActive*k12f;
pd[22308] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[22322] = -RasActive*k14f;
pd[22326] = -RasActive*k36f;
pd[22330] = k36b + k37f;
pd[22337] = k12b;
pd[22339] = k14b + k15f;
pd[22347] = k11f;
pd[22349] = -RasActive*k12f;
pd[22468] = -RasInactive*du_k10f - du_RasInactive*k10f;
pd[22483] = -SosActive*du_k10f - du_SosActive*k10f;
pd[22499] = du_k13f;
pd[22509] = du_k10b;
pd[22522] = -RasInactive*k10f;
pd[22537] = (-SosActive*k10f) + cj*(-1);
pd[22553] = k13f;
pd[22563] = k10b;
pd[22689] = PP2AActive*du_k28f + du_PP2AActive*k28f;
pd[22714] = MekActive*du_k28f + du_MekActive*k28f;
pd[22731] = -du_k28b - du_k29f;
pd[22743] = PP2AActive*k28f;
pd[22768] = MekActive*k28f;
pd[22785] = (-k28b - k29f) + cj*(-1);
pd[22907] = AktInactive*du_k38f + du_AktInactive*k38f;
pd[22921] = PI3KActive*du_k38f + du_PI3KActive*k38f;
pd[22949] = -du_k38b - du_k39f;
pd[22961] = AktInactive*k38f;
pd[22975] = PI3KActive*k38f;
pd[23003] = (-k38b - k39f) + cj*(-1);
pd[23125] = -Rap1Inactive*du_k42f - du_Rap1Inactive*k42f;
pd[23139] = -C3GActive*du_k42f - du_C3GActive*k42f;
pd[23143] = du_k41f;
pd[23155] = du_k42b + du_k43f;
pd[23179] = (-Rap1Inactive*k42f) + cj*(-1);
pd[23193] = -C3GActive*k42f;
pd[23197] = k41f;
pd[23209] = k42b + k43f;
pd[23329] = dv_freeNGFReceptor*k01f + dv_k01f*freeNGFReceptor;
pd[23331] = -C3GInactive*dv_k40f - SosInactive*dv_k04f - dv_C3GInactive*k40f - dv_SosInactive*k04f - dv_k01b;
pd[23344] = NGF*dv_k01f + dv_NGF*k01f;
pd[23345] = -boundNGFReceptor*dv_k04f - dv_boundNGFReceptor*k04f;
pd[23354] = -boundNGFReceptor*dv_k40f - dv_boundNGFReceptor*k40f;
pd[23359] = dv_k40b + dv_k41f;
pd[23377] = dv_k04b + dv_k05f;
pd[23437] = freeNGFReceptor*k01f;
pd[23439] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[23452] = NGF*k01f;
pd[23453] = -boundNGFReceptor*k04f;
pd[23462] = -boundNGFReceptor*k40f;
pd[23467] = k40b + k41f;
pd[23485] = k04b + k05f;
pd[23545] = -dv_freeNGFReceptor*k01f - dv_k01f*freeNGFReceptor;
pd[23547] = dv_k01b;
pd[23560] = -NGF*dv_k01f - dv_NGF*k01f;
pd[23653] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[23655] = k01b;
pd[23668] = -NGF*k01f;
pd[23766] = PI3KInactive*dv_k36f + dv_PI3KInactive*k36f;
pd[23784] = RasActive*dv_k36f + dv_RasActive*k36f;
pd[23788] = -dv_k36b - dv_k37f;
pd[23874] = PI3KInactive*k36f;
pd[23892] = RasActive*k36f;
pd[23896] = (-k36b - k37f) + cj*(-1);
pd[23985] = -ErkInactive*dv_k30f - dv_ErkInactive*k30f;
pd[23999] = -MekActive*dv_k30f - dv_MekActive*k30f;
pd[24014] = dv_k30b;
pd[24028] = dv_k33f;
pd[24093] = -ErkInactive*k30f;
pd[24107] = (-MekActive*k30f) + cj*(-1);
pd[24122] = k30b;
pd[24136] = k33f;
pd[24201] = -ErkInactive*dv_k30f - PP2AActive*dv_k28f - dv_ErkInactive*k30f - dv_PP2AActive*k28f;
pd[24215] = -MekActive*dv_k30f - dv_MekActive*k30f;
pd[24222] = dv_k27f;
pd[24226] = -MekActive*dv_k28f - dv_MekActive*k28f;
pd[24230] = dv_k30b + dv_k31f;
pd[24236] = dv_k25f;
pd[24243] = dv_k28b;
pd[24309] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[24323] = -MekActive*k30f;
pd[24330] = k27f;
pd[24334] = -MekActive*k28f;
pd[24338] = k30b + k31f;
pd[24344] = k25f;
pd[24351] = k28b;
pd[24411] = SosInactive*dv_k04f + dv_SosInactive*k04f;
pd[24425] = boundNGFReceptor*dv_k04f + dv_boundNGFReceptor*k04f;
pd[24457] = -dv_k04b - dv_k05f;
pd[24519] = SosInactive*k04f;
pd[24533] = boundNGFReceptor*k04f;
pd[24565] = (-k04b - k05f) + cj*(-1);
pd[24631] = Raf1PPtase*dv_k16f + dv_Raf1PPtase*k16f;
pd[24653] = -dv_k16b - dv_k17f;
pd[24666] = Raf1Active*dv_k16f + dv_Raf1Active*k16f;
pd[24739] = Raf1PPtase*k16f;
pd[24761] = (-k16b - k17f) + cj*(-1);
pd[24774] = Raf1Active*k16f;
pd[24848] = MekInactive*dv_k26f + dv_MekInactive*k26f;
pd[24862] = BRafActive*dv_k26f + dv_BRafActive*k26f;
pd[24870] = -dv_k26b - dv_k27f;
pd[24956] = MekInactive*k26f;
pd[24970] = BRafActive*k26f;
pd[24978] = (-k26b - k27f) + cj*(-1);
pd[25059] = C3GInactive*dv_k40f + dv_C3GInactive*k40f;
pd[25082] = boundNGFReceptor*dv_k40f + dv_boundNGFReceptor*k40f;
pd[25087] = -dv_k40b - dv_k41f;
pd[25167] = C3GInactive*k40f;
pd[25190] = boundNGFReceptor*k40f;
pd[25195] = (-k40b - k41f) + cj*(-1);
pd[25276] = P90RskActive*dv_k06f + dv_P90RskActive*k06f;
pd[25277] = SosActive*dv_k06f + dv_SosActive*k06f;
pd[25304] = -dv_k06b - dv_k07f;
pd[25384] = P90RskActive*k06f;
pd[25385] = SosActive*k06f;
pd[25412] = (-k06b - k07f) + cj*(-1);
pd[25498] = -P90RskInactive*dv_k08f - dv_P90RskInactive*k08f;
pd[25506] = -ErkActive*dv_k08f - dv_ErkActive*k08f;
pd[25524] = dv_k08b;
pd[25606] = -P90RskInactive*k08f;
pd[25614] = (-ErkActive*k08f) + cj*(-1);
pd[25632] = k08b;
pd[25704] = -dv_freeEGFReceptor*k00f - dv_k00f*freeEGFReceptor;
pd[25706] = dv_k00b;
pd[25719] = -EGF*dv_k00f - dv_EGF*k00f;
pd[25812] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[25814] = k00b;
pd[25827] = -EGF*k00f;
pd[25928] = Raf1PPtase*dv_k22f + dv_Raf1PPtase*k22f;
pd[25953] = -dv_k22b - dv_k23f;
pd[25962] = BRafActive*dv_k22f + dv_BRafActive*k22f;
pd[26036] = Raf1PPtase*k22f;
pd[26061] = (-k22b - k23f) + cj*(-1);
pd[26070] = BRafActive*k22f;
pd[26145] = -PP2AActive*dv_k28f - dv_PP2AActive*k28f;
pd[26146] = -PP2AActive*dv_k32f - dv_PP2AActive*k32f;
pd[26170] = -ErkActive*dv_k32f - MekActive*dv_k28f - dv_ErkActive*k32f - dv_MekActive*k28f;
pd[26187] = dv_k28b + dv_k29f;
pd[26188] = dv_k32b + dv_k33f;
pd[26253] = -PP2AActive*k28f;
pd[26254] = -PP2AActive*k32f;
pd[26278] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[26295] = k28b + k29f;
pd[26296] = k32b + k33f;
pd[26363] = -AktInactive*dv_k38f - dv_AktInactive*k38f;
pd[26377] = -PI3KActive*dv_k38f - dv_PI3KActive*k38f;
pd[26405] = dv_k38b;
pd[26471] = -AktInactive*k38f;
pd[26485] = (-PI3KActive*k38f) + cj*(-1);
pd[26513] = k38b;
pd[26575] = -AktActive*dv_k18f - dv_AktActive*k18f;
pd[26580] = -Raf1Active*dv_k18f - dv_Raf1Active*k18f;
pd[26609] = dv_k18b + dv_k19f;
pd[26621] = dv_k39f;
pd[26683] = -AktActive*k18f;
pd[26688] = (-Raf1Active*k18f) + cj*(-1);
pd[26717] = k18b + k19f;
pd[26729] = k39f;
pd[26790] = RasGapActive*dv_k12f + dv_RasGapActive*k12f;
pd[26819] = -dv_k12b - dv_k13f;
pd[26831] = RasActive*dv_k12f + dv_RasActive*k12f;
pd[26898] = RasGapActive*k12f;
pd[26927] = (-k12b - k13f) + cj*(-1);
pd[26939] = RasActive*k12f;
pd[27004] = -P90RskActive*dv_k06f - RasInactive*dv_k10f - dv_P90RskActive*k06f - dv_RasInactive*k10f;
pd[27005] = -SosActive*dv_k06f - dv_SosActive*k06f;
pd[27019] = -SosActive*dv_k10f - dv_SosActive*k10f;
pd[27032] = dv_k06b;
pd[27045] = dv_k10b + dv_k11f;
pd[27048] = dv_k03f;
pd[27049] = dv_k05f;
pd[27112] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[27113] = -SosActive*k06f;
pd[27127] = -SosActive*k10f;
pd[27140] = k06b;
pd[27153] = k10b + k11f;
pd[27156] = k03f;
pd[27157] = k05f;
pd[27226] = P90RskInactive*dv_k08f + dv_P90RskInactive*k08f;
pd[27234] = ErkActive*dv_k08f + dv_ErkActive*k08f;
pd[27252] = -dv_k08b - dv_k09f;
pd[27334] = P90RskInactive*k08f;
pd[27342] = ErkActive*k08f;
pd[27360] = (-k08b - k09f) + cj*(-1);
pd[27438] = Raf1Inactive*dv_k14f + dv_Raf1Inactive*k14f;
pd[27452] = RasActive*dv_k14f + dv_RasActive*k14f;
pd[27469] = -dv_k14b - dv_k15f;
pd[27546] = Raf1Inactive*k14f;
pd[27560] = RasActive*k14f;
pd[27577] = (-k14b - k15f) + cj*(-1);
pd[27648] = dv_freeEGFReceptor*k00f + dv_k00f*freeEGFReceptor;
pd[27650] = -PI3KInactive*dv_k34f - SosInactive*dv_k02f - dv_PI3KInactive*k34f - dv_SosInactive*k02f - dv_k00b;
pd[27663] = EGF*dv_k00f + dv_EGF*k00f;
pd[27665] = -boundEGFReceptor*dv_k02f - dv_boundEGFReceptor*k02f;
pd[27672] = -boundEGFReceptor*dv_k34f - dv_boundEGFReceptor*k34f;
pd[27694] = dv_k34b + dv_k35f;
pd[27696] = dv_k02b + dv_k03f;
pd[27756] = freeEGFReceptor*k00f;
pd[27758] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[27771] = EGF*k00f;
pd[27773] = -boundEGFReceptor*k02f;
pd[27780] = -boundEGFReceptor*k34f;
pd[27802] = k34b + k35f;
pd[27804] = k02b + k03f;
pd[27871] = -AktActive*dv_k18f - MekInactive*dv_k24f - Raf1PPtase*dv_k16f - dv_AktActive*k18f - dv_MekInactive*k24f - dv_Raf1PPtase*k16f;
pd[27876] = -Raf1Active*dv_k18f - dv_Raf1Active*k18f;
pd[27886] = -Raf1Active*dv_k24f - dv_Raf1Active*k24f;
pd[27893] = dv_k16b;
pd[27901] = dv_k15f;
pd[27905] = dv_k18b;
pd[27906] = -Raf1Active*dv_k16f - dv_Raf1Active*k16f;
pd[27908] = dv_k24b + dv_k25f;
pd[27979] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[27984] = -Raf1Active*k18f;
pd[27994] = -Raf1Active*k24f;
pd[28001] = k16b;
pd[28009] = k15f;
pd[28013] = k18b;
pd[28014] = -Raf1Active*k16f;
pd[28016] = k24b + k25f;
pd[28089] = ErkInactive*dv_k30f + dv_ErkInactive*k30f;
pd[28103] = MekActive*dv_k30f + dv_MekActive*k30f;
pd[28118] = -dv_k30b - dv_k31f;
pd[28197] = ErkInactive*k30f;
pd[28211] = MekActive*k30f;
pd[28226] = (-k30b - k31f) + cj*(-1);
pd[28310] = RapGapActive*dv_k44f + dv_RapGapActive*k44f;
pd[28335] = -dv_k44b - dv_k45f;
pd[28336] = Rap1Active*dv_k44f + dv_Rap1Active*k44f;
pd[28418] = RapGapActive*k44f;
pd[28443] = (-k44b - k45f) + cj*(-1);
pd[28444] = Rap1Active*k44f;
pd[28514] = -SosInactive*dv_k02f - dv_SosInactive*k02f;
pd[28515] = -SosInactive*dv_k04f - dv_SosInactive*k04f;
pd[28529] = -boundEGFReceptor*dv_k02f - boundNGFReceptor*dv_k04f - dv_boundEGFReceptor*k02f - dv_boundNGFReceptor*k04f;
pd[28544] = dv_k07f;
pd[28560] = dv_k02b;
pd[28561] = dv_k04b;
pd[28622] = -SosInactive*k02f;
pd[28623] = -SosInactive*k04f;
pd[28637] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[28652] = k07f;
pd[28668] = k02b;
pd[28669] = k04b;
pd[28742] = -RapGapActive*dv_k44f - dv_RapGapActive*k44f;
pd[28767] = dv_k44b + dv_k45f;
pd[28768] = -Rap1Active*dv_k44f - dv_Rap1Active*k44f;
pd[28850] = -RapGapActive*k44f;
pd[28875] = k44b + k45f;
pd[28876] = (-Rap1Active*k44f) + cj*(-1);
pd[28951] = AktActive*dv_k18f + dv_AktActive*k18f;
pd[28956] = Raf1Active*dv_k18f + dv_Raf1Active*k18f;
pd[28985] = -dv_k18b - dv_k19f;
pd[29059] = AktActive*k18f;
pd[29064] = Raf1Active*k18f;
pd[29093] = (-k18b - k19f) + cj*(-1);
pd[29160] = -dv_freeEGFReceptor*k00f - dv_k00f*freeEGFReceptor;
pd[29162] = dv_k00b;
pd[29175] = -EGF*dv_k00f - dv_EGF*k00f;
pd[29268] = -freeEGFReceptor*k00f;
pd[29270] = k00b;
pd[29283] = (-EGF*k00f) + cj*(-1);
pd[29383] = -Raf1PPtase*dv_k16f - dv_Raf1PPtase*k16f;
pd[29384] = -Raf1PPtase*dv_k22f - dv_Raf1PPtase*k22f;
pd[29405] = dv_k16b + dv_k17f;
pd[29409] = dv_k22b + dv_k23f;
pd[29418] = -BRafActive*dv_k22f - Raf1Active*dv_k16f - dv_BRafActive*k22f - dv_Raf1Active*k16f;
pd[29491] = -Raf1PPtase*k16f;
pd[29492] = -Raf1PPtase*k22f;
pd[29513] = k16b + k17f;
pd[29517] = k22b + k23f;
pd[29526] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[29605] = Rap1Inactive*dv_k42f + dv_Rap1Inactive*k42f;
pd[29619] = C3GActive*dv_k42f + dv_C3GActive*k42f;
pd[29635] = -dv_k42b - dv_k43f;
pd[29713] = Rap1Inactive*k42f;
pd[29727] = C3GActive*k42f;
pd[29743] = (-k42b - k43f) + cj*(-1);
pd[29822] = -BRafInactive*dv_k20f - RapGapActive*dv_k44f - dv_BRafInactive*k20f - dv_RapGapActive*k44f;
pd[29829] = -Rap1Active*dv_k20f - dv_Rap1Active*k20f;
pd[29847] = dv_k44b;
pd[29848] = -Rap1Active*dv_k44f - dv_Rap1Active*k44f;
pd[29851] = dv_k43f;
pd[29858] = dv_k20b + dv_k21f;
pd[29930] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[29937] = -Rap1Active*k20f;
pd[29955] = k44b;
pd[29956] = -Rap1Active*k44f;
pd[29959] = k43f;
pd[29966] = k20b + k21f;
pd[30031] = -MekInactive*dv_k24f - dv_MekInactive*k24f;
pd[30032] = -MekInactive*dv_k26f - dv_MekInactive*k26f;
pd[30046] = -BRafActive*dv_k26f - Raf1Active*dv_k24f - dv_BRafActive*k26f - dv_Raf1Active*k24f;
pd[30054] = dv_k26b;
pd[30068] = dv_k24b;
pd[30075] = dv_k29f;
pd[30139] = -MekInactive*k24f;
pd[30140] = -MekInactive*k26f;
pd[30154] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[30162] = k26b;
pd[30176] = k24b;
pd[30183] = k29f;
pd[30247] = MekInactive*dv_k24f + dv_MekInactive*k24f;
pd[30262] = Raf1Active*dv_k24f + dv_Raf1Active*k24f;
pd[30284] = -dv_k24b - dv_k25f;
pd[30355] = MekInactive*k24f;
pd[30370] = Raf1Active*k24f;
pd[30392] = (-k24b - k25f) + cj*(-1);
pd[30460] = RasInactive*dv_k10f + dv_RasInactive*k10f;
pd[30475] = SosActive*dv_k10f + dv_SosActive*k10f;
pd[30501] = -dv_k10b - dv_k11f;
pd[30568] = RasInactive*k10f;
pd[30583] = SosActive*k10f;
pd[30609] = (-k10b - k11f) + cj*(-1);
pd[30676] = -P90RskActive*dv_k06f - dv_P90RskActive*k06f;
pd[30677] = -SosActive*dv_k06f - dv_SosActive*k06f;
pd[30704] = dv_k06b + dv_k07f;
pd[30708] = dv_k09f;
pd[30784] = -P90RskActive*k06f;
pd[30785] = (-SosActive*k06f) + cj*(-1);
pd[30812] = k06b + k07f;
pd[30816] = k09f;
pd[30898] = PP2AActive*dv_k32f + dv_PP2AActive*k32f;
pd[30922] = ErkActive*dv_k32f + dv_ErkActive*k32f;
pd[30940] = -dv_k32b - dv_k33f;
pd[31006] = PP2AActive*k32f;
pd[31030] = ErkActive*k32f;
pd[31048] = (-k32b - k33f) + cj*(-1);
pd[31106] = PI3KInactive*dv_k34f + dv_PI3KInactive*k34f;
pd[31128] = boundEGFReceptor*dv_k34f + dv_boundEGFReceptor*k34f;
pd[31150] = -dv_k34b - dv_k35f;
pd[31214] = PI3KInactive*k34f;
pd[31236] = boundEGFReceptor*k34f;
pd[31258] = (-k34b - k35f) + cj*(-1);
pd[31331] = -AktInactive*dv_k38f - dv_AktInactive*k38f;
pd[31345] = -PI3KActive*dv_k38f - dv_PI3KActive*k38f;
pd[31348] = dv_k37f;
pd[31366] = dv_k35f;
pd[31373] = dv_k38b + dv_k39f;
pd[31439] = (-AktInactive*k38f) + cj*(-1);
pd[31453] = -PI3KActive*k38f;
pd[31456] = k37f;
pd[31474] = k35f;
pd[31481] = k38b + k39f;
pd[31542] = -RasGapActive*dv_k12f - dv_RasGapActive*k12f;
pd[31571] = dv_k12b + dv_k13f;
pd[31583] = -RasActive*dv_k12f - dv_RasActive*k12f;
pd[31650] = -RasGapActive*k12f;
pd[31679] = k12b + k13f;
pd[31691] = (-RasActive*k12f) + cj*(-1);
pd[31760] = -MekInactive*dv_k26f - Raf1PPtase*dv_k22f - dv_MekInactive*k26f - dv_Raf1PPtase*k22f;
pd[31774] = -BRafActive*dv_k26f - dv_BRafActive*k26f;
pd[31782] = dv_k26b + dv_k27f;
pd[31785] = dv_k22b;
pd[31794] = -BRafActive*dv_k22f - dv_BRafActive*k22f;
pd[31802] = dv_k21f;
pd[31868] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[31882] = -BRafActive*k26f;
pd[31890] = k26b + k27f;
pd[31893] = k22b;
pd[31902] = -BRafActive*k22f;
pd[31910] = k21f;
pd[31970] = SosInactive*dv_k02f + dv_SosInactive*k02f;
pd[31985] = boundEGFReceptor*dv_k02f + dv_boundEGFReceptor*k02f;
pd[32016] = -dv_k02b - dv_k03f;
pd[32078] = SosInactive*k02f;
pd[32093] = boundEGFReceptor*k02f;
pd[32124] = (-k02b - k03f) + cj*(-1);
pd[32197] = -Rap1Inactive*dv_k42f - dv_Rap1Inactive*k42f;
pd[32211] = -C3GActive*dv_k42f - dv_C3GActive*k42f;
pd[32223] = dv_k45f;
pd[32227] = dv_k42b;
pd[32305] = -Rap1Inactive*k42f;
pd[32319] = (-C3GActive*k42f) + cj*(-1);
pd[32331] = k45f;
pd[32335] = k42b;
pd[32410] = -P90RskInactive*dv_k08f - PP2AActive*dv_k32f - dv_P90RskInactive*k08f - dv_PP2AActive*k32f;
pd[32418] = -ErkActive*dv_k08f - dv_ErkActive*k08f;
pd[32434] = -ErkActive*dv_k32f - dv_ErkActive*k32f;
pd[32436] = dv_k08b + dv_k09f;
pd[32438] = dv_k31f;
pd[32452] = dv_k32b;
pd[32518] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[32526] = -ErkActive*k08f;
pd[32542] = -ErkActive*k32f;
pd[32544] = k08b + k09f;
pd[32546] = k31f;
pd[32560] = k32b;
pd[32617] = -dv_freeNGFReceptor*k01f - dv_k01f*freeNGFReceptor;
pd[32619] = dv_k01b;
pd[32632] = -NGF*dv_k01f - dv_NGF*k01f;
pd[32725] = -freeNGFReceptor*k01f;
pd[32727] = k01b;
pd[32740] = (-NGF*k01f) + cj*(-1);
pd[32835] = -C3GInactive*dv_k40f - dv_C3GInactive*k40f;
pd[32858] = -boundNGFReceptor*dv_k40f - dv_boundNGFReceptor*k40f;
pd[32863] = dv_k40b;
pd[32943] = -C3GInactive*k40f;
pd[32966] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[32971] = k40b;
pd[33054] = -Raf1Inactive*dv_k14f - dv_Raf1Inactive*k14f;
pd[33068] = -RasActive*dv_k14f - dv_RasActive*k14f;
pd[33077] = dv_k17f;
pd[33085] = dv_k14b;
pd[33089] = dv_k19f;
pd[33162] = -Raf1Inactive*k14f;
pd[33176] = (-RasActive*k14f) + cj*(-1);
pd[33185] = k17f;
pd[33193] = k14b;
pd[33197] = k19f;
pd[33266] = -PI3KInactive*dv_k34f - dv_PI3KInactive*k34f;
pd[33270] = -PI3KInactive*dv_k36f - dv_PI3KInactive*k36f;
pd[33288] = -RasActive*dv_k36f - boundEGFReceptor*dv_k34f - dv_RasActive*k36f - dv_boundEGFReceptor*k34f;
pd[33292] = dv_k36b;
pd[33310] = dv_k34b;
pd[33374] = -PI3KInactive*k34f;
pd[33378] = -PI3KInactive*k36f;
pd[33396] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[33400] = k36b;
pd[33418] = k34b;
pd[33494] = -BRafInactive*dv_k20f - dv_BRafInactive*k20f;
pd[33501] = -Rap1Active*dv_k20f - dv_Rap1Active*k20f;
pd[33513] = dv_k23f;
pd[33530] = dv_k20b;
pd[33602] = -BRafInactive*k20f;
pd[33609] = (-Rap1Active*k20f) + cj*(-1);
pd[33621] = k23f;
pd[33638] = k20b;
pd[33710] = BRafInactive*dv_k20f + dv_BRafInactive*k20f;
pd[33717] = Rap1Active*dv_k20f + dv_Rap1Active*k20f;
pd[33746] = -dv_k20b - dv_k21f;
pd[33818] = BRafInactive*k20f;
pd[33825] = Rap1Active*k20f;
pd[33854] = (-k20b - k21f) + cj*(-1);
pd[33918] = -PI3KInactive*dv_k36f - Raf1Inactive*dv_k14f - RasGapActive*dv_k12f - dv_PI3KInactive*k36f - dv_Raf1Inactive*k14f - dv_RasGapActive*k12f;
pd[33932] = -RasActive*dv_k14f - dv_RasActive*k14f;
pd[33936] = -RasActive*dv_k36f - dv_RasActive*k36f;
pd[33940] = dv_k36b + dv_k37f;
pd[33947] = dv_k12b;
pd[33949] = dv_k14b + dv_k15f;
pd[33957] = dv_k11f;
pd[33959] = -RasActive*dv_k12f - dv_RasActive*k12f;
pd[34026] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[34040] = -RasActive*k14f;
pd[34044] = -RasActive*k36f;
pd[34048] = k36b + k37f;
pd[34055] = k12b;
pd[34057] = k14b + k15f;
pd[34065] = k11f;
pd[34067] = -RasActive*k12f;
pd[34132] = -RasInactive*dv_k10f - dv_RasInactive*k10f;
pd[34147] = -SosActive*dv_k10f - dv_SosActive*k10f;
pd[34163] = dv_k13f;
pd[34173] = dv_k10b;
pd[34240] = -RasInactive*k10f;
pd[34255] = (-SosActive*k10f) + cj*(-1);
pd[34271] = k13f;
pd[34281] = k10b;
pd[34353] = PP2AActive*dv_k28f + dv_PP2AActive*k28f;
pd[34378] = MekActive*dv_k28f + dv_MekActive*k28f;
pd[34395] = -dv_k28b - dv_k29f;
pd[34461] = PP2AActive*k28f;
pd[34486] = MekActive*k28f;
pd[34503] = (-k28b - k29f) + cj*(-1);
pd[34571] = AktInactive*dv_k38f + dv_AktInactive*k38f;
pd[34585] = PI3KActive*dv_k38f + dv_PI3KActive*k38f;
pd[34613] = -dv_k38b - dv_k39f;
pd[34679] = AktInactive*k38f;
pd[34693] = PI3KActive*k38f;
pd[34721] = (-k38b - k39f) + cj*(-1);
pd[34789] = -Rap1Inactive*dv_k42f - dv_Rap1Inactive*k42f;
pd[34803] = -C3GActive*dv_k42f - dv_C3GActive*k42f;
pd[34807] = dv_k41f;
pd[34819] = dv_k42b + dv_k43f;
pd[34897] = (-Rap1Inactive*k42f) + cj*(-1);
pd[34911] = -C3GActive*k42f;
pd[34915] = k41f;
pd[34927] = k42b + k43f;
pd[34993] = du_freeNGFReceptor*dv_k01f + du_k01f*dv_freeNGFReceptor + duv_freeNGFReceptor*k01f;
pd[34995] = -du_C3GInactive*dv_k40f - du_SosInactive*dv_k04f - du_k04f*dv_SosInactive - du_k40f*dv_C3GInactive - duv_C3GInactive*k40f - duv_SosInactive*k04f;
pd[35008] = du_NGF*dv_k01f + du_k01f*dv_NGF + duv_NGF*k01f;
pd[35009] = -du_boundNGFReceptor*dv_k04f - du_k04f*dv_boundNGFReceptor - duv_boundNGFReceptor*k04f;
pd[35018] = -du_boundNGFReceptor*dv_k40f - du_k40f*dv_boundNGFReceptor - duv_boundNGFReceptor*k40f;
pd[35047] = dv_freeNGFReceptor*k01f + dv_k01f*freeNGFReceptor;
pd[35049] = -C3GInactive*dv_k40f - SosInactive*dv_k04f - dv_C3GInactive*k40f - dv_SosInactive*k04f - dv_k01b;
pd[35062] = NGF*dv_k01f + dv_NGF*k01f;
pd[35063] = -boundNGFReceptor*dv_k04f - dv_boundNGFReceptor*k04f;
pd[35072] = -boundNGFReceptor*dv_k40f - dv_boundNGFReceptor*k40f;
pd[35077] = dv_k40b + dv_k41f;
pd[35095] = dv_k04b + dv_k05f;
pd[35101] = du_freeNGFReceptor*k01f + du_k01f*freeNGFReceptor;
pd[35103] = -C3GInactive*du_k40f - SosInactive*du_k04f - du_C3GInactive*k40f - du_SosInactive*k04f - du_k01b;
pd[35116] = NGF*du_k01f + du_NGF*k01f;
pd[35117] = -boundNGFReceptor*du_k04f - du_boundNGFReceptor*k04f;
pd[35126] = -boundNGFReceptor*du_k40f - du_boundNGFReceptor*k40f;
pd[35131] = du_k40b + du_k41f;
pd[35149] = du_k04b + du_k05f;
pd[35155] = freeNGFReceptor*k01f;
pd[35157] = (-C3GInactive*k40f - SosInactive*k04f - k01b) + cj*(-1);
pd[35170] = NGF*k01f;
pd[35171] = -boundNGFReceptor*k04f;
pd[35180] = -boundNGFReceptor*k40f;
pd[35185] = k40b + k41f;
pd[35203] = k04b + k05f;
pd[35209] = -du_freeNGFReceptor*dv_k01f - du_k01f*dv_freeNGFReceptor - duv_freeNGFReceptor*k01f;
pd[35224] = -du_NGF*dv_k01f - du_k01f*dv_NGF - duv_NGF*k01f;
pd[35263] = -dv_freeNGFReceptor*k01f - dv_k01f*freeNGFReceptor;
pd[35265] = dv_k01b;
pd[35278] = -NGF*dv_k01f - dv_NGF*k01f;
pd[35317] = -du_freeNGFReceptor*k01f - du_k01f*freeNGFReceptor;
pd[35319] = du_k01b;
pd[35332] = -NGF*du_k01f - du_NGF*k01f;
pd[35371] = (-freeNGFReceptor*k01f) + cj*(-1);
pd[35373] = k01b;
pd[35386] = -NGF*k01f;
pd[35430] = du_PI3KInactive*dv_k36f + du_k36f*dv_PI3KInactive + duv_PI3KInactive*k36f;
pd[35448] = du_RasActive*dv_k36f + du_k36f*dv_RasActive + duv_RasActive*k36f;
pd[35484] = PI3KInactive*dv_k36f + dv_PI3KInactive*k36f;
pd[35502] = RasActive*dv_k36f + dv_RasActive*k36f;
pd[35506] = -dv_k36b - dv_k37f;
pd[35538] = PI3KInactive*du_k36f + du_PI3KInactive*k36f;
pd[35556] = RasActive*du_k36f + du_RasActive*k36f;
pd[35560] = -du_k36b - du_k37f;
pd[35592] = PI3KInactive*k36f;
pd[35610] = RasActive*k36f;
pd[35614] = (-k36b - k37f) + cj*(-1);
pd[35649] = -du_ErkInactive*dv_k30f - du_k30f*dv_ErkInactive - duv_ErkInactive*k30f;
pd[35663] = -du_MekActive*dv_k30f - du_k30f*dv_MekActive - duv_MekActive*k30f;
pd[35703] = -ErkInactive*dv_k30f - dv_ErkInactive*k30f;
pd[35717] = -MekActive*dv_k30f - dv_MekActive*k30f;
pd[35732] = dv_k30b;
pd[35746] = dv_k33f;
pd[35757] = -ErkInactive*du_k30f - du_ErkInactive*k30f;
pd[35771] = -MekActive*du_k30f - du_MekActive*k30f;
pd[35786] = du_k30b;
pd[35800] = du_k33f;
pd[35811] = -ErkInactive*k30f;
pd[35825] = (-MekActive*k30f) + cj*(-1);
pd[35840] = k30b;
pd[35854] = k33f;
pd[35865] = -du_ErkInactive*dv_k30f - du_PP2AActive*dv_k28f - du_k28f*dv_PP2AActive - du_k30f*dv_ErkInactive - duv_ErkInactive*k30f - duv_PP2AActive*k28f;
pd[35879] = -du_MekActive*dv_k30f - du_k30f*dv_MekActive - duv_MekActive*k30f;
pd[35890] = -du_MekActive*dv_k28f - du_k28f*dv_MekActive - duv_MekActive*k28f;
pd[35919] = -ErkInactive*dv_k30f - PP2AActive*dv_k28f - dv_ErkInactive*k30f - dv_PP2AActive*k28f;
pd[35933] = -MekActive*dv_k30f - dv_MekActive*k30f;
pd[35940] = dv_k27f;
pd[35944] = -MekActive*dv_k28f - dv_MekActive*k28f;
pd[35948] = dv_k30b + dv_k31f;
pd[35954] = dv_k25f;
pd[35961] = dv_k28b;
pd[35973] = -ErkInactive*du_k30f - PP2AActive*du_k28f - du_ErkInactive*k30f - du_PP2AActive*k28f;
pd[35987] = -MekActive*du_k30f - du_MekActive*k30f;
pd[35994] = du_k27f;
pd[35998] = -MekActive*du_k28f - du_MekActive*k28f;
pd[36002] = du_k30b + du_k31f;
pd[36008] = du_k25f;
pd[36015] = du_k28b;
pd[36027] = (-ErkInactive*k30f - PP2AActive*k28f) + cj*(-1);
pd[36041] = -MekActive*k30f;
pd[36048] = k27f;
pd[36052] = -MekActive*k28f;
pd[36056] = k30b + k31f;
pd[36062] = k25f;
pd[36069] = k28b;
pd[36075] = du_SosInactive*dv_k04f + du_k04f*dv_SosInactive + duv_SosInactive*k04f;
pd[36089] = du_boundNGFReceptor*dv_k04f + du_k04f*dv_boundNGFReceptor + duv_boundNGFReceptor*k04f;
pd[36129] = SosInactive*dv_k04f + dv_SosInactive*k04f;
pd[36143] = boundNGFReceptor*dv_k04f + dv_boundNGFReceptor*k04f;
pd[36175] = -dv_k04b - dv_k05f;
pd[36183] = SosInactive*du_k04f + du_SosInactive*k04f;
pd[36197] = boundNGFReceptor*du_k04f + du_boundNGFReceptor*k04f;
pd[36229] = -du_k04b - du_k05f;
pd[36237] = SosInactive*k04f;
pd[36251] = boundNGFReceptor*k04f;
pd[36283] = (-k04b - k05f) + cj*(-1);
pd[36295] = du_Raf1PPtase*dv_k16f + du_k16f*dv_Raf1PPtase + duv_Raf1PPtase*k16f;
pd[36330] = du_Raf1Active*dv_k16f + du_k16f*dv_Raf1Active + duv_Raf1Active*k16f;
pd[36349] = Raf1PPtase*dv_k16f + dv_Raf1PPtase*k16f;
pd[36371] = -dv_k16b - dv_k17f;
pd[36384] = Raf1Active*dv_k16f + dv_Raf1Active*k16f;
pd[36403] = Raf1PPtase*du_k16f + du_Raf1PPtase*k16f;
pd[36425] = -du_k16b - du_k17f;
pd[36438] = Raf1Active*du_k16f + du_Raf1Active*k16f;
pd[36457] = Raf1PPtase*k16f;
pd[36479] = (-k16b - k17f) + cj*(-1);
pd[36492] = Raf1Active*k16f;
pd[36512] = du_MekInactive*dv_k26f + du_k26f*dv_MekInactive + duv_MekInactive*k26f;
pd[36526] = du_BRafActive*dv_k26f + du_k26f*dv_BRafActive + duv_BRafActive*k26f;
pd[36566] = MekInactive*dv_k26f + dv_MekInactive*k26f;
pd[36580] = BRafActive*dv_k26f + dv_BRafActive*k26f;
pd[36588] = -dv_k26b - dv_k27f;
pd[36620] = MekInactive*du_k26f + du_MekInactive*k26f;
pd[36634] = BRafActive*du_k26f + du_BRafActive*k26f;
pd[36642] = -du_k26b - du_k27f;
pd[36674] = MekInactive*k26f;
pd[36688] = BRafActive*k26f;
pd[36696] = (-k26b - k27f) + cj*(-1);
pd[36723] = du_C3GInactive*dv_k40f + du_k40f*dv_C3GInactive + duv_C3GInactive*k40f;
pd[36746] = du_boundNGFReceptor*dv_k40f + du_k40f*dv_boundNGFReceptor + duv_boundNGFReceptor*k40f;
pd[36777] = C3GInactive*dv_k40f + dv_C3GInactive*k40f;
pd[36800] = boundNGFReceptor*dv_k40f + dv_boundNGFReceptor*k40f;
pd[36805] = -dv_k40b - dv_k41f;
pd[36831] = C3GInactive*du_k40f + du_C3GInactive*k40f;
pd[36854] = boundNGFReceptor*du_k40f + du_boundNGFReceptor*k40f;
pd[36859] = -du_k40b - du_k41f;
pd[36885] = C3GInactive*k40f;
pd[36908] = boundNGFReceptor*k40f;
pd[36913] = (-k40b - k41f) + cj*(-1);
pd[36940] = du_P90RskActive*dv_k06f + du_k06f*dv_P90RskActive + duv_P90RskActive*k06f;
pd[36941] = du_SosActive*dv_k06f + du_k06f*dv_SosActive + duv_SosActive*k06f;
pd[36994] = P90RskActive*dv_k06f + dv_P90RskActive*k06f;
pd[36995] = SosActive*dv_k06f + dv_SosActive*k06f;
pd[37022] = -dv_k06b - dv_k07f;
pd[37048] = P90RskActive*du_k06f + du_P90RskActive*k06f;
pd[37049] = SosActive*du_k06f + du_SosActive*k06f;
pd[37076] = -du_k06b - du_k07f;
pd[37102] = P90RskActive*k06f;
pd[37103] = SosActive*k06f;
pd[37130] = (-k06b - k07f) + cj*(-1);
pd[37162] = -du_P90RskInactive*dv_k08f - du_k08f*dv_P90RskInactive - duv_P90RskInactive*k08f;
pd[37170] = -du_ErkActive*dv_k08f - du_k08f*dv_ErkActive - duv_ErkActive*k08f;
pd[37216] = -P90RskInactive*dv_k08f - dv_P90RskInactive*k08f;
pd[37224] = -ErkActive*dv_k08f - dv_ErkActive*k08f;
pd[37242] = dv_k08b;
pd[37270] = -P90RskInactive*du_k08f - du_P90RskInactive*k08f;
pd[37278] = -ErkActive*du_k08f - du_ErkActive*k08f;
pd[37296] = du_k08b;
pd[37324] = -P90RskInactive*k08f;
pd[37332] = (-ErkActive*k08f) + cj*(-1);
pd[37350] = k08b;
pd[37368] = -du_freeEGFReceptor*dv_k00f - du_k00f*dv_freeEGFReceptor - duv_freeEGFReceptor*k00f;
pd[37383] = -du_EGF*dv_k00f - du_k00f*dv_EGF - duv_EGF*k00f;
pd[37422] = -dv_freeEGFReceptor*k00f - dv_k00f*freeEGFReceptor;
pd[37424] = dv_k00b;
pd[37437] = -EGF*dv_k00f - dv_EGF*k00f;
pd[37476] = -du_freeEGFReceptor*k00f - du_k00f*freeEGFReceptor;
pd[37478] = du_k00b;
pd[37491] = -EGF*du_k00f - du_EGF*k00f;
pd[37530] = (-freeEGFReceptor*k00f) + cj*(-1);
pd[37532] = k00b;
pd[37545] = -EGF*k00f;
pd[37592] = du_Raf1PPtase*dv_k22f + du_k22f*dv_Raf1PPtase + duv_Raf1PPtase*k22f;
pd[37626] = du_BRafActive*dv_k22f + du_k22f*dv_BRafActive + duv_BRafActive*k22f;
pd[37646] = Raf1PPtase*dv_k22f + dv_Raf1PPtase*k22f;
pd[37671] = -dv_k22b - dv_k23f;
pd[37680] = BRafActive*dv_k22f + dv_BRafActive*k22f;
pd[37700] = Raf1PPtase*du_k22f + du_Raf1PPtase*k22f;
pd[37725] = -du_k22b - du_k23f;
pd[37734] = BRafActive*du_k22f + du_BRafActive*k22f;
pd[37754] = Raf1PPtase*k22f;
pd[37779] = (-k22b - k23f) + cj*(-1);
pd[37788] = BRafActive*k22f;
pd[37809] = -du_PP2AActive*dv_k28f - du_k28f*dv_PP2AActive - duv_PP2AActive*k28f;
pd[37810] = -du_PP2AActive*dv_k32f - du_k32f*dv_PP2AActive - duv_PP2AActive*k32f;
pd[37834] = -du_ErkActive*dv_k32f - du_MekActive*dv_k28f - du_k28f*dv_MekActive - du_k32f*dv_ErkActive - duv_ErkActive*k32f - duv_MekActive*k28f;
pd[37863] = -PP2AActive*dv_k28f - dv_PP2AActive*k28f;
pd[37864] = -PP2AActive*dv_k32f - dv_PP2AActive*k32f;
pd[37888] = -ErkActive*dv_k32f - MekActive*dv_k28f - dv_ErkActive*k32f - dv_MekActive*k28f;
pd[37905] = dv_k28b + dv_k29f;
pd[37906] = dv_k32b + dv_k33f;
pd[37917] = -PP2AActive*du_k28f - du_PP2AActive*k28f;
pd[37918] = -PP2AActive*du_k32f - du_PP2AActive*k32f;
pd[37942] = -ErkActive*du_k32f - MekActive*du_k28f - du_ErkActive*k32f - du_MekActive*k28f;
pd[37959] = du_k28b + du_k29f;
pd[37960] = du_k32b + du_k33f;
pd[37971] = -PP2AActive*k28f;
pd[37972] = -PP2AActive*k32f;
pd[37996] = (-ErkActive*k32f - MekActive*k28f) + cj*(-1);
pd[38013] = k28b + k29f;
pd[38014] = k32b + k33f;
pd[38027] = -du_AktInactive*dv_k38f - du_k38f*dv_AktInactive - duv_AktInactive*k38f;
pd[38041] = -du_PI3KActive*dv_k38f - du_k38f*dv_PI3KActive - duv_PI3KActive*k38f;
pd[38081] = -AktInactive*dv_k38f - dv_AktInactive*k38f;
pd[38095] = -PI3KActive*dv_k38f - dv_PI3KActive*k38f;
pd[38123] = dv_k38b;
pd[38135] = -AktInactive*du_k38f - du_AktInactive*k38f;
pd[38149] = -PI3KActive*du_k38f - du_PI3KActive*k38f;
pd[38177] = du_k38b;
pd[38189] = -AktInactive*k38f;
pd[38203] = (-PI3KActive*k38f) + cj*(-1);
pd[38231] = k38b;
pd[38239] = -du_AktActive*dv_k18f - du_k18f*dv_AktActive - duv_AktActive*k18f;
pd[38244] = -du_Raf1Active*dv_k18f - du_k18f*dv_Raf1Active - duv_Raf1Active*k18f;
pd[38293] = -AktActive*dv_k18f - dv_AktActive*k18f;
pd[38298] = -Raf1Active*dv_k18f - dv_Raf1Active*k18f;
pd[38327] = dv_k18b + dv_k19f;
pd[38339] = dv_k39f;
pd[38347] = -AktActive*du_k18f - du_AktActive*k18f;
pd[38352] = -Raf1Active*du_k18f - du_Raf1Active*k18f;
pd[38381] = du_k18b + du_k19f;
pd[38393] = du_k39f;
pd[38401] = -AktActive*k18f;
pd[38406] = (-Raf1Active*k18f) + cj*(-1);
pd[38435] = k18b + k19f;
pd[38447] = k39f;
pd[38454] = du_RasGapActive*dv_k12f + du_k12f*dv_RasGapActive + duv_RasGapActive*k12f;
pd[38495] = du_RasActive*dv_k12f + du_k12f*dv_RasActive + duv_RasActive*k12f;
pd[38508] = RasGapActive*dv_k12f + dv_RasGapActive*k12f;
pd[38537] = -dv_k12b - dv_k13f;
pd[38549] = RasActive*dv_k12f + dv_RasActive*k12f;
pd[38562] = RasGapActive*du_k12f + du_RasGapActive*k12f;
pd[38591] = -du_k12b - du_k13f;
pd[38603] = RasActive*du_k12f + du_RasActive*k12f;
pd[38616] = RasGapActive*k12f;
pd[38645] = (-k12b - k13f) + cj*(-1);
pd[38657] = RasActive*k12f;
pd[38668] = -du_P90RskActive*dv_k06f - du_RasInactive*dv_k10f - du_k06f*dv_P90RskActive - du_k10f*dv_RasInactive - duv_P90RskActive*k06f - duv_RasInactive*k10f;
pd[38669] = -du_SosActive*dv_k06f - du_k06f*dv_SosActive - duv_SosActive*k06f;
pd[38683] = -du_SosActive*dv_k10f - du_k10f*dv_SosActive - duv_SosActive*k10f;
pd[38722] = -P90RskActive*dv_k06f - RasInactive*dv_k10f - dv_P90RskActive*k06f - dv_RasInactive*k10f;
pd[38723] = -SosActive*dv_k06f - dv_SosActive*k06f;
pd[38737] = -SosActive*dv_k10f - dv_SosActive*k10f;
pd[38750] = dv_k06b;
pd[38763] = dv_k10b + dv_k11f;
pd[38766] = dv_k03f;
pd[38767] = dv_k05f;
pd[38776] = -P90RskActive*du_k06f - RasInactive*du_k10f - du_P90RskActive*k06f - du_RasInactive*k10f;
pd[38777] = -SosActive*du_k06f - du_SosActive*k06f;
pd[38791] = -SosActive*du_k10f - du_SosActive*k10f;
pd[38804] = du_k06b;
pd[38817] = du_k10b + du_k11f;
pd[38820] = du_k03f;
pd[38821] = du_k05f;
pd[38830] = (-P90RskActive*k06f - RasInactive*k10f) + cj*(-1);
pd[38831] = -SosActive*k06f;
pd[38845] = -SosActive*k10f;
pd[38858] = k06b;
pd[38871] = k10b + k11f;
pd[38874] = k03f;
pd[38875] = k05f;
pd[38890] = du_P90RskInactive*dv_k08f + du_k08f*dv_P90RskInactive + duv_P90RskInactive*k08f;
pd[38898] = du_ErkActive*dv_k08f + du_k08f*dv_ErkActive + duv_ErkActive*k08f;
pd[38944] = P90RskInactive*dv_k08f + dv_P90RskInactive*k08f;
pd[38952] = ErkActive*dv_k08f + dv_ErkActive*k08f;
pd[38970] = -dv_k08b - dv_k09f;
pd[38998] = P90RskInactive*du_k08f + du_P90RskInactive*k08f;
pd[39006] = ErkActive*du_k08f + du_ErkActive*k08f;
pd[39024] = -du_k08b - du_k09f;
pd[39052] = P90RskInactive*k08f;
pd[39060] = ErkActive*k08f;
pd[39078] = (-k08b - k09f) + cj*(-1);
pd[39102] = du_Raf1Inactive*dv_k14f + du_k14f*dv_Raf1Inactive + duv_Raf1Inactive*k14f;
pd[39116] = du_RasActive*dv_k14f + du_k14f*dv_RasActive + duv_RasActive*k14f;
pd[39156] = Raf1Inactive*dv_k14f + dv_Raf1Inactive*k14f;
pd[39170] = RasActive*dv_k14f + dv_RasActive*k14f;
pd[39187] = -dv_k14b - dv_k15f;
pd[39210] = Raf1Inactive*du_k14f + du_Raf1Inactive*k14f;
pd[39224] = RasActive*du_k14f + du_RasActive*k14f;
pd[39241] = -du_k14b - du_k15f;
pd[39264] = Raf1Inactive*k14f;
pd[39278] = RasActive*k14f;
pd[39295] = (-k14b - k15f) + cj*(-1);
pd[39312] = du_freeEGFReceptor*dv_k00f + du_k00f*dv_freeEGFReceptor + duv_freeEGFReceptor*k00f;
pd[39314] = -du_PI3KInactive*dv_k34f - du_SosInactive*dv_k02f - du_k02f*dv_SosInactive - du_k34f*dv_PI3KInactive - duv_PI3KInactive*k34f - duv_SosInactive*k02f;
pd[39327] = du_EGF*dv_k00f + du_k00f*dv_EGF + duv_EGF*k00f;
pd[39329] = -du_boundEGFReceptor*dv_k02f - du_k02f*dv_boundEGFReceptor - duv_boundEGFReceptor*k02f;
pd[39336] = -du_boundEGFReceptor*dv_k34f - du_k34f*dv_boundEGFReceptor - duv_boundEGFReceptor*k34f;
pd[39366] = dv_freeEGFReceptor*k00f + dv_k00f*freeEGFReceptor;
pd[39368] = -PI3KInactive*dv_k34f - SosInactive*dv_k02f - dv_PI3KInactive*k34f - dv_SosInactive*k02f - dv_k00b;
pd[39381] = EGF*dv_k00f + dv_EGF*k00f;
pd[39383] = -boundEGFReceptor*dv_k02f - dv_boundEGFReceptor*k02f;
pd[39390] = -boundEGFReceptor*dv_k34f - dv_boundEGFReceptor*k34f;
pd[39412] = dv_k34b + dv_k35f;
pd[39414] = dv_k02b + dv_k03f;
pd[39420] = du_freeEGFReceptor*k00f + du_k00f*freeEGFReceptor;
pd[39422] = -PI3KInactive*du_k34f - SosInactive*du_k02f - du_PI3KInactive*k34f - du_SosInactive*k02f - du_k00b;
pd[39435] = EGF*du_k00f + du_EGF*k00f;
pd[39437] = -boundEGFReceptor*du_k02f - du_boundEGFReceptor*k02f;
pd[39444] = -boundEGFReceptor*du_k34f - du_boundEGFReceptor*k34f;
pd[39466] = du_k34b + du_k35f;
pd[39468] = du_k02b + du_k03f;
pd[39474] = freeEGFReceptor*k00f;
pd[39476] = (-PI3KInactive*k34f - SosInactive*k02f - k00b) + cj*(-1);
pd[39489] = EGF*k00f;
pd[39491] = -boundEGFReceptor*k02f;
pd[39498] = -boundEGFReceptor*k34f;
pd[39520] = k34b + k35f;
pd[39522] = k02b + k03f;
pd[39535] = -du_AktActive*dv_k18f - du_MekInactive*dv_k24f - du_Raf1PPtase*dv_k16f - du_k16f*dv_Raf1PPtase - du_k18f*dv_AktActive - du_k24f*dv_MekInactive - duv_AktActive*k18f - duv_MekInactive*k24f - duv_Raf1PPtase*k16f;
pd[39540] = -du_Raf1Active*dv_k18f - du_k18f*dv_Raf1Active - duv_Raf1Active*k18f;
pd[39550] = -du_Raf1Active*dv_k24f - du_k24f*dv_Raf1Active - duv_Raf1Active*k24f;
pd[39570] = -du_Raf1Active*dv_k16f - du_k16f*dv_Raf1Active - duv_Raf1Active*k16f;
pd[39589] = -AktActive*dv_k18f - MekInactive*dv_k24f - Raf1PPtase*dv_k16f - dv_AktActive*k18f - dv_MekInactive*k24f - dv_Raf1PPtase*k16f;
pd[39594] = -Raf1Active*dv_k18f - dv_Raf1Active*k18f;
pd[39604] = -Raf1Active*dv_k24f - dv_Raf1Active*k24f;
pd[39611] = dv_k16b;
pd[39619] = dv_k15f;
pd[39623] = dv_k18b;
pd[39624] = -Raf1Active*dv_k16f - dv_Raf1Active*k16f;
pd[39626] = dv_k24b + dv_k25f;
pd[39643] = -AktActive*du_k18f - MekInactive*du_k24f - Raf1PPtase*du_k16f - du_AktActive*k18f - du_MekInactive*k24f - du_Raf1PPtase*k16f;
pd[39648] = -Raf1Active*du_k18f - du_Raf1Active*k18f;
pd[39658] = -Raf1Active*du_k24f - du_Raf1Active*k24f;
pd[39665] = du_k16b;
pd[39673] = du_k15f;
pd[39677] = du_k18b;
pd[39678] = -Raf1Active*du_k16f - du_Raf1Active*k16f;
pd[39680] = du_k24b + du_k25f;
pd[39697] = (-AktActive*k18f - MekInactive*k24f - Raf1PPtase*k16f) + cj*(-1);
pd[39702] = -Raf1Active*k18f;
pd[39712] = -Raf1Active*k24f;
pd[39719] = k16b;
pd[39727] = k15f;
pd[39731] = k18b;
pd[39732] = -Raf1Active*k16f;
pd[39734] = k24b + k25f;
pd[39753] = du_ErkInactive*dv_k30f + du_k30f*dv_ErkInactive + duv_ErkInactive*k30f;
pd[39767] = du_MekActive*dv_k30f + du_k30f*dv_MekActive + duv_MekActive*k30f;
pd[39807] = ErkInactive*dv_k30f + dv_ErkInactive*k30f;
pd[39821] = MekActive*dv_k30f + dv_MekActive*k30f;
pd[39836] = -dv_k30b - dv_k31f;
pd[39861] = ErkInactive*du_k30f + du_ErkInactive*k30f;
pd[39875] = MekActive*du_k30f + du_MekActive*k30f;
pd[39890] = -du_k30b - du_k31f;
pd[39915] = ErkInactive*k30f;
pd[39929] = MekActive*k30f;
pd[39944] = (-k30b - k31f) + cj*(-1);
pd[39974] = du_RapGapActive*dv_k44f + du_k44f*dv_RapGapActive + duv_RapGapActive*k44f;
pd[40000] = du_Rap1Active*dv_k44f + du_k44f*dv_Rap1Active + duv_Rap1Active*k44f;
pd[40028] = RapGapActive*dv_k44f + dv_RapGapActive*k44f;
pd[40053] = -dv_k44b - dv_k45f;
pd[40054] = Rap1Active*dv_k44f + dv_Rap1Active*k44f;
pd[40082] = RapGapActive*du_k44f + du_RapGapActive*k44f;
pd[40107] = -du_k44b - du_k45f;
pd[40108] = Rap1Active*du_k44f + du_Rap1Active*k44f;
pd[40136] = RapGapActive*k44f;
pd[40161] = (-k44b - k45f) + cj*(-1);
pd[40162] = Rap1Active*k44f;
pd[40178] = -du_SosInactive*dv_k02f - du_k02f*dv_SosInactive - duv_SosInactive*k02f;
pd[40179] = -du_SosInactive*dv_k04f - du_k04f*dv_SosInactive - duv_SosInactive*k04f;
pd[40193] = -du_boundEGFReceptor*dv_k02f - du_boundNGFReceptor*dv_k04f - du_k02f*dv_boundEGFReceptor - du_k04f*dv_boundNGFReceptor - duv_boundEGFReceptor*k02f - duv_boundNGFReceptor*k04f;
pd[40232] = -SosInactive*dv_k02f - dv_SosInactive*k02f;
pd[40233] = -SosInactive*dv_k04f - dv_SosInactive*k04f;
pd[40247] = -boundEGFReceptor*dv_k02f - boundNGFReceptor*dv_k04f - dv_boundEGFReceptor*k02f - dv_boundNGFReceptor*k04f;
pd[40262] = dv_k07f;
pd[40278] = dv_k02b;
pd[40279] = dv_k04b;
pd[40286] = -SosInactive*du_k02f - du_SosInactive*k02f;
pd[40287] = -SosInactive*du_k04f - du_SosInactive*k04f;
pd[40301] = -boundEGFReceptor*du_k02f - boundNGFReceptor*du_k04f - du_boundEGFReceptor*k02f - du_boundNGFReceptor*k04f;
pd[40316] = du_k07f;
pd[40332] = du_k02b;
pd[40333] = du_k04b;
pd[40340] = -SosInactive*k02f;
pd[40341] = -SosInactive*k04f;
pd[40355] = (-boundEGFReceptor*k02f - boundNGFReceptor*k04f) + cj*(-1);
pd[40370] = k07f;
pd[40386] = k02b;
pd[40387] = k04b;
pd[40406] = -du_RapGapActive*dv_k44f - du_k44f*dv_RapGapActive - duv_RapGapActive*k44f;
pd[40432] = -du_Rap1Active*dv_k44f - du_k44f*dv_Rap1Active - duv_Rap1Active*k44f;
pd[40460] = -RapGapActive*dv_k44f - dv_RapGapActive*k44f;
pd[40485] = dv_k44b + dv_k45f;
pd[40486] = -Rap1Active*dv_k44f - dv_Rap1Active*k44f;
pd[40514] = -RapGapActive*du_k44f - du_RapGapActive*k44f;
pd[40539] = du_k44b + du_k45f;
pd[40540] = -Rap1Active*du_k44f - du_Rap1Active*k44f;
pd[40568] = -RapGapActive*k44f;
pd[40593] = k44b + k45f;
pd[40594] = (-Rap1Active*k44f) + cj*(-1);
pd[40615] = du_AktActive*dv_k18f + du_k18f*dv_AktActive + duv_AktActive*k18f;
pd[40620] = du_Raf1Active*dv_k18f + du_k18f*dv_Raf1Active + duv_Raf1Active*k18f;
pd[40669] = AktActive*dv_k18f + dv_AktActive*k18f;
pd[40674] = Raf1Active*dv_k18f + dv_Raf1Active*k18f;
pd[40703] = -dv_k18b - dv_k19f;
pd[40723] = AktActive*du_k18f + du_AktActive*k18f;
pd[40728] = Raf1Active*du_k18f + du_Raf1Active*k18f;
pd[40757] = -du_k18b - du_k19f;
pd[40777] = AktActive*k18f;
pd[40782] = Raf1Active*k18f;
pd[40811] = (-k18b - k19f) + cj*(-1);
pd[40824] = -du_freeEGFReceptor*dv_k00f - du_k00f*dv_freeEGFReceptor - duv_freeEGFReceptor*k00f;
pd[40839] = -du_EGF*dv_k00f - du_k00f*dv_EGF - duv_EGF*k00f;
pd[40878] = -dv_freeEGFReceptor*k00f - dv_k00f*freeEGFReceptor;
pd[40880] = dv_k00b;
pd[40893] = -EGF*dv_k00f - dv_EGF*k00f;
pd[40932] = -du_freeEGFReceptor*k00f - du_k00f*freeEGFReceptor;
pd[40934] = du_k00b;
pd[40947] = -EGF*du_k00f - du_EGF*k00f;
pd[40986] = -freeEGFReceptor*k00f;
pd[40988] = k00b;
pd[41001] = (-EGF*k00f) + cj*(-1);
pd[41047] = -du_Raf1PPtase*dv_k16f - du_k16f*dv_Raf1PPtase - duv_Raf1PPtase*k16f;
pd[41048] = -du_Raf1PPtase*dv_k22f - du_k22f*dv_Raf1PPtase - duv_Raf1PPtase*k22f;
pd[41082] = -du_BRafActive*dv_k22f - du_Raf1Active*dv_k16f - du_k16f*dv_Raf1Active - du_k22f*dv_BRafActive - duv_BRafActive*k22f - duv_Raf1Active*k16f;
pd[41101] = -Raf1PPtase*dv_k16f - dv_Raf1PPtase*k16f;
pd[41102] = -Raf1PPtase*dv_k22f - dv_Raf1PPtase*k22f;
pd[41123] = dv_k16b + dv_k17f;
pd[41127] = dv_k22b + dv_k23f;
pd[41136] = -BRafActive*dv_k22f - Raf1Active*dv_k16f - dv_BRafActive*k22f - dv_Raf1Active*k16f;
pd[41155] = -Raf1PPtase*du_k16f - du_Raf1PPtase*k16f;
pd[41156] = -Raf1PPtase*du_k22f - du_Raf1PPtase*k22f;
pd[41177] = du_k16b + du_k17f;
pd[41181] = du_k22b + du_k23f;
pd[41190] = -BRafActive*du_k22f - Raf1Active*du_k16f - du_BRafActive*k22f - du_Raf1Active*k16f;
pd[41209] = -Raf1PPtase*k16f;
pd[41210] = -Raf1PPtase*k22f;
pd[41231] = k16b + k17f;
pd[41235] = k22b + k23f;
pd[41244] = (-BRafActive*k22f - Raf1Active*k16f) + cj*(-1);
pd[41269] = du_Rap1Inactive*dv_k42f + du_k42f*dv_Rap1Inactive + duv_Rap1Inactive*k42f;
pd[41283] = du_C3GActive*dv_k42f + du_k42f*dv_C3GActive + duv_C3GActive*k42f;
pd[41323] = Rap1Inactive*dv_k42f + dv_Rap1Inactive*k42f;
pd[41337] = C3GActive*dv_k42f + dv_C3GActive*k42f;
pd[41353] = -dv_k42b - dv_k43f;
pd[41377] = Rap1Inactive*du_k42f + du_Rap1Inactive*k42f;
pd[41391] = C3GActive*du_k42f + du_C3GActive*k42f;
pd[41407] = -du_k42b - du_k43f;
pd[41431] = Rap1Inactive*k42f;
pd[41445] = C3GActive*k42f;
pd[41461] = (-k42b - k43f) + cj*(-1);
pd[41486] = -du_BRafInactive*dv_k20f - du_RapGapActive*dv_k44f - du_k20f*dv_BRafInactive - du_k44f*dv_RapGapActive - duv_BRafInactive*k20f - duv_RapGapActive*k44f;
pd[41493] = -du_Rap1Active*dv_k20f - du_k20f*dv_Rap1Active - duv_Rap1Active*k20f;
pd[41512] = -du_Rap1Active*dv_k44f - du_k44f*dv_Rap1Active - duv_Rap1Active*k44f;
pd[41540] = -BRafInactive*dv_k20f - RapGapActive*dv_k44f - dv_BRafInactive*k20f - dv_RapGapActive*k44f;
pd[41547] = -Rap1Active*dv_k20f - dv_Rap1Active*k20f;
pd[41565] = dv_k44b;
pd[41566] = -Rap1Active*dv_k44f - dv_Rap1Active*k44f;
pd[41569] = dv_k43f;
pd[41576] = dv_k20b + dv_k21f;
pd[41594] = -BRafInactive*du_k20f - RapGapActive*du_k44f - du_BRafInactive*k20f - du_RapGapActive*k44f;
pd[41601] = -Rap1Active*du_k20f - du_Rap1Active*k20f;
pd[41619] = du_k44b;
pd[41620] = -Rap1Active*du_k44f - du_Rap1Active*k44f;
pd[41623] = du_k43f;
pd[41630] = du_k20b + du_k21f;
pd[41648] = (-BRafInactive*k20f - RapGapActive*k44f) + cj*(-1);
pd[41655] = -Rap1Active*k20f;
pd[41673] = k44b;
pd[41674] = -Rap1Active*k44f;
pd[41677] = k43f;
pd[41684] = k20b + k21f;
pd[41695] = -du_MekInactive*dv_k24f - du_k24f*dv_MekInactive - duv_MekInactive*k24f;
pd[41696] = -du_MekInactive*dv_k26f - du_k26f*dv_MekInactive - duv_MekInactive*k26f;
pd[41710] = -du_BRafActive*dv_k26f - du_Raf1Active*dv_k24f - du_k24f*dv_Raf1Active - du_k26f*dv_BRafActive - duv_BRafActive*k26f - duv_Raf1Active*k24f;
pd[41749] = -MekInactive*dv_k24f - dv_MekInactive*k24f;
pd[41750] = -MekInactive*dv_k26f - dv_MekInactive*k26f;
pd[41764] = -BRafActive*dv_k26f - Raf1Active*dv_k24f - dv_BRafActive*k26f - dv_Raf1Active*k24f;
pd[41772] = dv_k26b;
pd[41786] = dv_k24b;
pd[41793] = dv_k29f;
pd[41803] = -MekInactive*du_k24f - du_MekInactive*k24f;
pd[41804] = -MekInactive*du_k26f - du_MekInactive*k26f;
pd[41818] = -BRafActive*du_k26f - Raf1Active*du_k24f - du_BRafActive*k26f - du_Raf1Active*k24f;
pd[41826] = du_k26b;
pd[41840] = du_k24b;
pd[41847] = du_k29f;
pd[41857] = -MekInactive*k24f;
pd[41858] = -MekInactive*k26f;
pd[41872] = (-BRafActive*k26f - Raf1Active*k24f) + cj*(-1);
pd[41880] = k26b;
pd[41894] = k24b;
pd[41901] = k29f;
pd[41911] = du_MekInactive*dv_k24f + du_k24f*dv_MekInactive + duv_MekInactive*k24f;
pd[41926] = du_Raf1Active*dv_k24f + du_k24f*dv_Raf1Active + duv_Raf1Active*k24f;
pd[41965] = MekInactive*dv_k24f + dv_MekInactive*k24f;
pd[41980] = Raf1Active*dv_k24f + dv_Raf1Active*k24f;
pd[42002] = -dv_k24b - dv_k25f;
pd[42019] = MekInactive*du_k24f + du_MekInactive*k24f;
pd[42034] = Raf1Active*du_k24f + du_Raf1Active*k24f;
pd[42056] = -du_k24b - du_k25f;
pd[42073] = MekInactive*k24f;
pd[42088] = Raf1Active*k24f;
pd[42110] = (-k24b - k25f) + cj*(-1);
pd[42124] = du_RasInactive*dv_k10f + du_k10f*dv_RasInactive + duv_RasInactive*k10f;
pd[42139] = du_SosActive*dv_k10f + du_k10f*dv_SosActive + duv_SosActive*k10f;
pd[42178] = RasInactive*dv_k10f + dv_RasInactive*k10f;
pd[42193] = SosActive*dv_k10f + dv_SosActive*k10f;
pd[42219] = -dv_k10b - dv_k11f;
pd[42232] = RasInactive*du_k10f + du_RasInactive*k10f;
pd[42247] = SosActive*du_k10f + du_SosActive*k10f;
pd[42273] = -du_k10b - du_k11f;
pd[42286] = RasInactive*k10f;
pd[42301] = SosActive*k10f;
pd[42327] = (-k10b - k11f) + cj*(-1);
pd[42340] = -du_P90RskActive*dv_k06f - du_k06f*dv_P90RskActive - duv_P90RskActive*k06f;
pd[42341] = -du_SosActive*dv_k06f - du_k06f*dv_SosActive - duv_SosActive*k06f;
pd[42394] = -P90RskActive*dv_k06f - dv_P90RskActive*k06f;
pd[42395] = -SosActive*dv_k06f - dv_SosActive*k06f;
pd[42422] = dv_k06b + dv_k07f;
pd[42426] = dv_k09f;
pd[42448] = -P90RskActive*du_k06f - du_P90RskActive*k06f;
pd[42449] = -SosActive*du_k06f - du_SosActive*k06f;
pd[42476] = du_k06b + du_k07f;
pd[42480] = du_k09f;
pd[42502] = -P90RskActive*k06f;
pd[42503] = (-SosActive*k06f) + cj*(-1);
pd[42530] = k06b + k07f;
pd[42534] = k09f;
pd[42562] = du_PP2AActive*dv_k32f + du_k32f*dv_PP2AActive + duv_PP2AActive*k32f;
pd[42586] = du_ErkActive*dv_k32f + du_k32f*dv_ErkActive + duv_ErkActive*k32f;
pd[42616] = PP2AActive*dv_k32f + dv_PP2AActive*k32f;
pd[42640] = ErkActive*dv_k32f + dv_ErkActive*k32f;
pd[42658] = -dv_k32b - dv_k33f;
pd[42670] = PP2AActive*du_k32f + du_PP2AActive*k32f;
pd[42694] = ErkActive*du_k32f + du_ErkActive*k32f;
pd[42712] = -du_k32b - du_k33f;
pd[42724] = PP2AActive*k32f;
pd[42748] = ErkActive*k32f;
pd[42766] = (-k32b - k33f) + cj*(-1);
pd[42770] = du_PI3KInactive*dv_k34f + du_k34f*dv_PI3KInactive + duv_PI3KInactive*k34f;
pd[42792] = du_boundEGFReceptor*dv_k34f + du_k34f*dv_boundEGFReceptor + duv_boundEGFReceptor*k34f;
pd[42824] = PI3KInactive*dv_k34f + dv_PI3KInactive*k34f;
pd[42846] = boundEGFReceptor*dv_k34f + dv_boundEGFReceptor*k34f;
pd[42868] = -dv_k34b - dv_k35f;
pd[42878] = PI3KInactive*du_k34f + du_PI3KInactive*k34f;
pd[42900] = boundEGFReceptor*du_k34f + du_boundEGFReceptor*k34f;
pd[42922] = -du_k34b - du_k35f;
pd[42932] = PI3KInactive*k34f;
pd[42954] = boundEGFReceptor*k34f;
pd[42976] = (-k34b - k35f) + cj*(-1);
pd[42995] = -du_AktInactive*dv_k38f - du_k38f*dv_AktInactive - duv_AktInactive*k38f;
pd[43009] = -du_PI3KActive*dv_k38f - du_k38f*dv_PI3KActive - duv_PI3KActive*k38f;
pd[43049] = -AktInactive*dv_k38f - dv_AktInactive*k38f;
pd[43063] = -PI3KActive*dv_k38f - dv_PI3KActive*k38f;
pd[43066] = dv_k37f;
pd[43084] = dv_k35f;
pd[43091] = dv_k38b + dv_k39f;
pd[43103] = -AktInactive*du_k38f - du_AktInactive*k38f;
pd[43117] = -PI3KActive*du_k38f - du_PI3KActive*k38f;
pd[43120] = du_k37f;
pd[43138] = du_k35f;
pd[43145] = du_k38b + du_k39f;
pd[43157] = (-AktInactive*k38f) + cj*(-1);
pd[43171] = -PI3KActive*k38f;
pd[43174] = k37f;
pd[43192] = k35f;
pd[43199] = k38b + k39f;
pd[43206] = -du_RasGapActive*dv_k12f - du_k12f*dv_RasGapActive - duv_RasGapActive*k12f;
pd[43247] = -du_RasActive*dv_k12f - du_k12f*dv_RasActive - duv_RasActive*k12f;
pd[43260] = -RasGapActive*dv_k12f - dv_RasGapActive*k12f;
pd[43289] = dv_k12b + dv_k13f;
pd[43301] = -RasActive*dv_k12f - dv_RasActive*k12f;
pd[43314] = -RasGapActive*du_k12f - du_RasGapActive*k12f;
pd[43343] = du_k12b + du_k13f;
pd[43355] = -RasActive*du_k12f - du_RasActive*k12f;
pd[43368] = -RasGapActive*k12f;
pd[43397] = k12b + k13f;
pd[43409] = (-RasActive*k12f) + cj*(-1);
pd[43424] = -du_MekInactive*dv_k26f - du_Raf1PPtase*dv_k22f - du_k22f*dv_Raf1PPtase - du_k26f*dv_MekInactive - duv_MekInactive*k26f - duv_Raf1PPtase*k22f;
pd[43438] = -du_BRafActive*dv_k26f - du_k26f*dv_BRafActive - duv_BRafActive*k26f;
pd[43458] = -du_BRafActive*dv_k22f - du_k22f*dv_BRafActive - duv_BRafActive*k22f;
pd[43478] = -MekInactive*dv_k26f - Raf1PPtase*dv_k22f - dv_MekInactive*k26f - dv_Raf1PPtase*k22f;
pd[43492] = -BRafActive*dv_k26f - dv_BRafActive*k26f;
pd[43500] = dv_k26b + dv_k27f;
pd[43503] = dv_k22b;
pd[43512] = -BRafActive*dv_k22f - dv_BRafActive*k22f;
pd[43520] = dv_k21f;
pd[43532] = -MekInactive*du_k26f - Raf1PPtase*du_k22f - du_MekInactive*k26f - du_Raf1PPtase*k22f;
pd[43546] = -BRafActive*du_k26f - du_BRafActive*k26f;
pd[43554] = du_k26b + du_k27f;
pd[43557] = du_k22b;
pd[43566] = -BRafActive*du_k22f - du_BRafActive*k22f;
pd[43574] = du_k21f;
pd[43586] = (-MekInactive*k26f - Raf1PPtase*k22f) + cj*(-1);
pd[43600] = -BRafActive*k26f;
pd[43608] = k26b + k27f;
pd[43611] = k22b;
pd[43620] = -BRafActive*k22f;
pd[43628] = k21f;
pd[43634] = du_SosInactive*dv_k02f + du_k02f*dv_SosInactive + duv_SosInactive*k02f;
pd[43649] = du_boundEGFReceptor*dv_k02f + du_k02f*dv_boundEGFReceptor + duv_boundEGFReceptor*k02f;
pd[43688] = SosInactive*dv_k02f + dv_SosInactive*k02f;
pd[43703] = boundEGFReceptor*dv_k02f + dv_boundEGFReceptor*k02f;
pd[43734] = -dv_k02b - dv_k03f;
pd[43742] = SosInactive*du_k02f + du_SosInactive*k02f;
pd[43757] = boundEGFReceptor*du_k02f + du_boundEGFReceptor*k02f;
pd[43788] = -du_k02b - du_k03f;
pd[43796] = SosInactive*k02f;
pd[43811] = boundEGFReceptor*k02f;
pd[43842] = (-k02b - k03f) + cj*(-1);
pd[43861] = -du_Rap1Inactive*dv_k42f - du_k42f*dv_Rap1Inactive - duv_Rap1Inactive*k42f;
pd[43875] = -du_C3GActive*dv_k42f - du_k42f*dv_C3GActive - duv_C3GActive*k42f;
pd[43915] = -Rap1Inactive*dv_k42f - dv_Rap1Inactive*k42f;
pd[43929] = -C3GActive*dv_k42f - dv_C3GActive*k42f;
pd[43941] = dv_k45f;
pd[43945] = dv_k42b;
pd[43969] = -Rap1Inactive*du_k42f - du_Rap1Inactive*k42f;
pd[43983] = -C3GActive*du_k42f - du_C3GActive*k42f;
pd[43995] = du_k45f;
pd[43999] = du_k42b;
pd[44023] = -Rap1Inactive*k42f;
pd[44037] = (-C3GActive*k42f) + cj*(-1);
pd[44049] = k45f;
pd[44053] = k42b;
pd[44074] = -du_P90RskInactive*dv_k08f - du_PP2AActive*dv_k32f - du_k08f*dv_P90RskInactive - du_k32f*dv_PP2AActive - duv_P90RskInactive*k08f - duv_PP2AActive*k32f;
pd[44082] = -du_ErkActive*dv_k08f - du_k08f*dv_ErkActive - duv_ErkActive*k08f;
pd[44098] = -du_ErkActive*dv_k32f - du_k32f*dv_ErkActive - duv_ErkActive*k32f;
pd[44128] = -P90RskInactive*dv_k08f - PP2AActive*dv_k32f - dv_P90RskInactive*k08f - dv_PP2AActive*k32f;
pd[44136] = -ErkActive*dv_k08f - dv_ErkActive*k08f;
pd[44152] = -ErkActive*dv_k32f - dv_ErkActive*k32f;
pd[44154] = dv_k08b + dv_k09f;
pd[44156] = dv_k31f;
pd[44170] = dv_k32b;
pd[44182] = -P90RskInactive*du_k08f - PP2AActive*du_k32f - du_P90RskInactive*k08f - du_PP2AActive*k32f;
pd[44190] = -ErkActive*du_k08f - du_ErkActive*k08f;
pd[44206] = -ErkActive*du_k32f - du_ErkActive*k32f;
pd[44208] = du_k08b + du_k09f;
pd[44210] = du_k31f;
pd[44224] = du_k32b;
pd[44236] = (-P90RskInactive*k08f - PP2AActive*k32f) + cj*(-1);
pd[44244] = -ErkActive*k08f;
pd[44260] = -ErkActive*k32f;
pd[44262] = k08b + k09f;
pd[44264] = k31f;
pd[44278] = k32b;
pd[44281] = -du_freeNGFReceptor*dv_k01f - du_k01f*dv_freeNGFReceptor - duv_freeNGFReceptor*k01f;
pd[44296] = -du_NGF*dv_k01f - du_k01f*dv_NGF - duv_NGF*k01f;
pd[44335] = -dv_freeNGFReceptor*k01f - dv_k01f*freeNGFReceptor;
pd[44337] = dv_k01b;
pd[44350] = -NGF*dv_k01f - dv_NGF*k01f;
pd[44389] = -du_freeNGFReceptor*k01f - du_k01f*freeNGFReceptor;
pd[44391] = du_k01b;
pd[44404] = -NGF*du_k01f - du_NGF*k01f;
pd[44443] = -freeNGFReceptor*k01f;
pd[44445] = k01b;
pd[44458] = (-NGF*k01f) + cj*(-1);
pd[44499] = -du_C3GInactive*dv_k40f - du_k40f*dv_C3GInactive - duv_C3GInactive*k40f;
pd[44522] = -du_boundNGFReceptor*dv_k40f - du_k40f*dv_boundNGFReceptor - duv_boundNGFReceptor*k40f;
pd[44553] = -C3GInactive*dv_k40f - dv_C3GInactive*k40f;
pd[44576] = -boundNGFReceptor*dv_k40f - dv_boundNGFReceptor*k40f;
pd[44581] = dv_k40b;
pd[44607] = -C3GInactive*du_k40f - du_C3GInactive*k40f;
pd[44630] = -boundNGFReceptor*du_k40f - du_boundNGFReceptor*k40f;
pd[44635] = du_k40b;
pd[44661] = -C3GInactive*k40f;
pd[44684] = (-boundNGFReceptor*k40f) + cj*(-1);
pd[44689] = k40b;
pd[44718] = -du_Raf1Inactive*dv_k14f - du_k14f*dv_Raf1Inactive - duv_Raf1Inactive*k14f;
pd[44732] = -du_RasActive*dv_k14f - du_k14f*dv_RasActive - duv_RasActive*k14f;
pd[44772] = -Raf1Inactive*dv_k14f - dv_Raf1Inactive*k14f;
pd[44786] = -RasActive*dv_k14f - dv_RasActive*k14f;
pd[44795] = dv_k17f;
pd[44803] = dv_k14b;
pd[44807] = dv_k19f;
pd[44826] = -Raf1Inactive*du_k14f - du_Raf1Inactive*k14f;
pd[44840] = -RasActive*du_k14f - du_RasActive*k14f;
pd[44849] = du_k17f;
pd[44857] = du_k14b;
pd[44861] = du_k19f;
pd[44880] = -Raf1Inactive*k14f;
pd[44894] = (-RasActive*k14f) + cj*(-1);
pd[44903] = k17f;
pd[44911] = k14b;
pd[44915] = k19f;
pd[44930] = -du_PI3KInactive*dv_k34f - du_k34f*dv_PI3KInactive - duv_PI3KInactive*k34f;
pd[44934] = -du_PI3KInactive*dv_k36f - du_k36f*dv_PI3KInactive - duv_PI3KInactive*k36f;
pd[44952] = -du_RasActive*dv_k36f - du_boundEGFReceptor*dv_k34f - du_k34f*dv_boundEGFReceptor - du_k36f*dv_RasActive - duv_RasActive*k36f - duv_boundEGFReceptor*k34f;
pd[44984] = -PI3KInactive*dv_k34f - dv_PI3KInactive*k34f;
pd[44988] = -PI3KInactive*dv_k36f - dv_PI3KInactive*k36f;
pd[45006] = -RasActive*dv_k36f - boundEGFReceptor*dv_k34f - dv_RasActive*k36f - dv_boundEGFReceptor*k34f;
pd[45010] = dv_k36b;
pd[45028] = dv_k34b;
pd[45038] = -PI3KInactive*du_k34f - du_PI3KInactive*k34f;
pd[45042] = -PI3KInactive*du_k36f - du_PI3KInactive*k36f;
pd[45060] = -RasActive*du_k36f - boundEGFReceptor*du_k34f - du_RasActive*k36f - du_boundEGFReceptor*k34f;
pd[45064] = du_k36b;
pd[45082] = du_k34b;
pd[45092] = -PI3KInactive*k34f;
pd[45096] = -PI3KInactive*k36f;
pd[45114] = (-RasActive*k36f - boundEGFReceptor*k34f) + cj*(-1);
pd[45118] = k36b;
pd[45136] = k34b;
pd[45158] = -du_BRafInactive*dv_k20f - du_k20f*dv_BRafInactive - duv_BRafInactive*k20f;
pd[45165] = -du_Rap1Active*dv_k20f - du_k20f*dv_Rap1Active - duv_Rap1Active*k20f;
pd[45212] = -BRafInactive*dv_k20f - dv_BRafInactive*k20f;
pd[45219] = -Rap1Active*dv_k20f - dv_Rap1Active*k20f;
pd[45231] = dv_k23f;
pd[45248] = dv_k20b;
pd[45266] = -BRafInactive*du_k20f - du_BRafInactive*k20f;
pd[45273] = -Rap1Active*du_k20f - du_Rap1Active*k20f;
pd[45285] = du_k23f;
pd[45302] = du_k20b;
pd[45320] = -BRafInactive*k20f;
pd[45327] = (-Rap1Active*k20f) + cj*(-1);
pd[45339] = k23f;
pd[45356] = k20b;
pd[45374] = du_BRafInactive*dv_k20f + du_k20f*dv_BRafInactive + duv_BRafInactive*k20f;
pd[45381] = du_Rap1Active*dv_k20f + du_k20f*dv_Rap1Active + duv_Rap1Active*k20f;
pd[45428] = BRafInactive*dv_k20f + dv_BRafInactive*k20f;
pd[45435] = Rap1Active*dv_k20f + dv_Rap1Active*k20f;
pd[45464] = -dv_k20b - dv_k21f;
pd[45482] = BRafInactive*du_k20f + du_BRafInactive*k20f;
pd[45489] = Rap1Active*du_k20f + du_Rap1Active*k20f;
pd[45518] = -du_k20b - du_k21f;
pd[45536] = BRafInactive*k20f;
pd[45543] = Rap1Active*k20f;
pd[45572] = (-k20b - k21f) + cj*(-1);
pd[45582] = -du_PI3KInactive*dv_k36f - du_Raf1Inactive*dv_k14f - du_RasGapActive*dv_k12f - du_k12f*dv_RasGapActive - du_k14f*dv_Raf1Inactive - du_k36f*dv_PI3KInactive - duv_PI3KInactive*k36f - duv_Raf1Inactive*k14f - duv_RasGapActive*k12f;
pd[45596] = -du_RasActive*dv_k14f - du_k14f*dv_RasActive - duv_RasActive*k14f;
pd[45600] = -du_RasActive*dv_k36f - du_k36f*dv_RasActive - duv_RasActive*k36f;
pd[45623] = -du_RasActive*dv_k12f - du_k12f*dv_RasActive - duv_RasActive*k12f;
pd[45636] = -PI3KInactive*dv_k36f - Raf1Inactive*dv_k14f - RasGapActive*dv_k12f - dv_PI3KInactive*k36f - dv_Raf1Inactive*k14f - dv_RasGapActive*k12f;
pd[45650] = -RasActive*dv_k14f - dv_RasActive*k14f;
pd[45654] = -RasActive*dv_k36f - dv_RasActive*k36f;
pd[45658] = dv_k36b + dv_k37f;
pd[45665] = dv_k12b;
pd[45667] = dv_k14b + dv_k15f;
pd[45675] = dv_k11f;
pd[45677] = -RasActive*dv_k12f - dv_RasActive*k12f;
pd[45690] = -PI3KInactive*du_k36f - Raf1Inactive*du_k14f - RasGapActive*du_k12f - du_PI3KInactive*k36f - du_Raf1Inactive*k14f - du_RasGapActive*k12f;
pd[45704] = -RasActive*du_k14f - du_RasActive*k14f;
pd[45708] = -RasActive*du_k36f - du_RasActive*k36f;
pd[45712] = du_k36b + du_k37f;
pd[45719] = du_k12b;
pd[45721] = du_k14b + du_k15f;
pd[45729] = du_k11f;
pd[45731] = -RasActive*du_k12f - du_RasActive*k12f;
pd[45744] = (-PI3KInactive*k36f - Raf1Inactive*k14f - RasGapActive*k12f) + cj*(-1);
pd[45758] = -RasActive*k14f;
pd[45762] = -RasActive*k36f;
pd[45766] = k36b + k37f;
pd[45773] = k12b;
pd[45775] = k14b + k15f;
pd[45783] = k11f;
pd[45785] = -RasActive*k12f;
pd[45796] = -du_RasInactive*dv_k10f - du_k10f*dv_RasInactive - duv_RasInactive*k10f;
pd[45811] = -du_SosActive*dv_k10f - du_k10f*dv_SosActive - duv_SosActive*k10f;
pd[45850] = -RasInactive*dv_k10f - dv_RasInactive*k10f;
pd[45865] = -SosActive*dv_k10f - dv_SosActive*k10f;
pd[45881] = dv_k13f;
pd[45891] = dv_k10b;
pd[45904] = -RasInactive*du_k10f - du_RasInactive*k10f;
pd[45919] = -SosActive*du_k10f - du_SosActive*k10f;
pd[45935] = du_k13f;
pd[45945] = du_k10b;
pd[45958] = -RasInactive*k10f;
pd[45973] = (-SosActive*k10f) + cj*(-1);
pd[45989] = k13f;
pd[45999] = k10b;
pd[46017] = du_PP2AActive*dv_k28f + du_k28f*dv_PP2AActive + duv_PP2AActive*k28f;
pd[46042] = du_MekActive*dv_k28f + du_k28f*dv_MekActive + duv_MekActive*k28f;
pd[46071] = PP2AActive*dv_k28f + dv_PP2AActive*k28f;
pd[46096] = MekActive*dv_k28f + dv_MekActive*k28f;
pd[46113] = -dv_k28b - dv_k29f;
pd[46125] = PP2AActive*du_k28f + du_PP2AActive*k28f;
pd[46150] = MekActive*du_k28f + du_MekActive*k28f;
pd[46167] = -du_k28b - du_k29f;
pd[46179] = PP2AActive*k28f;
pd[46204] = MekActive*k28f;
pd[46221] = (-k28b - k29f) + cj*(-1);
pd[46235] = du_AktInactive*dv_k38f + du_k38f*dv_AktInactive + duv_AktInactive*k38f;
pd[46249] = du_PI3KActive*dv_k38f + du_k38f*dv_PI3KActive + duv_PI3KActive*k38f;
pd[46289] = AktInactive*dv_k38f + dv_AktInactive*k38f;
pd[46303] = PI3KActive*dv_k38f + dv_PI3KActive*k38f;
pd[46331] = -dv_k38b - dv_k39f;
pd[46343] = AktInactive*du_k38f + du_AktInactive*k38f;
pd[46357] = PI3KActive*du_k38f + du_PI3KActive*k38f;
pd[46385] = -du_k38b - du_k39f;
pd[46397] = AktInactive*k38f;
pd[46411] = PI3KActive*k38f;
pd[46439] = (-k38b - k39f) + cj*(-1);
pd[46453] = -du_Rap1Inactive*dv_k42f - du_k42f*dv_Rap1Inactive - duv_Rap1Inactive*k42f;
pd[46467] = -du_C3GActive*dv_k42f - du_k42f*dv_C3GActive - duv_C3GActive*k42f;
pd[46507] = -Rap1Inactive*dv_k42f - dv_Rap1Inactive*k42f;
pd[46521] = -C3GActive*dv_k42f - dv_C3GActive*k42f;
pd[46525] = dv_k41f;
pd[46537] = dv_k42b + dv_k43f;
pd[46561] = -Rap1Inactive*du_k42f - du_Rap1Inactive*k42f;
pd[46575] = -C3GActive*du_k42f - du_C3GActive*k42f;
pd[46579] = du_k41f;
pd[46591] = du_k42b + du_k43f;
pd[46615] = (-Rap1Inactive*k42f) + cj*(-1);
pd[46629] = -C3GActive*k42f;
pd[46633] = k41f;
pd[46645] = k42b + k43f;
}
void ic_function(double *dynamicVars, double *constants) {
double cell = constants[0];
double RasGapTotal = constants[1];
double RapGapTotal = constants[2];
double PP2ATotal = constants[3];
double Raf1PPtaseTotal = constants[4];
double EGF_IC = constants[5];
double NGF_IC = constants[6];
double Total_EGFReceptor = constants[7];
double Total_NGFReceptor = constants[8];
double Total_Sos = constants[9];
double Total_P90Rsk = constants[10];
double Total_Ras = constants[11];
double Total_Raf1 = constants[12];
double Total_BRaf = constants[13];
double Total_Mek = constants[14];
double Total_Erk = constants[15];
double Total_PI3K = constants[16];
double Total_Akt = constants[17];
double Total_C3G = constants[18];
double Total_Rap1 = constants[19];
double Zero = constants[20];
double k00f = constants[21];
double k00b = constants[22];
double k01f = constants[23];
double k01b = constants[24];
double k02f = constants[25];
double k02b = constants[26];
double k03f = constants[27];
double k04f = constants[28];
double k04b = constants[29];
double k05f = constants[30];
double k06f = constants[31];
double k06b = constants[32];
double k07f = constants[33];
double k08f = constants[34];
double k08b = constants[35];
double k09f = constants[36];
double k10f = constants[37];
double k10b = constants[38];
double k11f = constants[39];
double k12f = constants[40];
double k12b = constants[41];
double k13f = constants[42];
double k14f = constants[43];
double k14b = constants[44];
double k15f = constants[45];
double k16f = constants[46];
double k16b = constants[47];
double k17f = constants[48];
double k18f = constants[49];
double k18b = constants[50];
double k19f = constants[51];
double k20f = constants[52];
double k20b = constants[53];
double k21f = constants[54];
double k22f = constants[55];
double k22b = constants[56];
double k23f = constants[57];
double k24f = constants[58];
double k24b = constants[59];
double k25f = constants[60];
double k26f = constants[61];
double k26b = constants[62];
double k27f = constants[63];
double k28f = constants[64];
double k28b = constants[65];
double k29f = constants[66];
double k30f = constants[67];
double k30b = constants[68];
double k31f = constants[69];
double k32f = constants[70];
double k32b = constants[71];
double k33f = constants[72];
double k34f = constants[73];
double k34b = constants[74];
double k35f = constants[75];
double k36f = constants[76];
double k36b = constants[77];
double k37f = constants[78];
double k38f = constants[79];
double k38b = constants[80];
double k39f = constants[81];
double k40f = constants[82];
double k40b = constants[83];
double k41f = constants[84];
double k42f = constants[85];
double k42b = constants[86];
double k43f = constants[87];
double k44f = constants[88];
double k44b = constants[89];
double k45f = constants[90];
double du_cell = constants[91];
double du_RasGapTotal = constants[92];
double du_RapGapTotal = constants[93];
double du_PP2ATotal = constants[94];
double du_Raf1PPtaseTotal = constants[95];
double du_EGF_IC = constants[96];
double du_NGF_IC = constants[97];
double du_Total_EGFReceptor = constants[98];
double du_Total_NGFReceptor = constants[99];
double du_Total_Sos = constants[100];
double du_Total_P90Rsk = constants[101];
double du_Total_Ras = constants[102];
double du_Total_Raf1 = constants[103];
double du_Total_BRaf = constants[104];
double du_Total_Mek = constants[105];
double du_Total_Erk = constants[106];
double du_Total_PI3K = constants[107];
double du_Total_Akt = constants[108];
double du_Total_C3G = constants[109];
double du_Total_Rap1 = constants[110];
double du_Zero = constants[111];
double du_k00f = constants[112];
double du_k00b = constants[113];
double du_k01f = constants[114];
double du_k01b = constants[115];
double du_k02f = constants[116];
double du_k02b = constants[117];
double du_k03f = constants[118];
double du_k04f = constants[119];
double du_k04b = constants[120];
double du_k05f = constants[121];
double du_k06f = constants[122];
double du_k06b = constants[123];
double du_k07f = constants[124];
double du_k08f = constants[125];
double du_k08b = constants[126];
double du_k09f = constants[127];
double du_k10f = constants[128];
double du_k10b = constants[129];
double du_k11f = constants[130];
double du_k12f = constants[131];
double du_k12b = constants[132];
double du_k13f = constants[133];
double du_k14f = constants[134];
double du_k14b = constants[135];
double du_k15f = constants[136];
double du_k16f = constants[137];
double du_k16b = constants[138];
double du_k17f = constants[139];
double du_k18f = constants[140];
double du_k18b = constants[141];
double du_k19f = constants[142];
double du_k20f = constants[143];
double du_k20b = constants[144];
double du_k21f = constants[145];
double du_k22f = constants[146];
double du_k22b = constants[147];
double du_k23f = constants[148];
double du_k24f = constants[149];
double du_k24b = constants[150];
double du_k25f = constants[151];
double du_k26f = constants[152];
double du_k26b = constants[153];
double du_k27f = constants[154];
double du_k28f = constants[155];
double du_k28b = constants[156];
double du_k29f = constants[157];
double du_k30f = constants[158];
double du_k30b = constants[159];
double du_k31f = constants[160];
double du_k32f = constants[161];
double du_k32b = constants[162];
double du_k33f = constants[163];
double du_k34f = constants[164];
double du_k34b = constants[165];
double du_k35f = constants[166];
double du_k36f = constants[167];
double du_k36b = constants[168];
double du_k37f = constants[169];
double du_k38f = constants[170];
double du_k38b = constants[171];
double du_k39f = constants[172];
double du_k40f = constants[173];
double du_k40b = constants[174];
double du_k41f = constants[175];
double du_k42f = constants[176];
double du_k42b = constants[177];
double du_k43f = constants[178];
double du_k44f = constants[179];
double du_k44b = constants[180];
double du_k45f = constants[181];
double dv_cell = constants[182];
double dv_RasGapTotal = constants[183];
double dv_RapGapTotal = constants[184];
double dv_PP2ATotal = constants[185];
double dv_Raf1PPtaseTotal = constants[186];
double dv_EGF_IC = constants[187];
double dv_NGF_IC = constants[188];
double dv_Total_EGFReceptor = constants[189];
double dv_Total_NGFReceptor = constants[190];
double dv_Total_Sos = constants[191];
double dv_Total_P90Rsk = constants[192];
double dv_Total_Ras = constants[193];
double dv_Total_Raf1 = constants[194];
double dv_Total_BRaf = constants[195];
double dv_Total_Mek = constants[196];
double dv_Total_Erk = constants[197];
double dv_Total_PI3K = constants[198];
double dv_Total_Akt = constants[199];
double dv_Total_C3G = constants[200];
double dv_Total_Rap1 = constants[201];
double dv_Zero = constants[202];
double dv_k00f = constants[203];
double dv_k00b = constants[204];
double dv_k01f = constants[205];
double dv_k01b = constants[206];
double dv_k02f = constants[207];
double dv_k02b = constants[208];
double dv_k03f = constants[209];
double dv_k04f = constants[210];
double dv_k04b = constants[211];
double dv_k05f = constants[212];
double dv_k06f = constants[213];
double dv_k06b = constants[214];
double dv_k07f = constants[215];
double dv_k08f = constants[216];
double dv_k08b = constants[217];
double dv_k09f = constants[218];
double dv_k10f = constants[219];
double dv_k10b = constants[220];
double dv_k11f = constants[221];
double dv_k12f = constants[222];
double dv_k12b = constants[223];
double dv_k13f = constants[224];
double dv_k14f = constants[225];
double dv_k14b = constants[226];
double dv_k15f = constants[227];
double dv_k16f = constants[228];
double dv_k16b = constants[229];
double dv_k17f = constants[230];
double dv_k18f = constants[231];
double dv_k18b = constants[232];
double dv_k19f = constants[233];
double dv_k20f = constants[234];
double dv_k20b = constants[235];
double dv_k21f = constants[236];
double dv_k22f = constants[237];
double dv_k22b = constants[238];
double dv_k23f = constants[239];
double dv_k24f = constants[240];
double dv_k24b = constants[241];
double dv_k25f = constants[242];
double dv_k26f = constants[243];
double dv_k26b = constants[244];
double dv_k27f = constants[245];
double dv_k28f = constants[246];
double dv_k28b = constants[247];
double dv_k29f = constants[248];
double dv_k30f = constants[249];
double dv_k30b = constants[250];
double dv_k31f = constants[251];
double dv_k32f = constants[252];
double dv_k32b = constants[253];
double dv_k33f = constants[254];
double dv_k34f = constants[255];
double dv_k34b = constants[256];
double dv_k35f = constants[257];
double dv_k36f = constants[258];
double dv_k36b = constants[259];
double dv_k37f = constants[260];
double dv_k38f = constants[261];
double dv_k38b = constants[262];
double dv_k39f = constants[263];
double dv_k40f = constants[264];
double dv_k40b = constants[265];
double dv_k41f = constants[266];
double dv_k42f = constants[267];
double dv_k42b = constants[268];
double dv_k43f = constants[269];
double dv_k44f = constants[270];
double dv_k44b = constants[271];
double dv_k45f = constants[272];

dynamicVars[0] = EGF_IC;
dynamicVars[1] = NGF_IC;
dynamicVars[2] = Zero;
dynamicVars[3] = Zero;
dynamicVars[4] = Zero;
dynamicVars[5] = Zero;
dynamicVars[6] = Zero;
dynamicVars[7] = Zero;
dynamicVars[8] = Zero;
dynamicVars[9] = Zero;
dynamicVars[10] = Zero;
dynamicVars[11] = Zero;
dynamicVars[12] = Zero;
dynamicVars[13] = Zero;
dynamicVars[14] = Zero;
dynamicVars[15] = Total_EGFReceptor;
dynamicVars[16] = Total_NGFReceptor;
dynamicVars[17] = Total_Sos;
dynamicVars[18] = Total_P90Rsk;
dynamicVars[19] = Total_Ras;
dynamicVars[20] = Total_Raf1;
dynamicVars[21] = Total_BRaf;
dynamicVars[22] = Total_Mek;
dynamicVars[23] = Total_Erk;
dynamicVars[24] = Total_PI3K;
dynamicVars[25] = Total_Akt;
dynamicVars[26] = Total_C3G;
dynamicVars[27] = Total_Rap1;
dynamicVars[28] = Zero;
dynamicVars[29] = Zero;
dynamicVars[30] = Zero;
dynamicVars[31] = Zero;
dynamicVars[32] = Zero;
dynamicVars[33] = Zero;
dynamicVars[34] = PP2ATotal;
dynamicVars[35] = Zero;
dynamicVars[36] = Zero;
dynamicVars[37] = Zero;
dynamicVars[38] = Zero;
dynamicVars[39] = Zero;
dynamicVars[40] = RapGapTotal;
dynamicVars[41] = Zero;
dynamicVars[42] = Raf1PPtaseTotal;
dynamicVars[43] = Zero;
dynamicVars[44] = Zero;
dynamicVars[45] = Zero;
dynamicVars[46] = Zero;
dynamicVars[47] = RasGapTotal;
dynamicVars[48] = Zero;
dynamicVars[49] = Zero;
dynamicVars[50] = Zero;
dynamicVars[51] = Zero;
dynamicVars[52] = Zero;
dynamicVars[53] = Zero;
dynamicVars[54] = du_EGF_IC;
dynamicVars[55] = du_NGF_IC;
dynamicVars[56] = du_Zero;
dynamicVars[57] = du_Zero;
dynamicVars[58] = du_Zero;
dynamicVars[59] = du_Zero;
dynamicVars[60] = du_Zero;
dynamicVars[61] = du_Zero;
dynamicVars[62] = du_Zero;
dynamicVars[63] = du_Zero;
dynamicVars[64] = du_Zero;
dynamicVars[65] = du_Zero;
dynamicVars[66] = du_Zero;
dynamicVars[67] = du_Zero;
dynamicVars[68] = du_Zero;
dynamicVars[69] = du_Total_EGFReceptor;
dynamicVars[70] = du_Total_NGFReceptor;
dynamicVars[71] = du_Total_Sos;
dynamicVars[72] = du_Total_P90Rsk;
dynamicVars[73] = du_Total_Ras;
dynamicVars[74] = du_Total_Raf1;
dynamicVars[75] = du_Total_BRaf;
dynamicVars[76] = du_Total_Mek;
dynamicVars[77] = du_Total_Erk;
dynamicVars[78] = du_Total_PI3K;
dynamicVars[79] = du_Total_Akt;
dynamicVars[80] = du_Total_C3G;
dynamicVars[81] = du_Total_Rap1;
dynamicVars[82] = du_Zero;
dynamicVars[83] = du_Zero;
dynamicVars[84] = du_Zero;
dynamicVars[85] = du_Zero;
dynamicVars[86] = du_Zero;
dynamicVars[87] = du_Zero;
dynamicVars[88] = du_PP2ATotal;
dynamicVars[89] = du_Zero;
dynamicVars[90] = du_Zero;
dynamicVars[91] = du_Zero;
dynamicVars[92] = du_Zero;
dynamicVars[93] = du_Zero;
dynamicVars[94] = du_RapGapTotal;
dynamicVars[95] = du_Zero;
dynamicVars[96] = du_Raf1PPtaseTotal;
dynamicVars[97] = du_Zero;
dynamicVars[98] = du_Zero;
dynamicVars[99] = du_Zero;
dynamicVars[100] = du_Zero;
dynamicVars[101] = du_RasGapTotal;
dynamicVars[102] = du_Zero;
dynamicVars[103] = du_Zero;
dynamicVars[104] = du_Zero;
dynamicVars[105] = du_Zero;
dynamicVars[106] = du_Zero;
dynamicVars[107] = du_Zero;
dynamicVars[108] = dv_EGF_IC;
dynamicVars[109] = dv_NGF_IC;
dynamicVars[110] = dv_Zero;
dynamicVars[111] = dv_Zero;
dynamicVars[112] = dv_Zero;
dynamicVars[113] = dv_Zero;
dynamicVars[114] = dv_Zero;
dynamicVars[115] = dv_Zero;
dynamicVars[116] = dv_Zero;
dynamicVars[117] = dv_Zero;
dynamicVars[118] = dv_Zero;
dynamicVars[119] = dv_Zero;
dynamicVars[120] = dv_Zero;
dynamicVars[121] = dv_Zero;
dynamicVars[122] = dv_Zero;
dynamicVars[123] = dv_Total_EGFReceptor;
dynamicVars[124] = dv_Total_NGFReceptor;
dynamicVars[125] = dv_Total_Sos;
dynamicVars[126] = dv_Total_P90Rsk;
dynamicVars[127] = dv_Total_Ras;
dynamicVars[128] = dv_Total_Raf1;
dynamicVars[129] = dv_Total_BRaf;
dynamicVars[130] = dv_Total_Mek;
dynamicVars[131] = dv_Total_Erk;
dynamicVars[132] = dv_Total_PI3K;
dynamicVars[133] = dv_Total_Akt;
dynamicVars[134] = dv_Total_C3G;
dynamicVars[135] = dv_Total_Rap1;
dynamicVars[136] = dv_Zero;
dynamicVars[137] = dv_Zero;
dynamicVars[138] = dv_Zero;
dynamicVars[139] = dv_Zero;
dynamicVars[140] = dv_Zero;
dynamicVars[141] = dv_Zero;
dynamicVars[142] = dv_PP2ATotal;
dynamicVars[143] = dv_Zero;
dynamicVars[144] = dv_Zero;
dynamicVars[145] = dv_Zero;
dynamicVars[146] = dv_Zero;
dynamicVars[147] = dv_Zero;
dynamicVars[148] = dv_RapGapTotal;
dynamicVars[149] = dv_Zero;
dynamicVars[150] = dv_Raf1PPtaseTotal;
dynamicVars[151] = dv_Zero;
dynamicVars[152] = dv_Zero;
dynamicVars[153] = dv_Zero;
dynamicVars[154] = dv_Zero;
dynamicVars[155] = dv_RasGapTotal;
dynamicVars[156] = dv_Zero;
dynamicVars[157] = dv_Zero;
dynamicVars[158] = dv_Zero;
dynamicVars[159] = dv_Zero;
dynamicVars[160] = dv_Zero;
dynamicVars[161] = dv_Zero;
dynamicVars[162] = 0;
dynamicVars[163] = 0;
dynamicVars[164] = 0;
dynamicVars[165] = 0;
dynamicVars[166] = 0;
dynamicVars[167] = 0;
dynamicVars[168] = 0;
dynamicVars[169] = 0;
dynamicVars[170] = 0;
dynamicVars[171] = 0;
dynamicVars[172] = 0;
dynamicVars[173] = 0;
dynamicVars[174] = 0;
dynamicVars[175] = 0;
dynamicVars[176] = 0;
dynamicVars[177] = 0;
dynamicVars[178] = 0;
dynamicVars[179] = 0;
dynamicVars[180] = 0;
dynamicVars[181] = 0;
dynamicVars[182] = 0;
dynamicVars[183] = 0;
dynamicVars[184] = 0;
dynamicVars[185] = 0;
dynamicVars[186] = 0;
dynamicVars[187] = 0;
dynamicVars[188] = 0;
dynamicVars[189] = 0;
dynamicVars[190] = 0;
dynamicVars[191] = 0;
dynamicVars[192] = 0;
dynamicVars[193] = 0;
dynamicVars[194] = 0;
dynamicVars[195] = 0;
dynamicVars[196] = 0;
dynamicVars[197] = 0;
dynamicVars[198] = 0;
dynamicVars[199] = 0;
dynamicVars[200] = 0;
dynamicVars[201] = 0;
dynamicVars[202] = 0;
dynamicVars[203] = 0;
dynamicVars[204] = 0;
dynamicVars[205] = 0;
dynamicVars[206] = 0;
dynamicVars[207] = 0;
dynamicVars[208] = 0;
dynamicVars[209] = 0;
dynamicVars[210] = 0;
dynamicVars[211] = 0;
dynamicVars[212] = 0;
dynamicVars[213] = 0;
dynamicVars[214] = 0;
dynamicVars[215] = 0;
}
